var xindex = [["COMMON-LISP____DOCUMENTATION","Documentation","DOCUMENTATION",[800],"Information about options for downloading and viewing the ACL2 \u000A documentation, contributing documentation, and the available tools for \u000A documenting your own books."],
 ["COMMON-LISP____DEFUN","Defun","DEFUN",[85,125],"Define a function symbol"],
 ["COMMON-LISP____DECLARE","Declare","DECLARE",[125,142],"Extra declarations that can occur in function definitions, <see topic=\"COMMON-LISP____LET\">let</see> \u000A  bindings, and so forth."],
 ["ACL2____XARGS","Xargs","XARGS",[1,2],"Extra arguments, for example to give <see topic=\"ACL2____HINTS\">hints</see> to <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>"],
 ["ACL2____WORLD","World","WORLD",[10],"ACL2 property lists and the ACL2 logical database"],
 ["ACL2____TYPE-PRESCRIPTION","Type-prescription","TYPE-PRESCRIPTION",[12],"Make a rule that specifies the type of a term"],
 ["ACL2____THEORIES","Theories","THEORIES",[800],"Sets of <see topic=\"ACL2____RUNE\">rune</see>s to <see topic=\"ACL2____ENABLE\">enable</see>/<see topic=\"ACL2____DISABLE\">disable</see> in concert"],
 ["ACL2____TERM","Term","TERM",[654],"The three senses of well-formed ACL2 expressions or formulas"],
 ["ACL2____TABLE","Table","TABLE",[85],"User-managed tables"],
 ["ACL2____STOBJ","Stobj","STOBJ",[125],"Single-threaded objects or ``von Neumann bottlenecks''"],
 ["ACL2____STATE","State","STATE",[125],"The von Neumannesque ACL2 state object"],
 ["ACL2____RUNE","Rune","RUNE",[6],"A rule name"],
 ["ACL2____RULE-CLASSES","Rule-classes","RULE-CLASSES",[800],"Adding rules to the database"],
 ["ACL2____REWRITE","Rewrite","REWRITE",[12],"Make some <v>:rewrite</v> rules (possibly conditional ones)"],
 ["ACL2____MAKE-EVENT","Make-event","MAKE-EVENT",[85,739],"Evaluate (expand) a given form and then evaluate the result"],
 ["ACL2____LINEAR","Linear","LINEAR",[12],"Make some arithmetic inequality rules"],
 ["ACL2____LD","Ld","LD",[654],"The ACL2 read-eval-print loop, file loader, and <see topic=\"ACL2____COMMAND\">command</see> processor"],
 ["ACL2____IO","Io","IO",[1341,10,125],"Input/output facilities in ACL2"],
 ["ACL2____INTRODUCTION-TO-THE-THEOREM-PROVER","Introduction-to-the-theorem-prover","INTRODUCTION-TO-THE-THEOREM-PROVER",[377],"How the theorem prover works &mdash; level 0"],
 ["ACL2____INCLUDE-BOOK","Include-book","INCLUDE-BOOK",[1039,1320,85],"Load the <see topic=\"ACL2____EVENTS\">events</see> in a file"],
 ["ACL2____HINTS","Hints","HINTS",[654],"Advice to the theorem proving process"],
 ["ACL2____FORCE","Force","FORCE",[13,15,5,31,28],"Identity function used to force a hypothesis"],
 ["ACL2____ENCAPSULATE","Encapsulate","ENCAPSULATE",[85],"Hide some <see topic=\"ACL2____EVENTS\">events</see> and/or constrain some functions"],
 ["ACL2____DEFUN-MODE","Defun-mode","DEFUN-MODE",[1],"Determines whether a function definition is a logical act"],
 ["ACL2____DEFTTAG","Defttag","DEFTTAG",[1341,85],"Introduce a trust tag (ttag)"],
 ["ACL2____CERTIFY-BOOK","Certify-book","CERTIFY-BOOK",[1039,1320],"How to produce a <see topic=\"ACL2____CERTIFICATE\">certificate</see> for a book"],
 ["ACL2____BREAK-REWRITE","Break-rewrite","BREAK-REWRITE",[565],"A version of the ACL2 rewriter with interactive breaks"],
 ["ACL2____APPLY_42","Apply$","APPLY$",[142,125],"Apply a badged function or tame lambda to arguments"],
 ["ACL2____META","Meta","META",[12],"Make a <v>:meta</v> rule (a hand-written simplifier)"],
 ["ACL2____CERTIFICATE","Certificate","CERTIFICATE",[1320],"A file specifying validity of a given book"],
 ["ACL2____DEFSTOBJ","Defstobj","DEFSTOBJ",[85,9],"Define a new single-threaded object"],
 ["ACL2____DEFINITION","Definition","DEFINITION",[12],"Make a rule that acts like a function definition"],
 ["ACL2____WORMHOLE","Wormhole","WORMHOLE",[10,16],"<tt><see topic=\"ACL2____LD\">ld</see></tt> without <tt><see topic=\"ACL2____STATE\">state</see></tt> &mdash; a short-cut to a parallel universe"],
 ["ACL2____SYSTEM-UTILITIES","System-utilities","SYSTEM-UTILITIES",[125],"Some built-in programming utilities pertaining to the ACL2 system"],
 ["ACL2____LOOP_42","Loop$","LOOP$",[142,125],"Iteration with an analogue of the Common Lisp <v>loop</v> macro"],
 ["ACL2____DEFPKG","Defpkg","DEFPKG",[85,832,125],"Define a new symbol package"],
 ["ACL2____VERIFY-GUARDS","Verify-guards","VERIFY-GUARDS",[85,91],"Verify the <see topic=\"ACL2____GUARD\">guard</see>s of a function"],
 ["ACL2____MEMOIZE","Memoize","MEMOIZE",[125,107,85],"Turn on memoization for a specified function"],
 ["ACL2____DEFATTACH","Defattach","DEFATTACH",[85],"Execute constrained functions using corresponding attached functions"],
 ["ACL2____FMT","Fmt","FMT",[17,142],"Formatted printing"],
 ["COMMON-LISP____LET","Let","LET",[726,142],"Binding of lexically scoped (local) variables"],
 ["ACL2____DF","Df","DF",[282,142],"Support for floating-point operations"],
 ["ACL2____ACL2-DEFAULTS-TABLE","ACL2-defaults-table","ACL2-DEFAULTS-TABLE",[8],"A <see topic=\"ACL2____TABLE\">table</see> specifying certain defaults, e.g., the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>"],
 ["ACL2____MUTUAL-RECURSION","Mutual-recursion","MUTUAL-RECURSION",[85,125,1],"Define some mutually recursive functions"],
 ["ACL2____SIGNATURE","Signature","SIGNATURE",[22],"How to specify the arity of a constrained function"],
 ["COMMON-LISP____LAMBDA","Lambda","LAMBDA",[7,27],"Lambda expressions, <v>LAMBDA</v> objects, and <v>lambda$</v> expressions"],
 ["ACL2____PROGRAMMING-WITH-STATE","Programming-with-state","PROGRAMMING-WITH-STATE",[10,125],"Programming using the von Neumannesque ACL2 <see topic=\"ACL2____STATE\">state</see> object"],
 ["ACL2____ARRAYS","Arrays","ARRAYS",[125],"ACL2 arrays and operations on them"],
 ["ACL2____SET-GUARD-CHECKING","Set-guard-checking","SET-GUARD-CHECKING",[91],"Control checking <see topic=\"ACL2____GUARD\">guard</see>s during execution of top-level forms"],
 ["ACL2____PROOF-BUILDER","Proof-builder","PROOF-BUILDER",[800,565],"An interactive tool for controlling ACL2's proof processes."],
 ["ACL2____BOOKS","Books","BOOKS",[800],"<i>Books</i> are files of ACL2 <see topic=\"ACL2____EVENTS\">events</see>&mdash;they are the main \u000Away to split up large ACL2 developments into separate modules."],
 ["ACL2____TRACE_42","Trace$","TRACE$",[630],"Trace function evaluations"],
 ["ACL2____TAU-SYSTEM","Tau-system","TAU-SYSTEM",[12],"Make a rule for the ACL2 ``type checker''"],
 ["ACL2____DEFUN-SK","Defun-sk","DEFUN-SK",[85],"Define a function whose body has an outermost quantifier"],
 ["ACL2____MONITOR","Monitor","MONITOR",[26],"To monitor attempted applications of certain rules by the rewriter"],
 ["ACL2____MBE","Mbe","MBE",[91,125,142],"Attach code for execution"],
 ["ACL2____CLAUSE-PROCESSOR","Clause-processor","CLAUSE-PROCESSOR",[12],"Make or apply a <v>:clause-processor</v> rule (goal-level simplifier)"],
 ["ACL2____DEFWARRANT","Defwarrant","DEFWARRANT",[27,142],"Issue a warrant for a function so <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> can use it in proofs"],
 ["ACL2____WARRANT","Warrant","WARRANT",[27],"Giving <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> permission to handle a user-defined function in proofs"],
 ["ACL2____DEFABSSTOBJ","Defabsstobj","DEFABSSTOBJ",[85,9],"Define a new abstract single-threaded object"],
 ["ACL2____FORWARD-CHAINING","Forward-chaining","FORWARD-CHAINING",[12],"Make a rule to forward chain when a certain trigger arises"],
 ["ACL2____CHARACTERS","Characters","CHARACTERS",[125],"Characters in ACL2 and operations on them"],
 ["ACL2____HIDE","Hide","HIDE",[13],"Hide a term from the rewriter"],
 ["ACL2____ACCUMULATED-PERSISTENCE","Accumulated-persistence","ACCUMULATED-PERSISTENCE",[565],"To get statistics on which <see topic=\"ACL2____RUNE\">rune</see>s are being tried"],
 ["ACL2____EQUIVALENCE","Equivalence","EQUIVALENCE",[12],"Mark a relation as an equivalence relation"],
 ["ACL2____TYPE-SET","Type-set","TYPE-SET",[654],"How type information is encoded in ACL2"],
 ["ACL2____RECURSION-AND-INDUCTION","Recursion-and-induction","RECURSION-AND-INDUCTION",[0,800,863],"Recursion and Induction",[619,1246,325,1047,331,515,330,430,306,326,1221,329,328,513,1245,327,473,1637,504,280]],
 ["ACL2____LEMMA-INSTANCE","Lemma-instance","LEMMA-INSTANCE",[20,1509],"An object denoting an instance of a theorem"],
 ["ACL2____BADGE","Badge","BADGE",[27],"Syntactic requirements on a function symbol to be used by <v>apply$</v>"],
 ["ACL2____PORTCULLIS","Portcullis","PORTCULLIS",[1320],"The gate guarding the entrance to a certified book"],
 ["ACL2____VERIFY-TERMINATION","Verify-termination","VERIFY-TERMINATION",[85],"Convert a function from :program mode to :logic mode"],
 ["ACL2____LOOP_42-PRIMER","Loop$-primer","LOOP$-PRIMER",[34,0,125],"Primer for using <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt>",[752,1113,798,1033,452,740,312,459,294,350,295,354,592,591,636,353,352,351,806]],
 ["ACL2____FREE-VARIABLES","Free-variables","FREE-VARIABLES",[12,13],"Free variables in rules"],
 ["ACL2____ACL2-DOC","ACL2-doc","ACL2-DOC",[0],"A custom Emacs browser for reading ACL2 <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see>"],
 ["ACL2____REDUNDANT-EVENTS","Redundant-events","REDUNDANT-EVENTS",[85],"Allowing a name to be introduced ``twice''"],
 ["ACL2____CONSTRAINT","Constraint","CONSTRAINT",[22],"Restrictions on certain functions introduced in <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt> <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____LD-SKIP-PROOFSP","Ld-skip-proofsp","LD-SKIP-PROOFSP",[16],"How carefully ACL2 processes your <see topic=\"ACL2____COMMAND\">command</see>s"],
 ["ACL2____LAMBDA_42","Lambda$","LAMBDA$",[27],"Lambda object constructor for use with <v>apply$</v>"],
 ["ACL2____EXECUTABLE-COUNTERPART","Executable-counterpart","EXECUTABLE-COUNTERPART",[12],"A rule for computing the value of a function"],
 ["ACL2____CONGRUENCE","Congruence","CONGRUENCE",[12],"The relations to maintain while simplifying arguments"],
 ["ACL2____OVERRIDE-HINTS","Override-hints","OVERRIDE-HINTS",[20],"A list of hints given priority in every proof attempt"],
 ["ACL2____CLAUSE","Clause","CLAUSE",[654],"A representation of prover goals"],
 ["ACL2____SYS-CALL","Sys-call","SYS-CALL",[1341,142],"Make a system call to the host operating system"],
 ["ACL2____RETURN-LAST","Return-last","RETURN-LAST",[726,142],"Return the last argument, perhaps with side effects"],
 ["ACL2____BRR","Brr","BRR",[26],"To enable or disable the breaking of rewrite rules"],
 ["ACL2____EVENTS","Events","EVENTS",[800],"Functions that extend the logic"],
 ["ACL2____WITH-OUTPUT","With-output","WITH-OUTPUT",[599],"Suppressing or turning on specified output for an event"],
 ["ACL2____SYNTAXP","Syntaxp","SYNTAXP",[13,31,15,28],"Attach a heuristic filter on a rule"],
 ["ACL2____SKIP-PROOFS","Skip-proofs","SKIP-PROOFS",[85],"Skip proofs for a given form &mdash; a quick way to introduce unsoundness"],
 ["ACL2____EXTENDED-METAFUNCTIONS","Extended-metafunctions","EXTENDED-METAFUNCTIONS",[28],"State and context sensitive metafunctions"],
 ["ACL2____PROGRAM","Program","PROGRAM",[23],"To set the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> to <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>"],
 ["ACL2____GUARD","Guard","GUARD",[125,3],"Restricting the domain of a function"],
 ["ACL2____EVALUATION","Evaluation","EVALUATION",[125],"Evaluating ACL2 expressions"],
 ["ACL2____LOCAL","Local","LOCAL",[85],"Hiding an event in an encapsulation or book"],
 ["ACL2____COMP","Comp","COMP",[113,85,142],"Compile some ACL2 functions"],
 ["ACL2____EMBEDDED-EVENT-FORM","Embedded-event-form","EMBEDDED-EVENT-FORM",[85],"Forms that may be embedded in other <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____DEFTHM","Defthm","DEFTHM",[85],"Prove and name a theorem"],
 ["ACL2____LOOP-STOPPER","Loop-stopper","LOOP-STOPPER",[13],"Limit application of permutative rewrite rules"],
 ["ACL2____IN-THEORY","In-theory","IN-THEORY",[85,6],"Designate ``current'' theory (enabling its rules)"],
 ["ACL2____BIND-FREE","Bind-free","BIND-FREE",[13,15,31],"To bind free variables of a rewrite, definition, or linear rule"],
 ["ACL2____ORDINALS","Ordinals","ORDINALS",[654],"Ordinals in ACL2"],
 ["ACL2____O-P","O-p","O-P",[100,142],"A recognizer for the ordinals up to epsilon-0"],
 ["ACL2____TIME_42","Time$","TIME$",[125,142],"Time the evaluation of a given form"],
 ["ACL2____TAME","Tame","TAME",[27],"Definitions of the various notions of tameness"],
 ["ACL2____SUMMARY","Summary","SUMMARY",[599],"The summary printed at the conclusion of an event"],
 ["ACL2____SET-RAW-MODE","Set-raw-mode","SET-RAW-MODE",[24],"Enter or exit ``raw mode,'' a raw Lisp environment"],
 ["ACL2____INDUCTION","Induction","INDUCTION",[12],"Make a rule that suggests a certain induction"],
 ["ACL2____HONS-AND-MEMOIZATION","Hons-and-memoization","HONS-AND-MEMOIZATION",[800],"Hash cons, function memoization, and applicative hash tables"],
 ["ACL2____HISTORY","History","HISTORY",[800],"Functions to display or change contents of the logical <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____COMPUTED-HINTS","Computed-hints","COMPUTED-HINTS",[20],"Computing advice to the theorem proving process"],
 ["ACL2____TYPE-REASONING","Type-reasoning","TYPE-REASONING",[12],"ACL2 reasoning with &ldquo;types&rdquo;"],
 ["ACL2____EQUALITY-VARIANTS","Equality-variants","EQUALITY-VARIANTS",[125],"Versions of a function using different equality tests"],
 ["ACL2____EC-CALL","Ec-call","EC-CALL",[91,142],"Execute a call in the ACL2 logic instead of raw Lisp"],
 ["ACL2____COMPILATION","Compilation","COMPILATION",[125],"Compiling ACL2 functions"],
 ["ACL2____COMMUNITY-BOOKS","Community-books","COMMUNITY-BOOKS",[50],"Libraries of ACL2 <see topic=\"ACL2____BOOKS\">books</see> developed by the ACL2 community."],
 ["ACL2____PROGN_12","Progn!","PROGN!",[85],"Evaluate some forms, not necessarily <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____MV-LET","Mv-let","MV-LET",[138,726,142],"Calling multi-valued ACL2 functions"],
 ["ACL2____DEFCHOOSE","Defchoose","DEFCHOOSE",[85],"Define a Skolem (witnessing) function"],
 ["COMMON-LISP____DEFMACRO","Defmacro","DEFMACRO",[739,85,125],"Define a macro"],
 ["ACL2____SET-GAG-MODE","Set-gag-mode","SET-GAG-MODE",[599],"Modify the nature of proof output"],
 ["ACL2____SET-EVISC-TUPLE","Set-evisc-tuple","SET-EVISC-TUPLE",[17],"Control suppression of details when printing"],
 ["ACL2____Pages_02Written_02Especially_02for_02the_02Tours","Pages Written Especially for the Tours","Pages Written Especially for the Tours",[377],"Pages Written Especially for the Tours"],
 ["ACL2____LOGIC","Logic","LOGIC",[23],"To set the default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> to <v>:logic</v>"],
 ["ACL2____LD-REDEFINITION-ACTION","Ld-redefinition-action","LD-REDEFINITION-ACTION",[16],"To allow redefinition without <see topic=\"ACL2____UNDOING\">undoing</see>"],
 ["ACL2____VALUE-TRIPLE","Value-triple","VALUE-TRIPLE",[85,142,769],"Compute a value, optionally checking that it is not <v>nil</v>"],
 ["ACL2____PROGRAMMING","Programming","PROGRAMMING",[800],"Programming in ACL2"],
 ["ACL2____LP","Lp","LP",[16],"The Common Lisp entry to ACL2"],
 ["ACL2____FORWARD-CHAINING-REPORTS","Forward-chaining-reports","FORWARD-CHAINING-REPORTS",[60,565],"To see reports about the forward chaining process"],
 ["ACL2____DEFCONST","Defconst","DEFCONST",[85,125],"Define a constant"],
 ["ACL2____PROOF-TREE","Proof-tree","PROOF-TREE",[565],"Proof tree displays"],
 ["ACL2____PL","Pl","PL",[108],"Print the rules for the given name or term"],
 ["ACL2____PARALLELISM","Parallelism","PARALLELISM",[800],"Experimental extension for parallel execution and proofs"],
 ["ACL2____OPERATIONAL-SEMANTICS-3_F5_F5ANNOTATED-BIBLIOGRAPHY","Operational-semantics-3__annotated-bibliography","OPERATIONAL-SEMANTICS-3__ANNOTATED-BIBLIOGRAPHY",[152],"Annotated bibliography for operational-semantics"],
 ["ACL2____TYPE-SPEC","Type-spec","TYPE-SPEC",[2,228],"Type specifiers can be used in Common Lisp type declarations and \u000A <see topic=\"COMMON-LISP____THE\">the</see> forms, and may result in improved efficiency of execution."],
 ["ACL2____SAVE-EXEC","Save-exec","SAVE-EXEC",[1341,1610],"Save an executable image and a wrapper script"],
 ["ACL2____BRR-COMMANDS","Brr-commands","BRR-COMMANDS",[26],"<see topic=\"ACL2____BREAK-REWRITE\">Break-Rewrite</see> Commands"],
 ["COMMON-LISP____MEMBER","Member","MEMBER",[411,142],"Membership predicate"],
 ["COMMON-LISP____FLET","Flet","FLET",[726,142],"Local binding of function symbols"],
 ["ACL2____MV","Mv","MV",[726,142],"Returning a multiple value"],
 ["ACL2____DEFBADGE","Defbadge","DEFBADGE",[27,142],"Issue a badge for a function so <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> can evaluate with it"],
 ["ACL2____COMMAND","Command","COMMAND",[108],"Forms you type at the top-level, but..."],
 ["ACL2____BACKCHAIN-LIMIT","Backchain-limit","BACKCHAIN-LIMIT",[13,28,15,5],"Limiting the effort expended on relieving hypotheses"],
 ["ACL2____ACL2-BUILT-INS","ACL2-built-ins","ACL2-BUILT-INS",[125],"''Catch-all'' topic for built-in ACL2 functions"],
 ["COMMON-LISP____PROGN","Progn","PROGN",[85],"Evaluate some <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____SET-IPRINT","Set-iprint","SET-IPRINT",[17],"Control whether abbreviated output can be read back in"],
 ["ACL2____DISABLE","Disable","DISABLE",[6,575],"Deletes names from current theory"],
 ["ACL2____WITH-PROVER-STEP-LIMIT","With-prover-step-limit","WITH-PROVER-STEP-LIMIT",[654],"Limit the number of steps for proofs"],
 ["ACL2____SET-INHIBIT-OUTPUT-LST","Set-inhibit-output-lst","SET-INHIBIT-OUTPUT-LST",[599],"Control output"],
 ["ACL2____BOOKS-CERTIFICATION","Books-certification","BOOKS-CERTIFICATION",[114],"Instructions for certifying the ACL2 <see topic=\"ACL2____COMMUNITY-BOOKS\">community-books</see>."],
 ["ACL2____STOBJ-TABLE","Stobj-table","STOBJ-TABLE",[9,215],"A <see topic=\"ACL2____STOBJ\">stobj</see> field mapping stobj names to stobjs"],
 ["ACL2____PUFF","Puff","PUFF",[108],"Replace a compound <see topic=\"ACL2____COMMAND\">command</see> by its immediate subevents"],
 ["ACL2____O_C3","O&lt;","O<",[100,142],"The well-founded less-than relation on ordinals up to <v>epsilon-0</v>"],
 ["ACL2____OPERATIONAL-SEMANTICS","Operational-semantics","OPERATIONAL-SEMANTICS",[0,800,863],"Modeling State Machines"],
 ["ACL2____NOTE-2-8","Note-2-8","NOTE-2-8",[210],"ACL2 Version  2.8 (March, 2004) Notes"],
 ["ACL2____LINEAR-ARITHMETIC","Linear-arithmetic","LINEAR-ARITHMETIC",[15],"A description of the linear arithmetic decision procedure"],
 ["ACL2____INTRODUCTION-TO-THE-TAU-SYSTEM","Introduction-to-the-tau-system","INTRODUCTION-TO-THE-TAU-SYSTEM",[52],"A decision procedure for runtime types"],
 ["ACL2____ER","Er","ER",[769,142],"Print an error message and ``cause an error''"],
 ["ACL2____ACL2-CUSTOMIZATION","ACL2-customization","ACL2-CUSTOMIZATION",[654],"File of initial commands for ACL2 to run at <see topic=\"ACL2____STARTUP\">startup</see>"],
 ["ACL2____THEORY-INVARIANT","Theory-invariant","THEORY-INVARIANT",[85],"User-specified invariants on <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____RULERS","Rulers","RULERS",[1],"Control for ACL2's termination and induction analyses"],
 ["ACL2____NON-LINEAR-ARITHMETIC","Non-linear-arithmetic","NON-LINEAR-ARITHMETIC",[15],"Non-linear Arithmetic"],
 ["ACL2____META-EXTRACT","Meta-extract","META-EXTRACT",[28,56],"Meta reasoning using valid terms extracted from context or <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____DOUBLE-REWRITE","Double-rewrite","DOUBLE-REWRITE",[13],"Cause a term to be rewritten twice"],
 ["ACL2____USELESS-RUNES","Useless-runes","USELESS-RUNES",[25,63],"Speed up proofs by disabling useless <see topic=\"ACL2____RUNE\">rune</see>s"],
 ["ACL2____PRINT-GV","Print-gv","PRINT-GV",[91,565],"Print a form whose evaluation caused a guard violation"],
 ["ACL2____HINTS-AND-THE-WATERFALL","Hints-and-the-waterfall","HINTS-AND-THE-WATERFALL",[20],"How <see topic=\"ACL2____HINTS\">hints</see> fit into the ACL2 proof waterfall"],
 ["ACL2____DMR","Dmr","DMR",[565,26,63],"Dynamically monitor rewrites and other prover activity"],
 ["ACL2____DEFEVALUATOR","Defevaluator","DEFEVALUATOR",[85],"Introduce an evaluator function"],
 ["ACL2____WITH-PROVER-TIME-LIMIT","With-prover-time-limit","WITH-PROVER-TIME-LIMIT",[654],"Limit the time for proofs"],
 ["ACL2____WITH-BRR-DATA","With-brr-data","WITH-BRR-DATA",[565,26],"Finding the source of a term in prover output"],
 ["ACL2____SPLITTER","Splitter","SPLITTER",[565],"Reporting of rules whose application may have caused case splits"],
 ["ACL2____SET-PROVER-STEP-LIMIT","Set-prover-step-limit","SET-PROVER-STEP-LIMIT",[654],"Sets the step-limit used by the ACL2 prover"],
 ["ACL2____REWRITE-QUOTED-CONSTANT","Rewrite-quoted-constant","REWRITE-QUOTED-CONSTANT",[12],"Make a rule to rewrite a quoted constant"],
 ["ACL2____PC","Pc","PC",[108],"Print the <see topic=\"ACL2____COMMAND\">command</see> described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____LOCAL-INCOMPATIBILITY","Local-incompatibility","LOCAL-INCOMPATIBILITY",[654],"When non-local <see topic=\"ACL2____EVENTS\">events</see> won't replay in isolation"],
 ["ACL2____LD-ERROR-ACTION","Ld-error-action","LD-ERROR-ACTION",[16],"Determines <tt><see topic=\"ACL2____LD\">ld</see></tt>'s response to an error"],
 ["ACL2____DO-LOOP_42","Do-loop$","DO-LOOP$",[34],"Iteration with <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt> using local variables and <see topic=\"ACL2____STOBJ\">stobj</see>s"],
 ["ACL2____COMPOUND-RECOGNIZER","Compound-recognizer","COMPOUND-RECOGNIZER",[12],"Make a rule used by the typing mechanism"],
 ["ACL2____WORMHOLE-EVAL","Wormhole-eval","WORMHOLE-EVAL",[32],"State-saving without <see topic=\"ACL2____STATE\">state</see> &mdash; a short-cut to a parallel universe"],
 ["ACL2____PRINT-CL-CACHE","Print-cl-cache","PRINT-CL-CACHE",[27],"Information about the cache supporting <v>apply$</v>"],
 ["ACL2____CW","Cw","CW",[17,142],"Print to the comment window"],
 ["ACL2____PROJECT-DIR-ALIST","Project-dir-alist","PROJECT-DIR-ALIST",[50,85],"Support for moving project directories (also <v>:dir</v> arguments)"],
 ["ACL2____PRINT-CONTROL","Print-control","PRINT-CONTROL",[17],"Advanced controls of ACL2 printing"],
 ["ACL2____OPERATIONAL-SEMANTICS-1_F5_F5SIMPLE-EXAMPLE","Operational-semantics-1__simple-example","OPERATIONAL-SEMANTICS-1__SIMPLE-EXAMPLE",[152],"M1: definition, rules, clocks, proofs"],
 ["ACL2____NOTE-2-7","Note-2-7","NOTE-2-7",[210],"ACL2 Version  2.7 (November, 2002) Notes"],
 ["ACL2____INSTRUCTIONS","Instructions","INSTRUCTIONS",[49],"Instructions to the interactive proof-builder"],
 ["ACL2____ELIM","Elim","ELIM",[12],"Make a destructor elimination rule"],
 ["ACL2____DEFUN-INLINE","Defun-inline","DEFUN-INLINE",[1,85],"Define a potentially inlined function symbol and associated macro"],
 ["ACL2____COMMENT","Comment","COMMENT",[62,142],"Variant of <tt><see topic=\"ACL2____PROG2_42\">prog2$</see></tt> to help debug evaluation failures during \u000A proofs"],
 ["ACL2____A_02Tiny_02Warning_02Sign","A Tiny Warning Sign","A Tiny Warning Sign",[121],"A Tiny Warning Sign"],
 ["ACL2____SYSTEM-ATTACHMENTS","System-attachments","SYSTEM-ATTACHMENTS",[125,38],"System-level algorithms that users can modify with attachments"],
 ["ACL2____REWRITE-LAMBDA-OBJECT","Rewrite-lambda-object","REWRITE-LAMBDA-OBJECT",[13],"rewriting lambda objects in :FN slots"],
 ["ACL2____CBD","Cbd","CBD",[1039,46,142],"Connected book directory string"],
 ["ACL2____LD-HISTORY","Ld-history","LD-HISTORY",[16,108],"Saving and querying command history"],
 ["ACL2____GUARDS-AND-EVALUATION","Guards-and-evaluation","GUARDS-AND-EVALUATION",[91],"The relationship between guards and evaluation"],
 ["ACL2____GUARD-DEBUG","Guard-debug","GUARD-DEBUG",[91,565],"Generate markers to indicate sources of <see topic=\"ACL2____GUARD\">guard</see> proof obligations"],
 ["ACL2____GOAL-SPEC","Goal-spec","GOAL-SPEC",[20,599],"To indicate where a hint is to be used"],
 ["ACL2____BOOKS-CERTIFICATION-CLASSIC","Books-certification-classic","BOOKS-CERTIFICATION-CLASSIC",[148],"Classic ACL2 `make'-based certification of <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____ADVANCED-FEATURES","Advanced-features","ADVANCED-FEATURES",[377,125],"Some advanced features of ACL2"],
 ["COMMON-LISP____APPEND","Append","APPEND",[411,142],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> zero or more lists"],
 ["ACL2_____A2ACL2-EXPORTS_A2","*ACL2-exports*","*ACL2-EXPORTS*",[832,142],"Symbols that are often imported into new <see topic=\"ACL2____PACKAGES\">packages</see> to provide \u000A easy access to ACL2 functionality."],
 ["ACL2____THE-METHOD","The-method","THE-METHOD",[377],"How to find proofs"],
 ["ACL2____SOUNDNESS","Soundness","SOUNDNESS",[863],"Correctness property claimed for ACL2"],
 ["ACL2____SET-CASE-SPLIT-LIMITATIONS","Set-case-split-limitations","SET-CASE-SPLIT-LIMITATIONS",[654],"Set the <see topic=\"ACL2____CASE-SPLIT-LIMITATIONS\">case-split-limitations</see>"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED","Logic-knowledge-taken-for-granted","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED",[18],"Background knowledge in ACL2 logic for theorem prover tutorial"],
 ["ACL2____ENABLE","Enable","ENABLE",[6,575],"Adds names to current theory"],
 ["ACL2____TERM-ORDER","Term-order","TERM-ORDER",[7,142],"The ordering relation on terms used by ACL2"],
 ["ACL2____SUBVERSIVE-RECURSIONS","Subversive-recursions","SUBVERSIVE-RECURSIONS",[654],"Why we restrict <see topic=\"ACL2____ENCAPSULATE\">encapsulate</see>d recursive functions"],
 ["ACL2____SET-WRITE-ACL2X","Set-write-ACL2x","SET-WRITE-ACL2X",[1039],"Cause <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt> to write out a <v>.acl2x</v> file"],
 ["ACL2____SET-WATERFALL-PARALLELISM","Set-waterfall-parallelism","SET-WATERFALL-PARALLELISM",[131],"For ACL2(p): configuring the parallel execution of the waterfall"],
 ["ACL2____RELEASE-NOTES","Release-notes","RELEASE-NOTES",[863],"Pointers to what has changed"],
 ["ACL2____REDO-FLAT","Redo-flat","REDO-FLAT",[565],"Redo on failure of a <tt><see topic=\"COMMON-LISP____PROGN\">progn</see></tt>, <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt>, or <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt>"],
 ["ACL2____PROVISIONAL-CERTIFICATION","Provisional-certification","PROVISIONAL-CERTIFICATION",[148],"Certify a book in stages for improved book-level parallelism"],
 ["ACL2____PARTIAL-ENCAPSULATE","Partial-encapsulate","PARTIAL-ENCAPSULATE",[85,22],"Introduce functions with some constraints unspecified"],
 ["ACL2____OOPS","Oops","OOPS",[108],"Undo a <v>:u</v> or <v>:</v><tt><see topic=\"ACL2____UBT\">ubt</see></tt>"],
 ["ACL2____NESTED-STOBJS","Nested-stobjs","NESTED-STOBJS",[9],"Using <see topic=\"ACL2____STOBJ\">stobj</see>s that contain stobjs"],
 ["ACL2____INTRODUCTION-TO-APPLY_42","Introduction-to-apply$","INTRODUCTION-TO-APPLY$",[27],"Background knowledge on how to use <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt>, <tt><see topic=\"ACL2____DEFWARRANT\">defwarrant</see></tt>, etc."],
 ["ACL2____GUARANTEES-OF-THE-TOP-LEVEL-LOOP","Guarantees-of-the-top-level-loop","GUARANTEES-OF-THE-TOP-LEVEL-LOOP",[202,16],"Guarantees provided by top-level evaluation"],
 ["ACL2____DEFINE-TRUSTED-CLAUSE-PROCESSOR","Define-trusted-clause-processor","DEFINE-TRUSTED-CLAUSE-PROCESSOR",[85],"Define a trusted (unverified) goal-level simplifier"],
 ["ACL2____BOOK-COMPILED-FILE","Book-compiled-file","BOOK-COMPILED-FILE",[1039],"Creating and loading of compiled and expansion files for <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____WELL-FOUNDED-RELATION-RULE","Well-founded-relation-rule","WELL-FOUNDED-RELATION-RULE",[12],"Show that a relation is well-founded on a set"],
 ["ACL2____SET-DEBUGGER-ENABLE","Set-debugger-enable","SET-DEBUGGER-ENABLE",[565],"Control whether Lisp errors and breaks invoke the Lisp debugger"],
 ["ACL2____SET-CHECK-INVARIANT-RISK","Set-check-invariant-risk","SET-CHECK-INVARIANT-RISK",[125,198,91,565,469],"Affect certain <see topic=\"ACL2____PROGRAM\">program</see>-mode updates to <see topic=\"ACL2____STOBJ\">stobj</see>s or <see topic=\"ACL2____ARRAYS\">arrays</see>"],
 ["ACL2____READ-FILE-INTO-STRING","Read-file-into-string","READ-FILE-INTO-STRING",[17],"The contents of a file (or part of it) as a string"],
 ["ACL2____PROOF-BUILDER-COMMANDS","Proof-builder-commands","PROOF-BUILDER-COMMANDS",[49],"List of commands for the interactive proof-builder"],
 ["ACL2____OPERATIONAL-SEMANTICS-2_F5_F5OTHER-EXAMPLES","Operational-semantics-2__other-examples","OPERATIONAL-SEMANTICS-2__OTHER-EXAMPLES",[152],"Examples of other models and proof techniques"],
 ["ACL2____INTRODUCTION-TO-REWRITE-RULES-PART-1","Introduction-to-rewrite-rules-part-1","INTRODUCTION-TO-REWRITE-RULES-PART-1",[18],"Introduction to ACL2's notion of rewrite rules"],
 ["ACL2____FOR-LOOP_42","For-loop$","FOR-LOOP$",[34],"Iteration with <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt> over an interval of integers or a list"],
 ["COMMON-LISP____THE","The","THE",[91,113,142],"Special form for execution efficiency or run-time type checks"],
 ["COMMON-LISP____IF","If","IF",[726,142],"If-then-else function"],
 ["BIB____BHMY89","Bib::bhmy89","BHMY89",[132],"W.R. Bevier, W.A. Hunt, Jr., J S. Moore, and W.D. Young, <i>Special \u000A   Issue on System Verification</i>, <i>Journal of Automated Reasoning</i>, \u000A   <b>5</b>(4), pp. 409-530, 1989. \u000A \u000A  <br></br><br></br><b>Relevance:</b> Computational Logic Inc. (CLI) Verified \u000A  Stack &mdash; a seminal achievement in formal methods and operational \u000A  semantics"],
 ["ACL2____WELL-FORMEDNESS-GUARANTEE","Well-formedness-guarantee","WELL-FORMEDNESS-GUARANTEE",[12],"Guarantee that a metafunction or clause-processor returns a \u000A well-formed answer"],
 ["ACL2____WELL-FORMED-LAMBDA-OBJECTP","Well-formed-lambda-objectp","WELL-FORMED-LAMBDA-OBJECTP",[27],"Predicate for recognizing well-formed <v>LAMBDA</v> objects"],
 ["ACL2____UNSUPPORTED-WATERFALL-PARALLELISM-FEATURES","Unsupported-waterfall-parallelism-features","UNSUPPORTED-WATERFALL-PARALLELISM-FEATURES",[1309],"Proof features not supported with waterfall-parallelism enabled"],
 ["ACL2____TIME-TRACKER","Time-tracker","TIME-TRACKER",[565,102,142],"Display time spent during specified evaluation"],
 ["ACL2____START-HERE","Start-here","START-HERE",[800],"Introductory information about ACL2"],
 ["ACL2____QUANTIFIER-TUTORIAL","Quantifier-tutorial","QUANTIFIER-TUTORIAL",[53],"A Beginner's Guide to Reasoning about Quantification in ACL2"],
 ["ACL2____LOOP_42-RECURSION","Loop$-recursion","LOOP$-RECURSION",[34],"Defining functions that recur from within <v>FOR</v> <v>loop$</v> expressions"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INDUCTIVE-PROOF","Logic-knowledge-taken-for-granted-inductive-proof","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INDUCTIVE-PROOF",[18],"A brief explanation of induction"],
 ["ACL2____INTRODUCTION-TO-KEY-CHECKPOINTS","Introduction-to-key-checkpoints","INTRODUCTION-TO-KEY-CHECKPOINTS",[18],"What questions to ask at key checkpoints"],
 ["ACL2____IF_A2","If*","IF*",[552],"For conditional rewriting with BDDs"],
 ["ACL2____FORCING-ROUND","Forcing-round","FORCING-ROUND",[21],"A section of a proof dealing with <see topic=\"ACL2____FORCE\">force</see>d assumptions"],
 ["ACL2____BUILT-IN-CLAUSE","Built-in-clause","BUILT-IN-CLAUSE",[12],"To build a <see topic=\"ACL2____CLAUSE\">clause</see> into the simplifier"],
 ["COMMON-LISP_____B2","+","+",[282,142],"Addition macro"],
 ["COMMON-LISP____NOT","Not","NOT",[726,142],"Logical negation"],
 ["ACL2____WORMHOLE-STATUS","Wormhole-status","WORMHOLE-STATUS",[32],"the two senses of a wormhole's status"],
 ["ACL2____WITH-GLOBAL-STOBJ","With-global-stobj","WITH-GLOBAL-STOBJ",[9,142],"Operate on a global single-threaded object"],
 ["ACL2____USER-STOBJS-MODIFIED-WARNINGS","User-stobjs-modified-warnings","USER-STOBJS-MODIFIED-WARNINGS",[704,9],"Interactions of <tt><see topic=\"ACL2____TRANS-EVAL\">trans-eval</see></tt> with <see topic=\"ACL2____STOBJ\">stobj</see>s that violate \u000A applicative semantics"],
 ["ACL2____SLOW-ARRAY-WARNING","Slow-array-warning","SLOW-ARRAY-WARNING",[47],"A warning or error issued when <see topic=\"ACL2____ARRAYS\">arrays</see> are used inefficiently"],
 ["ACL2____OPERATIONAL-SEMANTICS-5_F5_F5HISTORY-ETC","Operational-semantics-5__history-etc","OPERATIONAL-SEMANTICS-5__HISTORY-ETC",[152],"A quick history of our style of modeling state machines"],
 ["ACL2____MAKE-EVENT-DETAILS","Make-event-details","MAKE-EVENT-DETAILS",[14],"Details on <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt> expansion"],
 ["ACL2____INTRODUCTION-TO-REWRITE-RULES-PART-2","Introduction-to-rewrite-rules-part-2","INTRODUCTION-TO-REWRITE-RULES-PART-2",[18],"How to arrange rewrite rules"],
 ["ACL2____FAST-CERT","Fast-cert","FAST-CERT",[25,19],"A mode for faster, but possibly unsound, book certification"],
 ["COMMON-LISP____EQUAL","Equal","EQUAL",[726,142],"True equality"],
 ["COMMON-LISP____CDR","Cdr","CDR",[539,142],"Returns the second element of a <tt><see topic=\"COMMON-LISP____CONS\">cons</see></tt> pair, else <v>nil</v>"],
 ["COMMON-LISP____CAR","Car","CAR",[539,142],"Returns the first element of a non-empty list, else <v>nil</v>"],
 ["ACL2____ZERO-TEST-IDIOMS","Zero-test-idioms","ZERO-TEST-IDIOMS",[282],"How to test for 0"],
 ["ACL2____TC","Tc","TC",[739],"translate form and clean it up"],
 ["ACL2____STOBJ-EXAMPLE-1","Stobj-example-1","STOBJ-EXAMPLE-1",[9],"An example of the use of single-threaded objects"],
 ["ACL2____SET-TAU-AUTO-MODE","Set-tau-auto-mode","SET-TAU-AUTO-MODE",[52],"Turn on or off automatic (``greedy'') generation of <v>:tau-system</v> \u000A  rules"],
 ["ACL2____REDUNDANT-ENCAPSULATE","Redundant-encapsulate","REDUNDANT-ENCAPSULATE",[22],"Redundancy of <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt> <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____PARALLELISM-TUTORIAL","Parallelism-tutorial","PARALLELISM-TUTORIAL",[487],"A tutorial on how to use the parallelism library."],
 ["ACL2____OPERATIONAL-SEMANTICS-4_F5_F5HOW-TO-FIND-THINGS","Operational-semantics-4__how-to-find-things","OPERATIONAL-SEMANTICS-4__HOW-TO-FIND-THINGS",[152],"Citation conventions for doc operational-semantics"],
 ["ACL2____MAKE-EVENT-EXAMPLE-2","Make-event-example-2","MAKE-EVENT-EXAMPLE-2",[14],"An example use of <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt>"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-PROPOSITIONAL-CALCULUS","Logic-knowledge-taken-for-granted-propositional-calculus","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-PROPOSITIONAL-CALCULUS",[18],"A brief explanation of propositional calculus"],
 ["ACL2____INDUCTION-COARSE-V-FINE-GRAINED","Induction-coarse-v-fine-grained","INDUCTION-COARSE-V-FINE-GRAINED",[159],"advice on case explosion in complex inductions"],
 ["ACL2____GUARD-SIMPLIFICATION","Guard-simplification","GUARD-SIMPLIFICATION",[533],"Levels of simplification for <see topic=\"ACL2____GUARD\">guard</see> proof obligations"],
 ["ACL2____GUARD-EVALUATION-TABLE","Guard-evaluation-table","GUARD-EVALUATION-TABLE",[91],"A table that shows combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____GENTLE-INTRODUCTION-TO-ACL2-PROGRAMMING","Gentle-introduction-to-ACL2-programming","GENTLE-INTRODUCTION-TO-ACL2-PROGRAMMING",[235],"A Gentle Introduction to ACL2 Programming"],
 ["ACL2____GENEQV","Geneqv","GENEQV",[18,26],"the rewriter's generated equivalence relation"],
 ["ACL2____FAST-ALISTS","Fast-alists","FAST-ALISTS",[755,125,107],"Alists with hidden hash tables for faster execution"],
 ["ACL2____EVALUATOR-RESTRICTIONS","Evaluator-restrictions","EVALUATOR-RESTRICTIONS",[28],"Some restrictions on the use of evaluators in meta-level rules"],
 ["ACL2____DEFUN-MODE-CAVEAT","Defun-mode-caveat","DEFUN-MODE-CAVEAT",[672],"Potential soundness issue for functions with <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> \u000A  <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>"],
 ["ACL2____BOOK-NAME","Book-name","BOOK-NAME",[1320],"Conventions associated with book-names"],
 ["ACL2____BDD-ALGORITHM","Bdd-algorithm","BDD-ALGORITHM",[552],"Summary of the BDD algorithm in ACL2"],
 ["ACL2____ASSERT-EVENT","Assert-event","ASSERT-EVENT",[85,769],"Assert that a given form returns a non-<v>nil</v> value"],
 ["COMMON-LISP____CONS","Cons","CONS",[539,142],"Pair and list constructor"],
 ["ACL2____WET","Wet","WET",[630],"Evaluate a form and print subsequent error trace"],
 ["ACL2____STATING-AND-PROVING-LEMMAS-ABOUT-LOOP_42S","Stating-and-proving-lemmas-about-loop$s","STATING-AND-PROVING-LEMMAS-ABOUT-LOOP$S",[34],"Stating and proving theorems about <v>loop$</v>s"],
 ["ACL2____REWRITING-VERSUS-CLEANING-UP-LAMBDA-OBJECTS","Rewriting-versus-cleaning-up-lambda-objects","REWRITING-VERSUS-CLEANING-UP-LAMBDA-OBJECTS",[13],"why change the default action on rewriting <v>lambda</v> objects"],
 ["ACL2____R-AND-I-ANNOTATED-BIBLIOGRAPHY","R-and-i-annotated-bibliography","R-AND-I-ANNOTATED-BIBLIOGRAPHY",[66],"Recursion and Induction: Annotated Bibliography"],
 ["ACL2____PATTERNED-CONGRUENCE","Patterned-congruence","PATTERNED-CONGRUENCE",[12],"Removing restrictions on classic <see topic=\"ACL2____CONGRUENCE\">congruence</see> rules"],
 ["ACL2____NUMBERS","Numbers","NUMBERS",[125],"Numbers in ACL2 and operations on them"],
 ["ACL2____DEFEXEC","Defexec","DEFEXEC",[85,55],"Attach a terminating executable function to a definition"],
 ["ACL2____VERSION","Version","VERSION",[863],"ACL2 Version Number"],
 ["ACL2____TRANS_A2","Trans*","TRANS*",[739],"Show intermediate expansion results for the translation of a form"],
 ["ACL2____TERMINATION-THEOREM-EXAMPLE","Termination-theorem-example","TERMINATION-THEOREM-EXAMPLE",[67,1076,20],"How to use a previously-proved measure theorem"],
 ["ACL2____SPECIOUS-SIMPLIFICATION","Specious-simplification","SPECIOUS-SIMPLIFICATION",[654],"Nonproductive proof steps"],
 ["ACL2____SAVING-EVENT-DATA","Saving-event-data","SAVING-EVENT-DATA",[33,599],"Save data stored for subsidiary <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____REWRITING-CALLS-OF-APPLY_42-EV_42-AND-LOOP_42-SCIONS","Rewriting-calls-of-apply$-ev$-and-loop$-scions","REWRITING-CALLS-OF-APPLY$-EV$-AND-LOOP$-SCIONS",[27],"How the rewriter handles <v>apply$</v>, <v>ev$</v>, and <v>loop$</v> terms"],
 ["ACL2____NOTE-2-9-3","Note-2-9-3","NOTE-2-9-3",[210],"ACL2 Version  2.9.3 (August, 2005) Notes"],
 ["ACL2____NOTE-2-9-1","Note-2-9-1","NOTE-2-9-1",[210],"ACL2 Version  2.9.1 (December, 2004) Notes"],
 ["ACL2____NOTE-2-7-BUG-FIXES","Note-2-7-bug-fixes","NOTE-2-7-BUG-FIXES",[184],"ACL2 Version  2.7 Notes on Bug Fixes"],
 ["ACL2____MEMOIZE-PARTIAL","Memoize-partial","MEMOIZE-PARTIAL",[37],"<tt><see topic=\"ACL2____MEMOIZE\">Memoize</see></tt> a partial version of a limited (`clocked') function"],
 ["ACL2____LP-SECTION-8","Lp-section-8","LP-SECTION-8",[71],"Challenge Problems about <v>FOR</v> <v>Loop$</v> in <v>Defun</v>s"],
 ["ACL2____LP-SECTION-10","Lp-section-10","LP-SECTION-10",[71],"The Evaluation of the Formal Semantics of a Fancy <v>Loop$</v>"],
 ["ACL2____INTRODUCTION-TO-A-FEW-SYSTEM-CONSIDERATIONS","Introduction-to-a-few-system-considerations","INTRODUCTION-TO-A-FEW-SYSTEM-CONSIDERATIONS",[18],"The mechanics of interaction with the theorem prover"],
 ["ACL2____INTERESTING-APPLICATIONS","Interesting-applications","INTERESTING-APPLICATIONS",[377],"Some industrial examples of ACL2 use"],
 ["ACL2____DEFPROXY","Defproxy","DEFPROXY",[85],"Define a non-executable <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt>-mode function for \u000A  attachment"],
 ["ACL2____CONSERVATIVITY-OF-DEFCHOOSE","Conservativity-of-defchoose","CONSERVATIVITY-OF-DEFCHOOSE",[117],"Proof of conservativity of <tt><see topic=\"ACL2____DEFCHOOSE\">defchoose</see></tt>"],
 ["ACL2-PC____REWRITE","ACL2-pc::rewrite","REWRITE",[224],"(primitive) \u000Aapply a rewrite rule"],
 ["ACL2____WORMHOLE-PROGRAMMING-TIPS","Wormhole-programming-tips","WORMHOLE-PROGRAMMING-TIPS",[32,178],"some tips for how to use wormholes"],
 ["ACL2____TIPS","Tips","TIPS",[377],"Some hints for using the ACL2 prover"],
 ["ACL2____THEORIES-AND-PRIMITIVES","Theories-and-primitives","THEORIES-AND-PRIMITIVES",[6],"Warnings from disabling or enabling certain built-in functions"],
 ["ACL2____REFINEMENT-FAILURE","Refinement-failure","REFINEMENT-FAILURE",[18,26],"what to do when a rewrite rule fails the refinement check"],
 ["ACL2____RANDOM-REMARKS-ON-REWRITING","Random-remarks-on-rewriting","RANDOM-REMARKS-ON-REWRITING",[13,172],"Some basic facts about the ACL2 rewriter"],
 ["ACL2____R-AND-I-DEFINITIONS-REVISITED","R-and-i-definitions-revisited","R-AND-I-DEFINITIONS-REVISITED",[66],"Recursion and Induction: Definitions Revisited"],
 ["ACL2____PSEUDO-TERMP","Pseudo-termp","PSEUDO-TERMP",[7,142],"A predicate for recognizing term-like s-expressions"],
 ["ACL2____NOTE-4-0","Note-4-0","NOTE-4-0",[210],"ACL2 Version  4.0 (July, 2010) Notes"],
 ["ACL2____NOTE-2-9-2","Note-2-9-2","NOTE-2-9-2",[210],"ACL2 Version  2.9.2 (April, 2005) Notes"],
 ["ACL2____NOTE-2-8-BUG-FIXES","Note-2-8-bug-fixes","NOTE-2-8-BUG-FIXES",[153],"ACL2 Version  2.8 Notes on Bug Fixes"],
 ["ACL2____NOTE-2-7-NEW-FUNCTIONALITY","Note-2-7-new-functionality","NOTE-2-7-NEW-FUNCTIONALITY",[184],"ACL2 Version  2.7 Notes on New Functionality"],
 ["ACL2____LP-SECTION-6","Lp-section-6","LP-SECTION-6",[71],"Challenge Problems about <v>FOR</v> <v>Loop$</v>s"],
 ["ACL2____INTRODUCTION-TO-THE-DATABASE","Introduction-to-the-database","INTRODUCTION-TO-THE-DATABASE",[18],"How to update the database"],
 ["ACL2____GUARD-EVALUATION-EXAMPLES-LOG","Guard-evaluation-examples-log","GUARD-EVALUATION-EXAMPLES-LOG",[91],"Log showing combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____GITHUB-COMMIT-CODE-USING-PUSH","Github-commit-code-using-push","GITHUB-COMMIT-CODE-USING-PUSH",[807],"How to commit code to the books using direct push access"],
 ["ACL2____EFFICIENCY","Efficiency","EFFICIENCY",[565,-1,125],"Efficiency considerations"],
 ["ACL2____COMPRESS1","Compress1","COMPRESS1",[47,142],"Remove irrelevant pairs from a 1-dimensional array"],
 ["ACL2____WORMHOLE-IMPLEMENTATION","Wormhole-implementation","WORMHOLE-IMPLEMENTATION",[32],"Notes on how wormholes are implemented"],
 ["ACL2____VERIFY-GUARDS-FOR-SYSTEM-FUNCTIONS","Verify-guards-for-system-functions","VERIFY-GUARDS-FOR-SYSTEM-FUNCTIONS",[70,36],"Arranging that source functions come up as guard-verified"],
 ["ACL2____USING-COMPUTED-HINTS-7","Using-computed-hints-7","USING-COMPUTED-HINTS-7",[1129],"Using the <v>stable-under-simplificationp</v> flag"],
 ["ACL2____STOBJ-EXAMPLE-3","Stobj-example-3","STOBJ-EXAMPLE-3",[9],"Another example of a single-threaded object"],
 ["ACL2____STATE-GLOBAL-LET_A2","State-global-let*","STATE-GLOBAL-LET*",[46,142],"Bind <see topic=\"ACL2____STATE\">state</see> global variables"],
 ["ACL2____SET-WARNINGS-AS-ERRORS","Set-warnings-as-errors","SET-WARNINGS-AS-ERRORS",[1295,769,599],"Changing <see topic=\"ACL2____WARNINGS\">warnings</see> to hard <see topic=\"ACL2____ERRORS\">errors</see> (and vice-versa)"],
 ["ACL2____SBCL-INSTALLATION","Sbcl-installation","SBCL-INSTALLATION",[1121],"Installing Steel Bank Common Lisp (SBCL)"],
 ["ACL2____R-AND-I-TERMS","R-and-i-terms","R-AND-I-TERMS",[66],"Recursion and Induction: Terms"],
 ["ACL2____R-AND-I-STRUCTURAL-INDUCTION","R-and-i-structural-induction","R-AND-I-STRUCTURAL-INDUCTION",[66],"Recursion and Induction: Structural Induction"],
 ["ACL2____R-AND-I-RELATIONS-BETWEEN-RECURSION-AND-INDUCTION","R-and-i-relations-between-recursion-and-induction","R-AND-I-RELATIONS-BETWEEN-RECURSION-AND-INDUCTION",[66],"Recursion and Induction: Relations Between Recursion and Induction"],
 ["ACL2____R-AND-I-ORDINALS","R-and-i-ordinals","R-AND-I-ORDINALS",[66],"Recursion and Induction: The Ordinals"],
 ["ACL2____R-AND-I-INADEQUACIES-OF-STRUCTURAL-RECURSION","R-and-i-inadequacies-of-structural-recursion","R-AND-I-INADEQUACIES-OF-STRUCTURAL-RECURSION",[66],"Recursion and Induction: Inadequacies of Structural Recursion"],
 ["ACL2____R-AND-I-AXIOMS","R-and-i-axioms","R-AND-I-AXIOMS",[66],"Recursion and Induction: Axioms"],
 ["ACL2____R-AND-I-ABBREVIATIONS-FOR-TERMS","R-and-i-abbreviations-for-terms","R-AND-I-ABBREVIATIONS-FOR-TERMS",[66],"Recursion and Induction: Abbreviations for Terms"],
 ["ACL2____PROOF-TREE-EXAMPLES","Proof-tree-examples","PROOF-TREE-EXAMPLES",[129],"Proof tree example"],
 ["ACL2____PROGRAMMING-KNOWLEDGE-TAKEN-FOR-GRANTED","Programming-knowledge-taken-for-granted","PROGRAMMING-KNOWLEDGE-TAKEN-FOR-GRANTED",[18],"Background knowledge in ACL2 programming for theorem prover tutorial"],
 ["ACL2____PACKAGE-REINCARNATION-IMPORT-RESTRICTIONS","Package-reincarnation-import-restrictions","PACKAGE-REINCARNATION-IMPORT-RESTRICTIONS",[832],"Re-defining undone <tt><see topic=\"ACL2____DEFPKG\">defpkg</see></tt>s"],
 ["ACL2____NOTE-7-0","Note-7-0","NOTE-7-0",[210],"ACL2 Version  7.0 (January, 2015) Notes"],
 ["ACL2____NOTE-3-6","Note-3-6","NOTE-3-6",[210],"ACL2 Version  3.6 (August, 2009) Notes"],
 ["ACL2____NOTE-3-3","Note-3-3","NOTE-3-3",[210],"ACL2 Version  3.3 (November, 2007) Notes"],
 ["ACL2____NOTE-3-2-1","Note-3-2-1","NOTE-3-2-1",[210],"ACL2 Version  3.2.1 (June, 2007) Notes"],
 ["ACL2____NOTE-3-0-1","Note-3-0-1","NOTE-3-0-1",[210],"ACL2 Version  3.0.1 (August, 2006) Notes"],
 ["ACL2____NOTE-2-9-5","Note-2-9-5","NOTE-2-9-5",[210],"Changes in Version  3.0 since Version  2.9.4"],
 ["ACL2____NOTE-2-8-NEW-FUNCTIONALITY","Note-2-8-new-functionality","NOTE-2-8-NEW-FUNCTIONALITY",[153],"ACL2 Version  2.8 Notes on New Functionality"],
 ["ACL2____NOTE-2-7-PROOFS","Note-2-7-proofs","NOTE-2-7-PROOFS",[184],"ACL2 Version  2.7 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-7-OTHER","Note-2-7-other","NOTE-2-7-OTHER",[184],"ACL2 Version  2.7 Notes on Miscellaneous Changes"],
 ["ACL2____NOTE-2-6-PROOFS","Note-2-6-proofs","NOTE-2-6-PROOFS",[1049],"ACL2 Version  2.6 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-6-NEW-FUNCTIONALITY","Note-2-6-new-functionality","NOTE-2-6-NEW-FUNCTIONALITY",[1049],"ACL2 Version  2.6 Notes on New Functionality"],
 ["ACL2____NOTE-2-5","Note-2-5","NOTE-2-5",[210],"ACL2 Version  2.5 (June, 2000) Notes"],
 ["ACL2____NOTE-1-5","Note-1-5","NOTE-1-5",[210],"Acl2 Version 1.5 Notes"],
 ["ACL2____MIXED-MODE-FUNCTIONS","Mixed-mode-functions","MIXED-MODE-FUNCTIONS",[27],"<v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt> mode functions can <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> <v>:</v><tt><see topic=\"ACL2____PROGRAM\">program</see></tt> mode functions"],
 ["ACL2____META-IMPLICIT-HYPOTHESIS","Meta-implicit-hypothesis","META-IMPLICIT-HYPOTHESIS",[28],"A potentially more efficient way of coding a hypothesis metafunction"],
 ["ACL2____LP-SECTION-9","Lp-section-9","LP-SECTION-9",[71],"Semantics of <v>FOR</v> <v>Loop$</v>s"],
 ["ACL2____LP-SECTION-17","Lp-section-17","LP-SECTION-17",[71],"Challenge Proof Problems for <v>DO</v> <v>Loop$</v>s"],
 ["ACL2____LP-SECTION-16","Lp-section-16","LP-SECTION-16",[71],"Proving Theorems about <v>DO</v> <v>Loop$</v>s"],
 ["ACL2____LP-SECTION-15","Lp-section-15","LP-SECTION-15",[71],"Informal Syntax and Semantics of <v>DO</v> <v>Loop$</v>s"],
 ["ACL2____LP-SECTION-11","Lp-section-11","LP-SECTION-11",[71],"Proving Theorems about <v>FOR</v> <v>Loop$</v>s"],
 ["ACL2____LP-BACKGROUND-REVIEW-2-ANSWERS","Lp-background-review-2-answers","LP-BACKGROUND-REVIEW-2-ANSWERS",[1113],"Answers to the review of <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> and related concepts"],
 ["ACL2____LP-BACKGROUND-REVIEW-1-ANSWERS","Lp-background-review-1-answers","LP-BACKGROUND-REVIEW-1-ANSWERS",[1113],"Answers to background review of basic ACL2 knowledge"],
 ["ACL2____LOOP_42-RECURSION-INDUCTION","Loop$-recursion-induction","LOOP$-RECURSION-INDUCTION",[34],"Advice on inductive theorems about <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt>-recursive functions"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING","Logic-knowledge-taken-for-granted-rewriting","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING",[18],"A brief explanation of rewriting from the logical perspective"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-4-ANSWER","Introductory-challenge-problem-4-answer","INTRODUCTORY-CHALLENGE-PROBLEM-4-ANSWER",[18],"Answer to challenge problem 4 for the new user of ACL2"],
 ["ACL2____INTRODUCTION-TO-PROGRAMMING-IN-ACL2-FOR-THOSE-WHO-KNOW-LISP","Introduction-to-programming-in-ACL2-for-those-who-know-lisp","INTRODUCTION-TO-PROGRAMMING-IN-ACL2-FOR-THOSE-WHO-KNOW-LISP",[125,18],"Introduction to programming in ACL2 for Lisp users"],
 ["ACL2____INTRODUCTION-TO-HINTS","Introduction-to-hints","INTRODUCTION-TO-HINTS",[18],"How to provide hints to the theorem prover"],
 ["ACL2____INFECTED-CONSTRAINTS","Infected-constraints","INFECTED-CONSTRAINTS",[22],"<tt><see topic=\"ACL2____EVENTS\">Events</see></tt> affecting <see topic=\"ACL2____CONSTRAINT\">constraint</see>s of <tt><see topic=\"ACL2____ENCAPSULATE\">encapsulate</see></tt>s"],
 ["ACL2____GUARD-EXAMPLE","Guard-example","GUARD-EXAMPLE",[1493,91],"A brief transcript illustrating <see topic=\"ACL2____GUARD\">guard</see>s in ACL2"],
 ["ACL2____GITHUB-COMMIT-CODE-USING-PULL-REQUESTS","Github-commit-code-using-pull-requests","GITHUB-COMMIT-CODE-USING-PULL-REQUESTS",[807],"How to commit code to the books using pull requests"],
 ["ACL2____FREE-VARIABLES-EXAMPLES-REWRITE","Free-variables-examples-rewrite","FREE-VARIABLES-EXAMPLES-REWRITE",[1370],"Examples pertaining to free variables in <see topic=\"ACL2____REWRITE\">rewrite</see> rules"],
 ["ACL2____EXPLAIN-NEAR-MISS","Explain-near-miss","EXPLAIN-NEAR-MISS",[565],"show why a rule's pattern and the :target do not match"],
 ["ACL2____EXPLAIN-GIANT-LAMBDA-OBJECT","Explain-giant-lambda-object","EXPLAIN-GIANT-LAMBDA-OBJECT",[27],"print data related to a large lambda object"],
 ["ACL2____EQUALITY-VARIANTS-DETAILS","Equality-variants-details","EQUALITY-VARIANTS-DETAILS",[111],"Details about <see topic=\"ACL2____EQUALITY-VARIANTS\">equality-variants</see>"],
 ["ACL2____DEALING-WITH-KEY-COMBINATIONS-OF-FUNCTION-SYMBOLS","Dealing-with-key-combinations-of-function-symbols","DEALING-WITH-KEY-COMBINATIONS-OF-FUNCTION-SYMBOLS",[18],"How to get rid of key combinations of function symbols"],
 ["ACL2____BOUNDERS","Bounders","BOUNDERS",[52],"Intervals, bounder functions, and bounder correctness"],
 ["ACL2____BOOKDATA","Bookdata","BOOKDATA",[50],"Write small files with meta-data about certified <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____BOOK-EXAMPLE","Book-example","BOOK-EXAMPLE",[1320],"How to create, certify, and use a simple book"],
 ["ACL2____BDD-INTRODUCTION","Bdd-introduction","BDD-INTRODUCTION",[552],"Examples illustrating the use of BDDs in ACL2"],
 ["ACL2____ARCHITECTURE-OF-THE-PROVER","Architecture-of-the-prover","ARCHITECTURE-OF-THE-PROVER",[18],"A simple overview of how the prover works"],
 ["ACL2____ALTERNATIVE-INTRODUCTION","Alternative-introduction","ALTERNATIVE-INTRODUCTION",[377],"Introduction to ACL2"],
 ["ACL2____ADD-INCLUDE-BOOK-DIR","Add-include-book-dir","ADD-INCLUDE-BOOK-DIR",[1039],"Link keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["ACL2____ACL2-TUTORIAL","ACL2-tutorial","ACL2-TUTORIAL",[235],"Tutorial introduction to ACL2"],
 ["ACL2____ACKNOWLEDGMENTS","Acknowledgments","ACKNOWLEDGMENTS",[863],"Some contributors to the well-being of ACL2"],
 ["ACL2____ACCUMULATED-PERSISTENCE-SUBTLETIES","Accumulated-persistence-subtleties","ACCUMULATED-PERSISTENCE-SUBTLETIES",[63],"Some subtle aspects of the counting done by <tt><see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see></tt>"],
 ["ACL2-PC____APPLY-LINEAR","ACL2-pc::apply-linear","APPLY-LINEAR",[224],"(primitive) \u000Aapply a linear rule"],
 ["BIB____LIU06","Bib::liu06","LIU06",[132],"H. Liu, <i><a \u000A  href='https://www.cs.utexas.edu/~moore/publications/liu-dissertation.pdf'>Formal \u000A  Specification and Verification of a JVM and its Bytecode Verifier</a></i>, \u000A  University of Texas at Austin, Ph.D. dissertation, 2006 \u000A \u000A  <br></br><br></br><b>Relevance:</b> most complete ACL2 model of the JVM "],
 ["BIB____BM96","Bib::bm96","BM96",[132],"R. S. Boyer and J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/bm96.pdf'>Mechanized \u000A  Formal Reasoning about Programs and Computing Machines</a>&rdquo;, in \u000A  R. Veroff, editor, <i>Automated Reasoning and Its Applications: Essays in \u000A  Honor of Larry Wos</i>, MIT Press, 1966. \u000A \u000A  <br></br><br></br><b>Relevance:</b> the basic Nqthm/ACL2 style of operational semantics as a book chapter"],
 ["ACL2_____A2COMMON-LISP-SYMBOLS-FROM-MAIN-LISP-PACKAGE_A2","*common-lisp-symbols-from-main-lisp-package*","*COMMON-LISP-SYMBOLS-FROM-MAIN-LISP-PACKAGE*",[832,142],"Symbols that are often imported into new packages to provide easy \u000A access to Common Lisp functionality."],
 ["ACL2____USING-COMPUTED-HINTS-6","Using-computed-hints-6","USING-COMPUTED-HINTS-6",[1129],"Using the computed-hint-replacement feature"],
 ["ACL2____TUTORIAL1-TOWERS-OF-HANOI","Tutorial1-towers-of-hanoi","TUTORIAL1-TOWERS-OF-HANOI",[534],"The Towers of Hanoi Example"],
 ["ACL2____TAIL-BITING","Tail-biting","TAIL-BITING",[565],"Rewriting a true term to <v>NIL</v>"],
 ["ACL2____REDEFINING-PROGRAMS","Redefining-programs","REDEFINING-PROGRAMS",[125],"An explanation of why we restrict redefinitions"],
 ["ACL2____R-AND-I-ACL2-ARITHMETIC","R-and-i-ACL2-arithmetic","R-AND-I-ACL2-ARITHMETIC",[1221],"Recursion and Induction: ACL2 Arithmetic"],
 ["ACL2____POINTERS","Pointers","POINTERS",[0],"Links pointing to relevant documentation topics"],
 ["ACL2____NOTE-8-3","Note-8-3","NOTE-8-3",[210],"ACL2 Version  8.3 (April, 2020) Notes"],
 ["ACL2____NOTE-8-1","Note-8-1","NOTE-8-1",[210],"ACL2 Version  8.1 (September, 2018) Notes"],
 ["ACL2____NOTE-7-0-MEMOIZE","Note-7-0-memoize","NOTE-7-0-MEMOIZE",[335],"ACL2 Version  7.0 Notes on Changes to Memoization Implementation"],
 ["ACL2____NOTE-6-1","Note-6-1","NOTE-6-1",[210],"ACL2 Version  6.1 (February, 2013) Notes"],
 ["ACL2____NOTE-4-3","Note-4-3","NOTE-4-3",[210],"ACL2 Version  4.3 (July, 2011) Notes"],
 ["ACL2____NOTE-4-2","Note-4-2","NOTE-4-2",[210],"ACL2 Version  4.2 (January, 2011) Notes"],
 ["ACL2____NOTE-4-1","Note-4-1","NOTE-4-1",[210],"ACL2 Version  4.1 (September, 2010) Notes"],
 ["ACL2____NOTE-3-5","Note-3-5","NOTE-3-5",[210],"ACL2 Version  3.5 (May, 2009) Notes"],
 ["ACL2____NOTE-3-4","Note-3-4","NOTE-3-4",[210],"ACL2 Version  3.4 (August, 2008) Notes"],
 ["ACL2____NOTE-3-2","Note-3-2","NOTE-3-2",[210],"ACL2 Version  3.2 (April, 2007) Notes"],
 ["ACL2____NOTE-3-0-2","Note-3-0-2","NOTE-3-0-2",[210],"ACL2 Version  3.0.2 (December, 2006) Notes"],
 ["ACL2____NOTE-2-9-4","Note-2-9-4","NOTE-2-9-4",[210],"ACL2 Version  2.9.4 (February, 2006) Notes"],
 ["ACL2____NOTE-2-9-3-PPR-CHANGE","Note-2-9-3-ppr-change","NOTE-2-9-3-PPR-CHANGE",[290],"Change in pretty-printing for ACL2 Version_2.9.3"],
 ["ACL2____NOTE-2-9","Note-2-9","NOTE-2-9",[210],"ACL2 Version  2.9 (October, 2004) Notes"],
 ["ACL2____NOTE-2-8-PROOFS","Note-2-8-proofs","NOTE-2-8-PROOFS",[153],"ACL2 Version  2.8 Notes on Changes in Proof Engine"],
 ["ACL2____NOTE-2-6-OTHER","Note-2-6-other","NOTE-2-6-OTHER",[1049],"ACL2 Version  2.6 Notes on Other (Minor) Changes"],
 ["ACL2____NOTE-1-8","Note-1-8","NOTE-1-8",[210],"ACL2 Version 1.8 (May, 1995) Notes"],
 ["ACL2____NOTE-1-7","Note-1-7","NOTE-1-7",[210],"ACL2 Version 1.7 (released October 1994) Notes"],
 ["ACL2____NOTE-1-6","Note-1-6","NOTE-1-6",[210],"Acl2 Version 1.6 Notes"],
 ["ACL2____NOTE-1-4","Note-1-4","NOTE-1-4",[210],"Acl2 Version 1.4 Notes"],
 ["ACL2____NOTE-1-3","Note-1-3","NOTE-1-3",[210],"Acl2 Version 1.3 Notes"],
 ["ACL2____LISTS","Lists","LISTS",[125],"Lists of objects, the classic Lisp data structure."],
 ["ACL2____FUTURE-WORK-RELATED-TO-THE-TAU-SYSTEM","Future-work-related-to-the-tau-system","FUTURE-WORK-RELATED-TO-THE-TAU-SYSTEM",[155],"Some tau system problems that we hope someone will address"],
 ["ACL2____FURTHER-INFORMATION-ON-REWRITING","Further-information-on-rewriting","FURTHER-INFORMATION-ON-REWRITING",[18],"A grab bag of advice and information on rewriting"],
 ["ACL2____FREQUENTLY-ASKED-QUESTIONS-BY-NEWCOMERS","Frequently-asked-questions-by-newcomers","FREQUENTLY-ASKED-QUESTIONS-BY-NEWCOMERS",[18],"Some questions newcomers frequently ask"],
 ["ACL2____FAST-CERT-ANOMALIES","Fast-cert-anomalies","FAST-CERT-ANOMALIES",[252],"Potentially surprising consequences of using <see topic=\"ACL2____FAST-CERT\">fast-cert</see> mode"],
 ["ACL2____FAILED-FORCING","Failed-forcing","FAILED-FORCING",[21,565],"How to deal with a proof <see topic=\"ACL2____FAILURE\">failure</see> in a forcing round"],
 ["ACL2____DEALING-WITH-TAU-PROBLEMS","Dealing-with-tau-problems","DEALING-WITH-TAU-PROBLEMS",[155],"Some advice on dealing with problems caused by the tau system"],
 ["ACL2____CCL-INSTALLATION-EXTRA","Ccl-installation-extra","CCL-INSTALLATION-EXTRA",[862],"Clozure Common Lisp (CCL) installation and implementation details"],
 ["ACL2____BOOKS-CERTIFICATION-ALT","Books-certification-alt","BOOKS-CERTIFICATION-ALT",[148],"Alternate instructions for certifying the <see topic=\"ACL2____COMMUNITY-BOOKS\">community-books</see>, \u000A from the perspective of the <v>acl2-sources</v> directory."],
 ["ACL2____BOOK-HASH-MISMATCH","Book-hash-mismatch","BOOK-HASH-MISMATCH",[476],"Deeming a book uncertified because of a <see topic=\"ACL2____BOOK-HASH\">book-hash</see> mismatch"],
 ["ACL2____ATTACH-STOBJ","Attach-stobj","ATTACH-STOBJ",[59],"Attach an &ldquo;implementation <see topic=\"ACL2____STOBJ\">stobj</see>&rdquo; to an attachable \u000A stobj"],
 ["COMMON-LISP____REAL","Real","REAL",[800],"ACL2(r) support for real numbers"],
 ["COMMON-LISP____MACROLET","Macrolet","MACROLET",[726,142],"Local binding of macro symbols"],
 ["BIB____PLOTKIN04B","Bib::plotkin04b","PLOTKIN04B",[132]," G. D. Plotkin, &ldquo;<a \u000A  href='https://www.sciencedirect.com/science/article/pii/S1567832604000268'> \u000A  The origins of structural operational semantics</a>&rdquo;, <i>The Journal of \u000A  Logic and Algebraic Programming</i>, <b>60</b> and <b>61</b>, pp. 3-15, July \u000A  and December 2004. \u000A \u000A  <br></br><br></br><b>Relevance:</b> an interesting historical account of the \u000A  most popular (non-ACL2) approach to operational semantics"],
 ["ACL2____USING-COMPUTED-HINTS-4","Using-computed-hints-4","USING-COMPUTED-HINTS-4",[1129],"Computing the Hints"],
 ["ACL2____USING-COMPUTED-HINTS-3","Using-computed-hints-3","USING-COMPUTED-HINTS-3",[1129],"Hints as a Function of the Goal (not its Name)"],
 ["ACL2____TUTORIAL3-PHONEBOOK-EXAMPLE","Tutorial3-phonebook-example","TUTORIAL3-PHONEBOOK-EXAMPLE",[534],"A Phonebook Specification"],
 ["ACL2____SYNTAXP-EXAMPLES","Syntaxp-examples","SYNTAXP-EXAMPLES",[87],"Examples pertaining to syntaxp hypotheses"],
 ["ACL2____RULE-CLASSES-INTRODUCTION","Rule-classes-introduction","RULE-CLASSES-INTRODUCTION",[12],"Selecting which kind of rule to create"],
 ["ACL2____R-AND-I-TERMS-AS-FORMULAS","R-and-i-terms-as-formulas","R-AND-I-TERMS-AS-FORMULAS",[66],"Recursion and Induction: Terms as Formulas"],
 ["ACL2____PROHIBITION-OF-LOOP_42-AND-LAMBDA_42","Prohibition-of-loop$-and-lambda$","PROHIBITION-OF-LOOP$-AND-LAMBDA$",[128,118,35],"Certain events do not allow <tt><see topic=\"ACL2____LOOP_42\">loop$</see></tt>s or <tt><see topic=\"ACL2____LAMBDA_42\">lambda$</see></tt>s"],
 ["ACL2____NOTE-8-6","Note-8-6","NOTE-8-6",[210],"ACL2 Version  8.6 (October, 2024) Notes"],
 ["ACL2____NOTE-8-5","Note-8-5","NOTE-8-5",[210],"ACL2 Version  8.5 (July, 2022) Notes"],
 ["ACL2____NOTE-8-4","Note-8-4","NOTE-8-4",[210],"ACL2 Version  8.4 (August, 2021) Notes"],
 ["ACL2____NOTE-8-2","Note-8-2","NOTE-8-2",[210],"ACL2 Version  8.2 (May, 2019) Notes"],
 ["ACL2____NOTE-8-0","Note-8-0","NOTE-8-0",[210],"ACL2 Version  8.0 (December, 2017) Notes"],
 ["ACL2____NOTE-7-4","Note-7-4","NOTE-7-4",[210],"ACL2 Version  7.4 (March, 2017) Notes"],
 ["ACL2____NOTE-7-3","Note-7-3","NOTE-7-3",[210],"ACL2 Version  7.3 (December, 2016) Notes"],
 ["ACL2____NOTE-7-2","Note-7-2","NOTE-7-2",[210],"ACL2 Version  7.2 (January, 2016) Notes"],
 ["ACL2____NOTE-7-1","Note-7-1","NOTE-7-1",[210],"ACL2 Version  7.1 (May, 2015) Notes"],
 ["ACL2____NOTE-6-5","Note-6-5","NOTE-6-5",[210],"ACL2 Version  6.5 (August, 2014) Notes"],
 ["ACL2____NOTE-6-4","Note-6-4","NOTE-6-4",[210],"ACL2 Version  6.4 (January, 2014) Notes"],
 ["ACL2____NOTE-6-3","Note-6-3","NOTE-6-3",[210],"ACL2 Version  6.3 (October, 2013) Notes"],
 ["ACL2____NOTE-6-2","Note-6-2","NOTE-6-2",[210],"ACL2 Version  6.2 (June, 2013) Notes"],
 ["ACL2____NOTE-6-0","Note-6-0","NOTE-6-0",[210],"ACL2 Version  6.0 (December, 2012) Notes"],
 ["ACL2____NOTE-5-0","Note-5-0","NOTE-5-0",[210],"ACL2 Version  5.0 (August, 2012) Notes"],
 ["ACL2____MUTUAL-RECURSION-PROOF-EXAMPLE","Mutual-recursion-proof-example","MUTUAL-RECURSION-PROOF-EXAMPLE",[1493,43],"A small proof about mutually recursive functions"],
 ["ACL2____LP-BACKGROUND-REVIEW-1","Lp-background-review-1","LP-BACKGROUND-REVIEW-1",[1113],"Background review of basic ACL2 knowledge"],
 ["ACL2____EXTEND-PE-TABLE","Extend-pe-table","EXTEND-PE-TABLE",[108],"Replace <see topic=\"ACL2____EVENTS\">events</see> displayed by <see topic=\"ACL2____HISTORY\">history</see> commands"],
 ["ACL2____SPECIFIC-KINDS-OF-FORMULAS-AS-REWRITE-RULES","Specific-kinds-of-formulas-as-rewrite-rules","SPECIFIC-KINDS-OF-FORMULAS-AS-REWRITE-RULES",[18],"Advice about how to handle commonly occurring formulas as rewrite rules"],
 ["ACL2____PSO","Pso","PSO",[599],"Show the most recently saved output"],
 ["ACL2____LP-SECTION-4","Lp-section-4","LP-SECTION-4",[71],"Syntax of <v>FOR</v> <v>Loop$</v>s"],
 ["ACL2-PC____SEQUENCE","ACL2-pc::sequence","SEQUENCE",[224],"(meta) \u000Arun the given list of instructions according to a multitude of \u000Aoptions"],
 ["ACL2____TRUE-LISTP","True-listp","TRUE-LISTP",[411,142],"Recognizer for proper (<v>nil</v>-terminated) lists"],
 ["ACL2____MAGIC-EV-FNCALL","Magic-ev-fncall","MAGIC-EV-FNCALL",[28],"Call the named function on the given arguments and return the value."],
 ["ACL2____PROOF-OF-WELL-FOUNDEDNESS","Proof-of-well-foundedness","PROOF-OF-WELL-FOUNDEDNESS",[100],"A proof that <tt><see topic=\"ACL2____O_C3\">o&lt;</see></tt> is well-founded on <tt><see topic=\"ACL2____O-P\">o-p</see></tt>s"],
 ["ACL2____MBT","Mbt","MBT",[55,142],"Introduce a test into the logic that, however, evaluates to <v>t</v>"],
 ["ACL2____LP-BACKGROUND-REVIEW-2","Lp-background-review-2","LP-BACKGROUND-REVIEW-2",[1113],"Review of <tt><see topic=\"ACL2____APPLY_42\">apply$</see></tt> and related concepts"],
 ["ACL2____LP-SECTION-7","Lp-section-7","LP-SECTION-7",[71],"Using <v>Loop$</v>s and Guards in <v>Defun</v>s"],
 ["ACL2____DEFUN-NX","Defun-nx","DEFUN-NX",[1,85],"Define a non-executable function symbol"],
 ["ACL2____STRONG-REWRITE-RULES","Strong-rewrite-rules","STRONG-REWRITE-RULES",[18],"Formulating good rewrite rules"],
 ["ACL2____REMOVE-UNTOUCHABLE","Remove-untouchable","REMOVE-UNTOUCHABLE",[24],"Remove names from lists of untouchable symbols"],
 ["ACL2____R-AND-I-PROBLEMATIC-NESTED-RECURSION","R-and-i-problematic-nested-recursion","R-AND-I-PROBLEMATIC-NESTED-RECURSION",[1637],"Recursion and Induction: Problematic Nested Recursion"],
 ["ACL2____FAILURE","Failure","FAILURE",[565],"How to deal with a failure to admit an event"],
 ["ACL2____SLOW-ALIST-WARNING","Slow-alist-warning","SLOW-ALIST-WARNING",[270],"Warnings/errors issued when <tt><see topic=\"ACL2____FAST-ALISTS\">fast-alists</see></tt> are used inefficiently"],
 ["ACL2____PUFF_A2","Puff*","PUFF*",[108],"Replace a compound <see topic=\"ACL2____COMMAND\">command</see> by its subevents"],
 ["ACL2____LD-POST-EVAL-PRINT","Ld-post-eval-print","LD-POST-EVAL-PRINT",[16],"Determines whether and how <tt><see topic=\"ACL2____LD\">ld</see></tt> prints the result of evaluation"],
 ["ACL2____IRRELEVANT-FORMALS","Irrelevant-formals","IRRELEVANT-FORMALS",[125],"Formals that are used but only insignificantly"],
 ["ACL2____INVARIANT-RISK","Invariant-risk","INVARIANT-RISK",[125,198,91,565],"Potential slowdown for <see topic=\"ACL2____PROGRAM\">program</see>-mode updates to <see topic=\"ACL2____STOBJ\">stobj</see>s \u000A or <see topic=\"ACL2____ARRAYS\">arrays</see>"],
 ["ACL2____ADD-MATCH-FREE-OVERRIDE","Add-match-free-override","ADD-MATCH-FREE-OVERRIDE",[72],"Set <v>:match-free</v> value to <v>:once</v> or <v>:all</v> in existing \u000A  rules"],
 ["ACL2____LAST-PROVER-STEPS","Last-prover-steps","LAST-PROVER-STEPS",[171,146,46,142],"The number of prover steps most recently taken"],
 ["ACL2____GRATUITOUS-LAMBDA-OBJECT-RESTRICTIONS","Gratuitous-lambda-object-restrictions","GRATUITOUS-LAMBDA-OBJECT-RESTRICTIONS",[27],"Enforcement of logically unnecessary restrictions on <v>:FN</v> slots"],
 ["ACL2____R-AND-I-MORE-PROBLEMS","R-and-i-more-problems","R-AND-I-MORE-PROBLEMS",[66],"Recursion and Induction: More Problems"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-3","Practice-formulating-strong-rules-3","PRACTICE-FORMULATING-STRONG-RULES-3",[18],"Rules suggested by <v>(<see topic=\"COMMON-LISP____MEMBER\">MEMBER</see> (FOO A) (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (BAR B) (MUM C)))</v>"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-1","Practice-formulating-strong-rules-1","PRACTICE-FORMULATING-STRONG-RULES-1",[18],"Rules suggested by <v>(<see topic=\"ACL2____TRUE-LISTP\">TRUE-LISTP</see> (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (FOO A) (BAR B)))</v>"],
 ["ACL2____BOOK-HASH","Book-hash","BOOK-HASH",[50],"Assigning ``often unique'' fingerprints to <see topic=\"ACL2____BOOKS\">books</see>"],
 ["COMMON-LISP____NTH","Nth","NTH",[411,142],"The nth element (zero-based) of a list"],
 ["ACL2____UBT","Ubt","UBT",[108,503],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back through a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____STOBJ-EXAMPLE-1-PROOFS","Stobj-example-1-proofs","STOBJ-EXAMPLE-1-PROOFS",[9],"Some proofs involving the <v>counters</v> stobj"],
 ["ACL2____LD-KEYWORD-ALIASES","Ld-keyword-aliases","LD-KEYWORD-ALIASES",[16],"Abbreviation of some keyword commands"],
 ["ACL2____DEFINDUCTOR","Definductor","DEFINDUCTOR",[237],"Create an induction scheme for a <v>loop$</v>-recursive function"],
 ["COMMON-LISP____AND","And","AND",[726,142],"Conjunction"],
 ["ACL2____ERROR-TRIPLE","Error-triple","ERROR-TRIPLE",[769,46],"A common ACL2 programming idiom"],
 ["ACL2____About_02the_02Prompt","About the Prompt","About the Prompt",[121],"About the Prompt"],
 ["ACL2____WITH-GUARD-CHECKING","With-guard-checking","WITH-GUARD-CHECKING",[91,142],"Suppress or enable guard-checking for a form"],
 ["ACL2____TRANSPARENT-FUNCTIONS","Transparent-functions","TRANSPARENT-FUNCTIONS",[28],"Working around restrictions on the use of evaluators in meta-level rules"],
 ["ACL2____PARALLEL-PROGRAMMING","Parallel-programming","PARALLEL-PROGRAMMING",[131],"Parallel programming in ACL2(p)"],
 ["ACL2____MAKE-EVENT-EXAMPLE-1","Make-event-example-1","MAKE-EVENT-EXAMPLE-1",[14],"An example use of <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt>"],
 ["ACL2____MSG","Msg","MSG",[17,142],"Construct a ``message'' suitable for the <v>~@</v> directive of <tt><see topic=\"ACL2____FMT\">fmt</see></tt>"],
 ["ACL2____GENERALIZED-BOOLEANS","Generalized-booleans","GENERALIZED-BOOLEANS",[672],"Potential soundness issues related to ACL2 predicates"],
 ["ACL2____CONTEXT-MESSAGE-PAIR","Context-message-pair","CONTEXT-MESSAGE-PAIR",[-1,-1],"A common ACL2 programming idiom: <see topic=\"ACL2____ERROR-TRIPLE\">error-triple</see>s without <see topic=\"ACL2____STATE\">state</see>"],
 ["ACL2____UNCERTIFIED-BOOKS","Uncertified-books","UNCERTIFIED-BOOKS",[50],"Invalid <see topic=\"ACL2____CERTIFICATE\">certificate</see>s and uncertified <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2____MEASURE-DEBUG","Measure-debug","MEASURE-DEBUG",[1076,565],"Generate markers to indicate sources of <see topic=\"ACL2____MEASURE\">measure</see> proof obligations"],
 ["ACL2____GUARD-MISCELLANY","Guard-miscellany","GUARD-MISCELLANY",[91],"Miscellaneous remarks about guards"],
 ["COMMON-LISP____TYPE","Type","TYPE",[389],"Disambiguation page for <i>type</i>-related concepts."],
 ["ACL2____PRINTING-TO-STRINGS","Printing-to-strings","PRINTING-TO-STRINGS",[17],"Printing to strings instead of files or standard output"],
 ["ACL2____DEAD-EVENTS","Dead-events","DEAD-EVENTS",[565],"Using proof supporters to identify dead code and unused theorems"],
 ["ACL2____USING-COMPUTED-HINTS-2","Using-computed-hints-2","USING-COMPUTED-HINTS-2",[1129],"One Hint to Every Top-Level Goal in a Forcing Round"],
 ["ACL2____TRACE_12","Trace!","TRACE!",[630],"Trace the indicated functions after creating an active trust tag"],
 ["ACL2____GENERALIZING-KEY-CHECKPOINTS","Generalizing-key-checkpoints","GENERALIZING-KEY-CHECKPOINTS",[18],"Getting rid of unnecessary specificity"],
 ["ACL2____COMPARE-OBJECTS","Compare-objects","COMPARE-OBJECTS",[565],"show differences between two ACL2 objects"],
 ["ACL2____BREAK-LEMMA","Break-lemma","BREAK-LEMMA",[26],"A quick introduction to breaking rewrite rules in ACL2"],
 ["ACL2____UNDO","Undo","UNDO",[108],"Undoing and perhaps redefining"],
 ["ACL2____R-AND-I-STILL-MORE-PROBLEMS","R-and-i-still-more-problems","R-AND-I-STILL-MORE-PROBLEMS",[66],"Recursion and Induction: Still More Problems"],
 ["ACL2____MACRO-ALIASES-TABLE","Macro-aliases-table","MACRO-ALIASES-TABLE",[739],"A <see topic=\"ACL2____TABLE\">table</see> used to associate function names with macro names"],
 ["ACL2____HONS-ACONS","Hons-acons","HONS-ACONS",[270,142],"<v>(<see topic=\"ACL2____HONS-ACONS\">hons-acons</see> key val alist)</v> is the main way to create or extend \u000A<see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____GCL","Gcl","GCL",[654],"Tips on building and using ACL2 based on Gnu Common Lisp"],
 ["ACL2____FINALIZE-EVENT-USER","Finalize-event-user","FINALIZE-EVENT-USER",[599],"User-supplied code to complete <see topic=\"ACL2____EVENTS\">events</see>, e.g., with extra <see topic=\"ACL2____SUMMARY\">summary</see> output"],
 ["ACL2____DEFUN-MODE-LAMBDAS","Defun-mode-lambdas","DEFUN-MODE-LAMBDAS",[23],":program mode functions in <tt><see topic=\"COMMON-LISP____LAMBDA\">lambda</see></tt> objects"],
 ["ACL2____CURRENT-PACKAGE","Current-package","CURRENT-PACKAGE",[16],"The package used for reading and printing"],
 ["ACL2_____04","@","@",[46,142],"Get the value of a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____SET-TABLE-GUARD","Set-table-guard","SET-TABLE-GUARD",[8,85],"Set the <v>:guard</v> for a <see topic=\"ACL2____TABLE\">table</see>"],
 ["ACL2____R-AND-I-DEFINITIONAL-PRINCIPLE","R-and-i-definitional-principle","R-AND-I-DEFINITIONAL-PRINCIPLE",[66],"Recursion and Induction: The Definitional Principle"],
 ["ACL2____SET-SKIP-META-TERMP-CHECKS","Set-skip-meta-termp-checks","SET-SKIP-META-TERMP-CHECKS",[28,56],"Skip output checks for <see topic=\"ACL2____META\">meta</see> functions and <see topic=\"ACL2____CLAUSE-PROCESSOR\">clause-processor</see>s"],
 ["ACL2____R-AND-I-FUNCTION-DEFINITIONS","R-and-i-function-definitions","R-AND-I-FUNCTION-DEFINITIONS",[66],"Recursion and Induction: Function Definitions"],
 ["ACL2____PROOF-BUILDER-COMMANDS-SHORT-LIST","Proof-builder-commands-short-list","PROOF-BUILDER-COMMANDS-SHORT-LIST",[49,224],"Perhaps the most commonly used <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> commands"],
 ["ACL2____PRE-BUILT-BINARY-DISTRIBUTIONS","Pre-built-binary-distributions","PRE-BUILT-BINARY-DISTRIBUTIONS",[863],"Pre-built binary distributions of ACL2"],
 ["ACL2____NORMED","Normed","NORMED",[602],"Normed objects are ACL2 Objects that are \"canonical\" or \"unique\" \u000A in a certain sense."],
 ["ACL2____MV-NTH","Mv-nth","MV-NTH",[138,142],"The mv-nth element (zero-based) of a list"],
 ["ACL2____INVARIANT-RISK-DETAILS","Invariant-risk-details","INVARIANT-RISK-DETAILS",[469],"More details about <see topic=\"ACL2____INVARIANT-RISK\">invariant-risk</see>"],
 ["ACL2____DEFABBREV","Defabbrev","DEFABBREV",[739,85,125],"A convenient form of macro definition for simple expansions"],
 ["ACL2____BRR-EVISC-TUPLE","Brr-evisc-tuple","BRR-EVISC-TUPLE",[84,538],"Determines partial suppression of output from <see topic=\"ACL2____BRR-COMMANDS\">brr-commands</see>"],
 ["ACL2____ADD-CUSTOM-KEYWORD-HINT","Add-custom-keyword-hint","ADD-CUSTOM-KEYWORD-HINT",[85],"Add a new custom keyword hint"],
 ["COMMON-LISP____EQL","Eql","EQL",[253,111,142],"Test equality (of two numbers, symbols, or <see topic=\"ACL2____CHARACTERS\">characters</see>)"],
 ["ACL2____TIDBITS","Tidbits","TIDBITS",[377],"Some basic hints for using ACL2"],
 ["ACL2____SET-STATE-OK","Set-state-ok","SET-STATE-OK",[10],"Allow the use of STATE as a formal parameter"],
 ["ACL2____NOTE-2-6-RULES","Note-2-6-rules","NOTE-2-6-RULES",[1049],"ACL2 Version  2.6 Notes on Changes in Rules and Constants"],
 ["ACL2____SET-INHIBIT-ER","Set-inhibit-er","SET-INHIBIT-ER",[599,769],"Control the error output"],
 ["ACL2____SET-ENFORCE-REDUNDANCY","Set-enforce-redundancy","SET-ENFORCE-REDUNDANCY",[74],"Require most events to be redundant"],
 ["ACL2____MACRO-ARGS","Macro-args","MACRO-ARGS",[739],"The formals list of a macro definition"],
 ["ACL2____IMPLIES","Implies","IMPLIES",[726,142],"Logical implication"],
 ["ACL2____GUARD-HOLDERS","Guard-holders","GUARD-HOLDERS",[12,7,91],"Remove trivial calls from a <see topic=\"ACL2____TERM\">term</see>"],
 ["ACL2____GUARD-FORMULA-UTILITIES","Guard-formula-utilities","GUARD-FORMULA-UTILITIES",[91],"Utilities that show guard proof obligations"],
 ["ACL2____ANNOTATED-ACL2-SCRIPTS","Annotated-ACL2-scripts","ANNOTATED-ACL2-SCRIPTS",[377],"Examples of ACL2 scripts"],
 ["COMMON-LISP____LIST","List","LIST",[411,142],"Build a list"],
 ["ACL2____WITH-LOCAL-STOBJ","With-local-stobj","WITH-LOCAL-STOBJ",[9,142],"Locally bind a single-threaded object"],
 ["ACL2____REGENERATE-TAU-DATABASE","Regenerate-tau-database","REGENERATE-TAU-DATABASE",[85,155],"Regenerate the tau database relative to the current enabled theory"],
 ["ACL2____EVISC-TUPLE","Evisc-tuple","EVISC-TUPLE",[17],"Control suppression of details when printing"],
 ["ACL2____CONSES","Conses","CONSES",[125],"A <b>cons</b> is an ordered pair.  In ACL2, data structures like \u000A <see topic=\"ACL2____LISTS\">lists</see>, <see topic=\"ACL2____ALISTS\">alists</see>, etc., are made up of conses."],
 ["ACL2____SET-RW-CACHE-STATE","Set-rw-cache-state","SET-RW-CACHE-STATE",[13],"Set the default rw-cache-state"],
 ["ACL2____PROG2_42","Prog2$","PROG2$",[1501,142],"Execute two forms and return the value of the second one"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q1-ANSWER","Logic-knowledge-taken-for-granted-q1-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q1-ANSWER",[18],"The inductive step of the <v>rev-rev</v> proof &mdash; Answer to Question 1"],
 ["ACL2____LD-QUERY-CONTROL-ALIST","Ld-query-control-alist","LD-QUERY-CONTROL-ALIST",[16],"How to default answers to queries"],
 ["ACL2____GRANULARITY","Granularity","GRANULARITY",[487],"Limit the amount of parallelism"],
 ["BIB____BGM90","Bib::bgm90","BGM90",[132],"R. S. Boyer, M. W. Green, and J S. Moore, &ldquo;<a \u000A  href='http://www.cs.utexas.edu/users/moore/publications/controller.pdf'>The \u000A  Use of a Formal Simulator to Verify a Simple Real Time Control \u000A  Program</a>&rdquo;, in W.H.J. Feijen, A.J.M. van Gasteren, D. Gries, and \u000A  J. Misra, editors, <i>Beauty is Our Business: A Birthday Salute to Edsger \u000A  W. Dijkstra</i>, Springer-Verlag Texts and Monographs in Computer Science, \u000A  pp. 54-66, 1990. \u000A \u000A  <br></br><br></br><b>Relevance:</b> operational semantics modeling a hybrid \u000A  physical/digital system"],
 ["ACL2____WHY-BRR","Why-brr","WHY-BRR",[26],"An explanation of why ACL2 has an explicit <tt><see topic=\"ACL2____BRR\">brr</see></tt> mode"],
 ["ACL2____TRANS","Trans","TRANS",[739],"Print the translation of a form"],
 ["ACL2____THM","Thm","THM",[654],"Prove a theorem"],
 ["ACL2____SCION","Scion","SCION",[27],"A function ancestrally dependent on <v>apply$</v>"],
 ["ACL2____REFINEMENT","Refinement","REFINEMENT",[12],"Record that one equivalence relation refines another"],
 ["ACL2____PE","Pe","PE",[108],"Print the events named by a logical name"],
 ["ACL2____BDD","Bdd","BDD",[800],"Ordered binary decision diagrams with rewriting"],
 ["ACL2____ASET1","Aset1","ASET1",[47,142],"Set the elements of a 1-dimensional array"],
 ["COMMON-LISP____PATHNAME","Pathname","PATHNAME",[1039],"Introduction to filename conventions in ACL2"],
 ["COMMON-LISP____LET_A2","Let*","LET*",[726,142],"Binding of lexically scoped (local) variables"],
 ["ACL2____WITH-CURRENT-PACKAGE","With-current-package","WITH-CURRENT-PACKAGE",[1039],"To bind the <see topic=\"ACL2____CURRENT-PACKAGE\">current-package</see>"],
 ["ACL2____NOTE-1-9","Note-1-9","NOTE-1-9",[210],"ACL2 Version 1.9 (Fall, 1996) Notes"],
 ["ACL2____NAME","Name","NAME",[85],"Syntactic rules on logical names"],
 ["ACL2____METAFUNCTION-CONTEXT","Metafunction-context","METAFUNCTION-CONTEXT",[89],"A structure that holds data supporting extended meta reasoning"],
 ["ACL2____DEFCONG","Defcong","DEFCONG",[85],"Prove <see topic=\"ACL2____CONGRUENCE\">congruence</see> rule"],
 ["ACL2____CASE-SPLIT-LIMITATIONS","Case-split-limitations","CASE-SPLIT-LIMITATIONS",[654],"Limiting the number of immediate subgoals"],
 ["ACL2____BRR_04","Brr@","BRR@",[26],"To access context sensitive information within <tt><see topic=\"ACL2____BREAK-REWRITE\">break-rewrite</see></tt>"],
 ["ACL2____PUSH-UNTOUCHABLE","Push-untouchable","PUSH-UNTOUCHABLE",[24],"Add name or list of names to the list of untouchable symbols"],
 ["ACL2____DEFREC","Defrec","DEFREC",[85],"Introduce a record structure, like a <v>struct</v> in C."],
 ["ACL2____DEBUGGING","Debugging","DEBUGGING",[1538,800],"Tools for debugging failed or slow proofs, or misbehaving \u000A functions."],
 ["ACL2____CASE-SPLIT","Case-split","CASE-SPLIT",[13,15,5,31,28,60],"Like force but immediately splits the top-level goal on the hypothesis"],
 ["ACL2____ASSIGN","Assign","ASSIGN",[46,142],"Assign to a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["COMMON-LISP____CONSP","Consp","CONSP",[539,142],"Recognizer for <see topic=\"COMMON-LISP____CONS\">cons</see> pairs"],
 ["BIB____HKMS17","Bib::hkms17","HKMS17",[132],"W. A. Hunt, Jr., M. Kaufmann, J S. Moore, and A. Slobodova, &ldquo;<a \u000A  href='https://royalsocietypublishing.org/doi/10.1098/rsta.2015.0399'>Industrial \u000A  hardware and software verification with ACL2</a>&rdquo; in P. Gardner, \u000A  P. O'Hearn, M. Gordon, G. Morrisett and F. B. Schneider, editors), \u000A  <i>Verified Trustworthy Software Systems</i>, Philosophical Transactions A, \u000A  Royal Society Publishing, <b>374</b>, DOI 10.1098/rsta.2015.0399, September, \u000A  2017. \u000A \u000A  <br></br><br></br><b>Relevance:</b> how ACL2 is used in industry, and why"],
 ["BIB____BKM96","Bib::bkm96","BKM96",[132],"B. Brock, M. Kaufmann, and J S. Moore, &ldquo;<a \u000A   href='http://www.cs.utexas.edu/users/moore/publications/bkm96.pdf'>ACL2 \u000A   Theorems about Commercial Microprocessors</a>&rdquo;, in M. Srivas and \u000A   A. Camilleri, editors, <i>Formal Methods in Computer-Aided Design \u000A   (FMCAD'96)</i>, Springer-Verlag, LNCS <b>1166</b>, pp. 275-293, doi \u000A   10.1007/BFb0031816, 1996. \u000A \u000A  <br></br><br></br><b>Relevance:</b> early (mid-1990s) applications of ACL2 in \u000A  industry (Motorola CAP DSP via operational semantics and the AMD K5 FDIV via \u000A  a shallow embedding)"],
 ["ACL2____USER-DEFINED-FUNCTIONS-TABLE","User-defined-functions-table","USER-DEFINED-FUNCTIONS-TABLE",[739],"An advanced <see topic=\"ACL2____TABLE\">table</see> used to replace certain system functions"],
 ["ACL2____TYPE-PRESCRIPTION-DEBUGGING","Type-prescription-debugging","TYPE-PRESCRIPTION-DEBUGGING",[565,5],"Improve a built-in <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rule"],
 ["ACL2____NOTE-2-6-GUARDS","Note-2-6-guards","NOTE-2-6-GUARDS",[1049],"ACL2 Version  2.6 Notes on Guard-related Changes"],
 ["COMMON-LISP____SEARCH","Search","SEARCH",[411,747,142],"Search for a string or list in another string or list"],
 ["ACL2____THEORY-FUNCTIONS","Theory-functions","THEORY-FUNCTIONS",[6],"Functions for obtaining or producing <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____STOBJ-EXAMPLE-1-DEFUNS","Stobj-example-1-defuns","STOBJ-EXAMPLE-1-DEFUNS",[9],"The defuns created by the <v>counters</v> stobj"],
 ["ACL2____SET-VERIFY-GUARDS-EAGERNESS","Set-verify-guards-eagerness","SET-VERIFY-GUARDS-EAGERNESS",[91],"The eagerness with which <see topic=\"ACL2____GUARD\">guard</see> verification is tried."],
 ["ACL2____SET-INHIBIT-WARNINGS","Set-inhibit-warnings","SET-INHIBIT-WARNINGS",[599],"Control warnings"],
 ["ACL2____SET-GC-STRATEGY","Set-gc-strategy","SET-GC-STRATEGY",[654,142],"Set the garbage collection strategy (CCL only)"],
 ["ACL2____SET-FC-CRITERIA","Set-fc-criteria","SET-FC-CRITERIA",[127],"To set the tracking criteria for forward chaining reports"],
 ["ACL2____IN-TAU-INTERVALP","In-tau-intervalp","IN-TAU-INTERVALP",[52,142],"Boolean membership in a tau interval"],
 ["ACL2____HARD-ERROR","Hard-error","HARD-ERROR",[769,142],"Print an error message and stop execution"],
 ["ACL2____DEFTHEORY","Deftheory","DEFTHEORY",[85,6],"Define a theory (to <see topic=\"ACL2____ENABLE\">enable</see> or <see topic=\"ACL2____DISABLE\">disable</see> a set of rules)"],
 ["ACL2____ADD-INCLUDE-BOOK-DIR_12","Add-include-book-dir!","ADD-INCLUDE-BOOK-DIR!",[1039],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly link keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> \u000Aand <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["ACL2-PC_____D3","ACL2-pc::=","=",[224,516],"(atomic macro) \u000Aattempt an equality (or equivalence) substitution"],
 ["ACL2____PAND","Pand","PAND",[487,142],"Parallel, Boolean version of <tt><see topic=\"COMMON-LISP____AND\">and</see></tt>"],
 ["ACL2____TYPE-ALIST","Type-alist","TYPE-ALIST",[65],"An ACL2 representation of contextual knowledge"],
 ["ACL2____SET-WATERFALL-PRINTING","Set-waterfall-printing","SET-WATERFALL-PRINTING",[131],"For ACL2(p): configuring the printing that occurs within the parallelized waterfall"],
 ["ACL2____SET-ABSSTOBJ-DEBUG","Set-absstobj-debug","SET-ABSSTOBJ-DEBUG",[59],"Get more information when atomic update fails for an abstract stobj"],
 ["ACL2____PSTACK","Pstack","PSTACK",[565],"Seeing what the prover is up to"],
 ["ACL2____LP-SECTION-13","Lp-section-13","LP-SECTION-13",[71],"Examples of <v>DO</v> <v>Loop$</v>s"],
 ["ACL2____LP-SECTION-12","Lp-section-12","LP-SECTION-12",[71],"Challenge Proof Problems about <v>FOR</v> <v>Loop$</v>s"],
 ["ACL2____INTERSECTION_42","Intersection$","INTERSECTION$",[411,142],"Elements common to the given lists"],
 ["ACL2____HONS-NOTE","Hons-note","HONS-NOTE",[602],"Notes about <see topic=\"ACL2____HONS\">hons</see>, especially pertaining to expensive resizing \u000A operations"],
 ["ACL2____CONS-WITH-HINT","Cons-with-hint","CONS-WITH-HINT",[539,142],"Alternative to <tt><see topic=\"COMMON-LISP____CONS\">cons</see></tt> that tries to avoid consing when a \u000A suitable <v>cons</v> structure is provided as a hint."],
 ["ACL2____BREAK-ON-ERROR","Break-on-error","BREAK-ON-ERROR",[630,142],"Break when encountering a hard or soft error caused by ACL2"],
 ["ACL2____SYS-CALL_B2","Sys-call+","SYS-CALL+",[82,142],"Make a system call to the host OS, returning status and output"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-6","Practice-formulating-strong-rules-6","PRACTICE-FORMULATING-STRONG-RULES-6",[18],"Rules suggested by <v>(<see topic=\"COMMON-LISP____MEMBER\">MEMBER</see> (FOO A) (NATS-BELOW (BAR B)))</v>"],
 ["ACL2____OUTPUT-CONTROLS","Output-controls","OUTPUT-CONTROLS",[800,17],"Methods for controlling the output produced by the ACL2 prover"],
 ["ACL2____OTF-FLG","Otf-flg","OTF-FLG",[96,548,3],"Allow more than one initial subgoal to be pushed for induction"],
 ["ACL2____NOTE-2-2","Note-2-2","NOTE-2-2",[210],"ACL2 Version  2.2 (August, 1998) Notes"],
 ["ACL2____HONS","Hons","HONS",[125,107,142],"<v>(<see topic=\"ACL2____HONS\">hons</see> x y)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object equal to <v>(<see topic=\"COMMON-LISP____CONS\">cons</see> x\u000A  y)</v>."],
 ["ACL2____FAST-ALIST-FORK","Fast-alist-fork","FAST-ALIST-FORK",[270,142],"<v>(<see topic=\"ACL2____FAST-ALIST-FORK\">fast-alist-fork</see> alist ans)</v> can be used to eliminate \u000A\"shadowed pairs\" from an alist or to copy <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____DEFTHEORY-STATIC","Deftheory-static","DEFTHEORY-STATIC",[85,6],"Define a `static' theory (to <see topic=\"ACL2____ENABLE\">enable</see> or <see topic=\"ACL2____DISABLE\">disable</see> a set of rules)"],
 ["ACL2____DEFAULT-DEFUN-MODE","Default-defun-mode","DEFAULT-DEFUN-MODE",[654],"The default <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see> of <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>'d functions"],
 ["ACL2____ZP","Zp","ZP",[282,142],"Testing a ``natural'' against 0"],
 ["ACL2____REWRITE-LAMBDA-OBJECT-ACTIONS","Rewrite-lambda-object-actions","REWRITE-LAMBDA-OBJECT-ACTIONS",[13],"actions available when rewriting lambda objects"],
 ["ACL2____GUARD-QUICK-REFERENCE","Guard-quick-reference","GUARD-QUICK-REFERENCE",[91],"Brief summary of guard checking and guard verification"],
 ["ACL2____GUARD-OBLIGATION","Guard-obligation","GUARD-OBLIGATION",[533],"The guard proof obligation"],
 ["ACL2____EXAMPLE-INDUCTIONS","Example-inductions","EXAMPLE-INDUCTIONS",[18],"Some examples of induction schemes in ACL2"],
 ["ACL2____UNION_42","Union$","UNION$",[411,142],"A list that contains exactly the elements of the given lists"],
 ["ACL2____TUTORIAL2-EIGHTS-PROBLEM","Tutorial2-eights-problem","TUTORIAL2-EIGHTS-PROBLEM",[534],"The Eights Problem Example"],
 ["ACL2____STARTUP","Startup","STARTUP",[377],"How to start using ACL2; the ACL2 <see topic=\"ACL2____COMMAND\">command</see> loop"],
 ["ACL2____R-AND-I-PAIRS","R-and-i-pairs","R-AND-I-PAIRS",[1246],"Recursion and Induction: Pairs"],
 ["ACL2-PC____S","ACL2-pc::s","S",[224,516],"(primitive) \u000Asimplify the current subterm"],
 ["ACL2-PC____EXIT","ACL2-pc::exit","EXIT",[224,516],"(meta) exit the interactive proof-builder"],
 ["ACL2____WITH-SERIALIZE-CHARACTER","With-serialize-character","WITH-SERIALIZE-CHARACTER",[1013,142],"Control output mode for <v>print-object$</v>"],
 ["ACL2____SET-REGISTER-INVARIANT-RISK","Set-register-invariant-risk","SET-REGISTER-INVARIANT-RISK",[125,198,91,565,469],"Avoid <see topic=\"ACL2____INVARIANT-RISK\">invariant-risk</see> checking for specified functions"],
 ["ACL2____R-AND-I-INTRODUCTION","R-and-i-introduction","R-AND-I-INTRODUCTION",[66],"Recursion and Induction: Introduction"],
 ["ACL2____NOTE-2-7-SYSTEM","Note-2-7-system","NOTE-2-7-SYSTEM",[184],"ACL2 Version  2.7 Notes on System-level Changes"],
 ["ACL2____GUARDS-FOR-SPECIFICATION","Guards-for-specification","GUARDS-FOR-SPECIFICATION",[91],"Guards as a specification device"],
 ["ACL2____ACL2-AS-STANDALONE-PROGRAM","ACL2-as-standalone-program","ACL2-AS-STANDALONE-PROGRAM",[377],"Calling ACL2 from another program"],
 ["BIB____MOORE15","Bib::moore15","MOORE15",[132],"J S. Moore, &ldquo;<a \u000A    href='https://www.cs.utexas.edu/~moore/publications/stateman.pdf'> \u000A    Stateman: Using Metafunctions to Manage Large Terms Representing Machine \u000A    States</a>,&rdquo; in M. Kaufmann and D. Rager, editors, <i>Proceedings of \u000A    the 13th International Workshop on the ACL2 Theorem Prover</i>, EPTCS, \u000A    <b>192</b>, pp. 93-109, 2015. \u000A \u000A  <br></br><br></br><b>Relevance:</b> some ACL2 tools for managing the terms \u000A  representing states of operational models"],
 ["ACL2____PROGRAM-WRAPPER","Program-wrapper","PROGRAM-WRAPPER",[90,125,198],"Avoiding expensive <see topic=\"ACL2____GUARD\">guard</see> checks using <see topic=\"ACL2____PROGRAM\">program</see>-mode functions"],
 ["ACL2____OBSERVATION","Observation","OBSERVATION",[17,142],"Print an observation"],
 ["ACL2____IGNORED-ATTACHMENT","Ignored-attachment","IGNORED-ATTACHMENT",[38,128,118,35],"Why attachments are sometimes not used"],
 ["ACL2____HONS-RESIZE","Hons-resize","HONS-RESIZE",[602,142],"<v>(<see topic=\"ACL2____HONS-RESIZE\">hons-resize</see> ...)</v> can be used to manually adjust the sizes of \u000Athe hash tables that govern which ACL2 Objects are considered <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____COMMAND-DESCRIPTOR","Command-descriptor","COMMAND-DESCRIPTOR",[108],"An object describing a particular <see topic=\"ACL2____COMMAND\">command</see> typed by the user"],
 ["COMMON-LISP_____C3","&lt;","<",[282,142],"Less-than"],
 ["COMMON-LISP____TRACE","Trace","TRACE",[565],"Tracing functions in ACL2"],
 ["COMMON-LISP____EQ","Eq","EQ",[253,111,142],"Equality of symbols"],
 ["BIB____BH99","Bib::bh99","BH99",[132],"B. Brock and W. A. Hunt, Jr., &ldquo;<a \u000A  href='https://link.springer.com/chapter/10.1007/978-1-4471-0523-7_5#citeas'>Formal \u000A  Analysis of the Motorola CAP DSP&rdquo;</a>, in M. Hinchey and J. Bowen, \u000A  editors, <i>Industrial-Strength Formal Methods</i>, Springer-Verlag, \u000A  pp. 81-115, 1999. \u000A \u000A  <br></br><br></br><b>Relevance:</b> first industrial application of \u000A  operational semantics with ACL2 and the first complete formal specification \u000A  of a commercially designed microprocessor"],
 ["ACL2____SYNTACTICALLY-CLEAN-LAMBDA-OBJECTS-THEORY","Syntactically-clean-lambda-objects-theory","SYNTACTICALLY-CLEAN-LAMBDA-OBJECTS-THEORY",[6,575,13],"how to specify syntactic cleaning of lambda objects"],
 ["ACL2____SHOW-BDD","Show-bdd","SHOW-BDD",[552],"Inspect failed BDD proof attempts"],
 ["ACL2____MAKE-TAU-INTERVAL","Make-tau-interval","MAKE-TAU-INTERVAL",[52,142],"Make a tau interval"],
 ["ACL2____LP-SECTION-14","Lp-section-14","LP-SECTION-14",[71],"Challenge Problems about <v>DO</v> <v>Loop$</v>s"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q2-ANSWER","Logic-knowledge-taken-for-granted-q2-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q2-ANSWER",[18],"The inductive step of the <v>rev-rev</v> proof &mdash; Answer to Question 2"],
 ["ACL2____BOOK-CONTENTS","Book-contents","BOOK-CONTENTS",[1320],"Restrictions on the forms inside <see topic=\"ACL2____BOOKS\">books</see>"],
 ["ACL2-PC____TYPE-ALIST","ACL2-pc::type-alist","TYPE-ALIST",[224],"(macro) \u000Adisplay the <see topic=\"ACL2____TYPE-ALIST\">type-alist</see> from the current context"],
 ["COMMON-LISP_____A2","*","*",[282,142],"Multiplication macro"],
 ["ACL2____SET-DEFAULT-HINTS","Set-default-hints","SET-DEFAULT-HINTS",[893],"Set the default hints"],
 ["ACL2____LD-PROMPT","Ld-prompt","LD-PROMPT",[16],"Determines the <see topic=\"ACL2____PROMPT\">prompt</see> printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____GUARD-EVALUATION-EXAMPLES-SCRIPT","Guard-evaluation-examples-script","GUARD-EVALUATION-EXAMPLES-SCRIPT",[91],"A script to show combinations of <see topic=\"ACL2____DEFUN-MODE\">defun-mode</see>s and <see topic=\"ACL2____GUARD\">guard</see>-checking"],
 ["ACL2____EVISC-TABLE","Evisc-table","EVISC-TABLE",[85],"Support for abbreviated output"],
 ["ACL2____ACL2_02Symbols","ACL2 Symbols","ACL2 Symbols",[121],"ACL2 Symbols"],
 ["BIB____WILDING93","Bib::wilding93","WILDING93",[132],"M. M. Wilding, &ldquo;<a \u000A        href='https://link.springer.com/content/pdf/10.1007/3-540-56922-7_22'>A \u000A        Mechanically Verified Application for a Mechanically Verified \u000A        Environment</a>, in C. Courcoubetis, editor, <i>Proceedings of \u000A        Computer-Aided Verification -- CAV '93</i>, Springer-Verlag, LNCS \u000A        <b>697</b>, Heidelberg, pp. 268-279, DOI:10.1007/3-540-56922-7_22, \u000A        1993. \u000A \u000A   <br></br><br></br><b>Relevance:</b> functional correctness and resource \u000A   utilization of a Nim-playing program on the CLI Verified Stack"],
 ["ACL2____TOP-LEVEL","Top-level","TOP-LEVEL",[654],"Evaluate a top-level form as a function body"],
 ["ACL2____SET-MATCH-FREE-DEFAULT","Set-match-free-default","SET-MATCH-FREE-DEFAULT",[72],"Provide default for <v>:match-free</v> in future rules"],
 ["ACL2____KEYWORD-COMMANDS","Keyword-commands","KEYWORD-COMMANDS",[16],"How keyword commands like <v>:u</v> and <v>:pbt</v> are processed"],
 ["ACL2____DEFSTOBJ-ELEMENT-TYPE","Defstobj-element-type","DEFSTOBJ-ELEMENT-TYPE",[30],"Specify the element type for a <see topic=\"ACL2____STOBJ\">stobj</see> array field"],
 ["ACL2____DEFAXIOM","Defaxiom","DEFAXIOM",[85],"Add an axiom"],
 ["COMMON-LISP____OR","Or","OR",[726,142],"Disjunction"],
 ["ACL2_____A2STANDARD-CO_A2","*standard-co*","*STANDARD-CO*",[17,142],"The ACL2 analogue of CLTL's <v>*standard-output*</v>"],
 ["ACL2____MISCELLANEOUS","Miscellaneous","MISCELLANEOUS",[800],"A miscellany of documented functions and concepts \u000A               (often cited in more accessible <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see>)"],
 ["ACL2____HONS-ACONS_12","Hons-acons!","HONS-ACONS!",[270,142],"<v>(<see topic=\"ACL2____HONS-ACONS_12\">hons-acons!</see> key val alist)</v> is an alternative to <tt><see topic=\"ACL2____HONS-ACONS\">hons-acons</see></tt> that produces <see topic=\"ACL2____NORMED\">normed</see>, fast alists."],
 ["ACL2____DISASSEMBLE_42","Disassemble$","DISASSEMBLE$",[113,565],"Disassemble a function"],
 ["ACL2____CASE-MATCH","Case-match","CASE-MATCH",[726,142],"Pattern matching or destructuring"],
 ["BIB____PLOTKIN04A","Bib::plotkin04a","PLOTKIN04A",[132],"G. D. Plotkin, &ldquo;<a \u000A  href='https://homepages.inf.ed.ac.uk/gdp/publications/sos_jlap.pdf'> A \u000A  Structural Approach to Operational Semantics</a>&rdquo;, Computer Science \u000A  Department, Aarhus University, Denmark, DAIMI FN-19, 1981 (reprised in a 2004 \u000A  submission to the <i>The Journal of Logic and Algebraic Programming</i>). \u000A \u000A  <br></br><br></br><b>Relevance:</b> Plotkin's introduction of the term \u000A  &ldquo;structural operational semantics&rdquo;"],
 ["ACL2____WALKABOUT","Walkabout","WALKABOUT",[565],"Explore an ACL2 cons tree"],
 ["ACL2____VERIFY-GUARDS_B2","Verify-guards+","VERIFY-GUARDS+",[85],"Verify the <see topic=\"ACL2____GUARD\">guard</see>s of a function"],
 ["ACL2____UNSUPPORTED-PARALLELISM-FEATURES","Unsupported-parallelism-features","UNSUPPORTED-PARALLELISM-FEATURES",[131],"ACL2 features not supported in ACL2(p)"],
 ["ACL2____NIL-GOAL","Nil-goal","NIL-GOAL",[565],"How to proceed when the prover generates a goal of <v>NIL</v>"],
 ["ACL2____MAKE-SUMMARY-DATA","Make-summary-data","MAKE-SUMMARY-DATA",[56],"Return summary data from a <see topic=\"ACL2____CLAUSE-PROCESSOR\">clause-processor</see> function"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING-REPEATEDLY","Logic-knowledge-taken-for-granted-rewriting-repeatedly","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-REWRITING-REPEATEDLY",[18],"Further information on expanding definitions via rewriting"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-4","Introductory-challenge-problem-4","INTRODUCTORY-CHALLENGE-PROBLEM-4",[18],"Challenge problem 4 for the new user of ACL2"],
 ["ACL2____HIDDEN-DEATH-PACKAGE","Hidden-death-package","HIDDEN-DEATH-PACKAGE",[832,35],"Handling <tt><see topic=\"ACL2____DEFPKG\">defpkg</see></tt> <see topic=\"ACL2____EVENTS\">events</see> that are <tt><see topic=\"ACL2____LOCAL\">local</see></tt>"],
 ["ACL2____HANDS-OFF-LAMBDA-OBJECTS-THEORY","Hands-off-lambda-objects-theory","HANDS-OFF-LAMBDA-OBJECTS-THEORY",[6,575,13],"how to specify no modification of lambda objects"],
 ["ACL2____GUARD-INTRODUCTION","Guard-introduction","GUARD-INTRODUCTION",[91],"Introduction to <see topic=\"ACL2____GUARD\">guard</see>s in ACL2"],
 ["ACL2____DOC","Doc","DOC",[0],"<see topic=\"COMMON-LISP____DOCUMENTATION\">Documentation</see> at the terminal"],
 ["ACL2____DEFLOCK","Deflock","DEFLOCK",[487],"Define a wrapper macro that provides mutual exclusion in ACL2(p)"],
 ["ACL2____CW-GSTACK","Cw-gstack","CW-GSTACK",[26,565],"Debug a rewriting loop or stack overflow"],
 ["ACL2____COMMON-LISP","Common-lisp","COMMON-LISP",[863],"Relation to Common Lisp, including deviations from the spec"],
 ["ACL2____AREF1","Aref1","AREF1",[47,142],"Access the elements of a 1-dimensional array"],
 ["ACL2____TALKS","Talks","TALKS",[377],"Some talks about ACL2"],
 ["ACL2____SHARP-F-READER","Sharp-f-reader","SHARP-F-READER",[696,282],"Read a rational number in floating-point syntax"],
 ["ACL2____REWRITE-LAMBDA-OBJECTS-THEORY","Rewrite-lambda-objects-theory","REWRITE-LAMBDA-OBJECTS-THEORY",[6,575,13],"how to specify rewriting of lambda objects"],
 ["ACL2____PROGRAM-ONLY","Program-only","PROGRAM-ONLY",[91],"Functions that cannot be in <see topic=\"ACL2____LOGIC\">logic</see> mode"],
 ["ACL2____NOTE-2-8-OTHER","Note-2-8-other","NOTE-2-8-OTHER",[153],"ACL2 Version  2.8 Notes on Miscellaneous Changes"],
 ["ACL2____BIND-FREE-EXAMPLES","Bind-free-examples","BIND-FREE-EXAMPLES",[99],"Examples pertaining to <tt><see topic=\"ACL2____BIND-FREE\">bind-free</see></tt> hypotheses"],
 ["COMMON-LISP____REMOVE-DUPLICATES","Remove-duplicates","REMOVE-DUPLICATES",[411,747,142],"Remove duplicates from a string or a list"],
 ["COMMON-LISP____POSITION","Position","POSITION",[411,747,142],"Position of an item in a string or a list"],
 ["BIB____MOORE03B","Bib::moore03b","MOORE03B",[132],"J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/trecia/long.pdf'> \u000A  Inductive Assertions and Operational Semantics</a>&rdquo;, in D. Geist, \u000A  editor, CHARME 2003,, Springer Verlag, LNCS <b>2860</b>, pp. 289-303, 2003. \u000A \u000A  <br></br><br></br><b>Relevance:</b>The URL above points to a longer version \u000A  of the paper presented at CHARME.  Using a subset of M5 the paper shows how \u000A  partial symbolic evaluation of a program can be used to generate and prove \u000A  verification conditions produced from inductive assertions"],
 ["ACL2____TYPE-SET-INVERTER","Type-set-inverter","TYPE-SET-INVERTER",[12],"Exhibit a new decoding for an ACL2 type-set"],
 ["ACL2____SYSFILE","Sysfile","SYSFILE",[50,181],"File representation using ACL2 project directories"],
 ["ACL2____READ-RUN-TIME","Read-run-time","READ-RUN-TIME",[46,142],"Read elapsed runtime"],
 ["ACL2____PKG-IMPORTS","Pkg-imports","PKG-IMPORTS",[832],"List of symbols imported into a given package"],
 ["ACL2____GTHM","Gthm","GTHM",[108,533],"The <see topic=\"ACL2____GUARD\">guard</see> theorem for a given function symbol"],
 ["ACL2____EQUIVALENT-FORMULAS-DIFFERENT-REWRITE-RULES","Equivalent-formulas-different-rewrite-rules","EQUIVALENT-FORMULAS-DIFFERENT-REWRITE-RULES",[18],"Logically equivalent formulas can generate radically different rules"],
 ["BIB____MP02","Bib::mp02","MP02",[132],"J S. Moore and G. Porter, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/m5/apprentice.pdf'>The \u000A  Apprentice Challenge</a>&rdquo;, <i>ACM TOPLAS</i>, <b>24</b>(3), pp. 1-24, \u000A  May, 2002. \u000A \u000A  <br></br><br></br><b>Relevance:</b> M5 and mutual-exclusion via monitors: an \u000A  unbounded number of JVM threads competing for access to a shared resource"],
 ["BIB____MOORE19","Bib::moore19","MOORE19",[132],"J S. Moore, &ldquo;<a \u000A  href='https://doi.org/10.1007/s00165-019-00490-3'>Milestones from The Pure \u000A  Lisp Theorem Prover to ACL2</a>&rdquo;, <i>Formal Aspects of Computing</i>, \u000A  Springer, DOI https://doi.org/10.1007/s00165-019-00490-3, 2019. \u000A \u000A  <br></br><br></br><b>Relevance:</b> how the Edinburgh Pure Lisp Theorem \u000A  Prover (PLTP) evolved into ACL2"],
 ["BIB____MANOLIOS00","Bib::manolios00","MANOLIOS00",[132],"P. Manolios, &ldquo;<a \u000A  href='https://dl.acm.org/doi/10.5555/646186.683220'>Correctness of Pipelined \u000A  Machines</a>&rdquo;, in W. A. Hunt, Jr and S. D. Johnson, editors, <i>Formal \u000A  Methods in Computer-Aided Design (FMCAD 2000)</i>, Springer-Verlag LNCS \u000A  <b>1954</b>, Heidelberg, pp. 161-178, 2000. \u000A \u000A  <br></br><br></br><b>Relevance:</b> an alternative approach to verifying \u000A  operational models of a pipelined machine"],
 ["ACL2____USING-TABLES-EFFICIENTLY","Using-tables-efficiently","USING-TABLES-EFFICIENTLY",[8],"Notes on how to use tables efficiently"],
 ["ACL2____TIME-TRACKER-TAU","Time-tracker-tau","TIME-TRACKER-TAU",[52],"Messages about expensive use of the <see topic=\"ACL2____TAU-SYSTEM\">tau-system</see>"],
 ["ACL2____TERMP","Termp","TERMP",[7,142],"recognizer for the quotation of a <see topic=\"ACL2____TERM\">term</see>"],
 ["ACL2____SET-COMPILE-FNS","Set-compile-fns","SET-COMPILE-FNS",[113],"Have each function compiled as you go along."],
 ["ACL2____READER","Reader","READER",[654],"Reading expressions in the ACL2 read-eval-print loop"],
 ["ACL2____PARALLELISM-AT-THE-TOP-LEVEL","Parallelism-at-the-top-level","PARALLELISM-AT-THE-TOP-LEVEL",[487],"Parallel execution in the ACL2 top-level loop"],
 ["ACL2____PARALLEL-PUSHING-OF-SUBGOALS-FOR-INDUCTION","Parallel-pushing-of-subgoals-for-induction","PARALLEL-PUSHING-OF-SUBGOALS-FOR-INDUCTION",[1309],"Consequences of how parallelized proofs of subgoals are pushed for induction"],
 ["ACL2____LOGICAL-NAME","Logical-name","LOGICAL-NAME",[85,4],"A name created by a logical event"],
 ["ACL2____LEN","Len","LEN",[411,142],"Length of a list"],
 ["ACL2____GET-EVENT-DATA","Get-event-data","GET-EVENT-DATA",[33,599],"Obtain data stored after at the conclusion of an event"],
 ["COMMON-LISP____-","-","-",[282,142],"Macro for subtraction and negation"],
 ["BIB____FLATAU92","Bib::flatau92","FLATAU92",[132],"A. D. Flatau <i>A verified implementation of an applicative language \u000A  with dynamic storage allocation</i> \u000A  <v>(ftp://ftp.cs.utexas.edu/pub/boyer/diss/flatau.pdf)</v>, University of Texas \u000A  at Austin, Ph.D. dissertation, 1992 (minus some appendices). \u000A \u000A  <br></br><br></br><b>Relevance:</b> a second verified compiler hosted on \u000A  the CLI Verified Stack"],
 ["ACL2____TRANS-EVAL","Trans-eval","TRANS-EVAL",[33],"Evaluate a form"],
 ["ACL2____OK-IF","Ok-if","OK-IF",[26],"Conditional exit from <v>break-rewrite</v>"],
 ["ACL2____Common_02Lisp","Common Lisp","Common Lisp",[121],"Common Lisp"],
 ["ACL2-PC____IN-THEORY","ACL2-pc::in-theory","IN-THEORY",[224,516],"(primitive) \u000Aset the current proof-builder theory"],
 ["ACL2____W","W","W",[10],"The current ACL2 <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____RESET-PREHISTORY","Reset-prehistory","RESET-PREHISTORY",[108],"Reset the prehistory"],
 ["ACL2____REDEF_B2","Redef+","REDEF+",[16],"System hacker's redefinition <see topic=\"ACL2____COMMAND\">command</see>"],
 ["ACL2____PPR-SPECIAL-SYMS","Ppr-special-syms","PPR-SPECIAL-SYMS",[17],"A <see topic=\"ACL2____TABLE\">table</see> to control indentation for pretty-printing"],
 ["ACL2____NOTE-1-8-UPDATE","Note-1-8-update","NOTE-1-8-UPDATE",[210],"ACL2 Version 1.8 (Summer, 1995) Notes"],
 ["ACL2____NON-EXEC","Non-exec","NON-EXEC",[91,142],"Mark code as non-executable"],
 ["ACL2____HONS-WASH","Hons-wash","HONS-WASH",[602,142],"<v>(<see topic=\"ACL2____HONS-WASH\">hons-wash</see>)</v> is like <tt><see topic=\"ACL2____GC_42\">gc$</see></tt> but can also garbage collect \u000A<see topic=\"ACL2____NORMED\">normed</see> objects (CCL and GCL Only)."],
 ["ACL2____FULL-BOOK-NAME","Full-book-name","FULL-BOOK-NAME",[1039],"Book naming conventions assumed by ACL2"],
 ["ACL2____CURRENT-THEORY","Current-theory","CURRENT-THEORY",[6,575],"Currently <see topic=\"ACL2____ENABLE\">enable</see>d rules as of logical name"],
 ["ACL2____BREAKS","Breaks","BREAKS",[769],"Common Lisp breaks"],
 ["BIB____HB92","Bib::hb92","HB92",[132],"W. A. Hunt, Jr. and B. Brock, &ldquo;<a \u000A  href='https://royalsocietypublishing.org/doi/abs/10.1098/rsta.1992.0024'>A \u000A  Formal HDL and its use in the FM9001 Verification</a>&rdquo;, <i>Proceedings \u000A  of the Royal Society</i>, North Holland, April, 1992. \u000A \u000A  <br></br><br></br><b>Relevance:</b> a formalized hardware description language \u000A  and the verification of a fabricated microprocessor described with it; this \u000A  describes three foundational achievements in formal methods"],
 ["BIB____BM05","Bib::bm05","BM05",[132],"B. Brock and J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/csort/main.pdf'>A \u000A  Mechanically Checked Proof of a Comparator Sort Algorithm</a>&rdquo;, in \u000A  M. Broy, J. Gruenbauer, D. Harel, and C. A. R. Hoare, editors, \u000A  <i>Engineering Theories of Software Intensive Systems</i>, Springer NATO \u000A  Science Series II, <b>195</b>, pp. 141-175, 2005. \u000A \u000A  <br></br><br></br><b>Relevance:</b> an example of proving that the state \u000A  transformation effected by running a CAP model on commercial microcode \u000A  implements the high level specification"],
 ["ACL2____QUANTIFIERS","Quantifiers","QUANTIFIERS",[53],"Issues about quantification in ACL2"],
 ["ACL2____NOTE-3-5_82R_92","Note-3-5(r)","NOTE-3-5(R)",[210],"ACL2 Version  3.5(r) (May, 2009) Notes"],
 ["ACL2____MAKE-EVENT-EXAMPLE-3","Make-event-example-3","MAKE-EVENT-EXAMPLE-3",[14],"Using <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt> to define <tt><see topic=\"ACL2____THM\">thm</see></tt>"],
 ["ACL2____FUNCTIONAL-INSTANTIATION-EXAMPLE","Functional-instantiation-example","FUNCTIONAL-INSTANTIATION-EXAMPLE",[1509,1493],"A small proof demonstrating functional instantiation"],
 ["ACL2____DECLARE-STOBJS","Declare-stobjs","DECLARE-STOBJS",[9,2],"Declaring a formal parameter name to be a single-threaded object"],
 ["ACL2____CHECKSUM","Checksum","CHECKSUM",[29],"Assigning ``often unique'' integers to files and objects"],
 ["ACL2____BASICS","Basics","BASICS",[125],"Basic control structures for <see topic=\"ACL2____PROGRAMMING\">programming</see> like <see topic=\"COMMON-LISP____IF\">if</see> and \u000A <see topic=\"COMMON-LISP____COND\">cond</see>, binding operators like <see topic=\"COMMON-LISP____LET\">let</see> and <see topic=\"COMMON-LISP____FLET\">flet</see>, multiple-value \u000A constructs like <see topic=\"ACL2____MV\">mv</see>, and so forth."],
 ["ACL2____About_02Types","About Types","About Types",[121],"About Types"],
 ["COMMON-LISP____INTERN","Intern","INTERN",[1323,832,142],"Create a new symbol in a given package"],
 ["BIB____GOEL16","Bib::goel16","GOEL16",[132],"S. Goel, <i><a \u000A  href='https://repositories.lib.utexas.edu/server/api/core/bitstreams/858b2f9b-5532-4b2a-bed1-fb889a265f6c/content'>Formal \u000A  Verification of Application and System Programs Based on a Validated x86 ISA \u000A  Model</a></i>, University of Texas at Austin, Ph.D. dissertation, 2016. \u000A \u000A  <br></br><br></br><b>Relevance:</b> details of the x86 model"],
 ["BIB____BM73","Bib::bm73","BM73",[132],"R. S. Boyer and J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/bm-ijcai-73.pdf'>Proving \u000A  Theorems about LISP Functions</a>&rdquo;, in <i>Proceedings of the Third \u000A  International Joint Conference on Artificial Intelligence (IJCAI)</i>, \u000A  Stanford University, pp. 486-493, 1973. \u000A \u000A  <br></br><br></br><b>Relevance:</b> journal article about the Edinburgh Pure \u000A  Lisp Theorem Prover (PLTP)"],
 ["ACL2____WITHOUT-EVISC","Without-evisc","WITHOUT-EVISC",[17,142],"Print output in full"],
 ["ACL2____TRANS-EVAL-AND-STOBJS","Trans-eval-and-stobjs","TRANS-EVAL-AND-STOBJS",[704,9],"How user-defined <see topic=\"ACL2____STOBJ\">stobj</see>s are handled by <tt><see topic=\"ACL2____TRANS-EVAL\">trans-eval</see></tt>"],
 ["ACL2____STANDARD-OI","Standard-oi","STANDARD-OI",[17,142],"The standard object input ``channel''"],
 ["ACL2____REBUILD","Rebuild","REBUILD",[16],"A convenient way to reconstruct your old <see topic=\"ACL2____STATE\">state</see>"],
 ["ACL2____PROOF-TREE-DETAILS","Proof-tree-details","PROOF-TREE-DETAILS",[129],"Proof tree details not covered elsewhere"],
 ["ACL2____POST-INDUCTION-KEY-CHECKPOINTS","Post-induction-key-checkpoints","POST-INDUCTION-KEY-CHECKPOINTS",[18],"Reading post-induction key checkpoints"],
 ["ACL2____NOTE-2-6-SYSTEM","Note-2-6-system","NOTE-2-6-SYSTEM",[1049],"ACL2 Version  2.6 Notes on System-level Changes"],
 ["ACL2____NOTE-2-3","Note-2-3","NOTE-2-3",[210],"ACL2 Version  2.3 (October, 1998) Notes"],
 ["ACL2____MACROS","Macros","MACROS",[800],"Macros allow you to extend the syntax of ACL2."],
 ["ACL2____LP-SECTION-5","Lp-section-5","LP-SECTION-5",[71],"Informal Semantics of <v>FOR</v> <v>Loop$</v>s"],
 ["ACL2____GOOD-BYE","Good-bye","GOOD-BYE",[726,142],"Quit entirely out of Lisp"],
 ["ACL2____GET-INTERNAL-TIME","Get-internal-time","GET-INTERNAL-TIME",[125,142],"Runtime vs. realtime in ACL2 timings"],
 ["ACL2____CCL-INSTALLATION-MAC-ELABORATE","Ccl-installation-mac-elaborate","CCL-INSTALLATION-MAC-ELABORATE",[862],"Installing Clozure Common Lisp (CCL) on Mac (elaborate version)"],
 ["ACL2____ADD-MACRO-FN","Add-macro-fn","ADD-MACRO-FN",[739],"Associate a function name with a macro name"],
 ["ACL2____WITH-LOCAL-STATE","With-local-state","WITH-LOCAL-STATE",[9,142],"Locally bind state"],
 ["ACL2____TAU-INTERVALP","Tau-intervalp","TAU-INTERVALP",[52],"Boolean recognizer for tau intervals"],
 ["ACL2____STRINGS","Strings","STRINGS",[125],"Strings are atomic objects that contain character sequences, \u000A like <v>&quot;Hello World&quot;</v>."],
 ["ACL2____STOBJ-EXAMPLE-2","Stobj-example-2","STOBJ-EXAMPLE-2",[9],"An example of the use of arrays in single-threaded objects"],
 ["ACL2____STOBJ-EXAMPLE-1-IMPLEMENTATION","Stobj-example-1-implementation","STOBJ-EXAMPLE-1-IMPLEMENTATION",[9],"The implementation of the <v>counters</v> stobj"],
 ["ACL2____SPEC-MV-LET","Spec-mv-let","SPEC-MV-LET",[487,142],"Modification of <tt><see topic=\"ACL2____MV-LET\">mv-let</see></tt> supporting speculative and parallel execution"],
 ["ACL2____PROMPT","Prompt","PROMPT",[16],"The prompt printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____LP-SECTION-0","Lp-section-0","LP-SECTION-0",[71],"Loop$ Primer Table of Contents)"],
 ["ACL2____ERROR-TRIPLES-AND-PARALLELISM","Error-triples-and-parallelism","ERROR-TRIPLES-AND-PARALLELISM",[487],"How to avoid error triples in ACL2(p)"],
 ["ACL2____CHECK-VARS-NOT-FREE","Check-vars-not-free","CHECK-VARS-NOT-FREE",[739],"Avoid variable capture in macro calls"],
 ["ACL2____ALISTS","Alists","ALISTS",[125],"Operations on association lists, which bind keys to values."],
 ["ACL2____ADD-DEFAULT-HINTS","Add-default-hints","ADD-DEFAULT-HINTS",[893],"Add to the default hints"],
 ["BIB____GHK17","Bib::ghk17","GHK17",[132],"S. Goel, W. A. Hunt, Jr., and M. Kaufmann, &ldquo;<a \u000A  href='https://link.springer.com/chapter/10.1007/978-3-319-48628-4_8'>Engineering \u000A  a Formal, Executable x86 ISA Simulator for Software Verification</a>&rdquo;, \u000A  in M. Hinchey, J. P. Bowen, and E.-R. Olderog, editors, <i>Provably Correct \u000A  Systems</i> Springer, pp. 173-209, 2017. \u000A \u000A  <br></br><br></br><b>Relevance:</b> operational model of the x86 at both the \u000A  user- and system-level and code proofs"],
 ["ACL2____SET-TOTAL-PARALLELISM-WORK-LIMIT","Set-total-parallelism-work-limit","SET-TOTAL-PARALLELISM-WORK-LIMIT",[131],"For ACL2(p): set thread limit for parallelism primitives"],
 ["ACL2____SET-PARALLEL-EXECUTION","Set-parallel-execution","SET-PARALLEL-EXECUTION",[131],"For ACL2(p): enabling parallel execution for four parallelism primitives"],
 ["ACL2____SET-GUARD-MSG","Set-guard-msg","SET-GUARD-MSG",[91,565],"Specify what is printed when a <see topic=\"ACL2____GUARD\">guard</see> is violated"],
 ["ACL2____SBCL-INSTALLATION-BRIEF","Sbcl-installation-brief","SBCL-INSTALLATION-BRIEF",[1121],"Installing Steel Bank Common Lisp (SBCL)"],
 ["ACL2____SAFE-MODE","Safe-mode","SAFE-MODE",[91,739],"A mode that avoids <see topic=\"ACL2____GUARD\">guard</see> violations on <see topic=\"ACL2____PRIMITIVE\">primitive</see>s"],
 ["ACL2____PR","Pr","PR",[108],"Print the rules stored by the event with the given name"],
 ["ACL2____LD-PRE-EVAL-PRINT","Ld-pre-eval-print","LD-PRE-EVAL-PRINT",[16],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> prints the forms to be <v>eval</v>'d"],
 ["ACL2____ILK","Ilk","ILK",[27],"Indicator of how an argument is used"],
 ["ACL2____HONS-CLEAR","Hons-clear","HONS-CLEAR",[602,142],"<v>(<see topic=\"ACL2____HONS-CLEAR\">hons-clear</see> gc)</v> is a drastic garbage collection mechanism that \u000Aclears out the underlying Hons Space."],
 ["ACL2____FORMULA","Formula","FORMULA",[108,4,142],"The formula of a name or <see topic=\"ACL2____RUNE\">rune</see>"],
 ["ACL2____FLUSH-COMPRESS","Flush-compress","FLUSH-COMPRESS",[47,142],"Flush the under-the-hood array for the given name"],
 ["ACL2____ERRORS","Errors","ERRORS",[125],"Support for causing runtime errors, breaks, assertions, etc."],
 ["ACL2____DO_42","Do$","DO$",[34,176],"Definition of <v>do$</v>"],
 ["ACL2-PC____EQUIV","ACL2-pc::equiv","EQUIV",[224],"(primitive) \u000Aattempt an equality (or congruence-based) substitution"],
 ["ACL2-PC____COMM","ACL2-pc::comm","COMM",[224,516],"(macro) \u000Adisplay instructions from the current interactive session"],
 ["ACL2-PC____CASESPLIT","ACL2-pc::casesplit","CASESPLIT",[224],"(primitive) \u000Asplit into two cases"],
 ["ACL2-PC____ADD-ABBREVIATION","ACL2-pc::add-abbreviation","ADD-ABBREVIATION",[224],"(primitive) \u000Aadd an abbreviation"],
 ["ACL2____WITH-FAST-ALIST","With-fast-alist","WITH-FAST-ALIST",[270,142],"<v>(<see topic=\"ACL2____WITH-FAST-ALIST\">with-fast-alist</see> name form)</v> causes <v>name</v> to be a fast alist \u000Afor the execution of <v>form</v>."],
 ["ACL2____The_02Event_02Summary","The Event Summary","The Event Summary",[121],"The Event Summary"],
 ["ACL2____STANDARD-CO","Standard-co","STANDARD-CO",[17,142],"The character output channel to which <tt><see topic=\"ACL2____LD\">ld</see></tt> prints"],
 ["ACL2____SPECIAL-CASES-FOR-REWRITE-RULES","Special-cases-for-rewrite-rules","SPECIAL-CASES-FOR-REWRITE-RULES",[18],"Convenient short forms for rewrite rule formulas"],
 ["ACL2____R-AND-I-PEANO-ARITHMETIC","R-and-i-peano-arithmetic","R-AND-I-PEANO-ARITHMETIC",[1221],"Recursion and Induction: Peano Arithmetic"],
 ["ACL2____NQTHM-TO-ACL2","Nqthm-to-ACL2","NQTHM-TO-ACL2",[377],"ACL2 analogues of Nqthm functions and commands"],
 ["ACL2____FREE-VARIABLES-TYPE-PRESCRIPTION","Free-variables-type-prescription","FREE-VARIABLES-TYPE-PRESCRIPTION",[72],"Matching for free variable in <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rules"],
 ["ACL2____DEFUND","Defund","DEFUND",[1,85],"Define a function symbol and then disable it"],
 ["ACL2____CALLING-LD-IN-BAD-CONTEXTS","Calling-ld-in-bad-contexts","CALLING-LD-IN-BAD-CONTEXTS",[16],"Errors caused by calling <tt><see topic=\"ACL2____LD\">ld</see></tt> in inappropriate contexts"],
 ["ACL2____An_02Example_02of_02ACL2_02in_02Use","An Example of ACL2 in Use","An Example of ACL2 in Use",[121],"An Example of ACL2 in Use"],
 ["ACL2-PC____DV","ACL2-pc::dv","DV",[224,516],"(atomic macro) \u000Amove to the indicated subterm"],
 ["COMMON-LISP____ASSOC","Assoc","ASSOC",[755,142],"Look up key in association list"],
 ["ACL2____POR","Por","POR",[487,142],"Parallel, Boolean version of <tt><see topic=\"COMMON-LISP____OR\">or</see></tt>"],
 ["ACL2____INVISIBLE-FNS-TABLE","Invisible-fns-table","INVISIBLE-FNS-TABLE",[97],"Functions that are invisible to the <see topic=\"ACL2____LOOP-STOPPER\">loop-stopper</see> algorithm"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-WITH-ACCUMULATORS","Example-induction-scheme-with-accumulators","EXAMPLE-INDUCTION-SCHEME-WITH-ACCUMULATORS",[18],"Induction scheme with accumulators"],
 ["ACL2____DOCUMENTATION-COPYRIGHT","Documentation-copyright","DOCUMENTATION-COPYRIGHT",[1004,0],"Copyright and authorship of documentation"],
 ["ACL2____ACL2-USER","ACL2-user","ACL2-USER",[832],"A package the ACL2 user may prefer"],
 ["ACL2-PC____HYPS","ACL2-pc::hyps","HYPS",[224],"(macro) \u000Aprint the hypotheses"],
 ["BIB____WILDING92","Bib::wilding92","WILDING92",[132],"M. M. Wilding, <i>Machine-checked real-time system verification</i> \u000A  <v>(ftp://ftp.cs.utexas.edu/pub/boyer/diss/wilding.pdf)</v>, University of \u000A  Texas at Austin, Ph.D. dissertation, 1996. \u000A \u000A  <br></br><br></br><b>Relevance:</b> a non-trivial applications program on the CLI Verified Stack"],
 ["BIB____MOORE17","Bib::moore17","MOORE17",[132],"J S. Moore, &ldquo;<a \u000A    href='https://www.cs.utexas.edu/~moore/publications/ainni.pdf'> Computing \u000A    Verified Machine Address Bounds during Symbolic Exploration of \u000A    Code</a>,&rdquo; in J. Bowen, H. Langmaack and E.-R. Olderog, editors, \u000A    <i>Provably Correct Systems</i>, Springer, pp. 151-172, 2017. \u000A \u000A  <br></br><br></br><b>Relevance:</b> an ACL2 tool for determining whether two \u000A  symbolic machine addresses may be equal"],
 ["ACL2____The_02Tours","The Tours","The Tours",[121],"The Tours"],
 ["ACL2____P_12","P!","P!",[16],"To pop up (at least) one level of ACL2's command loop"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-5","Practice-formulating-strong-rules-5","PRACTICE-FORMULATING-STRONG-RULES-5",[18],"Rules suggested by <v>(<see topic=\"COMMON-LISP____SUBSETP\">SUBSETP</see> (FOO A) (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (BAR B) (MUM C)))</v>"],
 ["ACL2____LP-SECTION-2","Lp-section-2","LP-SECTION-2",[71],"<v>Loop</v> in Common Lisp and <v>loop$</v> in ACL2"],
 ["ACL2____CCL-INSTALLATION-LINUX-ELABORATE","Ccl-installation-linux-elaborate","CCL-INSTALLATION-LINUX-ELABORATE",[862],"Installing Clozure Common Lisp (CCL) on Linux (elaborate version)"],
 ["ACL2____ACL2","ACL2","ACL2",[1538],"ACL2 documentation (system only, not including the community books)"],
 ["BIB____MOORE96","Bib::moore96","MOORE96",[132],"J S. Moore, <i>Piton:  A Mechanically Verified Assembly-Level Language</i>, \u000A  J S. Moore, Automated Reasoning Series, Kluwer Academic Publishers, 1996. \u000A \u000A  <br></br><br></br><b>Relevance:</b> verified assembler/linker/loader and a \u000A  component of the CLI Verified Stack"],
 ["BIB____GHKG14","Bib::ghkg14","GHKG14",[132],"S. Goel, W. A. Hunt, Jr., M. Kaufmann, and S. Ghosh, &ldquo;<a \u000A  href='http://www.cs.utexas.edu/users/hunt/FMCAD/FMCAD14/proceedings/18_goel.pdf'>Simulation \u000A  and Formal Verification of x86 Machine-Code Programs that Make System \u000A  Calls</a>&rdquo;, in <i>Proceedings of Formal Methods in Computer-Aided \u000A  Design (FMCAD'14)</i>, pp. 91-98, 2014. \u000A \u000A  <br></br><br></br><b>Relevance:</b> modeling and verifying machine-code \u000A  programs that exhibit non-determinism"],
 ["ACL2____TRUST-MFC","Trust-mfc","TRUST-MFC",[89],"A macro that supports testing of extended metafunctions)"],
 ["ACL2____SET-MATCH-FREE-ERROR","Set-match-free-error","SET-MATCH-FREE-ERROR",[72],"Control error vs. warning when <v>:match-free</v> is missing"],
 ["ACL2____NATP","Natp","NATP",[282,142],"A recognizer for the natural numbers"],
 ["ACL2____LP-SECTION-18","Lp-section-18","LP-SECTION-18",[71],"Conclusion"],
 ["ACL2____GIT-QUICK-START","Git-quick-start","GIT-QUICK-START",[863],"Git quick start guide"],
 ["ACL2____FILE-READING-EXAMPLE","File-reading-example","FILE-READING-EXAMPLE",[1493],"Example of reading files in ACL2"],
 ["ACL2____Corroborating_02Models","Corroborating Models","Corroborating Models",[121],"Corroborating Models"],
 ["ACL2____ACL2-COUNT","ACL2-count","ACL2-COUNT",[726,142],"A commonly used measure for justifying recursion"],
 ["ACL2____WINDOWS-INSTALLATION","Windows-installation","WINDOWS-INSTALLATION",[26],"Installing ACL2 on Windows"],
 ["ACL2____USING-COMPUTED-HINTS-8","Using-computed-hints-8","USING-COMPUTED-HINTS-8",[1129],"Some Final Comments"],
 ["ACL2____UNTRANSLATE","Untranslate","UNTRANSLATE",[33],"Show a user-level representation of a term"],
 ["ACL2____PROFILE","Profile","PROFILE",[85],"Turn on profiling for one function"],
 ["ACL2____PARGS","Pargs","PARGS",[487,142],"Parallel evaluation of arguments in a function call"],
 ["ACL2____NOTE-4-0-WORMHOLE-CHANGES","Note-4-0-wormhole-changes","NOTE-4-0-WORMHOLE-CHANGES",[308],"How to convert calls of wormhole for Version  4.0"],
 ["ACL2____EARLY-TERMINATION","Early-termination","EARLY-TERMINATION",[487],"Early termination for <tt><see topic=\"ACL2____PAND\">pand</see></tt> and <tt><see topic=\"ACL2____POR\">por</see></tt>."],
 ["ACL2____DISABLEDP","Disabledp","DISABLEDP",[6],"Determine whether a given name or rune is disabled"],
 ["ACL2____CLAUSE-IDENTIFIER","Clause-identifier","CLAUSE-IDENTIFIER",[196],"The internal form of a <see topic=\"ACL2____GOAL-SPEC\">goal-spec</see>"],
 ["COMMON-LISP____RASSOC","Rassoc","RASSOC",[755,142],"Look up value in association list"],
 ["COMMON-LISP____INTEGERP","Integerp","INTEGERP",[282,142],"Recognizer for whole numbers"],
 ["COMMON-LISP____CASE","Case","CASE",[726,142],"Conditional based on if-then-else using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["BIB____YU92","Bib::yu92","YU92",[132],"Y. Yu, <i>Automated proofs of object code for a widely used \u000A  microprocessor</i> <v>(ftp://ftp.cs.utexas.edu/pub/boyer/diss/yu.pdf)</v>, \u000A  University of Texas at Austin, Ph.D. dissertation, 1992. \u000A \u000A  <br></br><br></br><b>Relevance:</b> details of the operational model of the \u000A  Motorola 68020"],
 ["BIB____HUNT85","Bib::hunt85","HUNT85",[132],"W. A. Hunt, Jr., <i>FM8501: A Verified Microprocessor</i>, \u000A  University of Texas at Austin, Ph.D. dissertation, 1985 (also published as a \u000A  book of the same title, Springer-Verlag LNAI 795, Heidelberg, 1994. \u000A \u000A  <br></br><br></br><b>Relevance:</b> first microprocessor verified at the gate \u000A  level and the bottommost component of the CLI stack"],
 ["BIB____BOH03","Bib::boh03","BOH03",[132],"R. E. Bryant and D. R. O'Hallaron, <i>Computer Systems: A \u000A   Programmer's Perspective</i>, Prentice-Hall. First edition 2003, second \u000A   edition 2011, third edition 2015. \u000A \u000A  <br></br><br></br><b>Relevance:</b>one of the most popular and influential \u000A  textbooks on modern computer systems; its relevance here is that the book \u000A  introduced the y86."],
 ["ACL2____USELESS-RUNES-FAILURES","Useless-runes-failures","USELESS-RUNES-FAILURES",[464,163],"Failures caused by <see topic=\"ACL2____USELESS-RUNES\">useless-runes</see>"],
 ["ACL2____UNIVERSAL-THEORY","Universal-theory","UNIVERSAL-THEORY",[6,575],"All rules as of logical name"],
 ["ACL2____THEORY","Theory","THEORY",[6,575],"Retrieve named theory"],
 ["ACL2____REMOVE1-ASSOC","Remove1-assoc","REMOVE1-ASSOC",[755,142],"Remove the first pair with a given key from an association list"],
 ["ACL2____R-AND-I-TABLE-OF-CONTENTS","R-and-i-table-of-contents","R-AND-I-TABLE-OF-CONTENTS",[66],"Recursion and Induction Table of Contents)"],
 ["ACL2____PROTECT-MEMOIZE-STATISTICS","Protect-memoize-statistics","PROTECT-MEMOIZE-STATISTICS",[37],"Ensure the integrity of memoization statistics even upon aborts"],
 ["ACL2____PACKAGES","Packages","PACKAGES",[125],"Collections of symbols that act as namespaces."],
 ["ACL2____NORMALIZE","Normalize","NORMALIZE",[3],"Storing simplified <see topic=\"ACL2____DEFINITION\">definition</see> bodies and <see topic=\"ACL2____GUARD\">guard</see>s"],
 ["ACL2____INTERN-IN-PACKAGE-OF-SYMBOL","Intern-in-package-of-symbol","INTERN-IN-PACKAGE-OF-SYMBOL",[1323,832,142],"Create a symbol with a given name"],
 ["ACL2____HONS-COPY","Hons-copy","HONS-COPY",[602,142],"<v>(<see topic=\"ACL2____HONS-COPY\">hons-copy</see> x)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object that is equal to \u000A  X."],
 ["ACL2____DIVE-INTO-MACROS-TABLE","Dive-into-macros-table","DIVE-INTO-MACROS-TABLE",[49,785],"Right-associated function information for the <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see>"],
 ["ACL2____DEFMACRO-UNTOUCHABLE","Defmacro-untouchable","DEFMACRO-UNTOUCHABLE",[739,85,125,118],"Define an ``untouchable'' macro"],
 ["ACL2____DEFEQUIV","Defequiv","DEFEQUIV",[85],"Prove that a function is an <see topic=\"ACL2____EQUIVALENCE\">equivalence</see> relation"],
 ["ACL2____ASET2","Aset2","ASET2",[47,142],"Set the elements of a 2-dimensional array"],
 ["ACL2-PC____X","ACL2-pc::x","X",[224,516],"(atomic macro) \u000Aexpand and (maybe) simplify function call at the current subterm"],
 ["ACL2-PC____POT-LST","ACL2-pc::pot-lst","POT-LST",[224],"(macro) \u000Adisplay the linear arithmetic database based on the current context"],
 ["ACL2-PC____DIVE","ACL2-pc::dive","DIVE",[224],"(primitive) \u000Amove to the indicated subterm"],
 ["ACL2____USING-ENABLED-RULES","Using-enabled-rules","USING-ENABLED-RULES",[6],"Avoiding <v>:use</v> <see topic=\"ACL2____HINTS\">hints</see> for <see topic=\"ACL2____ENABLE\">enable</see>d <v>:</v><tt><see topic=\"ACL2____REWRITE\">rewrite</see></tt> rules"],
 ["ACL2____SET-DIFFERENCE_42","Set-difference$","SET-DIFFERENCE$",[411,142],"Elements of one list that are not elements of another"],
 ["ACL2____REMOVE-ASSOC","Remove-assoc","REMOVE-ASSOC",[755,142],"Remove all pairs with a given key from an association list"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES","Practice-formulating-strong-rules","PRACTICE-FORMULATING-STRONG-RULES",[18],"A few simple checkpoints suggesting strong rules"],
 ["ACL2____OUTPUT-TO-FILE","Output-to-file","OUTPUT-TO-FILE",[17],"Redirecting output to a file"],
 ["ACL2____MV-LIST","Mv-list","MV-LIST",[138,142],"Converting <see topic=\"ACL2____MULTIPLE-VALUE\">multiple-value</see> result to a single-value list"],
 ["ACL2____LD-PRE-EVAL-FILTER","Ld-pre-eval-filter","LD-PRE-EVAL-FILTER",[16],"Determines which forms <tt><see topic=\"ACL2____LD\">ld</see></tt> evaluates"],
 ["ACL2____COURSE-MATERIALS","Course-materials","COURSE-MATERIALS",[0],"Some ACL2 course materials"],
 ["ACL2____COMPRESS2","Compress2","COMPRESS2",[47,142],"Remove irrelevant pairs from a 2-dimensional array"],
 ["ACL2____CANONICAL-PATHNAME","Canonical-pathname","CANONICAL-PATHNAME",[46,142],"The true absolute filename, with soft links resolved"],
 ["ACL2____ADD-GLOBAL-STOBJ","Add-global-stobj","ADD-GLOBAL-STOBJ",[85,9],"Add a global <see topic=\"ACL2____STOBJ\">stobj</see> with a given name"],
 ["ACL2____VERIFY","Verify","VERIFY",[49],"Enter the interactive proof-builder"],
 ["ACL2____The_02Proof_02of_02the_02Associativity_02of_02App","The Proof of the Associativity of App","The Proof of the Associativity of App",[121],"The Proof of the Associativity of App"],
 ["ACL2____TTAGS-SEEN","Ttags-seen","TTAGS-SEEN",[654],"List some declared trust tags (ttags)"],
 ["ACL2____SET-TOTAL-PARALLELISM-WORK-LIMIT-ERROR","Set-total-parallelism-work-limit-error","SET-TOTAL-PARALLELISM-WORK-LIMIT-ERROR",[131],"For ACL2(p): control the action taken when the thread limit is exceeded"],
 ["ACL2____SET-INVISIBLE-FNS-TABLE","Set-invisible-fns-table","SET-INVISIBLE-FNS-TABLE",[97],"Set the invisible functions table"],
 ["ACL2____SAFE-MODE-CHEAT-SHEET","Safe-mode-cheat-sheet","SAFE-MODE-CHEAT-SHEET",[762],"Working around ``<see topic=\"ACL2____PROGRAM-ONLY\">program-only</see>'' issues"],
 ["ACL2____RAW-LISP-ERROR","Raw-lisp-error","RAW-LISP-ERROR",[672],"Raw lisp errors"],
 ["ACL2____CCL-INSTALLATION-MAC-BRIEF","Ccl-installation-mac-brief","CCL-INSTALLATION-MAC-BRIEF",[862],"Installing Clozure Common Lisp (CCL) on Mac (brief version)"],
 ["ACL2____CCL-INSTALLATION","Ccl-installation","CCL-INSTALLATION",[1121],"Installing Clozure Common Lisp (CCL)"],
 ["ACL2____ABOUT-ACL2","About-ACL2","ABOUT-ACL2",[235],"General information About ACL2"],
 ["COMMON-LISP____SYMBOL-NAME","Symbol-name","SYMBOL-NAME",[1096,142],"The name of a symbol (a string)"],
 ["BIB____MMRV06","Bib::mmrv06","MMRV06",[132],"J. Matthews, J S. Moore, S. Ray and D. Vroon, &ldquo;<a \u000A  href='http://ece.ufl.edu/wp-content/uploads/sites/119/publications/lpar06.pdf'> \u000A  Verification Condition Generation via Theorem Proving</a>&rdquo;, in \u000A  <i>Proceedings of 13th International Conference on Logic for Programming, \u000A  Artificial Intelligence, and Reasoning (LPAR 2006)</i>, LNCS <b>4246</b>, \u000A  pp. 362-376, 2006. \u000A \u000A  <br></br><br></br><b>Relevance:</b> how to conduct inductive assertion-style \u000A  proofs from an operational semantics without a verification condition \u000A  generator"],
 ["BIB____BM80","Bib::bm80","BM80",[132],"R. S. Boyer and J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/BDX930-Report-1978-81.pdf'>On \u000A  Why It Is Impossible to Prove that the BDX930 Dispatcher Implements a \u000A  Time-Sharing System</a>&rdquo;, in Sections 14 and 15 of P.M. Melliar-Smith, \u000A  K. Levitt, R. Schwartz, R. Boyer, J Moore, D. Hare, R. Shostak, M. Moriconi, \u000A  M. Green, and W.D. Elliot, <i>Investigation, Development, and Evaluation of \u000A  Performance Proving for Fault-Tolerant Computer Final Report, covering the \u000A  period September 1978 to June 1982</i>, SRI, July 1982. \u000A \u000A  <br></br><br></br><b>Relevance:</b> operational semantic model of (a \u000A  fragment) of a 1970s flight control computer"],
 ["BIB____BH97","Bib::bh97","BH97",[132],"B. Brock and W. A. Hunt, Jr., &ldquo;<a \u000A  href='https://ieeexplore.ieee.org/document/628846'>Formally Specifying and \u000A  Mechanically Verifying Programs for the Motorola Complex Arithmetic \u000A  Processor DSP</a>&rdquo;, in <i>1997 IEEE International Conference on \u000A  Computer Design</i>, IEEE Computer Society, pp. 31-36, October, 1997. \u000A \u000A  <br></br><br></br><b>Relevance:</b> first public announcement of the CAP \u000A  DSP formalization (this short article was superseded by <see topic=\"BIB____BH99\">bib::bh99</see>)"],
 ["ACL2____SYNC-EPHEMERAL-WHS-WITH-PERSISTENT-WHS","Sync-ephemeral-whs-with-persistent-whs","SYNC-EPHEMERAL-WHS-WITH-PERSISTENT-WHS",[32],"establishing wormhole coherence"],
 ["ACL2____SYMBOL-PACKAGE-NAME","Symbol-package-name","SYMBOL-PACKAGE-NAME",[1096,832,142],"The name of the package of a symbol (a string)"],
 ["ACL2____SIMPLE","Simple","SIMPLE",[13,31],"<v>:</v><tt><see topic=\"ACL2____DEFINITION\">definition</see></tt> and <v>:</v><tt><see topic=\"ACL2____REWRITE\">rewrite</see></tt> rules used in \u000A  preprocessing"],
 ["ACL2____SET-INHIBITED-SUMMARY-TYPES","Set-inhibited-summary-types","SET-INHIBITED-SUMMARY-TYPES",[599],"Control which parts of the <see topic=\"ACL2____SUMMARY\">summary</see> are printed"],
 ["ACL2____SET-DEFAULT-BACKCHAIN-LIMIT","Set-default-backchain-limit","SET-DEFAULT-BACKCHAIN-LIMIT",[141],"Sets the default backchain-limit used when admitting a rule"],
 ["ACL2____SET-BOGUS-MUTUAL-RECURSION-OK","Set-bogus-mutual-recursion-ok","SET-BOGUS-MUTUAL-RECURSION-OK",[43],"Allow unnecessary ``mutual recursion''"],
 ["ACL2____R-AND-I-MUTUAL-RECURSION-INADEQUACIES","R-and-i-mutual-recursion-inadequacies","R-AND-I-MUTUAL-RECURSION-INADEQUACIES",[1637],"Recursion and Induction: Mutual Recursion Inadequacies"],
 ["ACL2____QUICK-AND-DIRTY-SUBSUMPTION-REPLACEMENT-STEP","Quick-and-dirty-subsumption-replacement-step","QUICK-AND-DIRTY-SUBSUMPTION-REPLACEMENT-STEP",[565],"(advanced topic) controlling a heuristic in the prover's clausifier"],
 ["ACL2____Guards_02in_02ACL2","Guards in ACL2","Guards in ACL2",[121],"Guards"],
 ["ACL2____GET-PERSISTENT-WHS","Get-persistent-whs","GET-PERSISTENT-WHS",[32],"Make a wormhole's status visible outside the wormhole"],
 ["ACL2____FAST-ALIST-CLEAN","Fast-alist-clean","FAST-ALIST-CLEAN",[270,142],"<v>(<see topic=\"ACL2____FAST-ALIST-CLEAN\">fast-alist-clean</see> alist)</v> can be used to eliminate \u000A \"shadowed pairs\" from a fast alist."],
 ["ACL2____F-PUT-GLOBAL","F-put-global","F-PUT-GLOBAL",[46,142],"Assign to a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____DEFREFINEMENT","Defrefinement","DEFREFINEMENT",[85],"Prove that <v>equiv1</v> refines <v>equiv2</v>"],
 ["ACL2____CCL-INSTALLATION-LINUX-BRIEF","Ccl-installation-linux-brief","CCL-INSTALLATION-LINUX-BRIEF",[862],"Installing Clozure Common Lisp (CCL) on Linux (brief version)"],
 ["COMMON-LISP_____D3","=","=",[282,253,111,142],"Test equality of two numbers"],
 ["COMMON-LISP____QUOTE","Quote","QUOTE",[726,142],"Create a constant"],
 ["ACL2____TRANS1","Trans1","TRANS1",[739],"Print the one-step macroexpansion of a form"],
 ["ACL2____SET-PRINT-CLAUSE-IDS","Set-print-clause-ids","SET-PRINT-CLAUSE-IDS",[599],"Cause subgoal numbers to be printed when <v>'prove</v> output is \u000A  inhibited"],
 ["ACL2____SET-DWP","Set-dwp","SET-DWP",[110],"Affect the effort made in <see topic=\"ACL2____TYPE-REASONING\">type-reasoning</see>"],
 ["ACL2____PUT-ASSOC","Put-assoc","PUT-ASSOC",[755,142],"Modify an association list by associating a value with a key"],
 ["ACL2____FMT-TO-COMMENT-WINDOW","Fmt-to-comment-window","FMT-TO-COMMENT-WINDOW",[180,17,142],"Print to the comment window"],
 ["ACL2____FANCY-STRING-READER","Fancy-string-reader","FANCY-STRING-READER",[696],"A friendly syntax for strings literals that have backslashes and \u000Aquotes."],
 ["ACL2____EV_42","Ev$","EV$",[27],"Evaluate a tame expression using <v>apply$</v>"],
 ["ACL2____DEFSTUB","Defstub","DEFSTUB",[85],"Stub-out a function symbol"],
 ["ACL2____DEFINE-PC-MACRO","Define-pc-macro","DEFINE-PC-MACRO",[49],"Define a proof-builder macro command"],
 ["ACL2____DEFAULT-HINTS","Default-hints","DEFAULT-HINTS",[20],"A list of hints added to every proof attempt"],
 ["ACL2____CHARACTER-ENCODING","Character-encoding","CHARACTER-ENCODING",[17],"How bytes are parsed into characters"],
 ["COMMON-LISP____SUBSETP","Subsetp","SUBSETP",[411,142],"Test if every <tt><see topic=\"COMMON-LISP____MEMBER\">member</see></tt> of one list is a <tt><see topic=\"COMMON-LISP____MEMBER\">member</see></tt> of the other"],
 ["COMMON-LISP____REMOVE","Remove","REMOVE",[411,142],"Remove all occurrences"],
 ["ACL2____VERIFY-GUARDS-FORMULA","Verify-guards-formula","VERIFY-GUARDS-FORMULA",[533],"View the guard proof obligation, without proving it"],
 ["ACL2____UPDATE-NTH","Update-nth","UPDATE-NTH",[411,142],"Modify a list by putting the given value at the given position"],
 ["ACL2____SET-LET_A2-ABSTRACTIONP","Set-let*-abstractionp","SET-LET*-ABSTRACTIONP",[599],"To shorten many prettyprinted <see topic=\"ACL2____CLAUSE\">clause</see>s"],
 ["ACL2____SET-CHECKPOINT-SUMMARY-LIMIT","Set-checkpoint-summary-limit","SET-CHECKPOINT-SUMMARY-LIMIT",[119],"Control printing of key checkpoints upon a proof's failure"],
 ["ACL2____SET-BACKCHAIN-LIMIT","Set-backchain-limit","SET-BACKCHAIN-LIMIT",[141],"Sets the backchain-limit used by the type-set and rewriting mechanisms"],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-2","Practice-formulating-strong-rules-2","PRACTICE-FORMULATING-STRONG-RULES-2",[18],"Rules suggested by <v>(<see topic=\"ACL2____TRUE-LISTP\">TRUE-LISTP</see> (REV (FOO A)))</v>"],
 ["ACL2____PACKAGES-FOR-GENERATED-SYMBOLS","Packages-for-generated-symbols","PACKAGES-FOR-GENERATED-SYMBOLS",[832],"Convention for packages of generated symbols"],
 ["ACL2____NOTE-3-6-1","Note-3-6-1","NOTE-3-6-1",[210],"ACL2 Version  3.6.1 (September, 2009) Notes"],
 ["ACL2____NOTE-2-8-RULES","Note-2-8-rules","NOTE-2-8-RULES",[153],"ACL2 Version  2.8 Notes on Changes in Rules, Definitions, and Constants"],
 ["ACL2____LD-ERROR-TRIPLES","Ld-error-triples","LD-ERROR-TRIPLES",[16],"Determines whether a form caused an error during <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____KEEP","Keep","KEEP",[1320],"How we know if <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt> read the correct files"],
 ["ACL2____INTRODUCTORY-CHALLENGES","Introductory-challenges","INTRODUCTORY-CHALLENGES",[18],"Challenge problems for the new ACL2 user"],
 ["ACL2____INDUCTION-DEPTH-LIMIT","Induction-depth-limit","INDUCTION-DEPTH-LIMIT",[106],"The maximum number permitted of nested inductions"],
 ["ACL2____ILLEGAL","Illegal","ILLEGAL",[769,142],"Print an error message and stop execution"],
 ["ACL2____DELETE-INCLUDE-BOOK-DIR","Delete-include-book-dir","DELETE-INCLUDE-BOOK-DIR",[1039],"Unlink keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["ACL2____DEFLABEL","Deflabel","DEFLABEL",[85],"Build a landmark"],
 ["ACL2____ACL2P-KEY-CHECKPOINTS","ACL2p-key-checkpoints","ACL2P-KEY-CHECKPOINTS",[1309],"Key checkpoints in ACL2(p)"],
 ["ACL2-PC____GENERALIZE","ACL2-pc::generalize","GENERALIZE",[224],"(primitive) \u000Aperform a generalization"],
 ["ACL2____WITH-OUTPUT-LOCK","With-output-lock","WITH-OUTPUT-LOCK",[487,142],"Provides a mutual-exclusion mechanism for performing output in parallel"],
 ["ACL2____WITH-CBD","With-cbd","WITH-CBD",[1039],"To bind the connected book directory"],
 ["ACL2____USING-COMPUTED-HINTS-5","Using-computed-hints-5","USING-COMPUTED-HINTS-5",[1129],"Debugging Computed Hints"],
 ["ACL2____TRUE-LIST-FIX","True-list-fix","TRUE-LIST-FIX",[454,142],"Coerce to a true list"],
 ["ACL2____TRANSLAM","Translam","TRANSLAM",[27],"Print the translation of a lambda$ expression"],
 ["ACL2____SWAP-STOBJS","Swap-stobjs","SWAP-STOBJS",[9,142],"Swap two congruent <see topic=\"ACL2____STOBJ\">stobj</see>s"],
 ["ACL2____SOLUTION-TO-SIMPLE-EXAMPLE","Solution-to-simple-example","SOLUTION-TO-SIMPLE-EXAMPLE",[534],"Solution to a simple example"],
 ["ACL2____SET-PRINT-GV-DEFAULTS","Set-print-gv-defaults","SET-PRINT-GV-DEFAULTS",[164,91,565],"Set default keyword values for <tt><see topic=\"ACL2____PRINT-GV\">print-gv</see></tt>"],
 ["ACL2____SERIALIZE-IN-BOOKS","Serialize-in-books","SERIALIZE-IN-BOOKS",[1013],"Using serialization efficiently in books"],
 ["ACL2____REMOVE1","Remove1","REMOVE1",[411,142],"Remove first occurrences, testing using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____OPEN-OUTPUT-CHANNEL_12","Open-output-channel!","OPEN-OUTPUT-CHANNEL!",[17,142],"When trust tags are needed to open output channels"],
 ["ACL2____NOTE-2-8-PROOF-BUILDER","Note-2-8-proof-builder","NOTE-2-8-PROOF-BUILDER",[153],"ACL2 Version  2.8 Notes on proof-builder Changes"],
 ["ACL2____LD-EVISC-TUPLE","Ld-evisc-tuple","LD-EVISC-TUPLE",[16],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> suppresses details when printing"],
 ["ACL2____CW-PRINT-BASE-RADIX","Cw-print-base-radix","CW-PRINT-BASE-RADIX",[17,142],"Print to the comment window in a given print-base"],
 ["ACL2____COMMUNITY-BOOK","Community-book","COMMUNITY-BOOK",[389],"See <see topic=\"ACL2____COMMUNITY-BOOKS\">community-books</see>."],
 ["ACL2-PC____LISP","ACL2-pc::lisp","LISP",[224],"(meta) \u000Aevaluate the given form in Lisp"],
 ["COMMON-LISP____ATOM","Atom","ATOM",[539,142],"Recognizer for atoms"],
 ["BIB____MOORE99B","Bib::moore99b","MOORE99B",[132],"J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/multi-v-uni.pdf'>A \u000A  Mechanically Checked Proof of a Multiprocessor Result via a Uniprocessor \u000A  View</a>&rdquo;, J S. Moore, <i>Formal Methods in System Design</i>, \u000A  <b>14</b>(2), pp. 213-228, March, 1999. \u000A \u000A  <br></br><br></br><b>Relevance:</b> proving a relationship between two state \u000A  machines"],
 ["ACL2____TTREE","Ttree","TTREE",[654],"Tag-trees"],
 ["ACL2____SET-SPLITTER-OUTPUT","Set-splitter-output","SET-SPLITTER-OUTPUT",[170],"Turn on or off reporting of rules that may have caused case splits"],
 ["ACL2____SERIALIZE-READ","Serialize-read","SERIALIZE-READ",[1013,142],"Read a serialized ACL2 object from a file"],
 ["ACL2____NUMBERS-INTRODUCTION","Numbers-introduction","NUMBERS-INTRODUCTION",[282],"Numbers in ACL2"],
 ["ACL2____NOTE-1-2","Note-1-2","NOTE-1-2",[210],"Acl2 Version 1.2 Notes"],
 ["ACL2____LD-VERBOSE","Ld-verbose","LD-VERBOSE",[16],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> prints ``ACL2 Loading ...''"],
 ["ACL2____GUARD-THEOREM-EXAMPLE","Guard-theorem-example","GUARD-THEOREM-EXAMPLE",[67,91,20,1204,533],"How to use a previously-proved <see topic=\"ACL2____GUARD\">guard</see> theorem"],
 ["ACL2____GENERALIZE","Generalize","GENERALIZE",[12],"Make a rule to restrict generalizations"],
 ["ACL2____ER-PROGN","Er-progn","ER-PROGN",[769,46,142],"Perform a sequence of state-changing ``error triples''"],
 ["ACL2____DEFATTACH-SYSTEM","Defattach-system","DEFATTACH-SYSTEM",[38],"Attach to built-in, system-level, constrained functions"],
 ["ACL2____CONSTRAINT-INFO","Constraint-info","CONSTRAINT-INFO",[33,75],"Obtaining the <see topic=\"ACL2____CONSTRAINT\">constraint</see> on a function symbol"],
 ["ACL2____ALPHORDER","Alphorder","ALPHORDER",[-1,142],"Total order on atoms"],
 ["COMMON-LISP____LENGTH","Length","LENGTH",[411,747,142],"Length of a string or proper list"],
 ["COMMON-LISP____COMPLEX","Complex","COMPLEX",[282,142],"Create an ACL2 number"],
 ["BIB____MOORE14","Bib::moore14","MOORE14",[132],"J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/m1-is-turing-equiv.pdf'> \u000A  Proof Pearl: Proving a Simple Von Neumann Machine Turing Complete</a>&rdquo; \u000A  in G. Klein and R. Gamboa, editors, <i>Interactive Theorem Proving, ITP \u000A  2014</i>, Springer LNCS <b>8558</b>, doi.org/10.1007/978-3-319-08970-6_26, \u000A  2014. \u000A \u000A  <br></br><br></br><b>Relevance:</b>M1 can compute anything a Turing machine \u000A  can.  (The paper ought to be re-titled &ldquo;Proving M1 Turing \u000A  Equivalent.&rdquo;)"],
 ["ACL2____TERM-TABLE","Term-table","TERM-TABLE",[28],"A table used to validate meta rules"],
 ["ACL2____TAU-STATUS","Tau-status","TAU-STATUS",[52],"Query or set tau system status"],
 ["ACL2____SET-PRINT-CASE","Set-print-case","SET-PRINT-CASE",[17,142],"Control whether symbols are printed in upper case or in lower case"],
 ["ACL2____SET-PRINT-BASE","Set-print-base","SET-PRINT-BASE",[17,142],"Control radix in which numbers are printed"],
 ["ACL2____REMOVE-DEFAULT-HINTS","Remove-default-hints","REMOVE-DEFAULT-HINTS",[893],"Remove from the default hints"],
 ["ACL2____Numbers_02in_02ACL2","Numbers in ACL2","Numbers in ACL2",[121],"Numbers in ACL2"],
 ["ACL2____NOTE-2-4","Note-2-4","NOTE-2-4",[210],"ACL2 Version  2.4 (August, 1999) Notes"],
 ["ACL2____INITIALIZE-EVENT-USER","Initialize-event-user","INITIALIZE-EVENT-USER",[599],"User-supplied code to initiate <see topic=\"ACL2____EVENTS\">events</see>"],
 ["ACL2____GAG-MODE","Gag-mode","GAG-MODE",[599],"Verbosity of proof output"],
 ["ACL2____FREE-VARIABLES-EXAMPLES-FORWARD-CHAINING","Free-variables-examples-forward-chaining","FREE-VARIABLES-EXAMPLES-FORWARD-CHAINING",[1370],"Examples pertaining to free variables in <see topic=\"ACL2____FORWARD-CHAINING\">forward-chaining</see> rules"],
 ["ACL2____ERROR1","Error1","ERROR1",[769,142],"Print an error message and cause a ``soft error''"],
 ["ACL2____CTX","Ctx","CTX",[769],"Context object for error messages"],
 ["ACL2____BROKEN-LINK-TABLE","Broken-link-table","BROKEN-LINK-TABLE",[1319],"Map <see topic=\"COMMON-LISP____DOCUMENTATION\">documentation</see> topics to the community books that define \u000A them"],
 ["ACL2____About_02the_02Admission_02of_02Recursive_02Definitions","About the Admission of Recursive Definitions","About the Admission of Recursive Definitions",[121],"About the Admission of Recursive Definitions"],
 ["ACL2____A_12","A!","A!",[16],"To return to the top-level of ACL2's command loop"],
 ["ACL2____TUTORIAL4-DEFUN-SK-EXAMPLE","Tutorial4-defun-sk-example","TUTORIAL4-DEFUN-SK-EXAMPLE",[534],"Example of quantified notions"],
 ["ACL2____SETENV_42","Setenv$","SETENV$",[46,142],"Set an environment variable"],
 ["ACL2____SET-WELL-FOUNDED-RELATION","Set-well-founded-relation","SET-WELL-FOUNDED-RELATION",[1],"Set the default well-founded relation"],
 ["ACL2____SET-TRACE-EVISC-TUPLE","Set-trace-evisc-tuple","SET-TRACE-EVISC-TUPLE",[630],"Set the trace evisc tuple"],
 ["ACL2____SET-IGNORE-OK","Set-ignore-ok","SET-IGNORE-OK",[2,1],"Allow unused formals and locals without an <v>ignore</v> or \u000A  <v>ignorable</v> declaration"],
 ["ACL2____REDEFINED-NAMES","Redefined-names","REDEFINED-NAMES",[4],"To collect the names that have been redefined"],
 ["ACL2____R-AND-I-DATA-TYPES-EXERCISES","R-and-i-data-types-exercises","R-AND-I-DATA-TYPES-EXERCISES",[1246],"Recursion and Induction: Data Types Exercises"],
 ["ACL2____PRINC_42","Princ$","PRINC$",[17,142],"Print an atom"],
 ["ACL2____PLET","Plet","PLET",[487,142],"Parallel version of <tt><see topic=\"COMMON-LISP____LET\">let</see></tt>"],
 ["ACL2____PCB","Pcb","PCB",[108],"Print the <see topic=\"ACL2____COMMAND\">command</see> block described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EQUALS-FOR-EQUALS","Logic-knowledge-taken-for-granted-equals-for-equals","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EQUALS-FOR-EQUALS",[18],"Substitution of equals for equals"],
 ["ACL2____IN-ARITHMETIC-THEORY","In-arithmetic-theory","IN-ARITHMETIC-THEORY",[85],"Designate theory for some rewriting done for non-linear arithmetic"],
 ["ACL2____IMMEDIATE-FORCE-MODEP","Immediate-force-modep","IMMEDIATE-FORCE-MODEP",[21],"When the <see topic=\"ACL2____EXECUTABLE-COUNTERPART\">executable-counterpart</see> is <see topic=\"ACL2____ENABLE\">enable</see>d, \u000A <see topic=\"ACL2____FORCE\">force</see>d hypotheses are attacked immediately"],
 ["ACL2____FMX-CW","Fmx-cw","FMX-CW",[17,142],"<v>(<see topic=\"ACL2____FMX-CW\">fmx-cw</see> str &amp;rest args) =&gt; state</v>"],
 ["ACL2____FAST-ALIST-FREE","Fast-alist-free","FAST-ALIST-FREE",[270,142],"<v>(<see topic=\"ACL2____FAST-ALIST-FREE\">fast-alist-free</see> alist)</v> throws away the hash table associated \u000Awith a fast alist."],
 ["ACL2____BINARY-_B2","Binary-+","BINARY-+",[243,142],"Addition function"],
 ["ACL2____ABORT-SOFT","Abort-soft","ABORT-SOFT",[654],"Control how interrupts are handled in proofs"],
 ["COMMON-LISP____FLOOR","Floor","FLOOR",[282,142],"Division returning an integer by truncating toward negative infinity"],
 ["COMMON-LISP____ENDP","Endp","ENDP",[411,142],"Recognizer for empty lists"],
 ["COMMON-LISP____CONCATENATE","Concatenate","CONCATENATE",[411,747,142],"Concatenate lists or strings together"],
 ["BIB____RM04","Bib::rm04","RM04",[132],"S. Ray and J S. Moore, &ldquo;<a \u000A  href='https://www.ece.ufl.edu/wp-content/uploads/sites/119/publications/fmcad04.pdf'>Proof \u000A  Styles in Operational Semantics</a>,&rdquo; in A. J. Hu and A. K. Martin, \u000A  editors, <i>Formal Methods in Computer-Aided Design (FMCAD-2004)</i>, \u000A  Springer, LNCS <b>3312</b>, pp. 67-81, 2004. \u000A \u000A  <br></br><br></br><b>Relevance:</b> ACL2 tools for transforming inductive \u000A  assertion-style proofs to clock function style and vice versa"],
 ["ACL2____ZIP","Zip","ZIP",[282,142],"Testing an ``integer'' against 0"],
 ["ACL2____WITH-LIVE-STATE","With-live-state","WITH-LIVE-STATE",[46,142],"Allow a reference to <v>state</v> in raw Lisp"],
 ["ACL2____SET-RAW-PROOF-FORMAT","Set-raw-proof-format","SET-RAW-PROOF-FORMAT",[599],"Proof output with <see topic=\"ACL2____RUNE\">rune</see>s as lists and maybe clausal goals"],
 ["ACL2____REWRITE-STACK-LIMIT","Rewrite-stack-limit","REWRITE-STACK-LIMIT",[13],"Limiting the stack depth of the ACL2 rewriter"],
 ["ACL2____Q","Q","Q",[126],"Quit ACL2 (type <v>:q</v>) &mdash; reenter with <v>(<see topic=\"ACL2____LP\">lp</see>)</v>"],
 ["ACL2____EXTEND-PATHNAME","Extend-pathname","EXTEND-PATHNAME",[17,142],"Extend a relative pathname to an absolute pathname"],
 ["ACL2____ADD-TO-SET","Add-to-set","ADD-TO-SET",[411,1096,142],"Add a symbol to a list"],
 ["COMMON-LISP____DIGIT-CHAR-P","Digit-char-p","DIGIT-CHAR-P",[61,142],"The number, if any, corresponding to a given character"],
 ["COMMON-LISP____COERCE","Coerce","COERCE",[747,61,142],"Coerce a character list to a string and a string to a list"],
 ["BIB____BY96","Bib::by96","BY96",[132],"R. S. Boyer and Y. Yu, &ldquo;<a \u000A  href='https://dl.acm.org/doi/10.1145/227595.227603'>Automated Proofs of \u000A  Object Code for a Widely Used Microprocessor</a>&rdquo;, <i>Journal of the \u000A  ACM</i> <b>43</b>(1), pp. 166-192, January, 1996. \u000A \u000A  <br></br><br></br><b>Relevance:</b> operational model of the Motorola 68020 \u000A  and verification of object code generated by commercial compilers"],
 ["ACL2____WITH-GUARD-CHECKING-EVENT","With-guard-checking-event","WITH-GUARD-CHECKING-EVENT",[91,142],"Suppress or enable guard-checking for an event form"],
 ["ACL2____TERM-LISTP","Term-listp","TERM-LISTP",[142],"recognizer for a list of quotations of terms and of <see topic=\"ACL2____CLAUSE\">clause</see>s"],
 ["ACL2____SET-IN-THEORY-REDUNDANT-OKP","Set-in-theory-redundant-okp","SET-IN-THEORY-REDUNDANT-OKP",[74],"Allow <tt><see topic=\"ACL2____IN-THEORY\">in-theory</see></tt> events to be redundant"],
 ["ACL2____RETURN-LAST-TABLE","Return-last-table","RETURN-LAST-TABLE",[83],"Install special raw Lisp behavior"],
 ["ACL2____READ-ACL2-ORACLE","Read-ACL2-oracle","READ-ACL2-ORACLE",[46,142],"Pop the oracle field of the state"],
 ["ACL2____PRINT-OBJECT_42_B2","Print-object$+","PRINT-OBJECT$+",[17,142],"Print an object to an open output channel in a specified manner"],
 ["ACL2____PRIMITIVE","Primitive","PRIMITIVE",[125,142],"Primitive functions built into ACL2 without definitions"],
 ["ACL2____Free_02Variables_02in_02Top-Level_02Input","Free Variables in Top-Level Input","Free Variables in Top-Level Input",[121],"Free Variables in Top-Level Input"],
 ["ACL2____EMACS","Emacs","EMACS",[377],"Emacs support for ACL2"],
 ["ACL2____DEFUN-SK-EXAMPLE","Defun-sk-example","DEFUN-SK-EXAMPLE",[53],"A simple example using <tt><see topic=\"ACL2____DEFUN-SK\">defun-sk</see></tt>"],
 ["ACL2____COPYRIGHT","Copyright","COPYRIGHT",[863],"ACL2 copyright, license, sponsorship"],
 ["ACL2-PC____SHOW-REWRITES","ACL2-pc::show-rewrites","SHOW-REWRITES",[224,516],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____REWRITE\">rewrite</see> rules"],
 ["COMMON-LISP____COND","Cond","COND",[726,142],"Conditional based on if-then-else"],
 ["BIB____SAWADA00","Bib::sawada00","SAWADA00",[132],"J. Sawada, &ldquo;Verification of a Simple Pipelined Machine \u000A  Model,&rdquo; in M. Kaufmann, P. Manolios, J S. Moore, editors, \u000A  <i>Computer-Aided Reasoning: ACL2 Case Studies</i>, Kluwer Academic \u000A  Publishers, Chapter 9, pp. 137-150, 2000. (See also <a \u000A  href='https://www.cs.utexas.edu/~moore/publications/acl2-papers.html#Books'>ACL2 \u000A  books</a>). \u000A \u000A  <br></br><br></br><b>Relevance:</b> operational model of a pipelined machine \u000A  and its verification"],
 ["BIB____MCCARTHY62","Bib::mccarthy62","MCCARTHY62",[132],"J. McCarthy, &ldquo;<a \u000A  href='http://jmc.stanford.edu/articles/towards/towards.pdf'>Towards a \u000A  mathematical science of computation</a>,&rdquo; <i>Proceedings of the \u000A  Information Processing Cong. 62</i>, North-Holland, Munich, West Germany, \u000A  pp. 21-28, August, 1962. \u000A \u000A  <br></br><br></br><b>Relevance:</b> a seminal paper in the history of formal \u000A  operational semantics"],
 ["BIB____BM79","Bib::bm79","BM79",[132],"R. S. Boyer and J S. Moore, <i><a \u000A  href='https://archive.org/details/acl_20240626'>A Computational \u000A  Logic</a></i>, Academic Press, 1979. \u000A \u000A  <br></br><br></br><b>Relevance:</b> implementation details of the prover that \u000A  became Nqthm"],
 ["ACL2____SHARP-U-READER","Sharp-u-reader","SHARP-U-READER",[696,282],"Allow underscore characters in numbers"],
 ["ACL2____SET-PRINT-RADIX","Set-print-radix","SET-PRINT-RADIX",[17,142],"Control printing of the radix for numbers"],
 ["ACL2____SET-DEFERRED-TTAG-NOTES","Set-deferred-ttag-notes","SET-DEFERRED-TTAG-NOTES",[24],"Modify the verbosity of <v>TTAG NOTE</v> printing"],
 ["ACL2____SERIALIZE","Serialize","SERIALIZE",[17],"Routines for saving ACL2 objects to files, and later restoring them"],
 ["ACL2____REVERT-WORLD","Revert-world","REVERT-WORLD",[125],"Evaluate without (ultimately) changing the <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____RANDOM_42","Random$","RANDOM$",[10,282,142],"Obtain a random value"],
 ["ACL2____INTERSECTP","Intersectp","INTERSECTP",[411,142],"Test whether two lists intersect"],
 ["ACL2____HONS-ENABLED","Hons-enabled","HONS-ENABLED",[107],"Hash cons, function memoization, and applicative hash tables"],
 ["ACL2____DISABLE-UBT","Disable-ubt","DISABLE-UBT",[108],"Make it illegal to undo back through the current <see topic=\"ACL2____COMMAND\">command</see>"],
 ["ACL2____Common_02Lisp_02as_02a_02Modeling_02Language","Common Lisp as a Modeling Language","Common Lisp as a Modeling Language",[121],"Common Lisp as a Modeling Language"],
 ["ACL2____BRR-NEAR-MISSP","Brr-near-missp","BRR-NEAR-MISSP",[26],"attachable function for determining &ldquo;near misses&rdquo;"],
 ["ACL2____ACL2-SEDAN","ACL2-sedan","ACL2-SEDAN",[377],"ACL2 Sedan interface"],
 ["ACL2-PC____PUT","ACL2-pc::put","PUT",[224],"(macro) \u000Asubstitute for a ``free variable''"],
 ["ACL2-PC____CLAIM","ACL2-pc::claim","CLAIM",[224,516],"(atomic macro) \u000Aadd a new hypothesis"],
 ["COMMON-LISP_____C3_D3","&lt;=","<=",[282,142],"Less-than-or-equal test"],
 ["COMMON-LISP____STRING","String","STRING",[747,142],"<see topic=\"COMMON-LISP____COERCE\">coerce</see> to a string"],
 ["ACL2____UBU","Ubu","UBU",[108,503],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back up to (not including) a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____TERM-LIST-LISTP","Term-list-listp","TERM-LIST-LISTP",[142],"recognizer for a list of <see topic=\"ACL2____CLAUSE\">clause</see>s"],
 ["ACL2____SHARP-DOT-READER","Sharp-dot-reader","SHARP-DOT-READER",[696,128],"Read-time evaluation of constants"],
 ["ACL2____RETRACT-WORLD","Retract-world","RETRACT-WORLD",[4],"Install an initial segment (retraction) of a given ACL2 <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____R-AND-I-SYMBOLS","R-and-i-symbols","R-AND-I-SYMBOLS",[1246],"Recursion and Induction: Symbols"],
 ["ACL2____PSOF","Psof","PSOF",[599],"Show the most recently saved output"],
 ["ACL2____NO-DUPLICATESP","No-duplicatesp","NO-DUPLICATESP",[411,142],"Check for duplicates in a list"],
 ["ACL2____LP-SECTION-3","Lp-section-3","LP-SECTION-3",[71],"Examples of <v>FOR</v> <v>Loop$</v>s"],
 ["ACL2____HEADER","Header","HEADER",[47,142],"Return the header of a 1- or 2-dimensional array"],
 ["ACL2____FIND-RULES-OF-RUNE","Find-rules-of-rune","FIND-RULES-OF-RUNE",[11],"Find the rules named rune"],
 ["ACL2____DEFABSSTOBJ-MISSING-EVENTS","Defabsstobj-missing-events","DEFABSSTOBJ-MISSING-EVENTS",[85],"Obtain the <see topic=\"ACL2____EVENTS\">events</see> needed to admit a <tt><see topic=\"ACL2____DEFABSSTOBJ\">defabsstobj</see></tt> event"],
 ["ACL2____COROLLARY","Corollary","COROLLARY",[12],"The corollary formula of a <see topic=\"ACL2____RUNE\">rune</see>"],
 ["ACL2____BOOLE_42","Boole$","BOOLE$",[282,142],"Perform a bit-wise logical operation on 2 two's complement integers"],
 ["ACL2____BOOKS-REFERENCE","Books-reference","BOOKS-REFERENCE",[50],"Reference guide for ACL2 functionality related to books, e.g., \u000A<see topic=\"ACL2____INCLUDE-BOOK\">include-book</see>, <see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see>, <see topic=\"ACL2____CBD\">cbd</see>, etc."],
 ["ACL2____ACL2_02as_02an_02Interactive_02Theorem_02Prover_02_82cont_92","ACL2 as an Interactive Theorem Prover (cont)","ACL2 as an Interactive Theorem Prover (cont)",[121],"ACL2 as an Interactive Theorem Prover (cont)"],
 ["ACL2____WITH-GUARD-CHECKING-ERROR-TRIPLE","With-guard-checking-error-triple","WITH-GUARD-CHECKING-ERROR-TRIPLE",[91,142],"Suppress or enable guard-checking for a form"],
 ["ACL2____TERMIFY","Termify","TERMIFY",[7],"the process of converting a clause to a term"],
 ["ACL2____TAKE","Take","TAKE",[411,142],"Initial segment (first n elements) of a list"],
 ["ACL2____SET-RAW-WARNING-FORMAT","Set-raw-warning-format","SET-RAW-WARNING-FORMAT",[599],"Print some warnings in a ``raw'', s-expression format"],
 ["ACL2____SET-DUPLICATE-KEYS-ACTION","Set-duplicate-keys-action","SET-DUPLICATE-KEYS-ACTION",[530,739,125,198],"Control action for macro calls with duplicate keyword arguments"],
 ["ACL2____REWRITE-EQUIV","Rewrite-equiv","REWRITE-EQUIV",[13],"Force ACL2 to perform substitution using a stylized <see topic=\"ACL2____EQUIVALENCE\">equivalence</see> hypothesis"],
 ["ACL2____R-AND-I-SUBSTITUTIONS","R-and-i-substitutions","R-AND-I-SUBSTITUTIONS",[66],"Recursion and Induction: Substitutions"],
 ["ACL2____NTH-ALIASES-TABLE","Nth-aliases-table","NTH-ALIASES-TABLE",[9,477,898],"A <see topic=\"ACL2____TABLE\">table</see> used to associate names for nth/update-nth printing"],
 ["ACL2____NOTE-2-6","Note-2-6","NOTE-2-6",[210],"ACL2 Version  2.6 (November, 2001) Notes"],
 ["ACL2____MACRO-COMMAND","Macro-command","MACRO-COMMAND",[49],"Compound command for the interactive proof-builder"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EVALUATION","Logic-knowledge-taken-for-granted-evaluation","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-EVALUATION",[18],"Evaluation during proofs"],
 ["ACL2____ILLEGAL-STATE","Illegal-state","ILLEGAL-STATE",[59],"Illegal ACL2 state"],
 ["ACL2____DELETE-INCLUDE-BOOK-DIR_12","Delete-include-book-dir!","DELETE-INCLUDE-BOOK-DIR!",[1039],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly unlink keyword for <v>:dir</v> argument of <tt><see topic=\"ACL2____LD\">ld</see></tt> and <tt><see topic=\"ACL2____INCLUDE-BOOK\">include-book</see></tt>"],
 ["BIB____MOORE99A","Bib::moore99a","MOORE99A",[132],"J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/tjvm/main.pdf'>Proving \u000A  Theorems about Java-like Byte Code</a>,&rdquo; in E.-R. Olderog and \u000A  B. Steffen, editors, <i>Correct System Design -- Recent Insights and \u000A  Advances</i>, LNCS <b>1710</b>, pp. 139-162, 1999. \u000A \u000A  <br></br><br></br><b>Relevance:</b> M2: a JVM model similar to M1 but with \u000A  method invocation (i.e., subroutine call)"],
 ["ACL2____SET-FMT-HARD-RIGHT-MARGIN","Set-fmt-hard-right-margin","SET-FMT-HARD-RIGHT-MARGIN",[17,142],"Set the right margin for formatted output"],
 ["ACL2____SET-BODY","Set-body","SET-BODY",[31,85],"Set the definition body"],
 ["ACL2____PL2","Pl2","PL2",[108],"Print rule(s) for the given form"],
 ["ACL2____MONITORED-RUNES","Monitored-runes","MONITORED-RUNES",[26],"Print the <see topic=\"ACL2____MONITOR\">monitor</see>ed <see topic=\"ACL2____RUNE\">rune</see>s and their break conditions"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-NAT-RECURSION","Example-induction-scheme-nat-recursion","EXAMPLE-INDUCTION-SCHEME-NAT-RECURSION",[18],"Induction on natural numbers"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-DOWN-BY-2","Example-induction-scheme-down-by-2","EXAMPLE-INDUCTION-SCHEME-DOWN-BY-2",[18],"Induction downwards 2 steps at a time"],
 ["ACL2____COMPILING-ACL2P","Compiling-ACL2p","COMPILING-ACL2P",[131],"Compiling ACL2(p)"],
 ["ACL2____A_02Flying_02Tour_02of_02ACL2","A Flying Tour of ACL2","A Flying Tour of ACL2",[121],"A Flying Tour of ACL2"],
 ["ACL2____AREF2","Aref2","AREF2",[47,142],"Access the elements of a 2-dimensional array"],
 ["ACL2____ADD-OVERRIDE-HINTS","Add-override-hints","ADD-OVERRIDE-HINTS",[80],"Add to the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2-PC____SPLIT","ACL2-pc::split","SPLIT",[224,516],"(atomic macro) \u000Asplit the current goal into cases"],
 ["COMMON-LISP____TRUNCATE","Truncate","TRUNCATE",[282,142],"Division returning an integer by truncating toward 0"],
 ["COMMON-LISP____SUBSEQ","Subseq","SUBSEQ",[411,747,142],"Subsequence of a string or list"],
 ["COMMON-LISP____IN-PACKAGE","In-package","IN-PACKAGE",[832,142],"Select current package"],
 ["BIB____SH98","Bib::sh98","SH98",[132],"J. Sawada and W. A. Hunt, Jr, &ldquo;<a \u000A  href='https://link.springer.com/chapter/10.1007/BFb0028740'>Processor \u000A  Verification with Precise Exceptions and Speculative Execution</a>&rdquo;, in \u000A  A. J. Hu and M. Y. Vardi, editors, <i>Computer Aided Verification, (CAV \u000A  '98)</i>, Springer-Verlag LNCS <b>1427</b>, Heidelberg, pp. 135-146, 1998. \u000A \u000A  <br></br><br></br><b>Relevance:</b> proof method for dealing with exceptions \u000A  and speculative execution"],
 ["ACL2____WATERFALL-PARALLELISM-FOR-BOOK-CERTIFICATION","Waterfall-parallelism-for-book-certification","WATERFALL-PARALLELISM-FOR-BOOK-CERTIFICATION",[131],"For ACL2(p): using waterfall parallelism during book certification"],
 ["ACL2____TAU-DATA","Tau-data","TAU-DATA",[52],"To see what tau knows about a function symbol"],
 ["ACL2____SET-MEASURE-FUNCTION","Set-measure-function","SET-MEASURE-FUNCTION",[1],"Set the default measure function symbol"],
 ["ACL2____SET-CBD","Set-cbd","SET-CBD",[1039],"To set the connected book directory"],
 ["ACL2____NOTE-2-0","Note-2-0","NOTE-2-0",[210],"ACL2 Version 2.0 (July, 1997) Notes"],
 ["ACL2____MUST-BE-EQUAL","Must-be-equal","MUST-BE-EQUAL",[55,142],"Attach code for execution"],
 ["ACL2____MEASURE","Measure","MEASURE",[3],"Declare a measure for a <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>"],
 ["ACL2____MAKE-ORD","Make-ord","MAKE-ORD",[100,142],"A constructor for ordinals."],
 ["ACL2____MAKE-FAST-ALIST","Make-fast-alist","MAKE-FAST-ALIST",[270,142],"<v>(<see topic=\"ACL2____MAKE-FAST-ALIST\">make-fast-alist</see> alist)</v> creates a fast-alist from the input \u000Aalist, returning <v>alist</v> itself or, in some cases, a new object equal to \u000Ait."],
 ["ACL2____GETENV_42","Getenv$","GETENV$",[46,142],"Read an environment variable"],
 ["ACL2____FN-EQUAL","Fn-equal","FN-EQUAL",[27,57],"Equivalence relation on tame functions"],
 ["ACL2____EXTEND-WORLD","Extend-world","EXTEND-WORLD",[4],"Install an extension of a given ACL2 <see topic=\"ACL2____WORLD\">world</see>"],
 ["ACL2____ENTER-BOOT-STRAP-MODE","Enter-boot-strap-mode","ENTER-BOOT-STRAP-MODE",[108],"The first millisecond of the Big Bang"],
 ["ACL2____DEFAULT-PRINT-PROMPT","Default-print-prompt","DEFAULT-PRINT-PROMPT",[16],"The default <see topic=\"ACL2____PROMPT\">prompt</see> printed by <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____BINARY-APPEND","Binary-append","BINARY-APPEND",[199,142],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> two lists"],
 ["ACL2____Analyzing_02Common_02Lisp_02Models","Analyzing Common Lisp Models","Analyzing Common Lisp Models",[121],"Analyzing Common Lisp Models"],
 ["ACL2____A_02Walking_02Tour_02of_02ACL2","A Walking Tour of ACL2","A Walking Tour of ACL2",[121],"A Walking Tour of ACL2"],
 ["ACL2____ASSERT_42","Assert$","ASSERT$",[769,142],"Cause a hard error if the given test is false"],
 ["ACL2-PC____GENEQV","ACL2-pc::geneqv","GENEQV",[224],"(macro) \u000Ashow the generated equivalence relation maintained at the current subterm"],
 ["COMMON-LISP_____F2","/","/",[282,142],"Macro for division and reciprocal"],
 ["COMMON-LISP____EXPT","Expt","EXPT",[282,142],"Exponential function"],
 ["BIB____RHMM07","Bib::rhmm07","RHMM07",[132],"S. Ray, W. A. Hunt, Jr., J. Matthews, and J S. Moore, `<a \u000A  href='https://link.springer.com/article/10.1007/s10817-008-9098-1'>A \u000A  Mechanical Analysis of Program Verification Strategies</a>,&rdquo; <i>Journal \u000A  of Automated Reasoning</i>, <b>40</b>(4), pp. 245-269, May, 2008. \u000A \u000A  <br></br><br></br><b>Relevance:</b> stepwise invariants, clock functions, and \u000A  inductive assertion proof styles are all equivalent"],
 ["BIB____KMM00A","Bib::kmm00a","KMM00A",[132],"M. Kaufmann, P. Manolios, J S. Moore, <i><a \u000A  href='https://www.cs.utexas.edu/~moore/publications/acl2-books/car/index.html'>Computer-Aided \u000A  Reasoning: An Approach</a></i>, Kluwer Academic Publishers, 2000. \u000A \u000A  <br></br><br></br><b>Relevance:</b> introduction to ACL2"],
 ["BIB____GHK13","Bib::ghk13","GHK13",[132],"S. Goel, W. A. Hunt, Jr., and M. Kaufmann, &ldquo;<a \u000A  href='http://eptcs.org/content.cgi?ACL22013'>Abstract Stobjs and Their \u000A  Application to ISA Modeling</a>&rdquo;, in R. Gamboa and J. Davis, editors, \u000A  <i>Proceedings of ACL2 Workshop 2013</i>, Electronic Proceedings in \u000A  Theoretical Computer Science, Volume 114, pp. 54-69, 2013. \u000A \u000A  <br></br><br></br><b>Relevance:</b> an ACL2 feature introduced to support \u000A  operational semantic models"],
 ["ACL2____UNMEMOIZE","Unmemoize","UNMEMOIZE",[37,125,107,85],"Turn off memoization for the specified function"],
 ["ACL2____TRANS-EVAL-AND-LOCALLY-BOUND-STOBJS","Trans-eval-and-locally-bound-stobjs","TRANS-EVAL-AND-LOCALLY-BOUND-STOBJS",[704,9],"<tt><see topic=\"ACL2____TRANS-EVAL\">Trans-eval</see></tt> deals in global <see topic=\"ACL2____STOBJ\">stobj</see>s."],
 ["ACL2____SYMBOLS","Symbols","SYMBOLS",[125],"Symbols in ACL2 and operations on them"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INSTANCE","Logic-knowledge-taken-for-granted-instance","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-INSTANCE",[18],"A brief explanation of substitution instances"],
 ["ACL2____FAST-ALIST-FREE-ON-EXIT","Fast-alist-free-on-exit","FAST-ALIST-FREE-ON-EXIT",[270,142],"Free a fast alist after the completion of some form."],
 ["ACL2____F-GET-GLOBAL","F-get-global","F-GET-GLOBAL",[46,142],"Get the value of a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____ER-HARD","Er-hard","ER-HARD",[769,142],"Print an error message and ``cause a hard error''"],
 ["ACL2____DISABLE-FORCING","Disable-forcing","DISABLE-FORCING",[21],"To disallow forced case-splits"],
 ["ACL2____CPU-CORE-COUNT","Cpu-core-count","CPU-CORE-COUNT",[131,142],"The number of cpu cores"],
 ["COMMON-LISP____CODE-CHAR","Code-char","CODE-CHAR",[61,282,142],"The character corresponding to a given numeric code"],
 ["COMMON-LISP____CHAR-UPCASE","Char-upcase","CHAR-UPCASE",[61,142],"Turn lower-case <see topic=\"ACL2____CHARACTERS\">characters</see> into upper-case <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHAR-DOWNCASE","Char-downcase","CHAR-DOWNCASE",[61,142],"Turn upper-case <see topic=\"ACL2____CHARACTERS\">characters</see> into lower-case <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["BIB____MOORE03A","Bib::moore03a","MOORE03A",[132],"J S. Moore, &ldquo;<a \u000A  href='https://www.cs.utexas.edu/~moore/publications/marktoberdorf-02/main_final.pdf'>Proving \u000A  Theorems about Java and the JVM with ACL2</a>&rdquo;, in M. Broy and \u000A  M. Pizka, editors, <i>Models, Algebras and Logic of Engineering Software</i>, \u000A  IOS Press, Amsterdam, pp. 227-290, 2003. \u000A \u000A  <br></br><br></br><b>Relevance:</b> M5: a JVM model with method invocation, \u000A  classes, and threads, with some example proofs including about \u000A  mutual-exclusion"],
 ["ACL2____TOGGLE-INHIBIT-WARNING","Toggle-inhibit-warning","TOGGLE-INHIBIT-WARNING",[599],"Add or delete a warning string from the <v>inhibit-warnings-table</v>"],
 ["ACL2____STARTUP-BANNER","Startup-banner","STARTUP-BANNER",[1341],"Modifying the ACL2 startup banner"],
 ["ACL2____STANDARDP","Standardp","STANDARDP",[422],"ACL2(r) recognizer for standard objects"],
 ["ACL2____SHARP-D-READER","Sharp-d-reader","SHARP-D-READER",[696,282],"Read a rational number as a representable rational (see <see topic=\"ACL2____DF\">df</see>)"],
 ["ACL2____RESET-KILL-RING","Reset-kill-ring","RESET-KILL-RING",[108],"Save memory by resetting and perhaps resizing the kill ring used by <tt><see topic=\"ACL2____OOPS\">oops</see></tt>"],
 ["ACL2____MOD-EXPT","Mod-expt","MOD-EXPT",[282,142],"Exponential function"],
 ["ACL2____LP-SECTION-1","Lp-section-1","LP-SECTION-1",[71],"Background Reviews"],
 ["ACL2____HONS-EQUAL","Hons-equal","HONS-EQUAL",[602,253,142],"<v>(<see topic=\"ACL2____HONS-EQUAL\">hons-equal</see> x y)</v> is a recursive equality check that optimizes \u000Awhen parts of its arguments are <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____GC_42","Gc$","GC$",[654,142],"Invoke the garbage collector"],
 ["ACL2____GC-VERBOSE","Gc-verbose","GC-VERBOSE",[1115],"Control printing from the garbage collector"],
 ["ACL2____FILE-WRITE-DATE_42","File-write-date$","FILE-WRITE-DATE$",[17],"The write-date of a file as a natural number"],
 ["ACL2____EQLABLEP","Eqlablep","EQLABLEP",[253,142],"The <see topic=\"ACL2____GUARD\">guard</see> for the function <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____DEFUN-NOTINLINE","Defun-notinline","DEFUN-NOTINLINE",[1,85],"Define a not-to-be-inlined function symbol and associated macro"],
 ["ACL2____CERTIFY-BOOK-DEBUG","Certify-book-debug","CERTIFY-BOOK-DEBUG",[25,1039],"Some possible ways to work around <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt> failures"],
 ["ACL2____BUILDING-ACL2","Building-ACL2","BUILDING-ACL2",[863],"How to build an ACL2 executable"],
 ["ACL2____ALISTP","Alistp","ALISTP",[755,142],"Recognizer for association lists"],
 ["ACL2____ADD-MACRO-ALIAS","Add-macro-alias","ADD-MACRO-ALIAS",[739],"Associate a function name with a macro name"],
 ["ACL2____ACTIVE-RUNEP","Active-runep","ACTIVE-RUNEP",[6],"Check that a <see topic=\"ACL2____RUNE\">rune</see> exists and is <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["COMMON-LISP____RATIONALP","Rationalp","RATIONALP",[282,142],"Recognizer for rational numbers (ratios and integers)"],
 ["COMMON-LISP____NTHCDR","Nthcdr","NTHCDR",[411,142],"Final segment of a list"],
 ["BIB____HK12","Bib::hk12","HK12",[132],"W. A. Hunt, Jr. and M. Kaufmann, &ldquo;<a \u000A  href='http://apps.cs.utexas.edu/tech_reports/reports/tr/TR-2075.pdf'>Towards \u000A  a Formal Model of the x86 ISA</a>&rdquo;, University of Texas at Austin, \u000A  Computer Science Department Technical Report TR-12-07, May, 2012. \u000A \u000A  <br></br><br></br><b>Relevance:</b> \u000A \u000A  a &ldquo;toy model&rdquo; of the x86, built as a warm up exercise"],
 ["ACL2____VERBOSE-PSTACK","Verbose-pstack","VERBOSE-PSTACK",[590],"Seeing what the prover is up to (for system hackers)"],
 ["ACL2____USING-COMPUTED-HINTS","Using-computed-hints","USING-COMPUTED-HINTS",[109,20],"How to use computed hints"],
 ["ACL2____The_02Theorem_02that_02App_02is_02Associative","The Theorem that App is Associative","The Theorem that App is Associative",[121],"The Theorem that App is Associative"],
 ["ACL2____The_02End_02of_02the_02Walking_02Tour","The End of the Walking Tour","The End of the Walking Tour",[121],"The End of the Walking Tour"],
 ["ACL2____SET-WATERFALL-PARALLELISM-HACKS-ENABLED","Set-waterfall-parallelism-hacks-enabled","SET-WATERFALL-PARALLELISM-HACKS-ENABLED",[131],"For ACL2(p): enable waterfall-parallelism hacks"],
 ["ACL2____RESET-LD-SPECIALS","Reset-ld-specials","RESET-LD-SPECIALS",[16],"Restores initial settings of the <tt><see topic=\"ACL2____LD\">ld</see></tt> specials"],
 ["ACL2____Proving_02Theorems_02about_02Models","Proving Theorems about Models","Proving Theorems about Models",[121],"Proving Theorems about Models"],
 ["ACL2____PBT","Pbt","PBT",[108],"Print the <see topic=\"ACL2____COMMAND\">command</see>s back through a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____PARALLELISM-PERFORMANCE","Parallelism-performance","PARALLELISM-PERFORMANCE",[487],"Performance issues for parallel execution"],
 ["ACL2____NOTE-2-8-SYSTEM","Note-2-8-system","NOTE-2-8-SYSTEM",[153],"ACL2 Version  2.8 Notes on System-level Changes"],
 ["ACL2____MV_F3-LET","Mv?-let","MV?-LET",[138,142],"Calling possibly multi-valued ACL2 functions"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-3-ANSWER","Introductory-challenge-problem-3-answer","INTRODUCTORY-CHALLENGE-PROBLEM-3-ANSWER",[18],"Answer to challenge problem 3 for the new user of ACL2"],
 ["ACL2____HONS-GET","Hons-get","HONS-GET",[270,142],"<v>(<see topic=\"ACL2____HONS-GET\">hons-get</see> key alist)</v> is the efficient lookup operation for <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____Functions_02for_02Manipulating_02these_02Objects","Functions for Manipulating these Objects","Functions for Manipulating these Objects",[121],"Functions for Manipulating these Objects"],
 ["ACL2____FUNCTIONAL-INSTANTIATION-IN-ACL2R","Functional-instantiation-in-ACL2r","FUNCTIONAL-INSTANTIATION-IN-ACL2R",[1509],"Additional requirements for <v>:functional-instance</v> hints in \u000A  ACL2(r)"],
 ["ACL2____E_F2D","E/d","E/D",[6,575],"Enable/disable rules"],
 ["ACL2____EXECUTABLE-COUNTERPART-THEORY","Executable-counterpart-theory","EXECUTABLE-COUNTERPART-THEORY",[6,575],"<see topic=\"ACL2____EXECUTABLE-COUNTERPART\">Executable-counterpart</see> rules as of logical name"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-ON-LISTS","Example-induction-scheme-on-lists","EXAMPLE-INDUCTION-SCHEME-ON-LISTS",[18],"Induction on lists"],
 ["ACL2____DEFTHMD","Defthmd","DEFTHMD",[96,85],"Prove and name a theorem and then disable it"],
 ["ACL2____BACKQUOTE","Backquote","BACKQUOTE",[696],"Variant of quotation introducing templates for data structures"],
 ["ACL2____About_02the_02ACL2_02Home_02Page","About the ACL2 Home Page","About the ACL2 Home Page",[121],"About the ACL2 Home Page"],
 ["ACL2____APPLY_42-GUARD","Apply$-guard","APPLY$-GUARD",[27],"The guard on <v>apply$</v>"],
 ["ACL2____ADD-INVISIBLE-FNS","Add-invisible-fns","ADD-INVISIBLE-FNS",[97],"Make some unary functions invisible to the <see topic=\"ACL2____LOOP-STOPPER\">loop-stopper</see> \u000A algorithm"],
 ["ACL2____ACL2_02Conses_02or_02Ordered_02Pairs","ACL2 Conses or Ordered Pairs","ACL2 Conses or Ordered Pairs",[121],"ACL2 Conses or Ordered Pairs"],
 ["COMMON-LISP____LOGAND","Logand","LOGAND",[282,142],"Bitwise logical `and' of zero or more integers"],
 ["ACL2____WITH-STOLEN-ALIST","With-stolen-alist","WITH-STOLEN-ALIST",[270,142],"<v>(<see topic=\"ACL2____WITH-STOLEN-ALIST\">with-stolen-alist</see> name form)</v> ensures that <v>name</v> is a fast \u000Aalist at the start of the execution of <v>form</v>.  At the end of execution, it \u000Aensures that <v>name</v> is a fast alist if and only if it was originally.  That \u000Ais, if <v>name</v> was not a fast alist originally, its hash table link is freed, \u000Aand if it was a fast alist originally but its table was modified during the \u000Aexecution of <v>form</v>, that table is restored.  Note that any extended table \u000Acreated from the original fast alist during <v>form</v> must be manually freed."],
 ["ACL2____UNMONITOR","Unmonitor","UNMONITOR",[26],"To stop monitoring a rule name"],
 ["ACL2____UBT_12","Ubt!","UBT!",[108,503],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, without a query or an error"],
 ["ACL2____The_02Associativity_02of_02App","The Associativity of App","The Associativity of App",[121],"The Associativity of App"],
 ["ACL2____TOGGLE-INHIBIT-ER","Toggle-inhibit-er","TOGGLE-INHIBIT-ER",[599,769],"Add or delete an error output string from the <v>inhibit-er-table</v>"],
 ["ACL2____SYS-CALL-STATUS","Sys-call-status","SYS-CALL-STATUS",[82,142],"Exit status from the preceding system call"],
 ["ACL2____SET-PERSISTENT-WHS-AND-EPHEMERAL-WHS","Set-persistent-whs-and-ephemeral-whs","SET-PERSISTENT-WHS-AND-EPHEMERAL-WHS",[32],"maintaining wormhole coherence"],
 ["ACL2____SET-IRRELEVANT-FORMALS-OK","Set-irrelevant-formals-ok","SET-IRRELEVANT-FORMALS-OK",[2,1],"Allow irrelevant formals in definitions"],
 ["ACL2____PRINT-OBJECT_42","Print-object$","PRINT-OBJECT$",[17,142],"Print an object to an open object output channel"],
 ["ACL2____Models_02of_02Computer_02Hardware_02and_02Software","Models of Computer Hardware and Software","Models of Computer Hardware and Software",[121],"Models of Computer Hardware and Software"],
 ["ACL2____IFF","Iff","IFF",[726,142],"Logical ``if and only if''"],
 ["ACL2____How_02To_02Find_02Out_02about_02ACL2_02Functions_02_82cont_92","How To Find Out about ACL2 Functions (cont)","How To Find Out about ACL2 Functions (cont)",[121],"How To Find Out about ACL2 Functions (cont)"],
 ["ACL2____FUNCTION-THEORY","Function-theory","FUNCTION-THEORY",[6,575],"Function symbol rules as of logical name"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-UPWARDS","Example-induction-scheme-upwards","EXAMPLE-INDUCTION-SCHEME-UPWARDS",[18],"Induction upwards"],
 ["ACL2____DEFUNS","Defuns","DEFUNS",[43],"An alternative to <tt><see topic=\"ACL2____MUTUAL-RECURSION\">mutual-recursion</see></tt>"],
 ["ACL2____A_02Sketch_02of_02How_02the_02Rewriter_02Works","A Sketch of How the Rewriter Works","A Sketch of How the Rewriter Works",[121],"A Sketch of How the Rewriter Works"],
 ["ACL2____ACL2_02System_02Architecture","ACL2 System Architecture","ACL2 System Architecture",[121],"ACL2 System Architecture"],
 ["ACL2-PC____HELP","ACL2-pc::help","HELP",[224],"(macro) \u000Aproof-builder help facility"],
 ["COMMON-LISP____ROUND","Round","ROUND",[282,142],"Division returning an integer by rounding off"],
 ["COMMON-LISP____CHAR-CODE","Char-code","CHAR-CODE",[61,282,142],"The numeric code for a given character"],
 ["COMMON-LISP____CEILING","Ceiling","CEILING",[282,142],"Division returning an integer by truncating toward positive infinity"],
 ["COMMON-LISP____BUTLAST","Butlast","BUTLAST",[411,142],"All but a final segment of a list"],
 ["ACL2____VERIFY-GUARD-IMPLICATION","Verify-guard-implication","VERIFY-GUARD-IMPLICATION",[37,533],"<see topic=\"ACL2____GUARD\">Guard</see> implication for <tt><see topic=\"ACL2____MEMOIZE\">memoize</see></tt> keyword <v>:invoke</v>"],
 ["ACL2____UNARY--","Unary--","UNARY--",[282,142],"Arithmetic negation function"],
 ["ACL2____SET-BRR-EVISC-TUPLE","Set-brr-evisc-tuple","SET-BRR-EVISC-TUPLE",[84,522,120],"Set the <tt><see topic=\"ACL2____BRR-EVISC-TUPLE\">brr-evisc-tuple</see></tt>"],
 ["ACL2____PPROGN","Pprogn","PPROGN",[46,142],"Evaluate a sequence of forms that return <see topic=\"ACL2____STATE\">state</see>"],
 ["ACL2____PKG-WITNESS","Pkg-witness","PKG-WITNESS",[832,142],"Return a specific symbol in the indicated package"],
 ["ACL2____L_C3","L&lt;","L<",[7,27],"Ordering on naturals or lists of naturals"],
 ["ACL2____HONS-EQUAL-LITE","Hons-equal-lite","HONS-EQUAL-LITE",[602,1114],"<v>(<see topic=\"ACL2____HONS-EQUAL-LITE\">hons-equal-lite</see> x y)</v> is a non-recursive equality check that \u000Aoptimizes if its arguments are <see topic=\"ACL2____NORMED\">normed</see>."],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-WITH-MULTIPLE-INDUCTION-STEPS","Example-induction-scheme-with-multiple-induction-steps","EXAMPLE-INDUCTION-SCHEME-WITH-MULTIPLE-INDUCTION-STEPS",[18],"Induction scheme with more than one induction step"],
 ["ACL2____BREAK_42","Break$","BREAK$",[769,142],"Cause an immediate Lisp break"],
 ["ACL2____ASSUME-TRUE-FALSE-AGGRESSIVE-P","Assume-true-false-aggressive-p","ASSUME-TRUE-FALSE-AGGRESSIVE-P",[13,190],"Control rewriter's use of the <see topic=\"ACL2____TYPE-ALIST\">type-alist</see> with <v>IF</v> calls"],
 ["ACL2-PC____SAVE","ACL2-pc::save","SAVE",[224,516],"(macro) \u000Asave the proof-builder state (state-stack)"],
 ["ACL2-PC____PROVE","ACL2-pc::prove","PROVE",[224,516],"(primitive) \u000Acall the ACL2 theorem prover to prove the current goal"],
 ["COMMON-LISP____SUBSTITUTE","Substitute","SUBSTITUTE",[411,747,142],"Substitute into a string or a list, using <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt> as test"],
 ["COMMON-LISP____STANDARD-CHAR-P","Standard-char-p","STANDARD-CHAR-P",[61,142],"Recognizer for standard characters"],
 ["COMMON-LISP____KEYWORDP","Keywordp","KEYWORDP",[1096,142],"Recognizer for keywords"],
 ["COMMON-LISP____COUNT","Count","COUNT",[411,747,142],"Count the number of occurrences of an item in a string or true-list"],
 ["ACL2____SOLUTION-TO-ACL2-QUANTIFIER-EXERCISE-2","Solution-to-ACL2-quantifier-exercise-2","SOLUTION-TO-ACL2-QUANTIFIER-EXERCISE-2",[236],"A solution to <tt><see topic=\"ACL2____QUANTIFIER-TUTORIAL\">quantifier-tutorial</see></tt> Exercise 2"],
 ["ACL2____SHOW-BODIES","Show-bodies","SHOW-BODIES",[31],"Show the potential definition bodies"],
 ["ACL2____SET-REWRITE-STACK-LIMIT","Set-rewrite-stack-limit","SET-REWRITE-STACK-LIMIT",[987],"Sets the rewrite stack depth used by the rewriter"],
 ["ACL2____Running_02Models","Running Models","Running Models",[121],"Running Models"],
 ["ACL2____REMOVE-OVERRIDE-HINTS","Remove-override-hints","REMOVE-OVERRIDE-HINTS",[80],"Delete from the list of <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____R-AND-I-IDENTITY","R-and-i-identity","R-AND-I-IDENTITY",[1246],"Recursion and Induction: Identity"],
 ["ACL2____PROOFS-CO","Proofs-co","PROOFS-CO",[17,142],"The proofs character output channel"],
 ["ACL2____NOTE-3-0","Note-3-0","NOTE-3-0",[210],"ACL2 Version  3.0 (June, 2006) Notes"],
 ["ACL2____MAXIMUM-LENGTH","Maximum-length","MAXIMUM-LENGTH",[47,142],"Return the <v>:maximum-length</v> from the <see topic=\"ACL2____HEADER\">header</see> of an array"],
 ["ACL2____LD-ALWAYS-SKIP-TOP-LEVEL-LOCALS","Ld-always-skip-top-level-locals","LD-ALWAYS-SKIP-TOP-LEVEL-LOCALS",[16],"Determines whether <tt><see topic=\"ACL2____LD\">ld</see></tt> skips <tt><see topic=\"ACL2____LOCAL\">local</see></tt> top-level forms"],
 ["ACL2____KEYWORD-VALUE-LISTP","Keyword-value-listp","KEYWORD-VALUE-LISTP",[1189,411,142],"Recognizer for true lists whose even-position elements are keywords"],
 ["ACL2____INDUCTION-HEURISTICS","Induction-heuristics","INDUCTION-HEURISTICS",[12],"How ACL2 selects induction schemes"],
 ["ACL2____HONS-ASSOC-EQUAL","Hons-assoc-equal","HONS-ASSOC-EQUAL",[270,142],"<v>(<see topic=\"ACL2____HONS-ASSOC-EQUAL\">hons-assoc-equal</see> key alist)</v> is <b>not fast</b>; it serves as \u000Athe logical definition for <tt><see topic=\"ACL2____HONS-GET\">hons-get</see></tt>."],
 ["ACL2____GUARD-THEOREM","Guard-theorem","GUARD-THEOREM",[67,533,20],"Use a previously-proved <see topic=\"ACL2____GUARD\">guard</see> theorem"],
 ["ACL2____DIMENSIONS","Dimensions","DIMENSIONS",[47,142],"Return the <v>:dimensions</v> from the <see topic=\"ACL2____HEADER\">header</see> of a 1- or \u000A  2-dimensional array"],
 ["ACL2____DEFAULT","Default","DEFAULT",[47,142],"Return the <v>:default</v> from the <see topic=\"ACL2____HEADER\">header</see> of a 1- or \u000A  2-dimensional array"],
 ["ACL2____ASSERT_A2","Assert*","ASSERT*",[769,142],"Create a <see topic=\"ACL2____GUARD\">guard</see> proof obligation that given test holds"],
 ["ACL2____APPLY_42-LAMBDA-GUARD","Apply$-lambda-guard","APPLY$-LAMBDA-GUARD",[27],"The guard on <v>apply$-lambda</v>"],
 ["ACL2____ACL2_02is_02an_02Untyped_02Language","ACL2 is an Untyped Language","ACL2 is an Untyped Language",[121],"ACL2 is an Untyped Language"],
 ["ACL2-PC____DO-ALL","ACL2-pc::do-all","DO-ALL",[224],"(macro) \u000Arun the given instructions"],
 ["ACL2-PC____DEMOTE","ACL2-pc::demote","DEMOTE",[224,516],"(primitive) \u000Amove top-level hypotheses to the conclusion"],
 ["COMMON-LISP____MAX","Max","MAX",[282,142],"The larger of two numbers"],
 ["COMMON-LISP____LOGXOR","Logxor","LOGXOR",[282,142],"Bitwise logical exclusive or of zero or more integers"],
 ["COMMON-LISP____LOGIOR","Logior","LOGIOR",[282,142],"Bitwise logical inclusive or of zero or more integers"],
 ["COMMON-LISP____LOGEQV","Logeqv","LOGEQV",[282,142],"Bitwise logical equivalence of zero or more integers"],
 ["COMMON-LISP____ALPHA-CHAR-P","Alpha-char-p","ALPHA-CHAR-P",[61,142],"Recognizer for alphabetic characters"],
 ["ACL2____SET-OVERRIDE-HINTS","Set-override-hints","SET-OVERRIDE-HINTS",[80],"Set the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____SET-DIFFERENCE-THEORIES","Set-difference-theories","SET-DIFFERENCE-THEORIES",[6,575],"Difference of two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____SET-BOGUS-DEFUN-HINTS-OK","Set-bogus-defun-hints-ok","SET-BOGUS-DEFUN-HINTS-OK",[1],"Allow unnecessary <v>(<see topic=\"ACL2____XARGS\">xargs</see> :hints ...)</v> and <see topic=\"ACL2____MEASURE\">measure</see>s."],
 ["ACL2____SERIALIZE-WRITE","Serialize-write","SERIALIZE-WRITE",[1013,142],"Write an ACL2 object into a file"],
 ["ACL2____R-AND-I-ARITHMETIC","R-and-i-arithmetic","R-AND-I-ARITHMETIC",[66],"Recursion and Induction: Arithmetic",[779,388]],
 ["ACL2____PRACTICE-FORMULATING-STRONG-RULES-4","Practice-formulating-strong-rules-4","PRACTICE-FORMULATING-STRONG-RULES-4",[18],"Rules suggested by <v>(<see topic=\"COMMON-LISP____SUBSETP\">SUBSETP</see> (<see topic=\"COMMON-LISP____APPEND\">APPEND</see> (FOO A) (BAR B)) (MUM C))</v>"],
 ["ACL2____PAIRLIS_42","Pairlis$","PAIRLIS$",[411,755,142],"Zipper together two lists"],
 ["ACL2____NOTE-2-7-RULES","Note-2-7-rules","NOTE-2-7-RULES",[184],"ACL2 Version  2.7 Notes on Changes in Rules and Constants"],
 ["ACL2____MINIMAL-THEORY","Minimal-theory","MINIMAL-THEORY",[6,575],"A minimal theory to enable"],
 ["ACL2____LEXORDER","Lexorder","LEXORDER",[-1,142],"Total order on ACL2 objects"],
 ["ACL2____LD-MISSING-INPUT-OK","Ld-missing-input-ok","LD-MISSING-INPUT-OK",[16],"Determine whether <tt><see topic=\"ACL2____LD\">ld</see></tt> causes an error for a missing file"],
 ["ACL2____How_02To_02Find_02Out_02about_02ACL2_02Functions","How To Find Out about ACL2 Functions","How To Find Out about ACL2 Functions",[121],"How To Find Out about ACL2 Functions"],
 ["ACL2____How_02Long_02Does_02It_02Take_02to_02Become_02an_02Effective_02User_82Q_92","How Long Does It Take to Become an Effective User(Q)","How Long Does It Take to Become an Effective User(Q)",[121],"How Long Does It Take to Become an Effective User?"],
 ["ACL2____HONS-SUMMARY","Hons-summary","HONS-SUMMARY",[602,142],"<v>(<see topic=\"ACL2____HONS-SUMMARY\">hons-summary</see>)</v> prints basic information about the sizes of the \u000Atables in the current Hons Space."],
 ["ACL2____EXPLODE-ATOM","Explode-atom","EXPLODE-ATOM",[61,142],"Convert any <see topic=\"COMMON-LISP____ATOM\">atom</see> into a <see topic=\"ACL2____CHARACTER-LISTP\">character-listp</see> that contains \u000A its printed representation, rendering numbers in your choice of print base."],
 ["ACL2____EVENT","Event","EVENT",[389],"See <see topic=\"ACL2____EVENTS\">events</see>."],
 ["ACL2____DEFAULT-RULER-EXTENDERS","Default-ruler-extenders","DEFAULT-RULER-EXTENDERS",[159],"The default <see topic=\"ACL2____RULER-EXTENDERS\">ruler-extenders</see> for <tt><see topic=\"COMMON-LISP____DEFUN\">defun</see></tt>'d functions"],
 ["ACL2____CHANGE","Change","CHANGE",[564,142],"Mutator macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2____APPLY_42-USERFN","Apply$-userfn","APPLY$-USERFN",[27],"Undefined function used by <v>apply$</v> on non-primitives"],
 ["ACL2____ACL2-DOC-SUMMARY","ACL2-doc-summary","ACL2-DOC-SUMMARY",[0],"Summary of <see topic=\"ACL2____ACL2-DOC\">ACL2-doc</see> commands"],
 ["ACL2-PC____WRAP1","ACL2-pc::wrap1","WRAP1",[224],"(primitive) \u000Acombine goals into a single goal"],
 ["COMMON-LISP____ZEROP","Zerop","ZEROP",[282,142],"Test an acl2-number against 0"],
 ["COMMON-LISP____STRING-EQUAL","String-equal","STRING-EQUAL",[747,142],"String equality without regard to case"],
 ["BIB____MP67","Bib::mp67","MP67",[132],"J. McCarthy and J. Painter, &ldquo;<a \u000A  href='http://jmc.stanford.edu/articles/mcpain/mcpain.pdf'>Correctness of a \u000A  Compiler for Arithmetic Expressions</a>&rdquo;, <i>Proceedings of Symposia in \u000A  Applied Mathematics</i>, <b>19</b>, American Mathematical Society, 1967. \u000A \u000A  <br></br><br></br><b>Relevance:</b> an early (perhaps the first) compiler proof"],
 ["ACL2____The_02Admission_02of_02App","The Admission of App","The Admission of App",[121],"The Admission of App"],
 ["ACL2____SET-SERIALIZE-CHARACTER-SYSTEM","Set-serialize-character-system","SET-SERIALIZE-CHARACTER-SYSTEM",[1013],"Avoid some special <see topic=\"ACL2____SERIALIZE\">serialize</see> writing, including for <v>.cert</v> \u000A files"],
 ["ACL2____SET-PRINT-BASE-RADIX","Set-print-base-radix","SET-PRINT-BASE-RADIX",[17,142],"Control radix in which numbers are printed and printing of the radix"],
 ["ACL2____REMOVE-INVISIBLE-FNS","Remove-invisible-fns","REMOVE-INVISIBLE-FNS",[97],"Make some unary functions no longer invisible"],
 ["ACL2____R-AND-I-INDUCTION-PRINCIPLE","R-and-i-induction-principle","R-AND-I-INDUCTION-PRINCIPLE",[66],"Recursion and Induction: The Induction Principle"],
 ["ACL2____R-AND-I-DATA-TYPES","R-and-i-data-types","R-AND-I-DATA-TYPES",[66],"Recursion and Induction: Data Types",[1333,1473,1500,1030,614,1196,969]],
 ["ACL2____PF","Pf","PF",[108],"Print the formula corresponding to the given name"],
 ["ACL2____NOTE-2-6-PROOF-BUILDER","Note-2-6-proof-builder","NOTE-2-6-PROOF-BUILDER",[1049],"ACL2 Version  2.6 Notes on proof-builder Changes"],
 ["ACL2____MAKE-WORMHOLE-STATUS","Make-wormhole-status","MAKE-WORMHOLE-STATUS",[32],"Creates a wormhole status object from given status, entry code, and data"],
 ["ACL2____Guiding_02the_02ACL2_02Theorem_02Prover","Guiding the ACL2 Theorem Prover","Guiding the ACL2 Theorem Prover",[121],"Guiding the ACL2 Theorem Prover"],
 ["ACL2____DEFINE-PC-HELP","Define-pc-help","DEFINE-PC-HELP",[49],"Define a macro command whose purpose is to print something"],
 ["ACL2____ASET1-TRUSTED","Aset1-trusted","ASET1-TRUSTED",[47,142,553],"Set the elements of a 1-dimensional array without <see topic=\"ACL2____INVARIANT-RISK\">invariant-risk</see>"],
 ["ACL2-PC____SHOW-ABBREVIATIONS","ACL2-pc::show-abbreviations","SHOW-ABBREVIATIONS",[224],"(macro) \u000Adisplay the current abbreviations"],
 ["ACL2-PC____PROMOTE","ACL2-pc::promote","PROMOTE",[224],"(primitive) move antecedents of conclusion's <v>implies</v> term to \u000Atop-level hypotheses"],
 ["COMMON-LISP____STRING_C3","String&lt;","STRING<",[747,142],"Less-than test for strings"],
 ["COMMON-LISP____STRING-UPCASE","String-upcase","STRING-UPCASE",[747,142],"In a given string, turn lower-case <see topic=\"ACL2____CHARACTERS\">characters</see> into upper-case"],
 ["COMMON-LISP____REVAPPEND","Revappend","REVAPPEND",[411,142],"Concatenate the <see topic=\"COMMON-LISP____REVERSE\">reverse</see> of one list to another"],
 ["COMMON-LISP____MOD","Mod","MOD",[282,142],"Remainder using <tt><see topic=\"COMMON-LISP____FLOOR\">floor</see></tt>"],
 ["ACL2____What_02Is_02ACL2_82Q_92","What Is ACL2(Q)","What Is ACL2(Q)",[121],"What Is ACL2?"],
 ["ACL2____UNION-THEORIES","Union-theories","UNION-THEORIES",[6,575],"Union two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____U","U","U",[108,503],"Undo last <see topic=\"ACL2____COMMAND\">command</see>, without a query"],
 ["ACL2____STOP-PROOF-TREE","Stop-proof-tree","STOP-PROOF-TREE",[129],"Stop displaying proof trees during proofs"],
 ["ACL2____SET-FC-REPORT-ON-THE-FLY","Set-fc-report-on-the-fly","SET-FC-REPORT-ON-THE-FLY",[127],"To determine when forward-chaining reports are printed"],
 ["ACL2____REDEF","Redef","REDEF",[16],"A common way to set <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>"],
 ["ACL2____NOTE-3-2_82R_92","Note-3-2(r)","NOTE-3-2(R)",[210],"ACL2 Version  3.2(r) (April, 2007) Notes"],
 ["ACL2____NONNEGATIVE-INTEGER-QUOTIENT","Nonnegative-integer-quotient","NONNEGATIVE-INTEGER-QUOTIENT",[282,142],"Natural number division function"],
 ["ACL2____MV_F3","Mv?","MV?",[138,142],"Return one or more values"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q3-ANSWER","Logic-knowledge-taken-for-granted-q3-answer","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-Q3-ANSWER",[18],"The inductive step of the <v>rev-rev</v> proof &mdash; Answer to Question 2"],
 ["ACL2____LOGIC-FNS-LIST-LISTP","Logic-fns-list-listp","LOGIC-FNS-LIST-LISTP",[694,142],"Recognizer for when a given list of lists of <see topic=\"ACL2____TERM\">term</see>s calls only \u000A <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____GUARD-CHECKING-INHIBITED","Guard-checking-inhibited","GUARD-CHECKING-INHIBITED",[92,91],"Avoiding certain warnings when evaluating ACL2 expressions"],
 ["ACL2____GROUND-ZERO","Ground-zero","GROUND-ZERO",[6,575],"<see topic=\"ACL2____ENABLE\">enable</see>d rules in the <see topic=\"ACL2____STARTUP\">startup</see> theory"],
 ["ACL2____FAST-ALIST-FORK_12","Fast-alist-fork!","FAST-ALIST-FORK!",[270,142],"<v>(<see topic=\"ACL2____FAST-ALIST-FORK_12\">fast-alist-fork!</see> alist ans)</v> is an alternative to <tt><see topic=\"ACL2____FAST-ALIST-FORK\">fast-alist-fork</see></tt> that produces a <see topic=\"ACL2____NORMED\">normed</see> result."],
 ["ACL2____EXPLODE-NONNEGATIVE-INTEGER","Explode-nonnegative-integer","EXPLODE-NONNEGATIVE-INTEGER",[61,282,142],"The list of <see topic=\"ACL2____CHARACTERS\">characters</see> in the radix-r form of a number"],
 ["ACL2____ER-HARD_F3","Er-hard?","ER-HARD?",[769,142],"Print an error message and ``cause a hard error''"],
 ["ACL2____Conversion","Conversion","Conversion",[121],"Conversion to Uppercase"],
 ["ACL2____An_02Example_02Common_02Lisp_02Function_02Definition","An Example Common Lisp Function Definition","An Example Common Lisp Function Definition",[121],"An Example Common Lisp Function Definition"],
 ["ACL2____ARRAYS-EXAMPLE","Arrays-example","ARRAYS-EXAMPLE",[47],"An example illustrating ACL2 arrays"],
 ["ACL2____ALLOCATE-FIXNUM-RANGE","Allocate-fixnum-range","ALLOCATE-FIXNUM-RANGE",[282,142],"Set aside fixnums in GCL"],
 ["ACL2____ACL2_02Characters","ACL2 Characters","ACL2 Characters",[121],"ACL2 Characters"],
 ["ACL2____ACL2-HELP","ACL2-help","ACL2-HELP",[863],"The acl2-help mailing list"],
 ["ACL2-PC____RETRIEVE","ACL2-pc::retrieve","RETRIEVE",[224,516],"(macro) \u000Are-enter the proof-builder"],
 ["ACL2-PC____REDUCE","ACL2-pc::reduce","REDUCE",[224],"(atomic macro) \u000Acall the ACL2 theorem prover's simplifier"],
 ["ACL2-PC____FORWARDCHAIN","ACL2-pc::forwardchain","FORWARDCHAIN",[224],"(atomic macro) \u000Aforward chain from an implication in the hyps"],
 ["ACL2-PC____DOC","ACL2-pc::doc","DOC",[224],"(macro) access documentation inside the interactive proof-builder"],
 ["ACL2-PC____BASH","ACL2-pc::bash","BASH",[224,516],"(atomic macro) \u000Acall the ACL2 theorem prover's simplifier"],
 ["COMMON-LISP____UPPER-CASE-P","Upper-case-p","UPPER-CASE-P",[61,142],"Recognizer for upper case characters"],
 ["COMMON-LISP____SUBLIS","Sublis","SUBLIS",[755,142],"Substitute an alist into a tree"],
 ["COMMON-LISP____REVERSE","Reverse","REVERSE",[411,747,142],"Reverse a list or string"],
 ["COMMON-LISP____MAKE-LIST","Make-list","MAKE-LIST",[411,142],"Make a list of a given size"],
 ["COMMON-LISP____LOWER-CASE-P","Lower-case-p","LOWER-CASE-P",[61,142],"Recognizer for lower case characters"],
 ["COMMON-LISP____ABS","Abs","ABS",[282,142],"The absolute value of a real number"],
 ["ACL2_____A2STANDARD-OI_A2","*standard-oi*","*STANDARD-OI*",[17,142],"An ACL2 object-based analogue of CLTL's <v>*standard-input*</v>"],
 ["ACL2____You_02Must_02Think_02about_02the_02Use_02of_02a_02Formula_02as_02a_02Rule","You Must Think about the Use of a Formula as a Rule","You Must Think about the Use of a Formula as a Rule",[121],"You Must Think about the Use of a Formula as a Rule"],
 ["ACL2____WOF","Wof","WOF",[599,17],"Direct standard output and proofs output to a file"],
 ["ACL2____WARNINGS","Warnings","WARNINGS",[599],"Warnings emitted by the ACL2 proof process"],
 ["ACL2____UNTRACE_42","Untrace$","UNTRACE$",[630],"Untrace functions"],
 ["ACL2____UNTOUCHABLE","Untouchable","UNTOUCHABLE",[24],"Function symbols and state globals that cannot be referenced"],
 ["ACL2____The_02WARNING_02about_02the_02Trivial_02Consequence","The WARNING about the Trivial Consequence","The WARNING about the Trivial Consequence",[121],"The WARNING about the Trivial Consequence"],
 ["ACL2____TTHM","Tthm","TTHM",[108,1076],"The <see topic=\"ACL2____MEASURE\">measure</see> (termination) theorem for a given function symbol"],
 ["ACL2____SYS-CALL_A2","Sys-call*","SYS-CALL*",[82,142],"Make a system call to the host OS, returning a status"],
 ["ACL2____SYMBOL_C3","Symbol&lt;","SYMBOL<",[1096,142],"Less-than test for symbols"],
 ["ACL2____SYMBOL-LISTP","Symbol-listp","SYMBOL-LISTP",[1096,411,142],"Recognizer for a true list of symbols"],
 ["ACL2____STOBJ-LET","Stobj-let","STOBJ-LET",[389],"See <see topic=\"ACL2____NESTED-STOBJS\">nested-stobjs</see>."],
 ["ACL2____SET-BAD-LISP-CONSP-MEMOIZE","Set-bad-lisp-consp-memoize","SET-BAD-LISP-CONSP-MEMOIZE",[37],"Turn off or on memoization of raw Lisp function <v>bad-lisp-consp</v>"],
 ["ACL2____RESIZE-LIST","Resize-list","RESIZE-LIST",[9,142],"List resizer in support of <see topic=\"ACL2____STOBJ\">stobj</see>s"],
 ["ACL2____PR_12","Pr!","PR!",[108],"Print rules stored by the command with a given command descriptor"],
 ["ACL2____POSP","Posp","POSP",[282,142],"A recognizer for the positive integers"],
 ["ACL2____PCS","Pcs","PCS",[108],"Print the sequence of <see topic=\"ACL2____COMMAND\">command</see>s between two <see topic=\"ACL2____COMMAND\">command</see> descriptors"],
 ["ACL2____PARALLEL-PROOF","Parallel-proof","PARALLEL-PROOF",[131],"Parallel proof in ACL2(p)"],
 ["ACL2____MEMSUM","Memsum","MEMSUM",[37],"Display all collected profiling and memoization info"],
 ["ACL2____MBT_A2","Mbt*","MBT*",[55,142],"Introduce a guard proof obligation"],
 ["ACL2____HONS-WASH_12","Hons-wash!","HONS-WASH!",[602,142],"A version of <tt><see topic=\"ACL2____HONS-WASH\">hons-wash</see></tt> for <see topic=\"ACL2____PARALLEL\">parallel</see> execution"],
 ["ACL2____HONS-CLEAR_12","Hons-clear!","HONS-CLEAR!",[602,142],"A version of <tt><see topic=\"ACL2____HONS-CLEAR\">hons-clear</see></tt> for <see topic=\"ACL2____PARALLEL\">parallel</see> execution"],
 ["ACL2____Guessing_02the_02Type_02of_02a_02Newly_02Admitted_02Function","Guessing the Type of a Newly Admitted Function","Guessing the Type of a Newly Admitted Function",[121],"Guessing the Type of a Newly Admitted Function"],
 ["ACL2____GETPROP","Getprop","GETPROP",[4,142],"Access fast property lists"],
 ["ACL2____GET-WORMHOLE-STATUS","Get-wormhole-status","GET-WORMHOLE-STATUS",[32],"Make a wormhole's status visible outside the wormhole"],
 ["ACL2____FORALL","Forall","FORALL",[53],"Universal quantifier"],
 ["ACL2____CUSTOM-KEYWORD-HINTS","Custom-keyword-hints","CUSTOM-KEYWORD-HINTS",[20],"User-defined hints"],
 ["ACL2____BROKEN-LINK","Broken-link","BROKEN-LINK",[0],"Placeholder for link to documentation that resides in the community \u000A books"],
 ["ACL2____BOOKS-TOUR","Books-tour","BOOKS-TOUR",[50],"The <i>guided tour</i> of concepts related to ACL2 <see topic=\"ACL2____BOOKS\">books</see>."],
 ["ACL2____ACL2_02Strings","ACL2 Strings","ACL2 Strings",[121],"ACL2 Strings"],
 ["ACL2-PC____P-TOP","ACL2-pc::p-top","P-TOP",[224,516],"(macro) \u000Aprettyprint the conclusion, highlighting the current term"],
 ["COMMON-LISP____SYMBOLP","Symbolp","SYMBOLP",[1096,142],"Recognizer for symbols"],
 ["COMMON-LISP____SIGNUM","Signum","SIGNUM",[282,142],"Indicator for positive, negative, or zero"],
 ["COMMON-LISP____INTEGER-LENGTH","Integer-length","INTEGER-LENGTH",[282,142],"Number of bits in two's complement integer representation"],
 ["COMMON-LISP____CHAR-EQUAL","Char-equal","CHAR-EQUAL",[61,142],"Character equality without regard to case"],
 ["ACL2____What_02is_02a_02Mathematical_02Logic_82Q_92","What is a Mathematical Logic(Q)","What is a Mathematical Logic(Q)",[121],"What is a Mathematical Logic?"],
 ["ACL2____UBU_12","Ubu!","UBU!",[108,503],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, without a query or an error"],
 ["ACL2____TRANS_12","Trans!","TRANS!",[739],"Print the translation of a form without code restrictions"],
 ["ACL2____START-PROOF-TREE","Start-proof-tree","START-PROOF-TREE",[129],"Start displaying proof trees during proofs"],
 ["ACL2____Revisiting_02the_02Admission_02of_02App","Revisiting the Admission of App","Revisiting the Admission of App",[121],"Revisiting the Admission of App"],
 ["ACL2____REDEF_12","Redef!","REDEF!",[16],"A common way to set <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>"],
 ["ACL2____R-AND-I-NUMBERS","R-and-i-numbers","R-AND-I-NUMBERS",[1246],"Recursion and Induction: Numbers"],
 ["ACL2____QUANTIFIERS-USING-DEFUN-SK","Quantifiers-using-defun-sk","QUANTIFIERS-USING-DEFUN-SK",[720],"Quantification example"],
 ["ACL2____PSOG","Psog","PSOG",[599],"Show the most recently saved output with <see topic=\"ACL2____GAG-MODE\">gag-mode</see>"],
 ["ACL2____PCB_12","Pcb!","PCB!",[108],"Print in full the <see topic=\"ACL2____COMMAND\">command</see> block described by a <see topic=\"ACL2____COMMAND\">command</see> descriptor"],
 ["ACL2____O-FIRST-COEFF","O-first-coeff","O-FIRST-COEFF",[100,142],"Returns the first coefficient of an ordinal"],
 ["ACL2____LOGIC-FNSP","Logic-fnsp","LOGIC-FNSP",[694,142],"Recognizer for when a given <see topic=\"ACL2____TERM\">term</see> calls only <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____LOGIC-FNS-LISTP","Logic-fns-listp","LOGIC-FNS-LISTP",[694,142],"Recognizer for when a given list of <see topic=\"ACL2____TERM\">term</see>s calls only \u000A <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____INTERN_42","Intern$","INTERN$",[1323,832,142],"Create a new symbol in a given package"],
 ["ACL2____INTERFACING-TOOLS","Interfacing-tools","INTERFACING-TOOLS",[1538,800],"Libraries and tools for doing basic <see topic='ACL2____STD_F2IO'>file \u000A i/o</see>, using raw <see topic='ACL2____QUICKLISP'>Common Lisp \u000A libraries</see>, working with the <see topic='ACL2____OSLIB'>operating \u000A system</see>, and interfacing with <see topic='ACL2____BRIDGE'>other \u000A programs</see>."],
 ["ACL2____HONS-COPY-PERSISTENT","Hons-copy-persistent","HONS-COPY-PERSISTENT",[602,142],"<v>(<see topic=\"ACL2____HONS-COPY-PERSISTENT\">hons-copy-persistent</see> x)</v> returns a <see topic=\"ACL2____NORMED\">normed</see> object that is \u000Aequal to X and which will be re-normed after any calls to <tt><see topic=\"ACL2____HONS-CLEAR\">hons-clear</see></tt>."],
 ["ACL2____GC-STRATEGY","Gc-strategy","GC-STRATEGY",[654,142],"The garbage collection strategy"],
 ["ACL2____FILE-LENGTH_42","File-length$","FILE-LENGTH$",[17],"The size of a file in bytes"],
 ["ACL2____FAST-ALIST-SUMMARY","Fast-alist-summary","FAST-ALIST-SUMMARY",[270,142],"<v>(<see topic=\"ACL2____FAST-ALIST-SUMMARY\">fast-alist-summary</see>)</v> prints some basic statistics about any \u000Acurrent fast alists."],
 ["ACL2____ENABLE-FORCING","Enable-forcing","ENABLE-FORCING",[21],"To allow forced case splits"],
 ["ACL2____DISABLE-IMMEDIATE-FORCE-MODEP","Disable-immediate-force-modep","DISABLE-IMMEDIATE-FORCE-MODEP",[21],"<see topic=\"ACL2____FORCE\">force</see>d hypotheses are not attacked immediately"],
 ["ACL2____ARGS","Args","ARGS",[0],"<v>args</v>, <tt><see topic=\"ACL2____GUARD\">guard</see></tt>, <v>type</v>, <tt><see topic=\"ACL2____CONSTRAINT\">constraint</see></tt>, etc., of a \u000A  function symbol"],
 ["ACL2-PC____PRINT","ACL2-pc::print","PRINT",[224],"(macro) \u000Aprint the result of evaluating the given form"],
 ["ACL2-PC____EXPAND","ACL2-pc::expand","EXPAND",[224,516],"(primitive) \u000Aexpand the current function call without simplification"],
 ["ACL2-PC____BK","ACL2-pc::bk","BK",[224,516],"(atomic macro) \u000Amove backward one argument in the enclosing term"],
 ["COMMON-LISP____STRING_E3_D3","String&gt;=","STRING>=",[747,142],"Less-than-or-equal test for strings"],
 ["COMMON-LISP____STRING_C3_D3","String&lt;=","STRING<=",[747,142],"Less-than-or-equal test for strings"],
 ["COMMON-LISP____STRING-DOWNCASE","String-downcase","STRING-DOWNCASE",[747,142],"In a given string, turn upper-case <see topic=\"ACL2____CHARACTERS\">characters</see> into lower-case"],
 ["COMMON-LISP____LIST_A2","List*","LIST*",[411,142],"Build a list"],
 ["BIB____YOUNG88","Bib::young88","YOUNG88",[132],"W. D. Young, <i>A Verified Code Generator for a Subset of Gypsy</i> \u000A  <v>(ftp://ftp.cs.utexas.edu/pub/boyer/diss/young.pdf)</v>, University of Texas \u000A  at Austin, Ph.D. dissertation, 1988. \u000A \u000A  <br></br><br></br><b>Relevance:</b> a verified compiler (from a small \u000A  Pascal-like subset to an assembly language) and a component of the CLI \u000A  Verified Stack"],
 ["ACL2____What_02is_02a_02Mechanical_02Theorem_02Prover_82Q_92","What is a Mechanical Theorem Prover(Q)","What is a Mechanical Theorem Prover(Q)",[121],"What is a Mechanical Theorem Prover?"],
 ["ACL2____SHARP-BANG-READER","Sharp-bang-reader","SHARP-BANG-READER",[696,832],"Package prefix that is not restricted to symbols"],
 ["ACL2____SET-NON-LINEARP","Set-non-linearp","SET-NON-LINEARP",[160],"To turn on or off non-linear arithmetic reasoning"],
 ["ACL2____SET-INDUCTION-DEPTH-LIMIT","Set-induction-depth-limit","SET-INDUCTION-DEPTH-LIMIT",[909],"Set the <see topic=\"ACL2____INDUCTION-DEPTH-LIMIT\">induction-depth-limit</see>"],
 ["ACL2____REMOVE-TRIVIAL-EQUIVALENCES-ENABLED-P","Remove-trivial-equivalences-enabled-p","REMOVE-TRIVIAL-EQUIVALENCES-ENABLED-P",[13,190],"Avoid removal of trivial equivalences during rewriting"],
 ["ACL2____REDEF-","Redef-","REDEF-",[16],"Turn off system hacker's redefinition <see topic=\"ACL2____COMMAND\">command</see>"],
 ["ACL2____QUANTIFIERS-USING-DEFUN-SK-EXTENDED","Quantifiers-using-defun-sk-extended","QUANTIFIERS-USING-DEFUN-SK-EXTENDED",[720],"Quantification example with details"],
 ["ACL2____OPEN-TRACE-FILE","Open-trace-file","OPEN-TRACE-FILE",[630],"Redirect trace output to a file"],
 ["ACL2____O-FIRST-EXPT","O-first-expt","O-FIRST-EXPT",[100,142],"The first exponent of an ordinal"],
 ["ACL2____NOTE-2-7_82R_92","Note-2-7(r)","NOTE-2-7(R)",[210],"ACL2 Version  2.7(r) (November, 2002) Notes"],
 ["ACL2____MEMBER-EQUAL","Member-equal","MEMBER-EQUAL",[389],"See <see topic=\"COMMON-LISP____MEMBER\">member</see>."],
 ["ACL2____HEAVY-LINEAR-P","Heavy-linear-p","HEAVY-LINEAR-P",[154,190],"Extend the use of <see topic=\"ACL2____LINEAR-ARITHMETIC\">linear-arithmetic</see> during rewriting"],
 ["ACL2____GET-COMMAND-SEQUENCE","Get-command-sequence","GET-COMMAND-SEQUENCE",[108],"Return list of <see topic=\"ACL2____COMMAND\">command</see>s that are between two <see topic=\"ACL2____COMMAND\">command</see> descriptors"],
 ["ACL2____FREE-VARIABLES-EXAMPLES","Free-variables-examples","FREE-VARIABLES-EXAMPLES",[72],"Examples pertaining to free variables in rules"],
 ["ACL2____FIX","Fix","FIX",[282,142],"Coerce to a number"],
 ["ACL2____FAST-ALIST-CLEAN_12","Fast-alist-clean!","FAST-ALIST-CLEAN!",[270,142],"<v>(<see topic=\"ACL2____FAST-ALIST-CLEAN_12\">fast-alist-clean!</see> alist)</v> is an alternative to <tt><see topic=\"ACL2____FAST-ALIST-CLEAN\">fast-alist-clean</see></tt> that produces a <see topic=\"ACL2____NORMED\">normed</see> result."],
 ["ACL2____EXISTS","Exists","EXISTS",[53],"Existential quantifier"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-BINARY-TREES","Example-induction-scheme-binary-trees","EXAMPLE-INDUCTION-SCHEME-BINARY-TREES",[18],"Induction on binary trees"],
 ["ACL2____EQLABLE-LISTP","Eqlable-listp","EQLABLE-LISTP",[1118,253,411,142],"Recognizer for a true list of objects each suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____ENABLE-IMMEDIATE-FORCE-MODEP","Enable-immediate-force-modep","ENABLE-IMMEDIATE-FORCE-MODEP",[21],"<see topic=\"ACL2____FORCE\">force</see>d hypotheses are attacked immediately"],
 ["ACL2____CHECKPOINT-FORCED-GOALS","Checkpoint-forced-goals","CHECKPOINT-FORCED-GOALS",[129],"Cause forcing goals to be checkpointed in proof trees"],
 ["ACL2____BOOLEANP","Booleanp","BOOLEANP",[726,142],"Recognizer for booleans"],
 ["ACL2____BADGE-USERFN","Badge-userfn","BADGE-USERFN",[27],"Undefined function used by <v>badge</v> on non-primitives"],
 ["ACL2____About_02Models","About Models","About Models",[121],"About Models"],
 ["ACL2-PC____WRAP","ACL2-pc::wrap","WRAP",[224],"(atomic macro) \u000Aexecute the indicated instructions and combine all the new goals"],
 ["ACL2-PC____REMOVE-ABBREVIATIONS","ACL2-pc::remove-abbreviations","REMOVE-ABBREVIATIONS",[224],"(primitive) \u000Aremove one or more abbreviations"],
 ["ACL2-PC____REDUCE-BY-INDUCTION","ACL2-pc::reduce-by-induction","REDUCE-BY-INDUCTION",[224],"(macro) \u000Acall the ACL2 prover without induction, after going into \u000Ainduction"],
 ["ACL2-PC____INDUCT","ACL2-pc::induct","INDUCT",[224,516],"(atomic macro) \u000Agenerate subgoals using induction"],
 ["COMMON-LISP_____E3","&gt;",">",[282,142],"Greater-than test"],
 ["COMMON-LISP____SUBST","Subst","SUBST",[539,142],"A single substitution into a tree"],
 ["COMMON-LISP____EVENP","Evenp","EVENP",[282,142],"Test whether an integer is even"],
 ["COMMON-LISP____ASH","Ash","ASH",[282,142],"Arithmetic shift operation"],
 ["BIB____BM97","Bib::bm97","BM97",[132],"R. S. Boyer and J S. Moore, <i><a \u000A  href='https://drive.google.com/file/d/0B2yFYLn0Spf1TloxMjNxdzBWN1E/'> A \u000A  Computational Logic Handbook, Second Edition</a></i>, Academic Press, New \u000A  York, 1997. \u000A \u000A  <br></br><br></br><b>Relevance:</b> Nqthm user's manual"],
 ["ACL2____What_02is_02Required_02of_02the_02User_82Q_92","What is Required of the User(Q)","What is Required of the User(Q)",[121],"What is Required of the User?"],
 ["ACL2____USING-COMPUTED-HINTS-1","Using-computed-hints-1","USING-COMPUTED-HINTS-1",[1129],"Driving Home the Basics"],
 ["ACL2____STRING-APPEND","String-append","STRING-APPEND",[747,142],"<see topic=\"COMMON-LISP____CONCATENATE\">concatenate</see> two strings"],
 ["ACL2____SPLITTER-OUTPUT","Splitter-output","SPLITTER-OUTPUT",[170],"Status for reporting of <see topic=\"ACL2____SPLITTER\">splitter</see> rules"],
 ["ACL2____SIGNED-BYTE-P","Signed-byte-p","SIGNED-BYTE-P",[282,142],"Recognizer for signed integers that fit in a specified bit width"],
 ["ACL2____NFIX","Nfix","NFIX",[282,142],"Coerce to a natural number"],
 ["ACL2____MSGP","Msgp","MSGP",[17,142],"Recognizer for a ``message''"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-3","Introductory-challenge-problem-3","INTRODUCTORY-CHALLENGE-PROBLEM-3",[18],"Challenge problem 3 for the new user of ACL2"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-1","Introductory-challenge-problem-1","INTRODUCTORY-CHALLENGE-PROBLEM-1",[18],"Challenge problem 1 for the new user of ACL2"],
 ["ACL2____IFIX","Ifix","IFIX",[282,142],"Coerce to an integer"],
 ["ACL2____I-AM-HERE","I-am-here","I-AM-HERE",[16],"A convenient marker for use with <tt><see topic=\"ACL2____REBUILD\">rebuild</see></tt> or <tt><see topic=\"ACL2____LD\">ld</see></tt>"],
 ["ACL2____Hey_02Wait_12_02_02Is_02ACL2_02Typed_02or_02Untyped_82Q_92","Hey Wait!  Is ACL2 Typed or Untyped(Q)","Hey Wait!  Is ACL2 Typed or Untyped(Q)",[121],"Hey Wait!  Is ACL2 Typed or Untyped?"],
 ["ACL2____FP","Fp","FP",[41],"Floating-point and ACL2"],
 ["ACL2____EXIT-BOOT-STRAP-MODE","Exit-boot-strap-mode","EXIT-BOOT-STRAP-MODE",[108],"The end of pre-history"],
 ["ACL2____ER-SOFT","Er-soft","ER-SOFT",[769,142],"Print an error message and ``cause a soft error''"],
 ["ACL2____DELETE-FILE_42","Delete-file$","DELETE-FILE$",[17],"Delete a file"],
 ["ACL2____DEFAULT-HINTS-TABLE","Default-hints-table","DEFAULT-HINTS-TABLE",[893],"A <see topic=\"ACL2____TABLE\">table</see> used to provide <see topic=\"ACL2____HINTS\">hints</see> for proofs"],
 ["ACL2____COMP-GCL","Comp-gcl","COMP-GCL",[113,142],"Compile some ACL2 functions leaving .c and .h files"],
 ["ACL2____BINARY-_A2","Binary-*","BINARY-*",[640,142],"Multiplication function"],
 ["ACL2____ARITY","Arity","ARITY",[142],"number of arguments of a function symbol"],
 ["ACL2____ARITIES-OKP","Arities-okp","ARITIES-OKP",[142],"check the arities of given function symbols"],
 ["ACL2-PC____UNSAVE","ACL2-pc::unsave","UNSAVE",[224],"(macro) \u000Aremove a proof-builder state"],
 ["ACL2-PC____UNDO","ACL2-pc::undo","UNDO",[224,516],"(meta) \u000Aundo some instructions"],
 ["ACL2-PC____TOP","ACL2-pc::top","TOP",[224,516],"(atomic macro) \u000Amove to the top of the goal"],
 ["ACL2-PC____RESTORE","ACL2-pc::restore","RESTORE",[224,516],"(meta) \u000Aremove the effect of an UNDO command"],
 ["ACL2-PC____REPLAY","ACL2-pc::replay","REPLAY",[224,516],"(macro) \u000Areplay one or more instructions"],
 ["ACL2-PC____PSOG","ACL2-pc::psog","PSOG",[224],"(macro) \u000Aprint the most recent proof attempt from inside the proof-builder"],
 ["ACL2-PC____P","ACL2-pc::p","P",[224,516],"(macro) \u000Aprettyprint the current term in the usual user-level (untranslated) syntax"],
 ["ACL2-PC____NX","ACL2-pc::nx","NX",[224,516],"(atomic macro) \u000Amove forward one argument in the enclosing term"],
 ["ACL2-PC____NOISE","ACL2-pc::noise","NOISE",[224],"(meta) \u000Arun instructions with prover output"],
 ["ACL2-PC____CONTRAPOSE","ACL2-pc::contrapose","CONTRAPOSE",[224,516],"(primitive) \u000Aswitch a hypothesis with the conclusion, negating both"],
 ["COMMON-LISP_____F2_D3","/=","/=",[282,142],"Test inequality of two numbers"],
 ["COMMON-LISP____STRINGP","Stringp","STRINGP",[747,142],"Recognizer for strings"],
 ["ACL2_____A2STANDARD-CI_A2","*standard-ci*","*STANDARD-CI*",[17,142],"An ACL2 character-based analogue of CLTL's <v>*standard-input*</v>"],
 ["ACL2____WATERFALL-PARALLELISM","Waterfall-parallelism","WATERFALL-PARALLELISM",[1309],"For ACL2(p): configuring the parallel execution of the waterfall"],
 ["ACL2____UNSIGNED-BYTE-P","Unsigned-byte-p","UNSIGNED-BYTE-P",[282,142],"Recognizer for natural numbers that fit in a specified bit width"],
 ["ACL2____The_02Falling_02Body_02Model","The Falling Body Model","The Falling Body Model",[121],"The Falling Body Model"],
 ["ACL2____TOGGLE-PC-MACRO","Toggle-pc-macro","TOGGLE-PC-MACRO",[49],"Change an ordinary macro command to an atomic macro, or vice-versa"],
 ["ACL2____THE-TRUE-LIST","The-true-list","THE-TRUE-LIST",[454,142],"Coerce an expected true list to a true list"],
 ["ACL2____TERMINATION-THEOREM","Termination-theorem","TERMINATION-THEOREM",[67,1076,20],"Use a (functional instance of a) previously-proved measure theorem"],
 ["ACL2____STRIP-CARS","Strip-cars","STRIP-CARS",[755,142],"Collect up all first components of pairs in a list"],
 ["ACL2____SET-WORMHOLE-ENTRY-CODE","Set-wormhole-entry-code","SET-WORMHOLE-ENTRY-CODE",[32],"Sets the wormhole entry code in a wormhole status object"],
 ["ACL2____Rewrite_02Rules_02are_02Generated_02from_02DEFTHM_02Events","Rewrite Rules are Generated from DEFTHM Events","Rewrite Rules are Generated from DEFTHM Events",[121],"Rewrite Rules are Generated from DEFTHM Events"],
 ["ACL2____PSO_12","Pso!","PSO!",[599],"Show the most recently saved output, including <see topic=\"ACL2____PROOF-TREE\">proof-tree</see> output"],
 ["ACL2____O-RST","O-rst","O-RST",[100,142],"Returns the rest of an infinite ordinal"],
 ["ACL2____NOTE-2-7-GUARDS","Note-2-7-guards","NOTE-2-7-GUARDS",[184],"ACL2 Version  2.7 Notes on Guard-related Changes"],
 ["ACL2____MEMOIZE-SUMMARY","Memoize-summary","MEMOIZE-SUMMARY",[37],"Display all collected profiling and memoization info"],
 ["ACL2____LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-BASE-CASE","Logic-knowledge-taken-for-granted-base-case","LOGIC-KNOWLEDGE-TAKEN-FOR-GRANTED-BASE-CASE",[18],"A brief explanation of base cases"],
 ["ACL2____INTERSECTION-THEORIES","Intersection-theories","INTERSECTION-THEORIES",[6,575],"Intersect two <see topic=\"ACL2____THEORIES\">theories</see>"],
 ["ACL2____FAST-ALIST-LEN","Fast-alist-len","FAST-ALIST-LEN",[270,142],"<v>(<see topic=\"ACL2____FAST-ALIST-LEN\">fast-alist-len</see> alist)</v> counts the number of unique keys in a \u000A  fast alist."],
 ["ACL2____EVENS","Evens","EVENS",[411,142],"The even-indexed members of a list"],
 ["ACL2____CERTIFY-BOOK_12","Certify-book!","CERTIFY-BOOK!",[25],"A variant of <tt><see topic=\"ACL2____CERTIFY-BOOK\">certify-book</see></tt>"],
 ["ACL2____A_02Typical_02State","A Typical State","A Typical State",[121],"A Typical State"],
 ["ACL2____ARRAY2P","Array2p","ARRAY2P",[47,142],"Recognize a 2-dimensional array"],
 ["ACL2____ARRAY1P","Array1p","ARRAY1P",[47,142],"Recognize a 1-dimensional array"],
 ["ACL2____ADD-DEFAULT-HINTS_12","Add-default-hints!","ADD-DEFAULT-HINTS!",[893],"Add to the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2-PC____WRAP-INDUCT","ACL2-pc::wrap-induct","WRAP-INDUCT",[224],"(atomic macro) \u000Asame as induct, but create a single goal"],
 ["ACL2-PC____PSO_12","ACL2-pc::pso!","PSO!",[224],"(macro) \u000Aprint the most recent proof attempt from inside the proof-builder"],
 ["ACL2-PC____PSO","ACL2-pc::pso","PSO",[224],"(macro) \u000Aprint the most recent proof attempt from inside the proof-builder"],
 ["COMMON-LISP____LOGTEST","Logtest","LOGTEST",[282,142],"Test if two integers share a `1' bit"],
 ["COMMON-LISP____LOGNOT","Lognot","LOGNOT",[282,142],"Bitwise not of a two's complement number"],
 ["COMMON-LISP____LOGBITP","Logbitp","LOGBITP",[282,142],"The <v>i</v>th bit of an integer"],
 ["COMMON-LISP____LAST","Last","LAST",[411,142],"The last <tt><see topic=\"COMMON-LISP____CONS\">cons</see></tt> (not element) of a list"],
 ["COMMON-LISP____CHAR","Char","CHAR",[747,61,142],"The <see topic=\"COMMON-LISP____NTH\">nth</see> element (zero-based) of a string"],
 ["COMMON-LISP____ACONS","Acons","ACONS",[755,142],"Constructor for association lists"],
 ["ACL2____VERIFY-TERMINATION-ON-RAW-PROGRAM-OKP","Verify-termination-on-raw-program-okp","VERIFY-TERMINATION-ON-RAW-PROGRAM-OKP",[70],"Permit <tt><see topic=\"ACL2____VERIFY-TERMINATION\">verify-termination</see></tt> for functions with raw Lisp code."],
 ["ACL2____VALUE","Value","VALUE",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____The_02Time_02Taken_02to_02do_02the_02Associativity_02of_02App_02Proof","The Time Taken to do the Associativity of App Proof","The Time Taken to do the Associativity of App Proof",[121],"The Time Taken to do the Associativity of App Proof"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_021_92","The Simplification of the Induction Conclusion (Step 1)","The Simplification of the Induction Conclusion (Step 1)",[121],"The Simplification of the Induction Conclusion (Step 1)"],
 ["ACL2____The_02Rules_02used_02in_02the_02Associativity_02of_02App_02Proof","The Rules used in the Associativity of App Proof","The Rules used in the Associativity of App Proof",[121],"The Rules used in the Associativity of App Proof"],
 ["ACL2____TRACE-CO","Trace-co","TRACE-CO",[17,142],"The <see topic=\"COMMON-LISP____TRACE\">trace</see> character output channel"],
 ["ACL2____TAU-INTERVAL-LO-REL","Tau-interval-lo-rel","TAU-INTERVAL-LO-REL",[52],"Access the lower bound relation of a tau interval"],
 ["ACL2____TAU-INTERVAL-HI-REL","Tau-interval-hi-rel","TAU-INTERVAL-HI-REL",[52],"Access the upper bound relation of a tau interval"],
 ["ACL2____TAU-INTERVAL-HI","Tau-interval-hi","TAU-INTERVAL-HI",[52],"Access the upper bound of a tau interval"],
 ["ACL2____SHOW-CUSTOM-KEYWORD-HINT-EXPANSION","Show-custom-keyword-hint-expansion","SHOW-CUSTOM-KEYWORD-HINT-EXPANSION",[1318],"Print out custom keyword hints when they are expanded"],
 ["ACL2____SET-WORMHOLE-DATA","Set-wormhole-data","SET-WORMHOLE-DATA",[32],"Sets the wormhole data object in a wormhole status object"],
 ["ACL2____SET-DEFAULT-HINTS_12","Set-default-hints!","SET-DEFAULT-HINTS!",[893],"Set the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____RULER-EXTENDERS","Ruler-extenders","RULER-EXTENDERS",[389],"See <see topic=\"ACL2____RULERS\">rulers</see>."],
 ["ACL2____RFIX","Rfix","RFIX",[282,142],"Coerce to a rational number"],
 ["ACL2____REMOVE-MACRO-FN","Remove-macro-fn","REMOVE-MACRO-FN",[739],"Remove the association of a function name with a macro name"],
 ["ACL2____REMOVE-MACRO-ALIAS","Remove-macro-alias","REMOVE-MACRO-ALIAS",[739],"Remove the association of a function name with a macro name"],
 ["ACL2____REMOVE-DEFAULT-HINTS_12","Remove-default-hints!","REMOVE-DEFAULT-HINTS!",[893],"Remove from the default hints non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____REAL_F2RATIONALP","Real/rationalp","REAL/RATIONALP",[282,142],"Recognizer for rational numbers (including real number in ACL2(r))"],
 ["ACL2____R-AND-I-CHARACTERS","R-and-i-characters","R-AND-I-CHARACTERS",[1246],"Recursion and Induction: Characters"],
 ["ACL2____PUTPROP","Putprop","PUTPROP",[4,142],"Update fast property lists"],
 ["ACL2____NEVER-MEMOIZE","Never-memoize","NEVER-MEMOIZE",[37],"Mark a function as unsafe to memoize."],
 ["ACL2____MONITOR_12","Monitor!","MONITOR!",[26],"A quiet combination of <tt><see topic=\"ACL2____MONITOR\">monitor</see></tt> and <tt><see topic=\"ACL2____BRR\">brr</see></tt>"],
 ["ACL2____INCOMPATIBLE","Incompatible","INCOMPATIBLE",[6],"Declaring that two rules should not both be <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["ACL2____GETPROPC","Getpropc","GETPROPC",[4,142],"Access fast property lists"],
 ["ACL2____GET-REAL-TIME","Get-real-time","GET-REAL-TIME",[46,142,685],"Read elapsed real time"],
 ["ACL2____FINDING-DOCUMENTATION","Finding-documentation","FINDING-DOCUMENTATION",[0],"Searching the documentation"],
 ["ACL2____DIGIT-TO-CHAR","Digit-to-char","DIGIT-TO-CHAR",[61,142],"Map a digit to a character"],
 ["ACL2____DEFUND-NX","Defund-nx","DEFUND-NX",[1,85],"Define a disabled non-executable function symbol"],
 ["ACL2____COUNT-KEYS","Count-keys","COUNT-KEYS",[9,142],"Count the number of keys in association list"],
 ["ACL2____ASSOC-STRING-EQUAL","Assoc-string-equal","ASSOC-STRING-EQUAL",[755,142],"Look up key, a string, in association list"],
 ["ACL2____ADD-BINOP","Add-binop","ADD-BINOP",[739],"Associate a function name with a macro name"],
 ["ACL2____ACL2-NUMBERP","ACL2-numberp","ACL2-NUMBERP",[282,142],"Recognizer for numbers"],
 ["COMMON-LISP_____E3_D3","&gt;=",">=",[282,142],"Greater-than-or-equal test"],
 ["COMMON-LISP____REM","Rem","REM",[282,142],"Remainder using <tt><see topic=\"COMMON-LISP____TRUNCATE\">truncate</see></tt>"],
 ["COMMON-LISP____LOGORC1","Logorc1","LOGORC1",[282,142],"Bitwise logical inclusive or of two ints, complementing the first"],
 ["ACL2____UNTRANS-TABLE","Untrans-table","UNTRANS-TABLE",[739],"Associates a function symbol with a macro for printing user-level terms"],
 ["ACL2____UBU_F3","Ubu?","UBU?",[108,503],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, with queries as appropriate"],
 ["ACL2____UBT_F3","Ubt?","UBT?",[108,503],"Undo <see topic=\"ACL2____COMMAND\">command</see>s, with queries as appropriate"],
 ["ACL2____TUTORIAL5-MISCELLANEOUS-EXAMPLES","Tutorial5-miscellaneous-examples","TUTORIAL5-MISCELLANEOUS-EXAMPLES",[534],"Miscellaneous ACL2 examples"],
 ["ACL2____TOGGLE-INHIBIT-WARNING_12","Toggle-inhibit-warning!","TOGGLE-INHIBIT-WARNING!",[599],"Toggle an <v>inhibit-warnings-table</v> entry non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____TAU-INTERVAL-LO","Tau-interval-lo","TAU-INTERVAL-LO",[52],"Access the lower bound of a tau interval"],
 ["ACL2____Subsumption_02of_02Induction_02Candidates_02in_02App_02Example","Subsumption of Induction Candidates in App Example","Subsumption of Induction Candidates in App Example",[121],"Subsumption of Induction Candidates in App Example"],
 ["ACL2____SYMBOL-ALISTP","Symbol-alistp","SYMBOL-ALISTP",[755,142],"Recognizer for association lists with symbols as keys"],
 ["ACL2____SHOW-ACCUMULATED-PERSISTENCE","Show-accumulated-persistence","SHOW-ACCUMULATED-PERSISTENCE",[389],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2____SET-DUPLICATE-KEYS-ACTION_12","Set-duplicate-keys-action!","SET-DUPLICATE-KEYS-ACTION!",[599],"Non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt> version of <tt><see topic=\"ACL2____SET-DUPLICATE-KEYS-ACTION\">set-duplicate-keys-action</see></tt>"],
 ["ACL2____R-AND-I-STRINGS","R-and-i-strings","R-AND-I-STRINGS",[1246],"Recursion and Induction: Strings"],
 ["ACL2____PROGN_42","Progn$","PROGN$",[726,142],"Execute a sequence of forms and return the value of the last one"],
 ["ACL2____PACKN","Packn","PACKN",[1096,142],"Build a symbol from a list"],
 ["ACL2____Other_02Requirements","Other Requirements","Other Requirements",[121],"Other Requirements"],
 ["ACL2____NOTE-1-1","Note-1-1","NOTE-1-1",[210],"Acl2 Version 1.1 Notes"],
 ["ACL2____Models_02in_02Engineering","Models in Engineering","Models in Engineering",[121],"Models in Engineering"],
 ["ACL2____LOGIC-TERMP","Logic-termp","LOGIC-TERMP",[694,142],"Recognizer for <see topic=\"ACL2____TERM\">term</see>s that call only <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode \u000A function symbols"],
 ["ACL2____LOGIC-TERM-LIST-LISTP","Logic-term-list-listp","LOGIC-TERM-LIST-LISTP",[694,142],"Recognizer for lists of lists of <see topic=\"ACL2____TERM\">term</see>s that call only \u000A <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-1-ANSWER","Introductory-challenge-problem-1-answer","INTRODUCTORY-CHALLENGE-PROBLEM-1-ANSWER",[18],"Answer to challenge problem 1 for the new user of ACL2"],
 ["ACL2____FUNCTIONAL-INSTANTIATION","Functional-instantiation","FUNCTIONAL-INSTANTIATION",[22],"An analogue in ACL2 of higher-order logical reasoning.  Functional \u000A instantiation allows you to prove theorems ``by analogy'' with previous \u000A theorems.  See <see topic=\"ACL2____HINTS\">hints</see> and see <see topic=\"ACL2____LEMMA-INSTANCE\">lemma-instance</see>."],
 ["ACL2____FMT_12","Fmt!","FMT!",[17,142],"<v>(<see topic=\"ACL2____FMT_12\">fmt!</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____FMS","Fms","FMS",[17,142],"<v>(<see topic=\"ACL2____FMS\">fms</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____EXAMPLE-INDUCTION-SCHEME-ON-SEVERAL-VARIABLES","Example-induction-scheme-on-several-variables","EXAMPLE-INDUCTION-SCHEME-ON-SEVERAL-VARIABLES",[18],"Induction on several variables"],
 ["ACL2____DEFUN_42","Defun$","DEFUN$",[1,85,27],"Define a function symbol and generate a warrant"],
 ["ACL2____CW_12","Cw!","CW!",[180,17,142],"Print readably to the comment window"],
 ["ACL2____COMPLEX_F2COMPLEX-RATIONALP","Complex/complex-rationalp","COMPLEX/COMPLEX-RATIONALP",[282,142],"Recognizer for complex numbers"],
 ["ACL2____CLEAR-MEMOIZE-TABLES","Clear-memoize-tables","CLEAR-MEMOIZE-TABLES",[37],"Forget values remembered for all the memoized functions"],
 ["ACL2____ASSOC-KEYWORD","Assoc-keyword","ASSOC-KEYWORD",[1201,142],"Look up key in a <tt><see topic=\"ACL2____KEYWORD-VALUE-LISTP\">keyword-value-listp</see></tt>"],
 ["ACL2____APPLY_42-LAMBDA","Apply$-lambda","APPLY$-LAMBDA",[27],"Used by <v>apply$</v> on <v>LAMBDA</v> objects"],
 ["ACL2-PC____UP","ACL2-pc::up","UP",[224,516],"(primitive) \u000Amove to the parent (or some ancestor) of the current subterm"],
 ["ACL2-PC____THEN","ACL2-pc::then","THEN",[224],"(macro) \u000Aapply one instruction to current goal and another to new subgoals"],
 ["ACL2-PC____TH","ACL2-pc::th","TH",[224,516],"(macro) \u000Aprint the top-level hypotheses and the current subterm"],
 ["ACL2-PC____SL","ACL2-pc::sl","SL",[224],"(atomic macro) \u000Asimplify with lemmas"],
 ["ACL2-PC____SHOW-TYPE-PRESCRIPTIONS","ACL2-pc::show-type-prescriptions","SHOW-TYPE-PRESCRIPTIONS",[224],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____TYPE-PRESCRIPTION\">type-prescription</see> rules"],
 ["ACL2-PC____BDD","ACL2-pc::bdd","BDD",[224],"(atomic macro) \u000Aprove the current goal using bdds"],
 ["COMMON-LISP____STRING_E3","String&gt;","STRING>",[747,142],"Greater-than test for strings"],
 ["COMMON-LISP____SLEEP","Sleep","SLEEP",[125],"Sleep for some number of seconds"],
 ["COMMON-LISP____LOGORC2","Logorc2","LOGORC2",[282,142],"Bitwise logical inclusive or of two ints, complementing the second"],
 ["COMMON-LISP____LOGCOUNT","Logcount","LOGCOUNT",[282,142],"Number of ``on'' bits in a two's complement number"],
 ["COMMON-LISP____LOGANDC2","Logandc2","LOGANDC2",[282,142],"Bitwise logical `and' of two ints, complementing the second"],
 ["COMMON-LISP____LOGANDC1","Logandc1","LOGANDC1",[282,142],"Bitwise logical `and' of two ints, complementing the first"],
 ["COMMON-LISP____CHAR_E3_D3","Char&gt;=","CHAR>=",[61,142],"Greater-than-or-equal test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHAR_C3","Char&lt;","CHAR<",[61,142],"Less-than test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CADR","Cadr","CADR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>"],
 ["BIB____MOORE73","Bib::moore73","MOORE73",[132],"J S. Moore, &ldquo;<a \u000A  href='http://www.era.lib.ed.ac.uk/handle/1842/2245'>Computational Logic: \u000A  Structure Sharing and Proof of Program Properties</a>, University of \u000A  Edinburgh, Ph.D. dissertation, 1973. \u000A \u000A  <br></br><br></br><b>Relevance:</b> details of the Edinburgh Pure Lisp \u000A  Theorem Prover (PLTP)"],
 ["BIB____KMM00B","Bib::kmm00b","KMM00B",[132],"M. Kaufmann, P. Manolios, J S. Moore, <i><a \u000A  href='https://www.cs.utexas.edu/~moore/publications/acl2-books/acs/index.html'>Computer-Aided \u000A  Reasoning: ACL2 Case Studies</a></i>, Kluwer Academic Publishers, 2000. \u000A \u000A  <br></br><br></br><b>Relevance:</b> tutorial examples of ACL2 applications"],
 ["BIB____BEVIER87","Bib::bevier87","BEVIER87",[132],"W. R. Bevier, <i>Verified Operating System Kernel</i> \u000A  <v>(ftp://ftp.cs.utexas.edu/pub/boyer/diss/bevier.pdf)</v>, University of Texas \u000A  at Austin, Ph.D. dissertation, 1987. \u000A \u000A  <br></br><br></br><b>Relevance:</b> first verified operating system and a \u000A  component of the CLI stack"],
 ["ACL2____UBT-PREHISTORY","Ubt-prehistory","UBT-PREHISTORY",[108,503],"Undo the <see topic=\"ACL2____COMMAND\">command</see>s back through the last <tt><see topic=\"ACL2____RESET-PREHISTORY\">reset-prehistory</see></tt> event"],
 ["ACL2____TOP","Top","TOP",[],"ACL2 User's Manual (not including documentation for the community books)"],
 ["ACL2____TOGGLE-INHIBIT-ER_12","Toggle-inhibit-er!","TOGGLE-INHIBIT-ER!",[599,769],"Toggle an <v>inhibit-er-table</v> entry non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____THE-NUMBER","The-number","THE-NUMBER",[282,142],"Coerce an expected number to a number"],
 ["ACL2____TAU-INTERVAL-DOM","Tau-interval-dom","TAU-INTERVAL-DOM",[52],"Access the domain of a tau interval"],
 ["ACL2____TAU-DATABASE","Tau-database","TAU-DATABASE",[52,108],"To see the tau database as a (very large) object"],
 ["ACL2____Symbolic_02Execution_02of_02Models","Symbolic Execution of Models","Symbolic Execution of Models",[121],"Symbolic Execution of Models"],
 ["ACL2____Suggested_02Inductions_02in_02the_02Associativity_02of_02App_02Example","Suggested Inductions in the Associativity of App Example","Suggested Inductions in the Associativity of App Example",[121],"Suggested Inductions in the Associativity of App Example"],
 ["ACL2____STRIP-CDRS","Strip-cdrs","STRIP-CDRS",[755,142],"Collect up all second components of pairs in a list"],
 ["ACL2____SET-INHIBIT-WARNINGS_12","Set-inhibit-warnings!","SET-INHIBIT-WARNINGS!",[599],"Control warnings non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SET-INHIBIT-ER_12","Set-inhibit-er!","SET-INHIBIT-ER!",[599,769],"Control error output non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SET-INDUCTION-DEPTH-LIMIT_12","Set-induction-depth-limit!","SET-INDUCTION-DEPTH-LIMIT!",[106],"Set the induction-depth-limit non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SAVE-AND-CLEAR-MEMOIZATION-SETTINGS","Save-and-clear-memoization-settings","SAVE-AND-CLEAR-MEMOIZATION-SETTINGS",[37],"Save and remove the current memoization settings"],
 ["ACL2____REWRITE-LAMBDA-MODEP","Rewrite-lambda-modep","REWRITE-LAMBDA-MODEP",[13],"switch controlling rewriting of lambda objects"],
 ["ACL2____REWRITE-IF-AVOID-SWAP","Rewrite-if-avoid-swap","REWRITE-IF-AVOID-SWAP",[13,190],"Control rewriter's swapping of branches of <v>IF</v> calls"],
 ["ACL2____RESET-FC-REPORTING","Reset-fc-reporting","RESET-FC-REPORTING",[127],"Reset the forward-chaining tracking state to its initial configuration"],
 ["ACL2____REMOVE-NTH-ALIAS","Remove-nth-alias","REMOVE-NTH-ALIAS",[1048],"Remove a symbol alias for printing of <tt><see topic=\"COMMON-LISP____NTH\">nth</see></tt>/<tt><see topic=\"ACL2____UPDATE-NTH\">update-nth</see></tt> terms"],
 ["ACL2____REALFIX","Realfix","REALFIX",[282,142],"Coerce to a real number"],
 ["ACL2____QUANTIFIERS-USING-RECURSION","Quantifiers-using-recursion","QUANTIFIERS-USING-RECURSION",[720],"Recursion for implementing quantification"],
 ["ACL2____Overview_02of_02the_02Proof_02of_02a_02Trivial_02Consequence","Overview of the Proof of a Trivial Consequence","Overview of the Proof of a Trivial Consequence",[121],"Overview of the Proof of a Trivial Consequence"],
 ["ACL2____ODDS","Odds","ODDS",[411,142],"The odd-indexed members of a list"],
 ["ACL2____NOTE-3-4_82R_92","Note-3-4(r)","NOTE-3-4(R)",[210],"ACL2 Version  3.4(r) (August, 2008) Notes"],
 ["ACL2____MAKUNBOUND-GLOBAL","Makunbound-global","MAKUNBOUND-GLOBAL",[46,142],"Remove the value assigned to a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt>"],
 ["ACL2____MAKE-EVENT-EXAMPLE-2-EXERCISE","Make-event-example-2-exercise","MAKE-EVENT-EXAMPLE-2-EXERCISE",[263],"Solution to an exercise from <tt><see topic=\"ACL2____MAKE-EVENT-EXAMPLE-2\">make-event-example-2</see></tt>"],
 ["ACL2____MAKE","Make","MAKE",[564,142],"Constructor macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-2-ANSWER","Introductory-challenge-problem-2-answer","INTRODUCTORY-CHALLENGE-PROBLEM-2-ANSWER",[18],"Answer to challenge problem 2 for the new user of ACL2"],
 ["ACL2____INTRODUCTORY-CHALLENGE-PROBLEM-2","Introductory-challenge-problem-2","INTRODUCTORY-CHALLENGE-PROBLEM-2",[18],"Challenge problem 2 for the new user of ACL2"],
 ["ACL2____GET-CPU-TIME","Get-cpu-time","GET-CPU-TIME",[46,142,685],"Read elapsed cpu time"],
 ["ACL2____FMT-TO-COMMENT-WINDOW_12","Fmt-to-comment-window!","FMT-TO-COMMENT-WINDOW!",[180,17,142],"Print readably to the comment window"],
 ["ACL2____F-BOUNDP-GLOBAL","F-boundp-global","F-BOUNDP-GLOBAL",[46,142],"Check whether a global variable in <tt><see topic=\"ACL2____STATE\">state</see></tt> has a value"],
 ["ACL2____Evaluating_02App_02on_02Sample_02Input","Evaluating App on Sample Input","Evaluating App on Sample Input",[121],"Evaluating App on Sample Input"],
 ["ACL2____EVISCERATE-HIDE-TERMS","Eviscerate-hide-terms","EVISCERATE-HIDE-TERMS",[17],"To print <v>(<see topic=\"ACL2____HIDE\">hide</see> ...)</v> as <v>&lt;hidden&gt;</v>"],
 ["ACL2____EQLABLE-ALISTP","Eqlable-alistp","EQLABLE-ALISTP",[755,142],"Recognizer for a true list of pairs whose <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>s are suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____DEFINE-PC-META","Define-pc-meta","DEFINE-PC-META",[49],"Define a proof-builder meta command"],
 ["ACL2____CHECKPOINT-SUMMARY-LIMIT","Checkpoint-summary-limit","CHECKPOINT-SUMMARY-LIMIT",[104,119],"Control printing of key checkpoints upon a proof's failure"],
 ["ACL2____CHARACTER-LISTP","Character-listp","CHARACTER-LISTP",[61,411,142],"Recognizer for a true list of characters"],
 ["ACL2____ASSOC-EQUAL","Assoc-equal","ASSOC-EQUAL",[389],"See <see topic=\"COMMON-LISP____ASSOC\">assoc</see>."],
 ["ACL2____ADD-NTH-ALIAS","Add-nth-alias","ADD-NTH-ALIAS",[1048],"Associate one symbol with another for printing of <tt><see topic=\"COMMON-LISP____NTH\">nth</see></tt>/<tt><see topic=\"ACL2____UPDATE-NTH\">update-nth</see></tt> terms"],
 ["ACL2-PC____PR","ACL2-pc::pr","PR",[224],"(macro) \u000Aprint the rules for a given name"],
 ["ACL2-PC____PL","ACL2-pc::pl","PL",[224],"(macro) \u000Aprint the rules for a given name"],
 ["ACL2-PC____FINISH","ACL2-pc::finish","FINISH",[224],"(macro) require completion of instructions; save error if inside \u000A<v>:</v><tt><see topic=\"ACL2____HINTS\">hints</see></tt>"],
 ["ACL2-PC____COMMANDS","ACL2-pc::commands","COMMANDS",[224],"(macro) \u000Adisplay instructions from the current interactive session"],
 ["ACL2-PC____CHANGE-GOAL","ACL2-pc::change-goal","CHANGE-GOAL",[224],"(primitive) \u000Achange to another goal."],
 ["COMMON-LISP____NULL","Null","NULL",[726,142],"Recognizer for the empty list"],
 ["COMMON-LISP____MIN","Min","MIN",[282,142],"The smaller of two numbers"],
 ["COMMON-LISP____LOGNOR","Lognor","LOGNOR",[282,142],"Bitwise logical `nor' of two integers"],
 ["COMMON-LISP____CHAR_E3","Char&gt;","CHAR>",[61,142],"Greater-than test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHAR_C3_D3","Char&lt;=","CHAR<=",[61,142],"Less-than-or-equal test for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____CHARACTERP","Characterp","CHARACTERP",[61,142],"Recognizer for <see topic=\"ACL2____CHARACTERS\">characters</see>"],
 ["COMMON-LISP____ARRAY","Array","ARRAY",[389],"See <see topic=\"ACL2____ARRAYS\">arrays</see>."],
 ["COMMON-LISP____1-","1-","1-",[282,142],"Decrement by 1"],
 ["ACL2____ZPF","Zpf","ZPF",[282,142],"Testing a nonnegative fixnum against 0"],
 ["ACL2____WORMHOLE-DATA","Wormhole-data","WORMHOLE-DATA",[32],"Determines the wormhole data object from a wormhole status object"],
 ["ACL2____UPDATE-NTH-ARRAY","Update-nth-array","UPDATE-NTH-ARRAY",[9,142],"Update a stobj array"],
 ["ACL2____UNARY-_F2","Unary-/","UNARY-/",[282,142],"Reciprocal function"],
 ["ACL2____The_02Induction_02Step_02in_02the_02App_02Example","The Induction Step in the App Example","The Induction Step in the App Example",[121],"The Induction Step in the App Example"],
 ["ACL2____STANDARD-CHAR-LISTP","Standard-char-listp","STANDARD-CHAR-LISTP",[61,411,142],"Recognizer for a true list of standard characters"],
 ["ACL2____SET-DWP_12","Set-dwp!","SET-DWP!",[110],"Affect the effort made in <see topic=\"ACL2____TYPE-REASONING\">type-reasoning</see>, non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____REMOVE-DIVE-INTO-MACRO","Remove-dive-into-macro","REMOVE-DIVE-INTO-MACRO",[836],"Removes association of <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> diving function with macro name"],
 ["ACL2____REMOVE-CUSTOM-KEYWORD-HINT","Remove-custom-keyword-hint","REMOVE-CUSTOM-KEYWORD-HINT",[85],"Remove a custom keyword hint"],
 ["ACL2____O-FINP","O-finp","O-FINP",[100,142],"Recognizes if an ordinal is finite"],
 ["ACL2____NUMBER-SUBTREES","Number-subtrees","NUMBER-SUBTREES",[107,142],"<v>(<see topic=\"ACL2____NUMBER-SUBTREES\">number-subtrees</see> x)</v> returns the number of distinct subtrees of \u000AX, in the sense of <tt><see topic=\"COMMON-LISP____EQUAL\">equal</see></tt>"],
 ["ACL2____NAT-LISTP","Nat-listp","NAT-LISTP",[282,411,142],"Recognizer for a true list of natural  numbers"],
 ["ACL2____Modeling_02in_02ACL2","Modeling in ACL2","Modeling in ACL2",[121],"Modeling in ACL2"],
 ["ACL2____MULTIPLE-VALUE","Multiple-value","MULTIPLE-VALUE",[389],"See <see topic=\"ACL2____MV-LET\">mv-let</see>."],
 ["ACL2____LOGIC-TERM-LISTP","Logic-term-listp","LOGIC-TERM-LISTP",[694,142],"Recognizer for lists of <see topic=\"ACL2____TERM\">term</see>s that call only <v>:</v><tt><see topic=\"ACL2____LOGIC\">logic</see></tt>-mode function symbols"],
 ["ACL2____LAST-CDR","Last-cdr","LAST-CDR",[411,142],"The last <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of a list"],
 ["ACL2____INTEGER-LISTP","Integer-listp","INTEGER-LISTP",[282,411,142],"Recognizer for a true list of integers"],
 ["ACL2____FMT1_12","Fmt1!","FMT1!",[17,142],"<v>(<see topic=\"ACL2____FMT1_12\">fmt1!</see> str alist col channel state evisc) =&gt; (<see topic=\"ACL2____MV\">mv</see> col state)</v>"],
 ["ACL2____FMT-TO-COMMENT-WINDOW_12_B2","Fmt-to-comment-window!+","FMT-TO-COMMENT-WINDOW!+",[180,17,142],"Print readably and uninhibited to the comment window"],
 ["ACL2____FMS_12","Fms!","FMS!",[17,142],"<v>(<see topic=\"ACL2____FMS_12\">fms!</see> str alist co-channel state evisc) =&gt; state</v>"],
 ["ACL2____EXTRA-INFO","Extra-info","EXTRA-INFO",[91],"Sources of measure or guard proof obligations"],
 ["ACL2____DEFTHY","Defthy","DEFTHY",[85,6,583],"Define a theory (to <see topic=\"ACL2____ENABLE\">enable</see> or <see topic=\"ACL2____DISABLE\">disable</see> a set of rules)"],
 ["ACL2____COMMAND-LINE","Command-line","COMMAND-LINE",[1341],"Handling of command-line arguments when ACL2 is invoked"],
 ["ACL2____CHARACTER-ALISTP","Character-alistp","CHARACTER-ALISTP",[61,755,142],"Recognizer for association lists with characters as keys"],
 ["ACL2-PC____USE","ACL2-pc::use","USE",[224,516],"(atomic macro) \u000Ause a lemma instance"],
 ["ACL2-PC____SHOW-LINEARS","ACL2-pc::show-linears","SHOW-LINEARS",[224],"(macro) \u000Adisplay the applicable <see topic=\"ACL2____LINEAR\">linear</see> rules"],
 ["ACL2-PC____S-PROP","ACL2-pc::s-prop","S-PROP",[224,516],"(atomic macro) \u000Asimplify propositionally"],
 ["ACL2-PC____RUNES","ACL2-pc::runes","RUNES",[224,516],"(macro) \u000Aprint the runes (definitions, lemmas, ...) used"],
 ["ACL2-PC____REPEAT","ACL2-pc::repeat","REPEAT",[224],"(macro) \u000Arepeat the given instruction until it ``fails''"],
 ["ACL2-PC____PROTECT","ACL2-pc::protect","PROTECT",[224],"(macro) \u000Arun the given instructions, reverting to existing state upon \u000Afailure"],
 ["ACL2-PC____FAIL","ACL2-pc::fail","FAIL",[224],"(macro) \u000Acause a failure"],
 ["ACL2-PC____CLAUSE-PROCESSOR","ACL2-pc::clause-processor","CLAUSE-PROCESSOR",[224],"(atomic macro) \u000Ause a clause-processor"],
 ["ACL2-PC____BOOKMARK","ACL2-pc::bookmark","BOOKMARK",[224],"(macro) \u000Ainsert matching ``bookends'' comments"],
 ["COMMON-LISP____ODDP","Oddp","ODDP",[282,142],"Test whether an integer is odd"],
 ["COMMON-LISP____MINUSP","Minusp","MINUSP",[282,142],"Test whether a number is negative"],
 ["COMMON-LISP____LOGNAND","Lognand","LOGNAND",[282,142],"Bitwise logical `nand' of two integers"],
 ["COMMON-LISP____LISTP","Listp","LISTP",[411,539,142],"Recognizer for (not necessarily proper) lists"],
 ["COMMON-LISP____IDENTITY","Identity","IDENTITY",[726,142],"The identity function"],
 ["COMMON-LISP____DECLARATION","Declaration","DECLARATION",[389],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____CONJUGATE","Conjugate","CONJUGATE",[282,142],"Complex number conjugate"],
 ["COMMON-LISP____1_B2","1+","1+",[282,142],"Increment by 1"],
 ["ACL2____WORMHOLE-ENTRY-CODE","Wormhole-entry-code","WORMHOLE-ENTRY-CODE",[32],"Determines the wormhole entry code from a wormhole status object"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_029_92","The Simplification of the Induction Conclusion (Step 9)","The Simplification of the Induction Conclusion (Step 9)",[121],"The Simplification of the Induction Conclusion (Step 9)"],
 ["ACL2____The_02Induction_02Scheme_02Selected_02for_02the_02App_02Example","The Induction Scheme Selected for the App Example","The Induction Scheme Selected for the App Example",[121],"The Induction Scheme Selected for the App Example"],
 ["ACL2____The_02First_02Application_02of_02the_02Associativity_02Rule","The First Application of the Associativity Rule","The First Application of the Associativity Rule",[121],"The First Application of the Associativity Rule"],
 ["ACL2____TRANS_A2-","Trans*-","TRANS*-",[739],"Variant of <tt><see topic=\"ACL2____TRANS_A2\">trans*</see></tt> the skips <tt><see topic=\"ACL2____MAKE-EVENT\">make-event</see></tt> expansion"],
 ["ACL2____STRING-ALISTP","String-alistp","STRING-ALISTP",[755,142],"Recognizer for association lists with strings as keys"],
 ["ACL2____REMOVE-OVERRIDE-HINTS_12","Remove-override-hints!","REMOVE-OVERRIDE-HINTS!",[80],"Delete non-<see topic=\"ACL2____LOCAL\">local</see>ly from the list of <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2____REMOVE-GLOBAL-STOBJ","Remove-global-stobj","REMOVE-GLOBAL-STOBJ",[85,9],"Remove a global <see topic=\"ACL2____STOBJ\">stobj</see> with a given name"],
 ["ACL2____R-AND-I-MORE-INADEQUACIES-OF-THE-DEFINITIONAL-PRINCIPLE","R-and-i-more-inadequacies-of-the-definitional-principle","R-AND-I-MORE-INADEQUACIES-OF-THE-DEFINITIONAL-PRINCIPLE",[66],"Recursion and Induction: More Inadequacies of the Definitional Principle",[874,463]],
 ["ACL2____PE_12","Pe!","PE!",[108],"Print events as with <tt><see topic=\"ACL2____PE\">pe</see></tt> but ignoring the <see topic=\"ACL2____PE-TABLE\">pe-table</see>"],
 ["ACL2____Overview_02of_02the_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step","Overview of the Expansion of ENDP in the Induction Step","Overview of the Expansion of ENDP in the Induction Step",[121],"Overview of the Expansion of ENDP in the Induction Step"],
 ["ACL2____NOTE-3-1","Note-3-1","NOTE-3-1",[210],"ACL2 Version  3.1 (December, 2006) Notes"],
 ["ACL2____NOTE-2-8_82R_92","Note-2-8(r)","NOTE-2-8(R)",[210],"ACL2 Version  2.8(r) (March, 2003) Notes"],
 ["ACL2____MEMOIZATION","Memoization","MEMOIZATION",[389],"See <see topic=\"ACL2____MEMOIZE\">memoize</see>."],
 ["ACL2____MAYBE-FLUSH-AND-COMPRESS1","Maybe-flush-and-compress1","MAYBE-FLUSH-AND-COMPRESS1",[47,142],"Compress a one-dimensional array only if necessary"],
 ["ACL2____KWOTE","Kwote","KWOTE",[7,142],"Quote an arbitrary object"],
 ["ACL2____INT_D3","Int=","INT=",[282,142],"Test equality of two integers"],
 ["ACL2____GET-GUARD-CHECKING","Get-guard-checking","GET-GUARD-CHECKING",[74],"Get the status most recently installed by <tt><see topic=\"ACL2____SET-GUARD-CHECKING\">set-guard-checking</see></tt>"],
 ["ACL2____GET-ENFORCE-REDUNDANCY","Get-enforce-redundancy","GET-ENFORCE-REDUNDANCY",[74],"Query the <see topic=\"ACL2____WORLD\">world</see> on whether redundancy is being enforced"],
 ["ACL2____Flawed_02Induction_02Candidates_02in_02App_02Example","Flawed Induction Candidates in App Example","Flawed Induction Candidates in App Example",[121],"Flawed Induction Candidates in App Example"],
 ["ACL2____FMT1","Fmt1","FMT1",[17,142],"<v>(<see topic=\"ACL2____FMT1\">fmt1</see> str alist col co-channel state evisc) =&gt; (<see topic=\"ACL2____MV\">mv</see> col state)</v>"],
 ["ACL2____FMT-TO-COMMENT-WINDOW_B2","Fmt-to-comment-window+","FMT-TO-COMMENT-WINDOW+",[180,17,142],"Print uninhibited to the comment window"],
 ["ACL2____EXIT","Exit","EXIT",[741],"Quit entirely out of Lisp"],
 ["ACL2____CW-PRINT-BASE-RADIX_12","Cw-print-base-radix!","CW-PRINT-BASE-RADIX!",[17,142],"Print to the comment window in a given print-base"],
 ["ACL2____BACKCHAINING","Backchaining","BACKCHAINING",[12],"Attempting to relieve the hypotheses of a rule"],
 ["ACL2____ALIST-KEYS-SUBSETP","Alist-keys-subsetp","ALIST-KEYS-SUBSETP",[755,142],"Check that all keys of the alist belong to a given set"],
 ["ACL2____ADD-DIVE-INTO-MACRO","Add-dive-into-macro","ADD-DIVE-INTO-MACRO",[836],"Associate <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> diving function with macro name"],
 ["ACL2____ACL2_02as_02an_02Interactive_02Theorem_02Prover","ACL2 as an Interactive Theorem Prover","ACL2 as an Interactive Theorem Prover",[121],"ACL2 as an Interactive Theorem Prover"],
 ["ACL2____ACCESS","Access","ACCESS",[564,142],"Accessor macro for <see topic=\"ACL2____DEFREC\">defrec</see> structures."],
 ["ACL2-PC____QUIET_12","ACL2-pc::quiet!","QUIET!",[224],"(meta) \u000Arun instructions without prover output"],
 ["ACL2-PC____ORELSE","ACL2-pc::orelse","ORELSE",[224],"(macro) \u000Arun the first instruction; if (and only if) it ``fails'', run the \u000Asecond"],
 ["ACL2-PC____GOALS","ACL2-pc::goals","GOALS",[224,516],"(macro) \u000Alist the names of goals on the stack"],
 ["ACL2-PC____DO-STRICT","ACL2-pc::do-strict","DO-STRICT",[224],"(macro) \u000Arun the given instructions, halting once there is a ``failure''"],
 ["COMMON-LISP____PLUSP","Plusp","PLUSP",[282,142],"Test whether a number is positive"],
 ["COMMON-LISP____IMAGPART","Imagpart","IMAGPART",[282,142],"Imaginary part of a complex number"],
 ["COMMON-LISP____IGNORE","Ignore","IGNORE",[389],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["ACL2____WELL-FOUNDED-RELATION","Well-founded-relation","WELL-FOUNDED-RELATION",[12],"Show that a relation is well-founded on a set"],
 ["ACL2____Using_02the_02Associativity_02of_02App_02to_02Prove_02a_02Trivial_02Consequence","Using the Associativity of App to Prove a Trivial Consequence","Using the Associativity of App to Prove a Trivial Consequence",[121],"Using the Associativity of App to Prove a Trivial Consequence"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_028_92","The Simplification of the Induction Conclusion (Step 8)","The Simplification of the Induction Conclusion (Step 8)",[121],"The Simplification of the Induction Conclusion (Step 8)"],
 ["ACL2____The_02Instantiation_02of_02the_02Induction_02Scheme","The Instantiation of the Induction Scheme","The Instantiation of the Induction Scheme",[121],"The Instantiation of the Induction Scheme"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_020_92","The Final Simplification in the Base Case (Step 0)","The Final Simplification in the Base Case (Step 0)",[121],"The Final Simplification in the Base Case (Step 0)"],
 ["ACL2____TRUE-LIST-LISTP","True-list-listp","TRUE-LIST-LISTP",[411,454,142],"Recognizer for true (proper) lists of true lists"],
 ["ACL2____TO-DF","To-df","TO-DF",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____SYNTAX","Syntax","SYNTAX",[654],"The syntax of ACL2 is that of Common Lisp"],
 ["ACL2____SET-RAW-MODE-ON_12","Set-raw-mode-on!","SET-RAW-MODE-ON!",[24],"Enter ``raw mode,'' a raw Lisp environment (adds trust tag)"],
 ["ACL2____SET-OVERRIDE-HINTS_12","Set-override-hints!","SET-OVERRIDE-HINTS!",[80],"Set the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see> non-<see topic=\"ACL2____LOCAL\">local</see>ly"],
 ["ACL2____SERIALIZE-ALTERNATIVES","Serialize-alternatives","SERIALIZE-ALTERNATIVES",[1013],"Historic alternatives to the <see topic=\"ACL2____SERIALIZE\">serialize</see> routines."],
 ["ACL2____RETRIEVE","Retrieve","RETRIEVE",[49],"Re-enter a (specified) <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> state"],
 ["ACL2____R-SYMBOL-ALISTP","R-symbol-alistp","R-SYMBOL-ALISTP",[755,142],"Recognizer for association lists with symbols as values"],
 ["ACL2____R-EQLABLE-ALISTP","R-eqlable-alistp","R-EQLABLE-ALISTP",[755,142],"Recognizer for a true list of pairs whose <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>s are suitable for <tt><see topic=\"COMMON-LISP____EQL\">eql</see></tt>"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Induction_02Step_02to_02T","Overview of the Simplification of the Induction Step to T","Overview of the Simplification of the Induction Step to T",[121],"Overview of the Simplification of the Induction Step to T"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Induction_02Conclusion","Overview of the Simplification of the Induction Conclusion","Overview of the Simplification of the Induction Conclusion",[121],"Overview of the Simplification of the Induction Conclusion"],
 ["ACL2____On_02the_02Naming_02of_02Subgoals","On the Naming of Subgoals","On the Naming of Subgoals",[121],"On the Naming of Subgoals"],
 ["ACL2____Nontautological_02Subgoals","Nontautological Subgoals","Nontautological Subgoals",[121],"Prover output omits some details"],
 ["ACL2____NEAR-MISSES","Near-misses","NEAR-MISSES",[565],"Approximate event name matches"],
 ["ACL2____INTEGER-RANGE-P","Integer-range-p","INTEGER-RANGE-P",[282,142],"Recognizer for integers between two bounds."],
 ["ACL2____INCOMPATIBLE_12","Incompatible!","INCOMPATIBLE!",[6],"Declaring that two rules must exist and should not both be <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["ACL2____FMX","Fmx","FMX",[17,142],"<v>(<see topic=\"ACL2____FMX\">fmx</see> str &amp;rest args) =&gt; state</v>"],
 ["ACL2____FC-REPORT","Fc-report","FC-REPORT",[127],"To report on the forward chaining activity in the most recent proof"],
 ["ACL2____ESCAPE-TO-COMMON-LISP","Escape-to-common-lisp","ESCAPE-TO-COMMON-LISP",[672],"Escaping to Common Lisp"],
 ["ACL2____DEFUND-NOTINLINE","Defund-notinline","DEFUND-NOTINLINE",[1,85],"Define a disabled, not-to-be-inlined function symbol and associated macro"],
 ["ACL2____DEFND","Defnd","DEFND",[1,85],"<see topic=\"ACL2____DISABLE\">disable</see>d definition with <see topic=\"ACL2____GUARD\">guard</see> <v>t</v>"],
 ["ACL2____DEFN","Defn","DEFN",[1,85],"Definition with <see topic=\"ACL2____GUARD\">guard</see> <v>t</v>"],
 ["ACL2____CW_12_B2","Cw!+","CW!+",[180,17,142],"Print readably and uninhibited to the comment window"],
 ["ACL2____CTXP","Ctxp","CTXP",[769],"Recognizer for context objects for error messages"],
 ["ACL2____CONS-SUBTREES","Cons-subtrees","CONS-SUBTREES",[270,142],"Build a fast alist whose keys are the subtrees of X"],
 ["ACL2____CONS-COUNT-BOUNDED","Cons-count-bounded","CONS-COUNT-BOUNDED",[539,142],"Count the number of conses (up to a limit)"],
 ["ACL2____COMPLEX-RATIONALP","Complex-rationalp","COMPLEX-RATIONALP",[282,142],"Recognizes complex rational numbers"],
 ["ACL2____CLOSE-TRACE-FILE","Close-trace-file","CLOSE-TRACE-FILE",[630],"Stop redirecting trace output to a file"],
 ["ACL2____CLEAR-MEMOIZE-TABLE","Clear-memoize-table","CLEAR-MEMOIZE-TABLE",[37],"Forget values remembered for the given function"],
 ["ACL2____CLEAR-MEMOIZE-STATISTICS","Clear-memoize-statistics","CLEAR-MEMOIZE-STATISTICS",[37],"Clears all profiling info displayed by <v>(</v><tt><see topic=\"ACL2____MEMOIZE-SUMMARY\">memoize-summary</see></tt><v>)</v>"],
 ["ACL2____BITP","Bitp","BITP",[282,142],"A recognizer for the set of bits, {0,1}"],
 ["ACL2____ALIST-TO-DOUBLETS","Alist-to-doublets","ALIST-TO-DOUBLETS",[755,142],"Convert an alist to a list of two-element lists"],
 ["ACL2____ADD-OVERRIDE-HINTS_12","Add-override-hints!","ADD-OVERRIDE-HINTS!",[80],"Add non-<see topic=\"ACL2____LOCAL\">local</see>ly to the <see topic=\"ACL2____OVERRIDE-HINTS\">override-hints</see>"],
 ["ACL2-PC____RETAIN","ACL2-pc::retain","RETAIN",[224],"(atomic macro) \u000Adrop all <b>but</b> the indicated top-level hypotheses"],
 ["ACL2-PC____PRO","ACL2-pc::pro","PRO",[224],"(atomic macro) \u000Arepeatedly apply promote"],
 ["ACL2-PC____PRINT-ALL-CONCS","ACL2-pc::print-all-concs","PRINT-ALL-CONCS",[224],"(macro) \u000Aprint all the conclusions of (as yet unproved) goals"],
 ["ACL2-PC____DROP","ACL2-pc::drop","DROP",[224,516],"(primitive) \u000Adrop top-level hypotheses"],
 ["ACL2-PC____DO-ALL-NO-PROMPT","ACL2-pc::do-all-no-prompt","DO-ALL-NO-PROMPT",[224],"(macro) \u000Arun the given instructions, halting once there is a ``failure''"],
 ["COMMON-LISP____REALPART","Realpart","REALPART",[282,142],"Real part of a complex number"],
 ["COMMON-LISP____PAIRLIS","Pairlis","PAIRLIS",[411,755],"See <see topic=\"ACL2____PAIRLIS_42\">pairlis$</see>"],
 ["COMMON-LISP____CDDR","Cddr","CDDR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>"],
 ["ACL2____What_02is_02a_02Mechanical_02Theorem_02Prover_82Q_92_02_82cont_92","What is a Mechanical Theorem Prover(Q) (cont)","What is a Mechanical Theorem Prover(Q) (cont)",[121],"What is a Mechanical Theorem Prover? (cont)"],
 ["ACL2____WORMHOLE-STATUSP","Wormhole-statusp","WORMHOLE-STATUSP",[32],"Predicate recognizing well-formed wormhole status object"],
 ["ACL2____WORMHOLE-P","Wormhole-p","WORMHOLE-P",[32],"Predicate to determine if you are inside a <tt><see topic=\"ACL2____WORMHOLE\">wormhole</see></tt>"],
 ["ACL2____UNSAVE","Unsave","UNSAVE",[49],"Remove a <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see> state"],
 ["ACL2____UNQUOTE","Unquote","UNQUOTE",[883,142],"Obtain the object being quoted"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0212_92","The Simplification of the Induction Conclusion (Step 12)","The Simplification of the Induction Conclusion (Step 12)",[121],"The Simplification of the Induction Conclusion (Step 12)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0210_92","The Simplification of the Induction Conclusion (Step 10)","The Simplification of the Induction Conclusion (Step 10)",[121],"The Simplification of the Induction Conclusion (Step 10)"],
 ["ACL2____The_02End_02of_02the_02Flying_02Tour","The End of the Flying Tour","The End of the Flying Tour",[121],"The End of the Flying Tour"],
 ["ACL2____The_02Base_02Case_02in_02the_02App_02Example","The Base Case in the App Example","The Base Case in the App Example",[121],"The Base Case in the App Example"],
 ["ACL2____STANDARD-PART","Standard-part","STANDARD-PART",[422],"ACL2(r) function mapping limited numbers to standard numbers"],
 ["ACL2____SET-RW-CACHE-STATE_12","Set-rw-cache-state!","SET-RW-CACHE-STATE!",[13],"Set the default rw-cache-state non-<tt><see topic=\"ACL2____LOCAL\">local</see></tt>ly"],
 ["ACL2____SET-RAW-MODE-ON","Set-raw-mode-on","SET-RAW-MODE-ON",[24],"Enter ``raw mode,'' a raw Lisp environment (requires trust tag)"],
 ["ACL2____SET-COMPILER-ENABLED","Set-compiler-enabled","SET-COMPILER-ENABLED",[113],"Disable <see topic=\"ACL2____COMPILATION\">compilation</see>."],
 ["ACL2____RW-CACHE-STATE","Rw-cache-state","RW-CACHE-STATE",[13],"The current rw-cache-state"],
 ["ACL2____RESTORE-MEMOIZATION-SETTINGS","Restore-memoization-settings","RESTORE-MEMOIZATION-SETTINGS",[37],"Restore the saved memoization settings"],
 ["ACL2____REMOVE-BINOP","Remove-binop","REMOVE-BINOP",[739],"Remove the association of a function name with a macro name"],
 ["ACL2____REDUNDANT","Redundant","REDUNDANT",[389],"See <see topic=\"ACL2____REDUNDANT-EVENTS\">redundant-events</see>."],
 ["ACL2____QUIT","Quit","QUIT",[741],"Quit entirely out of Lisp"],
 ["ACL2____PSEUDO-TERM-LISTP","Pseudo-term-listp","PSEUDO-TERM-LISTP",[7,142],"A predicate for recognizing lists of term-like s-expressions"],
 ["ACL2____PROPER-CONSP","Proper-consp","PROPER-CONSP",[411,142],"Recognizer for proper (<v>nil</v>-terminated) non-empty lists"],
 ["ACL2____PROOF-CHECKER","Proof-checker","PROOF-CHECKER",[49],"Old name for <see topic=\"ACL2____PROOF-BUILDER\">proof-builder</see>"],
 ["ACL2____PACKN-POS","Packn-pos","PACKN-POS",[1096,142],"Build a symbol in a specified package from a list"],
 ["ACL2____NOTE-2-1","Note-2-1","NOTE-2-1",[210],"ACL2 Version  2.1 (December, 1997) Notes"],
 ["ACL2____NEWLINE","Newline","NEWLINE",[17,970],"Print a newline to a given output channel"],
 ["ACL2____MANAGING-ACL2-PACKAGES","Managing-ACL2-packages","MANAGING-ACL2-PACKAGES",[832],"User-contributed documentation on packages"],
 ["ACL2____KWOTE-LST","Kwote-lst","KWOTE-LST",[7,142],"Quote an arbitrary true list of objects"],
 ["ACL2____IMPROPER-CONSP","Improper-consp","IMPROPER-CONSP",[411,142],"Recognizer for improper (non-<v>nil</v>-terminated) non-empty lists"],
 ["ACL2____DO-NOT","Do-not","DO-NOT",[20],"Instruct the theorem prover not to do certain things."],
 ["ACL2____DEFUND-INLINE","Defund-inline","DEFUND-INLINE",[1,85],"Define a potentially disabled, inlined function symbol and associated macro"],
 ["ACL2____DEFAULT-BACKCHAIN-LIMIT","Default-backchain-limit","DEFAULT-BACKCHAIN-LIMIT",[12],"Specifying the backchain limit for a rule"],
 ["ACL2____CW_B2","Cw+","CW+",[180,17,142],"Print uninhibited to the comment window"],
 ["ACL2____ATOM-LISTP","Atom-listp","ATOM-LISTP",[931,411,142],"Recognizer for a true list of <see topic=\"COMMON-LISP____ATOM\">atom</see>s"],
 ["ACL2____ACTIVE-OR-NON-RUNEP","Active-or-non-runep","ACTIVE-OR-NON-RUNEP",[6],"Require a <see topic=\"ACL2____RUNE\">rune</see> to exist, and check that it is <see topic=\"ACL2____ENABLE\">enable</see>d"],
 ["ACL2____ABORT_12","Abort!","ABORT!",[16],"To return to the top-level of ACL2's command loop"],
 ["ACL2-PC____X-DUMB","ACL2-pc::x-dumb","X-DUMB",[224,516],"(atomic macro) \u000Aexpand function call at the current subterm, without simplifying"],
 ["ACL2-PC____SUCCEED","ACL2-pc::succeed","SUCCEED",[224],"(macro) \u000Arun the given instructions, and ``succeed''"],
 ["ACL2-PC____PRINT-ALL-GOALS","ACL2-pc::print-all-goals","PRINT-ALL-GOALS",[224],"(macro) \u000Aprint all the (as yet unproved) goals"],
 ["ACL2-PC____PP","ACL2-pc::pp","PP",[224],"(macro) \u000Aprettyprint the current term in internal (translated) form"],
 ["ACL2-PC____NOISE_12","ACL2-pc::noise!","NOISE!",[224],"(meta) \u000Arun instructions with prover and proof-tree output"],
 ["ACL2-PC____NIL","ACL2-pc::nil","NIL",[224],"(macro) used for interpreting <v>control-d</v>"],
 ["ACL2-PC____NEGATE","ACL2-pc::negate","NEGATE",[224],"(macro) \u000Arun the given instructions, and ``succeed'' if and only if they ``fail''"],
 ["ACL2-PC____ILLEGAL","ACL2-pc::illegal","ILLEGAL",[224],"(macro) \u000Aillegal instruction"],
 ["ACL2-PC____ELIM","ACL2-pc::elim","ELIM",[224],"(atomic macro) \u000Acall the ACL2 theorem prover's elimination process"],
 ["COMMON-LISP____REST","Rest","REST",[477,142],"Rest (<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt>) of the list"],
 ["COMMON-LISP____PROBE-FILE","Probe-file","PROBE-FILE",[17,46],"Determine whether a file exists"],
 ["COMMON-LISP____KEYWORD","Keyword","KEYWORD",[389],"See <see topic=\"COMMON-LISP____KEYWORDP\">keywordp</see>."],
 ["ACL2____XOR","Xor","XOR",[726,142],"Logical ``exclusive or''"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_0211_92","The Simplification of the Induction Conclusion (Step 11)","The Simplification of the Induction Conclusion (Step 11)",[121],"The Simplification of the Induction Conclusion (Step 11)"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_023_92","The Final Simplification in the Base Case (Step 3)","The Final Simplification in the Base Case (Step 3)",[121],"The Final Simplification in the Base Case (Step 3)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_021_92","The Expansion of ENDP in the Induction Step (Step 1)","The Expansion of ENDP in the Induction Step (Step 1)",[121],"The Expansion of ENDP in the Induction Step (Step 1)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_020_92","The Expansion of ENDP in the Induction Step (Step 0)","The Expansion of ENDP in the Induction Step (Step 0)",[121],"The Expansion of ENDP in the Induction Step (Step 0)"],
 ["ACL2____The_02End_02of_02the_02Proof_02of_02the_02Associativity_02of_02App","The End of the Proof of the Associativity of App","The End of the Proof of the Associativity of App",[121],"The End of the Proof of the Associativity of App"],
 ["ACL2____STANDARD-CHAR-P_B2","Standard-char-p+","STANDARD-CHAR-P+",[1188,61,142],"Recognizer for standard characters whose guard is <v>t</v>"],
 ["ACL2____SHOW-FC-CRITERIA","Show-fc-criteria","SHOW-FC-CRITERIA",[127],"Print the forward-chaining tracking criteria"],
 ["ACL2____SET-BOGUS-MEASURE-OK","Set-bogus-measure-ok","SET-BOGUS-MEASURE-OK",[1],"Allow unnecessary <see topic=\"ACL2____MEASURE\">measure</see>s and <v>(<see topic=\"ACL2____XARGS\">xargs</see> :hints ...)</v>."],
 ["ACL2____PRINT-BASE-P","Print-base-p","PRINT-BASE-P",[17,142],"Recognizer for print bases that are understood by functions such as \u000A<see topic=\"ACL2____EXPLODE-NONNEGATIVE-INTEGER\">explode-nonnegative-integer</see> and <see topic=\"ACL2____EXPLODE-ATOM\">explode-atom</see>."],
 ["ACL2____PARALLEL-EXECUTION","Parallel-execution","PARALLEL-EXECUTION",[487],"For ACL2(p): configure parallel execution"],
 ["ACL2____PARALLEL","Parallel","PARALLEL",[131],"Evaluating forms in parallel"],
 ["ACL2____Overview_02of_02the_02Simplification_02of_02the_02Base_02Case_02to_02T","Overview of the Simplification of the Base Case to T","Overview of the Simplification of the Base Case to T",[121],"Overview of the Simplification of the Base Case to T"],
 ["ACL2____NOTE-2-9_82R_92","Note-2-9(r)","NOTE-2-9(R)",[210],"ACL2 Version  2.9(r) (October, 2004) Notes"],
 ["ACL2____NOTE-2-6_82R_92","Note-2-6(r)","NOTE-2-6(R)",[210],"ACL2 Version  2.6(r) (November, 2001) Notes"],
 ["ACL2____MEMBER-EQ","Member-eq","MEMBER-EQ",[389],"See <see topic=\"COMMON-LISP____MEMBER\">member</see>."],
 ["ACL2____MBE1","Mbe1","MBE1",[55,142],"Attach code for execution"],
 ["ACL2____I-LIMITED","I-limited","I-LIMITED",[422],"ACL2(r) recognizer for limited numbers"],
 ["ACL2____I-CLOSE","I-close","I-CLOSE",[422],"ACL2(r) test for whether two numbers are infinitesimally close"],
 ["ACL2____DEFMACRO-LAST","Defmacro-last","DEFMACRO-LAST",[85],"Define a macro that returns its last argument, but with side effects"],
 ["ACL2____BOOLEAN-LISTP","Boolean-listp","BOOLEAN-LISTP",[1378,411,142],"Recognizer for a true list of booleans"],
 ["ACL2____ACL2-NUMBER-LISTP","ACL2-number-listp","ACL2-NUMBER-LISTP",[282,411,142],"Recognizer for a true list of numbers"],
 ["ACL2-PC____SLS","ACL2-pc::sls","SLS",[224],"(macro) \u000Asame as SHOW-LINEARS"],
 ["ACL2-PC____QUIET","ACL2-pc::quiet","QUIET",[224],"(meta) \u000Arun instructions without prover output"],
 ["COMMON-LISP____NUMERATOR","Numerator","NUMERATOR",[282,142],"Dividend of a ratio in lowest terms"],
 ["COMMON-LISP____DENOMINATOR","Denominator","DENOMINATOR",[282,142],"Divisor of a ratio in lowest terms"],
 ["ACL2____The_02Summary_02of_02the_02Proof_02of_02the_02Trivial_02Consequence","The Summary of the Proof of the Trivial Consequence","The Summary of the Proof of the Trivial Consequence",[121],"The Summary of the Proof of the Trivial Consequence"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_027_92","The Simplification of the Induction Conclusion (Step 7)","The Simplification of the Induction Conclusion (Step 7)",[121],"The Simplification of the Induction Conclusion (Step 7)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_026_92","The Simplification of the Induction Conclusion (Step 6)","The Simplification of the Induction Conclusion (Step 6)",[121],"The Simplification of the Induction Conclusion (Step 6)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_025_92","The Simplification of the Induction Conclusion (Step 5)","The Simplification of the Induction Conclusion (Step 5)",[121],"The Simplification of the Induction Conclusion (Step 5)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_024_92","The Simplification of the Induction Conclusion (Step 4)","The Simplification of the Induction Conclusion (Step 4)",[121],"The Simplification of the Induction Conclusion (Step 4)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_022_92","The Simplification of the Induction Conclusion (Step 2)","The Simplification of the Induction Conclusion (Step 2)",[121],"The Simplification of the Induction Conclusion (Step 2)"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_020_92","The Simplification of the Induction Conclusion (Step 0)","The Simplification of the Induction Conclusion (Step 0)",[121],"The Simplification of the Induction Conclusion (Step 0)"],
 ["ACL2____The_02Justification_02of_02the_02Induction_02Scheme","The Justification of the Induction Scheme","The Justification of the Induction Scheme",[121],"The Justification of the Induction Scheme"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_021_92","The Final Simplification in the Base Case (Step 1)","The Final Simplification in the Base Case (Step 1)",[121],"The Final Simplification in the Base Case (Step 1)"],
 ["ACL2____The_02Expansion_02of_02ENDP_02in_02the_02Induction_02Step_02_82Step_022_92","The Expansion of ENDP in the Induction Step (Step 2)","The Expansion of ENDP in the Induction Step (Step 2)",[121],"The Expansion of ENDP in the Induction Step (Step 2)"],
 ["ACL2____SYMBOL-NAME-LST","Symbol-name-lst","SYMBOL-NAME-LST",[1096,142],"Lift <tt><see topic=\"COMMON-LISP____SYMBOL-NAME\">symbol-name</see></tt> to lists"],
 ["ACL2____STRING-LISTP","String-listp","STRING-LISTP",[747,411,142],"Recognizer for a true list of strings"],
 ["ACL2____SET-LD-SKIP-PROOFSP","Set-ld-skip-proofsp","SET-LD-SKIP-PROOFSP",[389],"See <see topic=\"ACL2____LD-SKIP-PROOFSP\">ld-skip-proofsp</see>."],
 ["ACL2____SET-FAST-CERT","Set-fast-cert","SET-FAST-CERT",[389],"See <see topic=\"ACL2____FAST-CERT\">fast-cert</see>."],
 ["ACL2____RATIONAL-LISTP","Rational-listp","RATIONAL-LISTP",[282,411,142],"Recognizer for a true list of rational numbers"],
 ["ACL2____Popping_02out_02of_02an_02Inductive_02Proof","Popping out of an Inductive Proof","Popping out of an Inductive Proof",[121],"Popping out of an Inductive Proof"],
 ["ACL2____PROPS","Props","PROPS",[4],"Print the ACL2 properties on a symbol"],
 ["ACL2____POS-LISTP","Pos-listp","POS-LISTP",[282,411,142],"Recognizer for a true list of positive integers"],
 ["ACL2____PAIRLIS-X2","Pairlis-x2","PAIRLIS-X2",[411,755,142],"Cons each element of a list with a given element"],
 ["ACL2____PAIRLIS-X1","Pairlis-x1","PAIRLIS-X1",[411,755,142],"Cons a given element to each member of a list"],
 ["ACL2____Overview_02of_02the_02Expansion_02of_02ENDP_02in_02the_02Base_02Case","Overview of the Expansion of ENDP in the Base Case","Overview of the Expansion of ENDP in the Base Case",[121],"Overview of the Expansion of ENDP in the Base Case"],
 ["ACL2____O_E3_D3","O&gt;=","O>=",[100,142],"The greater-than-or-equal relation for the ordinals"],
 ["ACL2____O_C3_D3","O&lt;=","O<=",[100,142],"The less-than-or-equal relation for the ordinals"],
 ["ACL2____OPEN-INPUT-CHANNEL","Open-input-channel","OPEN-INPUT-CHANNEL",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____O-INFP","O-infp","O-INFP",[100,142],"Recognizes if an ordinal is infinite"],
 ["ACL2____NOTE-3-1_82R_92","Note-3-1(r)","NOTE-3-1(R)",[210],"ACL2 Version  3.1(r) (December, 2006) Notes"],
 ["ACL2____NOTE-3-0_82R_92","Note-3-0(r)","NOTE-3-0(R)",[210],"ACL2 Version  3.0(r) (June, 2006) Notes"],
 ["ACL2____NOTE-3-0-1_82R_92","Note-3-0-1(r)","NOTE-3-0-1(R)",[210],"ACL2 Version  3.0.1(r) (August, 2006) Notes"],
 ["ACL2____NOTE-2-7-PROOF-BUILDER","Note-2-7-proof-builder","NOTE-2-7-PROOF-BUILDER",[184],"ACL2 Version  2.7 Notes on proof-builder Changes"],
 ["ACL2____NOTE-2-5_82R_92","Note-2-5(r)","NOTE-2-5(R)",[210],"ACL2 Version  2.5(r) (June, 2000) Notes"],
 ["ACL2____NORMALIZATION","Normalization","NORMALIZATION",[389],"See <see topic=\"ACL2____NORMALIZE\">normalize</see>."],
 ["ACL2____NON-EXECUTABLE","Non-executable","NON-EXECUTABLE",[389],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:non-executable</v>."],
 ["ACL2____META-EXTRACT-GLOBAL-FACT","Meta-extract-global-fact","META-EXTRACT-GLOBAL-FACT",[389],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____MERGE-SORT-LEXORDER","Merge-sort-lexorder","MERGE-SORT-LEXORDER",[411,142],"Sort a list"],
 ["ACL2____MAKE-CHARACTER-LIST","Make-character-list","MAKE-CHARACTER-LIST",[61,142],"<see topic=\"COMMON-LISP____COERCE\">coerce</see> to a list of characters"],
 ["ACL2____KEYWORD-LISTP","Keyword-listp","KEYWORD-LISTP",[411,1189,142],"Recognizer for true lists of keywords"],
 ["ACL2____I-SMALL","I-small","I-SMALL",[422],"ACL2(r) recognizer for infinitesimal numbers"],
 ["ACL2____I-LARGE","I-large","I-LARGE",[422],"ACL2(r) recognizer for infinitely large numbers"],
 ["ACL2____FIX-TRUE-LIST","Fix-true-list","FIX-TRUE-LIST",[411,142],"Coerce to a true list"],
 ["ACL2____DF_D3","Df=","DF=",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DFP","Dfp","DFP",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DEFAULT-VERIFY-GUARDS-EAGERNESS","Default-verify-guards-eagerness","DEFAULT-VERIFY-GUARDS-EAGERNESS",[389],"See <see topic=\"ACL2____SET-VERIFY-GUARDS-EAGERNESS\">set-verify-guards-eagerness</see>."],
 ["ACL2-PC____EX","ACL2-pc::ex","EX",[224],"(macro) \u000Aexit after possibly saving the state"],
 ["ACL2-PC____COMMENT","ACL2-pc::comment","COMMENT",[224],"(primitive) \u000Ainsert a comment"],
 ["ACL2-PC____CG","ACL2-pc::cg","CG",[224,516],"(macro) \u000Achange to another goal."],
 ["ACL2-PC____ACL2-WRAP","ACL2-pc::ACL2-wrap","ACL2-WRAP",[224],"(macro) same as <v>(lisp x)</v>"],
 ["COMMON-LISP____CDDDR","Cdddr","CDDDR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDR\">cddr</see></tt>"],
 ["COMMON-LISP____CADDR","Caddr","CADDR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDR\">cddr</see></tt>"],
 ["ACL2____The_02Simplification_02of_02the_02Induction_02Conclusion_02_82Step_023_92","The Simplification of the Induction Conclusion (Step 3)","The Simplification of the Induction Conclusion (Step 3)",[121],"The Simplification of the Induction Conclusion (Step 3)"],
 ["ACL2____The_02Q.E.D._02Message","The Q.E.D. Message","The Q.E.D. Message",[121],"The Q.E.D. Message"],
 ["ACL2____TCP","Tcp","TCP",[739],"translate a form and clean it up into a pretty term"],
 ["ACL2____SET-FMT-SOFT-RIGHT-MARGIN","Set-fmt-soft-right-margin","SET-FMT-SOFT-RIGHT-MARGIN",[17,142],"Set the soft right margin for formatted output"],
 ["ACL2____REAL-LISTP","Real-listp","REAL-LISTP",[422,411,142],"ACL2(r) recognizer for a true list of real numbers"],
 ["ACL2____Overview_02of_02the_02Final_02Simplification_02in_02the_02Base_02Case","Overview of the Final Simplification in the Base Case","Overview of the Final Simplification in the Base Case",[121],"Overview of the Final Simplification in the Base Case"],
 ["ACL2____O_E3","O&gt;","O>",[100,142],"The greater-than relation for the ordinals"],
 ["ACL2____OBSERVATION-CW","Observation-cw","OBSERVATION-CW",[389],"See <see topic=\"ACL2____OBSERVATION\">observation</see>."],
 ["ACL2____HIDDEN-DEFPKG","Hidden-defpkg","HIDDEN-DEFPKG",[832,35],"Handling defpkg events that are local"],
 ["ACL2____EXPAND","Expand","EXPAND",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:expand</v>."],
 ["ACL2____DF-","Df-","DF-",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____BIBLIOGRAPHY","Bibliography","BIBLIOGRAPHY",[863],"Reports about ACL2"],
 ["ACL2____ASSOC-EQ","Assoc-eq","ASSOC-EQ",[389],"See <see topic=\"COMMON-LISP____ASSOC\">assoc</see>."],
 ["ACL2-PC____SKIP","ACL2-pc::skip","SKIP",[224],"(macro) \u000A``succeed'' without doing anything"],
 ["ACL2-PC____FREE","ACL2-pc::free","FREE",[224],"(atomic macro) \u000Acreate a ``free variable''"],
 ["COMMON-LISP____INLINE","Inline","INLINE",[389],"See <see topic=\"ACL2____DEFUN-INLINE\">defun-inline</see>."],
 ["COMMON-LISP____IGNORABLE","Ignorable","IGNORABLE",[389],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____CDDAR","Cddar","CDDAR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAR\">cdar</see></tt>"],
 ["COMMON-LISP____CDAR","Cdar","CDAR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>"],
 ["COMMON-LISP____CDADR","Cdadr","CDADR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADR\">cadr</see></tt>"],
 ["COMMON-LISP____CDAAR","Cdaar","CDAAR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAR\">caar</see></tt>"],
 ["COMMON-LISP____CADAR","Cadar","CADAR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAR\">cdar</see></tt>"],
 ["COMMON-LISP____CAAR","Caar","CAAR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAR\">car</see></tt>"],
 ["COMMON-LISP____CAADR","Caadr","CAADR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADR\">cadr</see></tt>"],
 ["COMMON-LISP____CAAAR","Caaar","CAAAR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAR\">caar</see></tt>"],
 ["ACL2____The_02Final_02Simplification_02in_02the_02Base_02Case_02_82Step_022_92","The Final Simplification in the Base Case (Step 2)","The Final Simplification in the Base Case (Step 2)",[121],"The Final Simplification in the Base Case (Step 2)"],
 ["ACL2____SET-WATERFALL-PARALLELISM-HACKS-ENABLED_12","Set-waterfall-parallelism-hacks-enabled!","SET-WATERFALL-PARALLELISM-HACKS-ENABLED!",[131],"For ACL2(p): enabling waterfall parallelism hacks"],
 ["ACL2____RAW-MODE","Raw-mode","RAW-MODE",[389],"See <see topic=\"ACL2____SET-RAW-MODE\">set-raw-mode</see>."],
 ["ACL2____Perhaps","Perhaps","Perhaps",[121],"Perhaps"],
 ["ACL2____POSITION-EQUAL","Position-equal","POSITION-EQUAL",[389],"See <see topic=\"COMMON-LISP____POSITION\">position</see>."],
 ["ACL2____OBDD","Obdd","OBDD",[552],"Ordered binary decision diagrams with rewriting"],
 ["ACL2____Name_02the_02Formula_02Above","Name the Formula Above","Name the Formula Above",[121],"Name the Formula Above"],
 ["ACL2____NOTE-2-8-ORDINALS","Note-2-8-ordinals","NOTE-2-8-ORDINALS",[153],"ACL2 Version  2.8 Notes on Changes to the Ordinals"],
 ["ACL2____NOTE-2-8-GUARDS","Note-2-8-guards","NOTE-2-8-GUARDS",[153],"ACL2 Version  2.8 Notes on Guard-related Changes"],
 ["ACL2____IPRINT","Iprint","IPRINT",[389],"See <see topic=\"ACL2____SET-IPRINT\">set-iprint</see>."],
 ["ACL2____DOC-TERMINAL-TEST-2","Doc-terminal-test-2","DOC-TERMINAL-TEST-2",[0],"Short"],
 ["ACL2____DF_B2","Df+","DF+",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-SIN","Df-sin","DF-SIN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DEFAULT-TOTAL-PARALLELISM-WORK-LIMIT","Default-total-parallelism-work-limit","DEFAULT-TOTAL-PARALLELISM-WORK-LIMIT",[1309],"For ACL2(p): returns the default value for global \u000A  <v>total-parallelism-work-limit</v>"],
 ["ACL2____CLEAR-HASH-TABLES","Clear-hash-tables","CLEAR-HASH-TABLES",[37],"Deprecated feature"],
 ["COMMON-LISP____OPTIMIZE","Optimize","OPTIMIZE",[389],"See <see topic=\"COMMON-LISP____DECLARE\">declare</see>."],
 ["COMMON-LISP____CADDDR","Cadddr","CADDDR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDDR\">cdddr</see></tt>"],
 ["COMMON-LISP____CADDAR","Caddar","CADDAR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDAR\">cddar</see></tt>"],
 ["ACL2____WATERFALL-PRINTING","Waterfall-printing","WATERFALL-PRINTING",[1309],"For ACL2(p): configuring the printing within the parallelized waterfall"],
 ["ACL2____WATERFALL","Waterfall","WATERFALL",[389],"See <see topic=\"ACL2____HINTS-AND-THE-WATERFALL\">hints-and-the-waterfall</see>."],
 ["ACL2____USE","Use","USE",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:use</v>."],
 ["ACL2____UNION-EQ","Union-eq","UNION-EQ",[389],"See <see topic=\"ACL2____UNION_42\">union$</see>."],
 ["ACL2____TRUST-TAG","Trust-tag","TRUST-TAG",[389],"See <see topic=\"ACL2____DEFTTAG\">defttag</see>."],
 ["ACL2____TCA","Tca","TCA",[739],"translate a form and clean it up into an annotated pretty term"],
 ["ACL2____TAMEP","Tamep","TAMEP",[389],"See <see topic=\"ACL2____TAME\">tame</see>."],
 ["ACL2____TABLE-ALIST","Table-alist","TABLE-ALIST",[389],"See <see topic=\"ACL2____TABLE\">table</see>."],
 ["ACL2____SUBVERSIVE-INDUCTIONS","Subversive-inductions","SUBVERSIVE-INDUCTIONS",[654],"Why we restrict <see topic=\"ACL2____ENCAPSULATE\">encapsulate</see>d recursive functions"],
 ["ACL2____SUBLIS-VAR","Sublis-var","SUBLIS-VAR",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STOBJS-OUT","Stobjs-out","STOBJS-OUT",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STOBJS","Stobjs","STOBJS",[389],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:stobjs</v>."],
 ["ACL2____SPLIT-TYPES","Split-types","SPLIT-TYPES",[389],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:split-types</v>."],
 ["ACL2____SET-SKIP-META-TERMP-CHECKS_12","Set-skip-meta-termp-checks!","SET-SKIP-META-TERMP-CHECKS!",[28,56],"Skip output checks non-<see topic=\"ACL2____LOCAL\">local</see>ly for <see topic=\"ACL2____META\">meta</see> functions and \u000A <see topic=\"ACL2____CLAUSE-PROCESSOR\">clause-processor</see>s"],
 ["ACL2____RESTRICT","Restrict","RESTRICT",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:restrict</v>."],
 ["ACL2____REMOVE-EQUAL","Remove-equal","REMOVE-EQUAL",[389],"See <see topic=\"COMMON-LISP____REMOVE\">remove</see>."],
 ["ACL2____POSITION-EQ","Position-eq","POSITION-EQ",[389],"See <see topic=\"COMMON-LISP____POSITION\">position</see>."],
 ["ACL2____PARALLELISM-BUILD","Parallelism-build","PARALLELISM-BUILD",[131],"Building an ACL2 executable with parallel execution enabled"],
 ["ACL2____NOTE-4-3_82R_92","Note-4-3(r)","NOTE-4-3(R)",[210],"ACL2 Version  4.3(r) (July, 2011) Notes"],
 ["ACL2____NOTE-4-2_82R_92","Note-4-2(r)","NOTE-4-2(R)",[210],"ACL2 Version  4.2(r) (January, 2011) Notes"],
 ["ACL2____NOTE-4-1_82R_92","Note-4-1(r)","NOTE-4-1(R)",[210],"ACL2 Version  4.1(r) (September, 2010) Notes"],
 ["ACL2____NOTE-4-0_82R_92","Note-4-0(r)","NOTE-4-0(R)",[210],"ACL2 Version  4.0(r) (July, 2010) Notes"],
 ["ACL2____NOTE-3-6_82R_92","Note-3-6(r)","NOTE-3-6(R)",[210],"ACL2 Version  3.6(r) (August, 2009) Notes"],
 ["ACL2____NOTE-3-3_82R_92","Note-3-3(r)","NOTE-3-3(R)",[210],"ACL2 Version  3.3(r) (November, 2007) Notes"],
 ["ACL2____NOTE-3-2-1_82R_92","Note-3-2-1(r)","NOTE-3-2-1(R)",[210],"ACL2 Version  3.2.1(r) (June, 2007) Notes"],
 ["ACL2____LD-HISTORY-ENTRY-ERROR-FLG","Ld-history-entry-error-flg","LD-HISTORY-ENTRY-ERROR-FLG",[389],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____IPRINTING","Iprinting","IPRINTING",[389],"See <see topic=\"ACL2____SET-IPRINT\">set-iprint</see>."],
 ["ACL2____INTERSECTP-EQ","Intersectp-eq","INTERSECTP-EQ",[389],"See <see topic=\"ACL2____INTERSECTP\">intersectp</see>."],
 ["ACL2____GET-CHECK-INVARIANT-RISK","Get-check-invariant-risk","GET-CHECK-INVARIANT-RISK",[389],"See <see topic=\"ACL2____SET-CHECK-INVARIANT-RISK\">set-check-invariant-risk</see>."],
 ["ACL2____FMT-TO-STRING","Fmt-to-string","FMT-TO-STRING",[389],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMT-SOFT-RIGHT-MARGIN","Fmt-soft-right-margin","FMT-SOFT-RIGHT-MARGIN",[389],"See <see topic=\"ACL2____SET-FMT-HARD-RIGHT-MARGIN\">set-fmt-hard-right-margin</see>."],
 ["ACL2____BINARY-DF_B2","Binary-df+","BINARY-DF+",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____ADJUST-LD-HISTORY","Adjust-ld-history","ADJUST-LD-HISTORY",[389],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____ACCUMULATED-PERSISTENCE-OOPS","Accumulated-persistence-oops","ACCUMULATED-PERSISTENCE-OOPS",[389],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2-PC____ST","ACL2-pc::st","ST",[224],"(macro) \u000Asame as SHOW-TYPE-PRESCRIPTIONS"],
 ["ACL2-PC____SR","ACL2-pc::sr","SR",[224,516],"(macro) \u000Asame as SHOW-REWRITES"],
 ["ACL2-PC____PRINT-MAIN","ACL2-pc::print-main","PRINT-MAIN",[224],"(macro) \u000Aprint the original goal"],
 ["ACL2-PC____LEMMAS-USED","ACL2-pc::lemmas-used","LEMMAS-USED",[224],"(macro) \u000Aprint the runes (definitions, lemmas, ...) used"],
 ["ACL2-PC____CL-PROC","ACL2-pc::cl-proc","CL-PROC",[224],"(macro) same as <v>clause-processor</v>"],
 ["ACL2-PC____AL","ACL2-pc::al","AL",[224],"(macro) \u000Asame as apply-linear"],
 ["COMMON-LISP____THIRD","Third","THIRD",[477,142],"Third member of the list"],
 ["COMMON-LISP____TENTH","Tenth","TENTH",[477,142],"Tenth member of the list"],
 ["COMMON-LISP____SIXTH","Sixth","SIXTH",[477,142],"Sixth member of the list"],
 ["COMMON-LISP____SEVENTH","Seventh","SEVENTH",[477,142],"Seventh member of the list"],
 ["COMMON-LISP____SECOND","Second","SECOND",[477,142],"Second member of the list"],
 ["COMMON-LISP____PACKAGE","Package","PACKAGE",[389],"See <see topic=\"ACL2____PACKAGES\">packages</see>."],
 ["COMMON-LISP____NINTH","Ninth","NINTH",[477,142],"Ninth member of the list"],
 ["COMMON-LISP____FOURTH","Fourth","FOURTH",[477,142],"Fourth member of the list"],
 ["COMMON-LISP____FIRST","First","FIRST",[477,142],"First member of the list"],
 ["COMMON-LISP____FIFTH","Fifth","FIFTH",[477,142],"Fifth member of the list"],
 ["COMMON-LISP____ERROR","Error","ERROR",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:error</v>."],
 ["COMMON-LISP____EIGHTH","Eighth","EIGHTH",[477,142],"Eighth member of the list"],
 ["COMMON-LISP____CDDDDR","Cddddr","CDDDDR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDDR\">cdddr</see></tt>"],
 ["COMMON-LISP____CDDDAR","Cdddar","CDDDAR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDDAR\">cddar</see></tt>"],
 ["COMMON-LISP____CDDADR","Cddadr","CDDADR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDADR\">cdadr</see></tt>"],
 ["COMMON-LISP____CDDAAR","Cddaar","CDDAAR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAAR\">cdaar</see></tt>"],
 ["COMMON-LISP____CDADDR","Cdaddr","CDADDR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADDR\">caddr</see></tt>"],
 ["COMMON-LISP____CDADAR","Cdadar","CDADAR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CADAR\">cadar</see></tt>"],
 ["COMMON-LISP____CDAADR","Cdaadr","CDAADR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAADR\">caadr</see></tt>"],
 ["COMMON-LISP____CDAAAR","Cdaaar","CDAAAR",[539,142],"<tt><see topic=\"COMMON-LISP____CDR\">cdr</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAAR\">caaar</see></tt>"],
 ["COMMON-LISP____CADADR","Cadadr","CADADR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDADR\">cdadr</see></tt>"],
 ["COMMON-LISP____CADAAR","Cadaar","CADAAR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CDAAR\">cdaar</see></tt>"],
 ["COMMON-LISP____CAADDR","Caaddr","CAADDR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADDR\">caddr</see></tt>"],
 ["COMMON-LISP____CAADAR","Caadar","CAADAR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CADAR\">cadar</see></tt>"],
 ["COMMON-LISP____CAAADR","Caaadr","CAAADR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAADR\">caadr</see></tt>"],
 ["COMMON-LISP____CAAAAR","Caaaar","CAAAAR",[539,142],"<tt><see topic=\"COMMON-LISP____CAR\">car</see></tt> of the <tt><see topic=\"COMMON-LISP____CAAAR\">caaar</see></tt>"],
 ["ACL2____WITH-OUTPUT_12","With-output!","WITH-OUTPUT!",[389],"See <see topic=\"ACL2____WITH-OUTPUT\">with-output</see>."],
 ["ACL2____WHEN_42","When$","WHEN$",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____Undocumented_02Topic","Undocumented Topic","Undocumented Topic",[121],"Undocumented Topic"],
 ["ACL2____UNKNOWN-CONSTRAINTS","Unknown-constraints","UNKNOWN-CONSTRAINTS",[389],"See <see topic=\"ACL2____PARTIAL-ENCAPSULATE\">partial-encapsulate</see>."],
 ["ACL2____TYPESPEC-CHECK","Typespec-check","TYPESPEC-CHECK",[389],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____TRANS-EVAL-DEFAULT-WARNING","Trans-eval-default-warning","TRANS-EVAL-DEFAULT-WARNING",[389],"See <see topic=\"ACL2____USER-STOBJS-MODIFIED-WARNINGS\">user-stobjs-modified-warnings</see>."],
 ["ACL2____TAMEP-LAMBDAP","Tamep-lambdap","TAMEP-LAMBDAP",[389],"See <see topic=\"ACL2____TAME\">tame</see>."],
 ["ACL2____SYMBOL-CLASS","Symbol-class","SYMBOL-CLASS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBSETP-EQUAL","Subsetp-equal","SUBSETP-EQUAL",[389],"See <see topic=\"COMMON-LISP____SUBSETP\">subsetp</see>."],
 ["ACL2____SUBSETP-EQ","Subsetp-eq","SUBSETP-EQ",[389],"See <see topic=\"COMMON-LISP____SUBSETP\">subsetp</see>."],
 ["ACL2____SET-SLOW-ALIST-ACTION","Set-slow-alist-action","SET-SLOW-ALIST-ACTION",[389],"See <see topic=\"ACL2____SLOW-ALIST-WARNING\">slow-alist-warning</see>."],
 ["ACL2____SET-SERIALIZE-CHARACTER","Set-serialize-character","SET-SERIALIZE-CHARACTER",[389],"See <see topic=\"ACL2____WITH-SERIALIZE-CHARACTER\">with-serialize-character</see>."],
 ["ACL2____SET-LD-REDEFINITION-ACTION","Set-ld-redefinition-action","SET-LD-REDEFINITION-ACTION",[389],"See <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>."],
 ["ACL2____SET-LD-PROMPT","Set-ld-prompt","SET-LD-PROMPT",[389],"See <see topic=\"ACL2____LD-PROMPT\">ld-prompt</see>."],
 ["ACL2____SET-LD-PRE-EVAL-PRINT","Set-ld-pre-eval-print","SET-LD-PRE-EVAL-PRINT",[389],"See <see topic=\"ACL2____LD-PRE-EVAL-PRINT\">ld-pre-eval-print</see>."],
 ["ACL2____SET-LD-KEYWORD-ALIASES","Set-ld-keyword-aliases","SET-LD-KEYWORD-ALIASES",[389],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____SET-LD-ALWAYS-SKIP-TOP-LEVEL-LOCALS","Set-ld-always-skip-top-level-locals","SET-LD-ALWAYS-SKIP-TOP-LEVEL-LOCALS",[389],"See <see topic=\"ACL2____LD-ALWAYS-SKIP-TOP-LEVEL-LOCALS\">ld-always-skip-top-level-locals</see>."],
 ["ACL2____SET-DIFFERENCE-EQ","Set-difference-eq","SET-DIFFERENCE-EQ",[389],"See <see topic=\"ACL2____SET-DIFFERENCE_42\">set-difference$</see>."],
 ["ACL2____RULE-NAMES","Rule-names","RULE-NAMES",[6],"How rules are named."],
 ["ACL2____REORDER","Reorder","REORDER",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:reorder</v>."],
 ["ACL2____REMOVE1-EQUAL","Remove1-equal","REMOVE1-EQUAL",[389],"See <see topic=\"ACL2____REMOVE1\">remove1</see>."],
 ["ACL2____REMOVE-EQ","Remove-eq","REMOVE-EQ",[389],"See <see topic=\"COMMON-LISP____REMOVE\">remove</see>."],
 ["ACL2____REGRESSION","Regression","REGRESSION",[389],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____RECURSIVEP","Recursivep","RECURSIVEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____READ-OBJECT","Read-object","READ-OBJECT",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____RASSOC-EQUAL","Rassoc-equal","RASSOC-EQUAL",[389],"See <see topic=\"COMMON-LISP____RASSOC\">rassoc</see>."],
 ["ACL2____RASSOC-EQ","Rassoc-eq","RASSOC-EQ",[389],"See <see topic=\"COMMON-LISP____RASSOC\">rassoc</see>."],
 ["ACL2____QUOTEP","Quotep","QUOTEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____PUT-ASSOC-EQUAL","Put-assoc-equal","PUT-ASSOC-EQUAL",[389],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____PRETTYIFY-CLAUSE","Prettyify-clause","PRETTYIFY-CLAUSE",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____PE-TABLE","Pe-table","PE-TABLE",[389],"See <see topic=\"ACL2____EXTEND-PE-TABLE\">extend-pe-table</see>."],
 ["ACL2____OPEN-OUTPUT-CHANNEL","Open-output-channel","OPEN-OUTPUT-CHANNEL",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____NO-DUPLICATESP-EQUAL","No-duplicatesp-equal","NO-DUPLICATESP-EQUAL",[389],"See <see topic=\"ACL2____NO-DUPLICATESP\">no-duplicatesp</see>."],
 ["ACL2____NO-DUPLICATESP-EQ","No-duplicatesp-eq","NO-DUPLICATESP-EQ",[389],"See <see topic=\"ACL2____NO-DUPLICATESP\">no-duplicatesp</see>."],
 ["ACL2____MFC-WORLD","Mfc-world","MFC-WORLD",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-TS","Mfc-ts","MFC-TS",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-RW_B2","Mfc-rw+","MFC-RW+",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-RW","Mfc-rw","MFC-RW",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-RDEPTH","Mfc-rdepth","MFC-RDEPTH",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-AP","Mfc-ap","MFC-AP",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-ANCESTORS","Mfc-ancestors","MFC-ANCESTORS",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC","Mfc","MFC",[389],"See <see topic=\"ACL2____METAFUNCTION-CONTEXT\">metafunction-context</see>."],
 ["ACL2____META-EXTRACT-FORMULA","Meta-extract-formula","META-EXTRACT-FORMULA",[389],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____META-EXTRACT-CONTEXTUAL-FACT","Meta-extract-contextual-fact","META-EXTRACT-CONTEXTUAL-FACT",[389],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____MAYBE-CONVERT-TO-MV","Maybe-convert-to-mv","MAYBE-CONVERT-TO-MV",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LOGICP","Logicp","LOGICP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LD-HISTORY-ENTRY-USER-DATA","Ld-history-entry-user-data","LD-HISTORY-ENTRY-USER-DATA",[389],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____LD-HISTORY-ENTRY-INPUT","Ld-history-entry-input","LD-HISTORY-ENTRY-INPUT",[389],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____INTERSECTP-EQUAL","Intersectp-equal","INTERSECTP-EQUAL",[389],"See <see topic=\"ACL2____INTERSECTP\">intersectp</see>."],
 ["ACL2____INTERSECTION-EQ","Intersection-eq","INTERSECTION-EQ",[389],"See <see topic=\"ACL2____INTERSECTION_42\">intersection$</see>."],
 ["ACL2____INDUCT","Induct","INDUCT",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:induct</v>."],
 ["ACL2____HONS-SHRINK-ALIST_12","Hons-shrink-alist!","HONS-SHRINK-ALIST!",[1272,142],"Deprecated feature"],
 ["ACL2____HONS-SHRINK-ALIST","Hons-shrink-alist","HONS-SHRINK-ALIST",[603,142],"Deprecated feature"],
 ["ACL2____GUARD-HINTS","Guard-hints","GUARD-HINTS",[389],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:guard-hints</v>."],
 ["ACL2____GET-SKIPPED-PROOFS-P","Get-skipped-proofs-p","GET-SKIPPED-PROOFS-P",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GET-REGISTER-INVARIANT-RISK","Get-register-invariant-risk","GET-REGISTER-INVARIANT-RISK",[389],"See <see topic=\"ACL2____SET-REGISTER-INVARIANT-RISK\">set-register-invariant-risk</see>."],
 ["ACL2____GET-IN-THEORY-REDUNDANT-OKP","Get-in-theory-redundant-okp","GET-IN-THEORY-REDUNDANT-OKP",[389],"See <see topic=\"ACL2____SET-IN-THEORY-REDUNDANT-OKP\">set-in-theory-redundant-okp</see>."],
 ["ACL2____GENVAR","Genvar","GENVAR",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FROM-DF","From-df","FROM-DF",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____FLUSH-HONS-GET-HASH-TABLE-LINK","Flush-hons-get-hash-table-link","FLUSH-HONS-GET-HASH-TABLE-LINK",[977,142],"Deprecated feature"],
 ["ACL2____FLATTEN-ANDS-IN-LIT","Flatten-ands-in-lit","FLATTEN-ANDS-IN-LIT",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FFN-SYMB","Ffn-symb","FFN-SYMB",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FAST-ALIST","Fast-alist","FAST-ALIST",[389],"See <see topic=\"ACL2____FAST-ALISTS\">fast-alists</see>."],
 ["ACL2____FARGS","Fargs","FARGS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____EV_42-LIST","Ev$-list","EV$-LIST",[389],"See <see topic=\"ACL2____APPLY_42\">apply$</see>."],
 ["ACL2____ENABLED-RUNEP","Enabled-runep","ENABLED-RUNEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ENABLED-NUMEP","Enabled-numep","ENABLED-NUMEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DOC-TERMINAL-TEST-1","Doc-terminal-test-1","DOC-TERMINAL-TEST-1",[0],"Short"],
 ["ACL2____DISJOIN","Disjoin","DISJOIN",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DF_F2","Df/","DF/",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF_C3_D3","Df&lt;=","DF<=",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF_C3","Df&lt;","DF<",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-PI","Df-pi","DF-PI",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-LOG","Df-log","DF-LOG",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-COSH-FN","Df-cosh-fn","DF-COSH-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-COS-FN","Df-cos-fn","DF-COS-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ABS-FN","Df-abs-fn","DF-ABS-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ABS","Df-abs","DF-ABS",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DELETE-ASSOC","Delete-assoc","DELETE-ASSOC",[755,142],"Deprecated version of <see topic=\"ACL2____REMOVE1-ASSOC\">remove1-assoc</see>"],
 ["ACL2____CW-GSTACK-FOR-SUBTERM","Cw-gstack-for-subterm","CW-GSTACK-FOR-SUBTERM",[389],"See <see topic=\"ACL2____WITH-BRR-DATA\">with-brr-data</see>."],
 ["ACL2____CONS-TERM","Cons-term","CONS-TERM",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____CLOSE-OUTPUT-CHANNEL","Close-output-channel","CLOSE-OUTPUT-CHANNEL",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____CASES","Cases","CASES",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:cases</v>."],
 ["ACL2____BODY","Body","BODY",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____BACKCHAIN-LIMIT-RW","Backchain-limit-rw","BACKCHAIN-LIMIT-RW",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:backchain-limit-rw</v>."],
 ["ACL2____A_02Trivial_02Proof","A Trivial Proof","A Trivial Proof",[121],"A Trivial Proof"],
 ["ACL2____ARGLISTP","Arglistp","ARGLISTP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-FNNAMES1","All-fnnames1","ALL-FNNAMES1",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-FNNAMES","All-fnnames","ALL-FNNAMES",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-ATTACHMENTS","All-attachments","ALL-ATTACHMENTS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ADD-TO-SET-EQ","Add-to-set-eq","ADD-TO-SET-EQ",[389],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ADD-SUFFIX-TO-FN","Add-suffix-to-fn","ADD-SUFFIX-TO-FN",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ADD-SUFFIX","Add-suffix","ADD-SUFFIX",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ADD-LD-KEYWORD-ALIAS_12","Add-ld-keyword-alias!","ADD-LD-KEYWORD-ALIAS!",[389],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____ADD-LD-KEYWORD-ALIAS","Add-ld-keyword-alias","ADD-LD-KEYWORD-ALIAS",[389],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2-PC____RUN-INSTR-ON-NEW-GOALS","ACL2-pc::run-instr-on-new-goals","RUN-INSTR-ON-NEW-GOALS",[224],"(macro) auxiliary to <v>then</v>"],
 ["ACL2-PC____RUN-INSTR-ON-GOAL","ACL2-pc::run-instr-on-goal","RUN-INSTR-ON-GOAL",[224],"(macro) \u000Aauxiliary to THEN"],
 ["ACL2-PC____REPEAT-REC","ACL2-pc::repeat-rec","REPEAT-REC",[224],"(macro) auxiliary to <v>repeat</v>"],
 ["ACL2-PC____R","ACL2-pc::r","R",[224,516],"(macro) \u000Asame as rewrite"],
 ["ACL2-PC____CONTRADICT","ACL2-pc::contradict","CONTRADICT",[224],"(macro) same as <v>contrapose</v>"],
 ["COMMON-LISP____DOUBLE-FLOAT","Double-float","DOUBLE-FLOAT",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____WRITE-BYTE_42","Write-byte$","WRITE-BYTE$",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____WEAK-LD-HISTORY-ENTRY-P","Weak-ld-history-entry-p","WEAK-LD-HISTORY-ENTRY-P",[389],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____VERIFY-GUARDS-EAGERNESS","Verify-guards-eagerness","VERIFY-GUARDS-EAGERNESS",[389],"See <see topic=\"ACL2____SET-VERIFY-GUARDS-EAGERNESS\">set-verify-guards-eagerness</see>."],
 ["ACL2____VARIABLEP","Variablep","VARIABLEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____VALUE-CMP","Value-cmp","VALUE-CMP",[389],"See <see topic=\"ACL2____CONTEXT-MESSAGE-PAIR\">context-message-pair</see>."],
 ["ACL2____UNTRANSLATE-PREPROCESS","Untranslate-preprocess","UNTRANSLATE-PREPROCESS",[389],"See <see topic=\"ACL2____USER-DEFINED-FUNCTIONS-TABLE\">user-defined-functions-table</see>."],
 ["ACL2____UNION-EQUAL","Union-equal","UNION-EQUAL",[389],"See <see topic=\"ACL2____UNION_42\">union$</see>."],
 ["ACL2____UNDOING","Undoing","UNDOING",[389],"See <see topic=\"ACL2____UNDO\">undo</see>."],
 ["ACL2____UNARY-DF_F2","Unary-df/","UNARY-DF/",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____UNARY-DF-LOG","Unary-df-log","UNARY-DF-LOG",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____UNARY-DF-","Unary-df-","UNARY-DF-",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____TTAG","Ttag","TTAG",[389],"See <see topic=\"ACL2____DEFTTAG\">defttag</see>."],
 ["ACL2____TRANSLATE-HINTS","Translate-hints","TRANSLATE-HINTS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANSLATE","Translate","TRANSLATE",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANS-EVAL-NO-WARNING","Trans-eval-no-warning","TRANS-EVAL-NO-WARNING",[389],"See <see topic=\"ACL2____USER-STOBJS-MODIFIED-WARNINGS\">user-stobjs-modified-warnings</see>."],
 ["ACL2____TOP-LEVEL-LOOP","Top-level-loop","TOP-LEVEL-LOOP",[389],"See <see topic=\"ACL2____GUARANTEES-OF-THE-TOP-LEVEL-LOOP\">guarantees-of-the-top-level-loop</see>."],
 ["ACL2____TOO-MANY-IFS","Too-many-ifs","TOO-MANY-IFS",[389],"See <see topic=\"ACL2____EFFICIENCY\">efficiency</see>."],
 ["ACL2____TO-DFP","To-dfp","TO-DFP",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____TIME-LIMIT","Time-limit","TIME-LIMIT",[389],"See <see topic=\"ACL2____WITH-PROVER-TIME-LIMIT\">with-prover-time-limit</see>."],
 ["ACL2____TAMEP-FUNCTIONP","Tamep-functionp","TAMEP-FUNCTIONP",[389],"See <see topic=\"ACL2____TAME\">tame</see>."],
 ["ACL2____SYMBOL-DOUBLET-LISTP","Symbol-doublet-listp","SYMBOL-DOUBLET-LISTP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUM_42_B2","Sum$+","SUM$+",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____SUITABLY-TAMEP-LISTP","Suitably-tamep-listp","SUITABLY-TAMEP-LISTP",[389],"See <see topic=\"ACL2____TAME\">tame</see>."],
 ["ACL2____SUBST-VAR","Subst-var","SUBST-VAR",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBST-EXPR","Subst-expr","SUBST-EXPR",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBSEQUENCEP","Subsequencep","SUBSEQUENCEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBLIS-FN-SIMPLE","Sublis-fn-simple","SUBLIS-FN-SIMPLE",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBLIS-FN-LST-SIMPLE","Sublis-fn-lst-simple","SUBLIS-FN-LST-SIMPLE",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBLIS-FN","Sublis-fn","SUBLIS-FN",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____SUBCOR-VAR","Subcor-var","SUBCOR-VAR",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STOBJS-IN","Stobjs-in","STOBJS-IN",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STOBJP","Stobjp","STOBJP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____STEP-LIMIT","Step-limit","STEP-LIMIT",[389],"See <see topic=\"ACL2____WITH-PROVER-STEP-LIMIT\">with-prover-step-limit</see>."],
 ["ACL2____SET-TRACE-CO","Set-trace-co","SET-TRACE-CO",[389],"See <see topic=\"ACL2____TRACE-CO\">trace-co</see>."],
 ["ACL2____SET-STANDARD-OI","Set-standard-oi","SET-STANDARD-OI",[389],"See <see topic=\"ACL2____STANDARD-OI\">standard-oi</see>."],
 ["ACL2____SET-STANDARD-CO","Set-standard-co","SET-STANDARD-CO",[389],"See <see topic=\"ACL2____STANDARD-CO\">standard-co</see>."],
 ["ACL2____SET-RULER-EXTENDERS","Set-ruler-extenders","SET-RULER-EXTENDERS",[389],"See <see topic=\"ACL2____RULERS\">rulers</see>."],
 ["ACL2____SET-PROOFS-CO","Set-proofs-co","SET-PROOFS-CO",[389],"See <see topic=\"ACL2____PROOFS-CO\">proofs-co</see>."],
 ["ACL2____SET-NON-LINEAR","Set-non-linear","SET-NON-LINEAR",[389],"See <see topic=\"ACL2____SET-NON-LINEARP\">set-non-linearp</see>."],
 ["ACL2____SET-LET_A2-ABSTRACTION","Set-let*-abstraction","SET-LET*-ABSTRACTION",[389],"See <see topic=\"ACL2____SET-LET_A2-ABSTRACTIONP\">set-let*-abstractionp</see>."],
 ["ACL2____SET-LD-VERBOSE","Set-ld-verbose","SET-LD-VERBOSE",[389],"See <see topic=\"ACL2____LD-VERBOSE\">ld-verbose</see>."],
 ["ACL2____SET-LD-USER-STOBJS-MODIFIED-WARNING","Set-ld-user-stobjs-modified-warning","SET-LD-USER-STOBJS-MODIFIED-WARNING",[389],"See <see topic=\"ACL2____USER-STOBJS-MODIFIED-WARNINGS\">user-stobjs-modified-warnings</see>."],
 ["ACL2____SET-LD-SKIP-PROOFS","Set-ld-skip-proofs","SET-LD-SKIP-PROOFS",[389],"See <see topic=\"ACL2____LD-SKIP-PROOFSP\">ld-skip-proofsp</see>."],
 ["ACL2____SET-LD-QUERY-CONTROL-ALIST","Set-ld-query-control-alist","SET-LD-QUERY-CONTROL-ALIST",[389],"See <see topic=\"ACL2____LD-QUERY-CONTROL-ALIST\">ld-query-control-alist</see>."],
 ["ACL2____SET-LD-PRE-EVAL-FILTER","Set-ld-pre-eval-filter","SET-LD-PRE-EVAL-FILTER",[389],"See <see topic=\"ACL2____LD-PRE-EVAL-FILTER\">ld-pre-eval-filter</see>."],
 ["ACL2____SET-LD-POST-EVAL-PRINT","Set-ld-post-eval-print","SET-LD-POST-EVAL-PRINT",[389],"See <see topic=\"ACL2____LD-POST-EVAL-PRINT\">ld-post-eval-print</see>."],
 ["ACL2____SET-LD-MISSING-INPUT-OK","Set-ld-missing-input-ok","SET-LD-MISSING-INPUT-OK",[389],"See <see topic=\"ACL2____LD-MISSING-INPUT-OK\">ld-missing-input-ok</see>."],
 ["ACL2____SET-LD-KEYWORD-ALIASES_12","Set-ld-keyword-aliases!","SET-LD-KEYWORD-ALIASES!",[389],"See <see topic=\"ACL2____LD-KEYWORD-ALIASES\">ld-keyword-aliases</see>."],
 ["ACL2____SET-LD-EVISC-TUPLE","Set-ld-evisc-tuple","SET-LD-EVISC-TUPLE",[389],"See <see topic=\"ACL2____LD-EVISC-TUPLE\">ld-evisc-tuple</see>."],
 ["ACL2____SET-LD-ERROR-TRIPLES","Set-ld-error-triples","SET-LD-ERROR-TRIPLES",[389],"See <see topic=\"ACL2____LD-ERROR-TRIPLES\">ld-error-triples</see>."],
 ["ACL2____SET-LD-ERROR-ACTION","Set-ld-error-action","SET-LD-ERROR-ACTION",[389],"See <see topic=\"ACL2____LD-ERROR-ACTION\">ld-error-action</see>."],
 ["ACL2____SET-DIFFERENCE-EQUAL","Set-difference-equal","SET-DIFFERENCE-EQUAL",[389],"See <see topic=\"ACL2____SET-DIFFERENCE_42\">set-difference$</see>."],
 ["ACL2____SET-ACCUMULATED-PERSISTENCE","Set-accumulated-persistence","SET-ACCUMULATED-PERSISTENCE",[389],"See <see topic=\"ACL2____ACCUMULATED-PERSISTENCE\">accumulated-persistence</see>."],
 ["ACL2____SAVING-AND-RESTORING","Saving-and-restoring","SAVING-AND-RESTORING",[389],"See <see topic=\"ACL2____SAVE-EXEC\">save-exec</see>."],
 ["ACL2____RIZE","Rize","RIZE",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____RESET-PRINT-CONTROL","Reset-print-control","RESET-PRINT-CONTROL",[389],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____REMOVE1-EQ","Remove1-eq","REMOVE1-EQ",[389],"See <see topic=\"ACL2____REMOVE1\">remove1</see>."],
 ["ACL2____REMOVE1-ASSOC-EQUAL","Remove1-assoc-equal","REMOVE1-ASSOC-EQUAL",[389],"See <see topic=\"ACL2____REMOVE1-ASSOC\">remove1-assoc</see>."],
 ["ACL2____REMOVE1-ASSOC-EQ","Remove1-assoc-eq","REMOVE1-ASSOC-EQ",[389],"See <see topic=\"ACL2____REMOVE1-ASSOC\">remove1-assoc</see>."],
 ["ACL2____REMOVE-DUPLICATES-EQUAL","Remove-duplicates-equal","REMOVE-DUPLICATES-EQUAL",[389],"See <see topic=\"COMMON-LISP____REMOVE-DUPLICATES\">remove-duplicates</see>."],
 ["ACL2____REMOVE-DUPLICATES-EQ","Remove-duplicates-eq","REMOVE-DUPLICATES-EQ",[389],"See <see topic=\"COMMON-LISP____REMOVE-DUPLICATES\">remove-duplicates</see>."],
 ["ACL2____REMOVE-ASSOC-EQUAL","Remove-assoc-equal","REMOVE-ASSOC-EQUAL",[389],"See <see topic=\"ACL2____REMOVE-ASSOC\">remove-assoc</see>."],
 ["ACL2____REMOVE-ASSOC-EQ","Remove-assoc-eq","REMOVE-ASSOC-EQ",[389],"See <see topic=\"ACL2____REMOVE-ASSOC\">remove-assoc</see>."],
 ["ACL2____PUT-ASSOC-EQ","Put-assoc-eq","PUT-ASSOC-EQ",[389],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____PROOF-SUPPORTERS-ALIST","Proof-supporters-alist","PROOF-SUPPORTERS-ALIST",[389],"See <see topic=\"ACL2____DEAD-EVENTS\">dead-events</see>."],
 ["ACL2____PROGRAMP","Programp","PROGRAMP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____PRINT-OBJECT_42-PRESERVING-CASE","Print-object$-preserving-case","PRINT-OBJECT$-PRESERVING-CASE",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____PLIST-WORLDP","Plist-worldp","PLIST-WORLDP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____PARTITION-REST-AND-KEYWORD-ARGS","Partition-rest-and-keyword-args","PARTITION-REST-AND-KEYWORD-ARGS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____NVARIABLEP","Nvariablep","NVARIABLEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____NONLINEARP","Nonlinearp","NONLINEARP",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:nonlinearp</v>."],
 ["ACL2____NO-THANKS","No-thanks","NO-THANKS",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:no-thanks</v>."],
 ["ACL2____NO-OP","No-op","NO-OP",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:no-op</v>."],
 ["ACL2____MODE","Mode","MODE",[389],"See <see topic=\"ACL2____XARGS\">xargs</see> for information about the keyword <v>:mode</v>."],
 ["ACL2____MFC-UNIFY-SUBST","Mfc-unify-subst","MFC-UNIFY-SUBST",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-TYPE-ALIST","Mfc-type-alist","MFC-TYPE-ALIST",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-RELIEVE-HYP","Mfc-relieve-hyp","MFC-RELIEVE-HYP",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MFC-CLAUSE","Mfc-clause","MFC-CLAUSE",[389],"See <see topic=\"ACL2____EXTENDED-METAFUNCTIONS\">extended-metafunctions</see>."],
 ["ACL2____MATCH-FREE","Match-free","MATCH-FREE",[389],"See <see topic=\"ACL2____FREE-VARIABLES\">free-variables</see>."],
 ["ACL2____MAKE-LAMBDA-TERM","Make-lambda-term","MAKE-LAMBDA-TERM",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____MAKE-LAMBDA-APPLICATION","Make-lambda-application","MAKE-LAMBDA-APPLICATION",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____MAKE-LAMBDA","Make-lambda","MAKE-LAMBDA",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LISP-PROGRAMMER-INTRODUCTION","Lisp-programmer-introduction","LISP-PROGRAMMER-INTRODUCTION",[389],"See <see topic=\"ACL2____INTRODUCTION-TO-PROGRAMMING-IN-ACL2-FOR-THOSE-WHO-KNOW-LISP\">introduction-to-programming-in-ACL2-for-those-who-know-lisp</see>."],
 ["ACL2____LET-MBE","Let-mbe","LET-MBE",[389],"See <see topic=\"ACL2____EQUALITY-VARIANTS-DETAILS\">equality-variants-details</see>."],
 ["ACL2____LEGAL-VARIABLEP","Legal-variablep","LEGAL-VARIABLEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LEGAL-CONSTANTP","Legal-constantp","LEGAL-CONSTANTP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LD-USER-STOBJS-MODIFIED-WARNING","Ld-user-stobjs-modified-warning","LD-USER-STOBJS-MODIFIED-WARNING",[389],"See <see topic=\"ACL2____USER-STOBJS-MODIFIED-WARNINGS\">user-stobjs-modified-warnings</see>."],
 ["ACL2____LD-HISTORY-ENTRY-VALUE","Ld-history-entry-value","LD-HISTORY-ENTRY-VALUE",[389],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____LD-HISTORY-ENTRY-STOBJS-OUT_F2VALUE","Ld-history-entry-stobjs-out/value","LD-HISTORY-ENTRY-STOBJS-OUT/VALUE",[389],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____LD-HISTORY-ENTRY-STOBJS-OUT","Ld-history-entry-stobjs-out","LD-HISTORY-ENTRY-STOBJS-OUT",[389],"See <see topic=\"ACL2____LD-HISTORY\">ld-history</see>."],
 ["ACL2____LAMBDA-FORMALS","Lambda-formals","LAMBDA-FORMALS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LAMBDA-BODY","Lambda-body","LAMBDA-BODY",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____LAMBDA-APPLICATIONP","Lambda-applicationp","LAMBDA-APPLICATIONP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____KNOWN-PACKAGE-ALIST","Known-package-alist","KNOWN-PACKAGE-ALIST",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____IO_F3","Io?","IO?",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____INTERSECTION-EQUAL","Intersection-equal","INTERSECTION-EQUAL",[389],"See <see topic=\"ACL2____INTERSECTION_42\">intersection$</see>."],
 ["ACL2____IMPLICATE","Implicate","IMPLICATE",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____IF-INTRO","If-intro","IF-INTRO",[389],"See <see topic=\"ACL2____SPLITTER\">splitter</see>."],
 ["ACL2____HANDS-OFF","Hands-off","HANDS-OFF",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:hands-off</v>."],
 ["ACL2____GUARDS","Guards","GUARDS",[389],"See <see topic=\"ACL2____GUARD\">guard</see>."],
 ["ACL2____GUARD-HOLDER","Guard-holder","GUARD-HOLDER",[389],"See <see topic=\"ACL2____GUARD-HOLDERS\">guard-holders</see>."],
 ["ACL2____GUARD-CHECKING","Guard-checking","GUARD-CHECKING",[389],"See <see topic=\"ACL2____SET-GUARD-CHECKING\">set-guard-checking</see>."],
 ["ACL2____GET-SERIALIZE-CHARACTER","Get-serialize-character","GET-SERIALIZE-CHARACTER",[389],"See <see topic=\"ACL2____WITH-SERIALIZE-CHARACTER\">with-serialize-character</see>."],
 ["ACL2____GET-OUTPUT-STREAM-STRING_42","Get-output-stream-string$","GET-OUTPUT-STREAM-STRING$",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____GET-EVENT","Get-event","GET-EVENT",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GET-DEFUN-EVENT","Get-defun-event","GET-DEFUN-EVENT",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GET-BRR-LOCAL","Get-brr-local","GET-BRR-LOCAL",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____GCS","Gcs","GCS",[389],"See <see topic=\"ACL2____GET-COMMAND-SEQUENCE\">get-command-sequence</see>."],
 ["ACL2____FUNCTION-SYMBOLP","Function-symbolp","FUNCTION-SYMBOLP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FSUBCOR-VAR","Fsubcor-var","FSUBCOR-VAR",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FQUOTEP","Fquotep","FQUOTEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FORMALS","Formals","FORMALS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FNCALL-TERM","Fncall-term","FNCALL-TERM",[389],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____FN-SYMB","Fn-symb","FN-SYMB",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FN-RUNE-NUME","Fn-rune-nume","FN-RUNE-NUME",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FMX_12-CW","Fmx!-cw","FMX!-CW",[389],"See <see topic=\"ACL2____FMX-CW\">fmx-cw</see>."],
 ["ACL2____FMT-HARD-RIGHT-MARGIN","Fmt-hard-right-margin","FMT-HARD-RIGHT-MARGIN",[389],"See <see topic=\"ACL2____SET-FMT-HARD-RIGHT-MARGIN\">set-fmt-hard-right-margin</see>."],
 ["ACL2____FLAMBDAP","Flambdap","FLAMBDAP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FLAMBDA-APPLICATIONP","Flambda-applicationp","FLAMBDA-APPLICATIONP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FIX-PKG","Fix-pkg","FIX-PKG",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FFNNAMEP-LST","Ffnnamep-lst","FFNNAMEP-LST",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FFNNAMEP","Ffnnamep","FFNNAMEP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FFN-SYMB-P","Ffn-symb-p","FFN-SYMB-P",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FDEFUN-MODE","Fdefun-mode","FDEFUN-MODE",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FCONS-TERM_A2","Fcons-term*","FCONS-TERM*",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FCONS-TERM","Fcons-term","FCONS-TERM",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FARGN","Fargn","FARGN",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FAKE-RUNE","Fake-rune","FAKE-RUNE",[389],"See <see topic=\"ACL2____RUNE\">rune</see>."],
 ["ACL2____ER-PROGN-CMP","Er-progn-cmp","ER-PROGN-CMP",[389],"See <see topic=\"ACL2____CONTEXT-MESSAGE-PAIR\">context-message-pair</see>."],
 ["ACL2____ER-LET_A2-CMP","Er-let*-cmp","ER-LET*-CMP",[389],"See <see topic=\"ACL2____CONTEXT-MESSAGE-PAIR\">context-message-pair</see>."],
 ["ACL2____ER-LET_A2","Er-let*","ER-LET*",[389],"See <see topic=\"ACL2____PROGRAMMING-WITH-STATE\">programming-with-state</see>."],
 ["ACL2____ER-CMP","Er-cmp","ER-CMP",[389],"See <see topic=\"ACL2____CONTEXT-MESSAGE-PAIR\">context-message-pair</see>."],
 ["ACL2____DUMB-OCCUR-VAR","Dumb-occur-var","DUMB-OCCUR-VAR",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DUMB-OCCUR","Dumb-occur","DUMB-OCCUR",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DUMB-NEGATE-LIT","Dumb-negate-lit","DUMB-NEGATE-LIT",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DOUBLET-LISTP","Doublet-listp","DOUBLET-LISTP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DO-NOT-INDUCT","Do-not-induct","DO-NOT-INDUCT",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:do-not-induct</v>."],
 ["ACL2____DISJOIN2","Disjoin2","DISJOIN2",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DF_A2","Df*","DF*",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF1","Df1","DF1",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF0","Df0","DF0",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-TANH-FN","Df-tanh-fn","DF-TANH-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-TAN-FN","Df-tan-fn","DF-TAN-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-STRING","Df-string","DF-STRING",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-SQRT-FN","Df-sqrt-fn","DF-SQRT-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-SINH-FN","Df-sinh-fn","DF-SINH-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-SIN-FN","Df-sin-fn","DF-SIN-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ROUND","Df-round","DF-ROUND",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-MINUS-1","Df-minus-1","DF-MINUS-1",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-EXPT-FN","Df-expt-fn","DF-EXPT-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-EXP-FN","Df-exp-fn","DF-EXP-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ATANH-FN","Df-atanh-fn","DF-ATANH-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ATAN-FN","Df-atan-fn","DF-ATAN-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ASINH-FN","Df-asinh-fn","DF-ASINH-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ASIN-FN","Df-asin-fn","DF-ASIN-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ACOSH-FN","Df-acosh-fn","DF-ACOSH-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ACOS-FN","Df-acos-fn","DF-ACOS-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DEFINED-CONSTANT","Defined-constant","DEFINED-CONSTANT",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____DEFAULT-STATE-VARS","Default-state-vars","DEFAULT-STATE-VARS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____CONS-TERM_A2","Cons-term*","CONS-TERM*",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____CONJOIN2","Conjoin2","CONJOIN2",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____CONJOIN","Conjoin","CONJOIN",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____COLLECT_42_B2","Collect$+","COLLECT$+",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____COLLECT_42","Collect$","COLLECT$",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____CHECK-INVARIANT-RISK","Check-invariant-risk","CHECK-INVARIANT-RISK",[389],"See <see topic=\"ACL2____SET-CHECK-INVARIANT-RISK\">set-check-invariant-risk</see>."],
 ["ACL2____CCL-UPDATES","Ccl-updates","CCL-UPDATES",[389],"See <see topic=\"ACL2____CCL-INSTALLATION\">ccl-installation</see>."],
 ["ACL2____BY","By","BY",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:by</v>."],
 ["ACL2____BINARY-DF_F2","Binary-df/","BINARY-DF/",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____BINARY-DF_A2","Binary-df*","BINARY-DF*",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____BINARY-DF-LOG","Binary-df-log","BINARY-DF-LOG",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____BACKTRACK","Backtrack","BACKTRACK",[389],"See <see topic=\"ACL2____HINTS\">hints</see> for information about the keyword <v>:backtrack</v>."],
 ["ACL2____ALWAYS_42_B2","Always$+","ALWAYS$+",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____ALL-VARS","All-vars","ALL-VARS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-FNNAMES-LST","All-fnnames-lst","ALL-FNNAMES-LST",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ALL-CALLS","All-calls","ALL-CALLS",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____ADD-TO-SET-EQUAL","Add-to-set-equal","ADD-TO-SET-EQUAL",[389],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ADD-TO-SET-EQL","Add-to-set-eql","ADD-TO-SET-EQL",[389],"See <see topic=\"ACL2____ADD-TO-SET\">add-to-set</see>."],
 ["ACL2____ACL2S","ACL2s","ACL2S",[389],"See <see topic=\"ACL2____ACL2-SEDAN\">ACL2-sedan</see>."],
 ["ACL2____ACL2-UNWIND-PROTECT","ACL2-unwind-protect","ACL2-UNWIND-PROTECT",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["COMMON-LISP_____62WHOLE","&amp;whole","&WHOLE",[389],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62REST","&amp;rest","&REST",[389],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62OPTIONAL","&amp;optional","&OPTIONAL",[389],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62KEY","&amp;key","&KEY",[389],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62BODY","&amp;body","&BODY",[389],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP_____62ALLOW-OTHER-KEYS","&amp;allow-other-keys","&ALLOW-OTHER-KEYS",[389],"See <see topic=\"ACL2____MACRO-ARGS\">macro-args</see>."],
 ["COMMON-LISP____APROPOS","Apropos","APROPOS",[389],"See <see topic=\"ACL2____FINDING-DOCUMENTATION\">finding-documentation</see>."],
 ["ACL2_____A2DF-PI_A2","*df-pi*","*DF-PI*",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____WORMHOLE-COHERENCE","Wormhole-coherence","WORMHOLE-COHERENCE",[389],"See <see topic=\"ACL2____WORMHOLE-STATUS\">wormhole-status</see>."],
 ["ACL2____WITH-PROVER-STEP-LIMIT_12","With-prover-step-limit!","WITH-PROVER-STEP-LIMIT!",[389],"See <see topic=\"ACL2____WITH-PROVER-STEP-LIMIT\">with-prover-step-limit</see>."],
 ["ACL2____WHEN_42_B2","When$+","WHEN$+",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____UNTOUCHABLE-MARKER","Untouchable-marker","UNTOUCHABLE-MARKER",[389],"See <see topic=\"ACL2____DEFMACRO-UNTOUCHABLE\">defmacro-untouchable</see>."],
 ["ACL2____UNTIL_42_B2","Until$+","UNTIL$+",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____UNTIL_42","Until$","UNTIL$",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____TRANSLATE11","Translate11","TRANSLATE11",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANSLATE1-CMP","Translate1-cmp","TRANSLATE1-CMP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANSLATE1","Translate1","TRANSLATE1",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____TRANSLATE-CMP","Translate-cmp","TRANSLATE-CMP",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____THEREIS_42_B2","Thereis$+","THEREIS$+",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____THEREIS_42","Thereis$","THEREIS$",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____TAG-TREE","Tag-tree","TAG-TREE",[389],"See <see topic=\"ACL2____TTREE\">ttree</see>."],
 ["ACL2____SUM_42","Sum$","SUM$",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____STABLE-UNDER-SIMPLIFICATIONP","Stable-under-simplificationp","STABLE-UNDER-SIMPLIFICATIONP",[389],"See <see topic=\"ACL2____COMPUTED-HINTS\">computed-hints</see>."],
 ["ACL2____SINGLE-THREADED-OBJECTS","Single-threaded-objects","SINGLE-THREADED-OBJECTS",[389],"See <see topic=\"ACL2____STOBJ\">stobj</see>."],
 ["ACL2____SET-TEMP-TOUCHABLE-VARS","Set-temp-touchable-vars","SET-TEMP-TOUCHABLE-VARS",[389],"See <see topic=\"ACL2____REMOVE-UNTOUCHABLE\">remove-untouchable</see>."],
 ["ACL2____SET-TEMP-TOUCHABLE-FNS","Set-temp-touchable-fns","SET-TEMP-TOUCHABLE-FNS",[389],"See <see topic=\"ACL2____REMOVE-UNTOUCHABLE\">remove-untouchable</see>."],
 ["ACL2____SET-PRINT-RIGHT-MARGIN","Set-print-right-margin","SET-PRINT-RIGHT-MARGIN",[389],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-READABLY","Set-print-readably","SET-PRINT-READABLY",[389],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LINES","Set-print-lines","SET-PRINT-LINES",[389],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LEVEL","Set-print-level","SET-PRINT-LEVEL",[389],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-LENGTH","Set-print-length","SET-PRINT-LENGTH",[389],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-ESCAPE","Set-print-escape","SET-PRINT-ESCAPE",[389],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____SET-PRINT-CIRCLE","Set-print-circle","SET-PRINT-CIRCLE",[389],"See <see topic=\"ACL2____PRINT-CONTROL\">print-control</see>."],
 ["ACL2____RW-CACHE","Rw-cache","RW-CACHE",[389],"See <see topic=\"ACL2____SET-RW-CACHE-STATE\">set-rw-cache-state</see>."],
 ["ACL2____RUNES-DIFF","Runes-diff","RUNES-DIFF",[389],"See <see topic=\"ACL2____SAVING-EVENT-DATA\">saving-event-data</see>."],
 ["ACL2____RULER","Ruler","RULER",[389],"See <see topic=\"ACL2____RULERS\">rulers</see>."],
 ["ACL2____REWRITE-CACHE","Rewrite-cache","REWRITE-CACHE",[389],"See <see topic=\"ACL2____SET-RW-CACHE-STATE\">set-rw-cache-state</see>."],
 ["ACL2____REMOVE-GUARD-HOLDERS","Remove-guard-holders","REMOVE-GUARD-HOLDERS",[389],"See <see topic=\"ACL2____GUARD-HOLDERS\">guard-holders</see>."],
 ["ACL2____REDEFINING","Redefining","REDEFINING",[389],"See <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>."],
 ["ACL2____REDEFINE","Redefine","REDEFINE",[389],"See <see topic=\"ACL2____LD-REDEFINITION-ACTION\">ld-redefinition-action</see>."],
 ["ACL2____READ-OBJECT-WITH-CASE","Read-object-with-case","READ-OBJECT-WITH-CASE",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____READ-OBJECT-SUPPRESS","Read-object-suppress","READ-OBJECT-SUPPRESS",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____READ-CHAR_42","Read-char$","READ-CHAR$",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____READ-BYTE_42","Read-byte$","READ-BYTE$",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____PUT-ASSOC-EQL","Put-assoc-eql","PUT-ASSOC-EQL",[389],"See <see topic=\"ACL2____PUT-ASSOC\">put-assoc</see>."],
 ["ACL2____PRINT-SUMMARY-USER","Print-summary-user","PRINT-SUMMARY-USER",[389],"See <see topic=\"ACL2____FINALIZE-EVENT-USER\">finalize-event-user</see>."],
 ["ACL2____POUND-U-READER","Pound-u-reader","POUND-U-READER",[389],"See <see topic=\"ACL2____SHARP-U-READER\">sharp-u-reader</see>."],
 ["ACL2____POUND-DOT-READER","Pound-dot-reader","POUND-DOT-READER",[389],"See <see topic=\"ACL2____SHARP-DOT-READER\">sharp-dot-reader</see>."],
 ["ACL2____POUND-BANG-READER","Pound-bang-reader","POUND-BANG-READER",[389],"See <see topic=\"ACL2____SHARP-BANG-READER\">sharp-bang-reader</see>."],
 ["ACL2____PERSISTENT-WHS","Persistent-whs","PERSISTENT-WHS",[389],"See <see topic=\"ACL2____WORMHOLE-STATUS\">wormhole-status</see>."],
 ["ACL2____PEEK-CHAR_42","Peek-char$","PEEK-CHAR$",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OPEN-OUTPUT-CHANNEL-P","Open-output-channel-p","OPEN-OUTPUT-CHANNEL-P",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OPEN-INPUT-CHANNEL-P","Open-input-channel-p","OPEN-INPUT-CHANNEL-P",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____OLD-AND-NEW-EVENT-DATA","Old-and-new-event-data","OLD-AND-NEW-EVENT-DATA",[389],"See <see topic=\"ACL2____SAVING-EVENT-DATA\">saving-event-data</see>."],
 ["ACL2____NOTE9","Note9","NOTE9",[389],"See <see topic=\"ACL2____NOTE-1-9\">note-1-9</see>."],
 ["ACL2____NOTE8-UPDATE","Note8-update","NOTE8-UPDATE",[389],"See <see topic=\"ACL2____NOTE-1-8-UPDATE\">note-1-8-update</see>."],
 ["ACL2____NOTE8","Note8","NOTE8",[389],"See <see topic=\"ACL2____NOTE-1-8\">note-1-8</see>."],
 ["ACL2____NOTE7","Note7","NOTE7",[389],"See <see topic=\"ACL2____NOTE-1-7\">note-1-7</see>."],
 ["ACL2____NOTE6","Note6","NOTE6",[389],"See <see topic=\"ACL2____NOTE-1-6\">note-1-6</see>."],
 ["ACL2____NOTE5","Note5","NOTE5",[389],"See <see topic=\"ACL2____NOTE-1-5\">note-1-5</see>."],
 ["ACL2____NOTE4","Note4","NOTE4",[389],"See <see topic=\"ACL2____NOTE-1-4\">note-1-4</see>."],
 ["ACL2____NOTE3","Note3","NOTE3",[389],"See <see topic=\"ACL2____NOTE-1-3\">note-1-3</see>."],
 ["ACL2____NOTE2","Note2","NOTE2",[389],"See <see topic=\"ACL2____NOTE-1-2\">note-1-2</see>."],
 ["ACL2____NOTE1","Note1","NOTE1",[389],"See <see topic=\"ACL2____NOTE-1-1\">note-1-1</see>."],
 ["ACL2____NFIX-LIST","Nfix-list","NFIX-LIST",[389],"See <see topic=\"ACL2____L_C3\">l&lt;</see>."],
 ["ACL2____META-EXTRACT-RW_B2-TERM","Meta-extract-rw+-term","META-EXTRACT-RW+-TERM",[389],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____META-EXTRACT-GLOBAL-FACT_B2","Meta-extract-global-fact+","META-EXTRACT-GLOBAL-FACT+",[389],"See <see topic=\"ACL2____META-EXTRACT\">meta-extract</see>."],
 ["ACL2____MEASURE-THEOREM","Measure-theorem","MEASURE-THEOREM",[389],"See <see topic=\"ACL2____TERMINATION-THEOREM\">termination-theorem</see>."],
 ["ACL2____MAKE-LIST-AC","Make-list-ac","MAKE-LIST-AC",[389],"See <see topic=\"COMMON-LISP____MAKE-LIST\">make-list</see>."],
 ["ACL2____LOOP_42-FOR","Loop$-for","LOOP$-FOR",[389],"See <see topic=\"ACL2____FOR-LOOP_42\">for-loop$</see>."],
 ["ACL2____LOOP_42-DO","Loop$-do","LOOP$-DO",[389],"See <see topic=\"ACL2____DO-LOOP_42\">do-loop$</see>."],
 ["ACL2____LEXP","Lexp","LEXP",[389],"See <see topic=\"ACL2____L_C3\">l&lt;</see>."],
 ["ACL2____LEX-FIX","Lex-fix","LEX-FIX",[389],"See <see topic=\"ACL2____L_C3\">l&lt;</see>."],
 ["ACL2____INTERRUPTS","Interrupts","INTERRUPTS",[389],"See <see topic=\"ACL2____ABORT-SOFT\">abort-soft</see>."],
 ["ACL2____IMMED-FORCED","Immed-forced","IMMED-FORCED",[389],"See <see topic=\"ACL2____SPLITTER\">splitter</see>."],
 ["ACL2____ILKS","Ilks","ILKS",[389],"See <see topic=\"ACL2____ILK\">ilk</see>."],
 ["ACL2____HASH-TABLES","Hash-tables","HASH-TABLES",[389],"See <see topic=\"ACL2____DEFSTOBJ\">defstobj</see>."],
 ["ACL2____GUARD-MSG-TABLE","Guard-msg-table","GUARD-MSG-TABLE",[389],"See <see topic=\"ACL2____SET-GUARD-MSG\">set-guard-msg</see>."],
 ["ACL2____GETTING-STARTED","Getting-started","GETTING-STARTED",[389],"See <see topic=\"ACL2____ACL2-TUTORIAL\">ACL2-tutorial</see>."],
 ["ACL2____FORCED","Forced","FORCED",[389],"See <see topic=\"ACL2____FORCE\">force</see>."],
 ["ACL2____FMT_12-TO-STRING","Fmt!-to-string","FMT!-TO-STRING",[389],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMT1_12-TO-STRING","Fmt1!-to-string","FMT1!-TO-STRING",[389],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMT1-TO-STRING","Fmt1-to-string","FMT1-TO-STRING",[389],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMS_12-TO-STRING","Fms!-to-string","FMS!-TO-STRING",[389],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FMS-TO-STRING","Fms-to-string","FMS-TO-STRING",[389],"See <see topic=\"ACL2____PRINTING-TO-STRINGS\">printing-to-strings</see>."],
 ["ACL2____FLOATING-POINT","Floating-point","FLOATING-POINT",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____FIRST-N-AC","First-n-ac","FIRST-N-AC",[389],"See <see topic=\"ACL2____TAKE\">take</see>."],
 ["ACL2____FIRST-KEYWORD","First-keyword","FIRST-KEYWORD",[389],"See <see topic=\"ACL2____SYSTEM-UTILITIES\">system-utilities</see>."],
 ["ACL2____FAST-ALIST-DISCIPLINE","Fast-alist-discipline","FAST-ALIST-DISCIPLINE",[389],"See <see topic=\"ACL2____SLOW-ALIST-WARNING\">slow-alist-warning</see>."],
 ["ACL2____EXTERNAL-FORMAT","External-format","EXTERNAL-FORMAT",[389],"See <see topic=\"ACL2____CHARACTER-ENCODING\">character-encoding</see>."],
 ["ACL2____EXTENDED-SYNTAXP","Extended-syntaxp","EXTENDED-SYNTAXP",[389],"See <see topic=\"ACL2____SYNTAXP\">syntaxp</see>."],
 ["ACL2____EXECUTION","Execution","EXECUTION",[389],"See <see topic=\"ACL2____EVALUATION\">evaluation</see>."],
 ["ACL2____EVENT-DATA","Event-data","EVENT-DATA",[389],"See <see topic=\"ACL2____SAVING-EVENT-DATA\">saving-event-data</see>."],
 ["ACL2____EPHEMERAL-WHS","Ephemeral-whs","EPHEMERAL-WHS",[389],"See <see topic=\"ACL2____WORMHOLE-STATUS\">wormhole-status</see>."],
 ["ACL2____D_C3","D&lt;","D<",[389],"See <see topic=\"ACL2____L_C3\">l&lt;</see>."],
 ["ACL2____DYNAMICALLY-MONITOR-REWRITES","Dynamically-monitor-rewrites","DYNAMICALLY-MONITOR-REWRITES",[389],"See <see topic=\"ACL2____DMR\">dmr</see>."],
 ["ACL2____DF_F2_D3-FN","Df/=-fn","DF/=-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF_E3_D3","Df&gt;=","DF>=",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF_E3","Df&gt;","DF>",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF_D3-FN","Df=-fn","DF=-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF_C3-FN","Df&lt;-fn","DF<-FN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-TANH","Df-tanh","DF-TANH",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-TAN","Df-tan","DF-TAN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-SQRT","Df-sqrt","DF-SQRT",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-SINH","Df-sinh","DF-SINH",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-RATIONALIZE","Df-rationalize","DF-RATIONALIZE",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-EXPT","Df-expt","DF-EXPT",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-EXP","Df-exp","DF-EXP",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-COSH","Df-cosh","DF-COSH",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-COS","Df-cos","DF-COS",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ATANH","Df-atanh","DF-ATANH",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ATAN","Df-atan","DF-ATAN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ASINH","Df-asinh","DF-ASINH",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ASIN","Df-asin","DF-ASIN",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ACOSH","Df-acosh","DF-ACOSH",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____DF-ACOS","Df-acos","DF-ACOS",[389],"See <see topic=\"ACL2____DF\">df</see>."],
 ["ACL2____CW-GSTACK-FOR-TERM_A2","Cw-gstack-for-term*","CW-GSTACK-FOR-TERM*",[389],"See <see topic=\"ACL2____WITH-BRR-DATA\">with-brr-data</see>."],
 ["ACL2____CW-GSTACK-FOR-TERM","Cw-gstack-for-term","CW-GSTACK-FOR-TERM",[389],"See <see topic=\"ACL2____WITH-BRR-DATA\">with-brr-data</see>."],
 ["ACL2____CW-GSTACK-FOR-SUBTERM_A2","Cw-gstack-for-subterm*","CW-GSTACK-FOR-SUBTERM*",[389],"See <see topic=\"ACL2____WITH-BRR-DATA\">with-brr-data</see>."],
 ["ACL2____CONTEXT","Context","CONTEXT",[389],"See <see topic=\"ACL2____CTX\">ctx</see>."],
 ["ACL2____COMPUTED-HINT","Computed-hint","COMPUTED-HINT",[389],"See <see topic=\"ACL2____COMPUTED-HINTS\">computed-hints</see>."],
 ["ACL2____COMMA-ATSIGN","Comma-atsign","COMMA-ATSIGN",[389],"See <see topic=\"ACL2____BACKQUOTE\">backquote</see>."],
 ["ACL2____COMMA","Comma","COMMA",[389],"See <see topic=\"ACL2____BACKQUOTE\">backquote</see>."],
 ["ACL2____COHERENCE","Coherence","COHERENCE",[389],"See <see topic=\"ACL2____WORMHOLE-STATUS\">wormhole-status</see>."],
 ["ACL2____CLOSE-INPUT-CHANNEL","Close-input-channel","CLOSE-INPUT-CHANNEL",[389],"See <see topic=\"ACL2____IO\">io</see>."],
 ["ACL2____CHECK-SUM","Check-sum","CHECK-SUM",[389],"See <see topic=\"ACL2____CHECKSUM\">checksum</see>."],
 ["ACL2____CERTIFYING-BOOKS","Certifying-books","CERTIFYING-BOOKS",[389],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____CERTIFY-BOOK-FAILURE","Certify-book-failure","CERTIFY-BOOK-FAILURE",[389],"See <see topic=\"ACL2____CERTIFY-BOOK-DEBUG\">certify-book-debug</see>."],
 ["ACL2____BOOK-MAKEFILES","Book-makefiles","BOOK-MAKEFILES",[389],"See <see topic=\"ACL2____BOOKS-CERTIFICATION\">books-certification</see>."],
 ["ACL2____AUTO-INSTANCE","Auto-instance","AUTO-INSTANCE",[389],"See <see topic=\"ACL2____DEFTHM_C3W\">defthm&lt;w</see>."],
 ["ACL2____ASSERTIONS","Assertions","ASSERTIONS",[389],"See <see topic=\"ACL2____ERRORS\">errors</see>."],
 ["ACL2____APPEND_42_B2","Append$+","APPEND$+",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____APPEND_42","Append$","APPEND$",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____ALWAYS_42","Always$","ALWAYS$",[389],"See <see topic=\"ACL2____LOOP_42\">loop$</see>."],
 ["ACL2____ACL2R","ACL2r","ACL2R",[389],"See <see topic=\"COMMON-LISP____REAL\">real</see>."],
 ["ACL2____ACL2P","ACL2p","ACL2P",[389],"See <see topic=\"ACL2____PARALLELISM\">parallelism</see>."],
 ["ACL2____ABSTRACT-STOBJ","Abstract-stobj","ABSTRACT-STOBJ",[389],"See <see topic=\"ACL2____DEFABSSTOBJ\">defabsstobj</see>."]];